Shader "EVE/Cloud" {
	Properties{
		_Color("Color Tint", Color) = (1,1,1,1)
		_MainTex("Main (RGB)", 2D) = "white" {}
		_DetailTex("Detail (RGB)", 2D) = "white" {}
		_FalloffPow("Falloff Power", Range(0,3)) = 2
		_FalloffScale("Falloff Scale", Range(0,20)) = 3
		_DetailScale("Detail Scale", Range(0,100)) = 100
		_DetailDist("Detail Distance", Range(0,1)) = 0.00875
		_MinLight("Minimum Light", Range(0,1)) = .5
		_DistFade("Fade Distance", Range(0,100)) = 10
		_DistFadeVert("Fade Scale", Range(0,1)) = .002
		_RimDist("Rim Distance", Range(0,1)) = 1
		_RimDistSub("Rim Distance Sub", Range(0,2)) = 1.01
		_InvFade("Soft Particles Factor", Range(0.01,3.0)) = .01
		_OceanRadius("Ocean Radius", Float) = 63000
		_PlanetOrigin("Sphere Center", Vector) = (0,0,0,1)
	}

	Category{

		Tags { "Queue" = "Transparent" "IgnoreProjector" = "True" "RenderType" = "Transparent" }
		Blend SrcAlpha OneMinusSrcAlpha
		Fog { Mode Global}
		AlphaTest Greater 0
		ColorMask RGB
		Cull Off Lighting On ZWrite Off

		SubShader {
			Pass {

				Lighting On
				Tags { "LightMode" = "ForwardBase"}

				Program "vp" {
// Vertex combos: 960
//   d3d9 - ALU: 30 to 41
//   d3d11 - ALU: 25 to 34, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 c_30;
  float tmpvar_31;
  tmpvar_31 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_30.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_31) * 4.0);
  c_30.w = (tmpvar_31 * 4.0);
  float tmpvar_32;
  tmpvar_32 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_30 * mix (1.0, clamp (floor((1.01 + tmpvar_32)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_32)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_29;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_42;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_43);
  lightDir_43 = tmpvar_47;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_45);
  normal_45 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_49) * 4.0);
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * 4.0);
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_42;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_43);
  lightDir_43 = tmpvar_47;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_45);
  normal_45 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_49) * 4.0);
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * 4.0);
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 c_30;
  float tmpvar_31;
  tmpvar_31 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_30.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_31) * 4.0);
  c_30.w = (tmpvar_31 * 4.0);
  float tmpvar_32;
  tmpvar_32 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_30 * mix (1.0, clamp (floor((1.01 + tmpvar_32)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_32)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_29;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_42;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_43);
  lightDir_43 = tmpvar_47;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_45);
  normal_45 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_49) * 4.0);
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * 4.0);
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_42;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_43);
  lightDir_43 = tmpvar_47;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_45);
  normal_45 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_49) * 4.0);
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * 4.0);
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 c_30;
  float tmpvar_31;
  tmpvar_31 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_30.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_31) * 4.0);
  c_30.w = (tmpvar_31 * 4.0);
  float tmpvar_32;
  tmpvar_32 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_30 * mix (1.0, clamp (floor((1.01 + tmpvar_32)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_32)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_29;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_42;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_43);
  lightDir_43 = tmpvar_47;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_45);
  normal_45 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_49) * 4.0);
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * 4.0);
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_42;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_43);
  lightDir_43 = tmpvar_47;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_45);
  normal_45 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_49) * 4.0);
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * 4.0);
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 tmpvar_30;
  tmpvar_30 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_31;
  float tmpvar_32;
  tmpvar_32 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_31.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_32) * (tmpvar_30.x * 4.0));
  c_31.w = (tmpvar_32 * (tmpvar_30.x * 4.0));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_31 * mix (1.0, clamp (floor((1.01 + tmpvar_33)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_33)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_29;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_43;
  mediump float lightShadowDataX_44;
  highp float dist_45;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_45 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = _LightShadowData.x;
  lightShadowDataX_44 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = max (float((dist_45 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_44);
  tmpvar_43 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_42;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_43;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_3.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_43;
  tmpvar_43 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_42;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_43;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 tmpvar_30;
  tmpvar_30 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_31;
  float tmpvar_32;
  tmpvar_32 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_31.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_32) * (tmpvar_30.x * 4.0));
  c_31.w = (tmpvar_32 * (tmpvar_30.x * 4.0));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_31 * mix (1.0, clamp (floor((1.01 + tmpvar_33)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_33)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_29;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_43;
  mediump float lightShadowDataX_44;
  highp float dist_45;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_45 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = _LightShadowData.x;
  lightShadowDataX_44 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = max (float((dist_45 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_44);
  tmpvar_43 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_42;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_43;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_3.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_43;
  tmpvar_43 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_42;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_43;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 tmpvar_30;
  tmpvar_30 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_31;
  float tmpvar_32;
  tmpvar_32 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_31.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_32) * (tmpvar_30.x * 4.0));
  c_31.w = (tmpvar_32 * (tmpvar_30.x * 4.0));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_31 * mix (1.0, clamp (floor((1.01 + tmpvar_33)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_33)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_29;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_43;
  mediump float lightShadowDataX_44;
  highp float dist_45;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_45 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = _LightShadowData.x;
  lightShadowDataX_44 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = max (float((dist_45 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_44);
  tmpvar_43 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_42;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_43;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_3.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_43;
  tmpvar_43 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_42;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_43;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 c_30;
  float tmpvar_31;
  tmpvar_31 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_30.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_31) * 4.0);
  c_30.w = (tmpvar_31 * 4.0);
  float tmpvar_32;
  tmpvar_32 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_30 * mix (1.0, clamp (floor((1.01 + tmpvar_32)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_32)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_29;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_42;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_43);
  lightDir_43 = tmpvar_47;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_45);
  normal_45 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_49) * 4.0);
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * 4.0);
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_42;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_43);
  lightDir_43 = tmpvar_47;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_45);
  normal_45 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_49) * 4.0);
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * 4.0);
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 tmpvar_30;
  tmpvar_30 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_31;
  float tmpvar_32;
  tmpvar_32 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_31.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_32) * (tmpvar_30.x * 4.0));
  c_31.w = (tmpvar_32 * (tmpvar_30.x * 4.0));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_31 * mix (1.0, clamp (floor((1.01 + tmpvar_33)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_33)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_29;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_43;
  mediump float lightShadowDataX_44;
  highp float dist_45;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_45 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = _LightShadowData.x;
  lightShadowDataX_44 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = max (float((dist_45 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_44);
  tmpvar_43 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_42;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_43;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_3.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_43;
  tmpvar_43 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_42;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_43;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_43;
  lowp float tmpvar_44;
  tmpvar_44 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_45;
  tmpvar_45 = (_LightShadowData.x + (tmpvar_44 * (1.0 - _LightShadowData.x)));
  shadow_43 = tmpvar_45;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_42;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = shadow_43;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_43;
  lowp float tmpvar_44;
  tmpvar_44 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_45;
  tmpvar_45 = (_LightShadowData.x + (tmpvar_44 * (1.0 - _LightShadowData.x)));
  shadow_43 = tmpvar_45;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_42;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = shadow_43;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_43;
  lowp float tmpvar_44;
  tmpvar_44 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_45;
  tmpvar_45 = (_LightShadowData.x + (tmpvar_44 * (1.0 - _LightShadowData.x)));
  shadow_43 = tmpvar_45;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_42;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = shadow_43;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_16;
  mediump float s_17;
  mediump float nylerp_18;
  mediump float zxlerp_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_15);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_19 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  nylerp_18 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_19);
  s_17 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_15.y, s_17, nylerp_18));
  s_17 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_17);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_17;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_17);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_15.yxz), mix ((tmpvar_25 * tmpvar_15.xzy), (tmpvar_26 * tmpvar_15.zxy), vec3(zxlerp_19)), vec3(nylerp_18));
  uv_16.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_16.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  highp vec2 tmpvar_29;
  tmpvar_29 = (uv_16 * _DetailScale);
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (_DetailTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw);
  tex_14 = tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_34;
  tmpvar_34 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_33, p_33))), 0.0, 1.0);
  detailLevel_2 = tmpvar_34;
  mediump vec4 tmpvar_35;
  tmpvar_35 = ((_Color * tex_4) * mix (tex_14, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_35.xyz;
  highp float tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_36 = sqrt(dot (p_37, p_37));
  highp vec3 p_38;
  p_38 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_40;
  tmpvar_40 = mix (0.0, tmpvar_35.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_36), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_36)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_38, p_38)) - (_RimDistSub * sqrt(dot (p_39, p_39))))), 0.0, 1.0)));
  color_3.w = tmpvar_40;
  mediump float tmpvar_41;
  tmpvar_41 = color_3.w;
  lowp vec3 tmpvar_42;
  tmpvar_42 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_43;
  lowp float tmpvar_44;
  tmpvar_44 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_45;
  tmpvar_45 = (_LightShadowData.x + (tmpvar_44 * (1.0 - _LightShadowData.x)));
  shadow_43 = tmpvar_45;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_42;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = shadow_43;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_35.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_41;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_31;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_3.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_3.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 v_14;
  v_14 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_2 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tmpvar_15) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_3.w = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = color_3.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_3.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_43;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 c_22;
  float tmpvar_23;
  tmpvar_23 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_22.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_23) * 4.0);
  c_22.w = (tmpvar_23 * 4.0);
  float tmpvar_24;
  tmpvar_24 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_22 * mix (1.0, clamp (floor((1.01 + tmpvar_24)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_24)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_21;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_36;
  lightDir_36 = tmpvar_35;
  mediump vec3 viewDir_37;
  viewDir_37 = xlv_TEXCOORD5;
  mediump vec3 normal_38;
  normal_38 = xlv_TEXCOORD4;
  mediump vec4 c_39;
  mediump vec3 tmpvar_40;
  tmpvar_40 = normalize(lightDir_36);
  lightDir_36 = tmpvar_40;
  viewDir_37 = normalize(viewDir_37);
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_38);
  normal_38 = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  highp vec3 tmpvar_43;
  tmpvar_43 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_42) * 4.0);
  c_39.xyz = tmpvar_43;
  c_39.w = (tmpvar_42 * 4.0);
  lowp vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float tmpvar_47;
  tmpvar_47 = dot (normal_46, lightDir_45);
  color_3.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_36;
  lightDir_36 = tmpvar_35;
  mediump vec3 viewDir_37;
  viewDir_37 = xlv_TEXCOORD5;
  mediump vec3 normal_38;
  normal_38 = xlv_TEXCOORD4;
  mediump vec4 c_39;
  mediump vec3 tmpvar_40;
  tmpvar_40 = normalize(lightDir_36);
  lightDir_36 = tmpvar_40;
  viewDir_37 = normalize(viewDir_37);
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_38);
  normal_38 = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  highp vec3 tmpvar_43;
  tmpvar_43 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_42) * 4.0);
  c_39.xyz = tmpvar_43;
  c_39.w = (tmpvar_42 * 4.0);
  lowp vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float tmpvar_47;
  tmpvar_47 = dot (normal_46, lightDir_45);
  color_3.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 c_22;
  float tmpvar_23;
  tmpvar_23 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_22.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_23) * 4.0);
  c_22.w = (tmpvar_23 * 4.0);
  float tmpvar_24;
  tmpvar_24 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_22 * mix (1.0, clamp (floor((1.01 + tmpvar_24)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_24)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_21;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_36;
  lightDir_36 = tmpvar_35;
  mediump vec3 viewDir_37;
  viewDir_37 = xlv_TEXCOORD5;
  mediump vec3 normal_38;
  normal_38 = xlv_TEXCOORD4;
  mediump vec4 c_39;
  mediump vec3 tmpvar_40;
  tmpvar_40 = normalize(lightDir_36);
  lightDir_36 = tmpvar_40;
  viewDir_37 = normalize(viewDir_37);
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_38);
  normal_38 = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  highp vec3 tmpvar_43;
  tmpvar_43 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_42) * 4.0);
  c_39.xyz = tmpvar_43;
  c_39.w = (tmpvar_42 * 4.0);
  lowp vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float tmpvar_47;
  tmpvar_47 = dot (normal_46, lightDir_45);
  color_3.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_36;
  lightDir_36 = tmpvar_35;
  mediump vec3 viewDir_37;
  viewDir_37 = xlv_TEXCOORD5;
  mediump vec3 normal_38;
  normal_38 = xlv_TEXCOORD4;
  mediump vec4 c_39;
  mediump vec3 tmpvar_40;
  tmpvar_40 = normalize(lightDir_36);
  lightDir_36 = tmpvar_40;
  viewDir_37 = normalize(viewDir_37);
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_38);
  normal_38 = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  highp vec3 tmpvar_43;
  tmpvar_43 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_42) * 4.0);
  c_39.xyz = tmpvar_43;
  c_39.w = (tmpvar_42 * 4.0);
  lowp vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float tmpvar_47;
  tmpvar_47 = dot (normal_46, lightDir_45);
  color_3.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 c_22;
  float tmpvar_23;
  tmpvar_23 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_22.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_23) * 4.0);
  c_22.w = (tmpvar_23 * 4.0);
  float tmpvar_24;
  tmpvar_24 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_22 * mix (1.0, clamp (floor((1.01 + tmpvar_24)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_24)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_21;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_36;
  lightDir_36 = tmpvar_35;
  mediump vec3 viewDir_37;
  viewDir_37 = xlv_TEXCOORD5;
  mediump vec3 normal_38;
  normal_38 = xlv_TEXCOORD4;
  mediump vec4 c_39;
  mediump vec3 tmpvar_40;
  tmpvar_40 = normalize(lightDir_36);
  lightDir_36 = tmpvar_40;
  viewDir_37 = normalize(viewDir_37);
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_38);
  normal_38 = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  highp vec3 tmpvar_43;
  tmpvar_43 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_42) * 4.0);
  c_39.xyz = tmpvar_43;
  c_39.w = (tmpvar_42 * 4.0);
  lowp vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float tmpvar_47;
  tmpvar_47 = dot (normal_46, lightDir_45);
  color_3.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_36;
  lightDir_36 = tmpvar_35;
  mediump vec3 viewDir_37;
  viewDir_37 = xlv_TEXCOORD5;
  mediump vec3 normal_38;
  normal_38 = xlv_TEXCOORD4;
  mediump vec4 c_39;
  mediump vec3 tmpvar_40;
  tmpvar_40 = normalize(lightDir_36);
  lightDir_36 = tmpvar_40;
  viewDir_37 = normalize(viewDir_37);
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_38);
  normal_38 = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  highp vec3 tmpvar_43;
  tmpvar_43 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_42) * 4.0);
  c_39.xyz = tmpvar_43;
  c_39.w = (tmpvar_42 * 4.0);
  lowp vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float tmpvar_47;
  tmpvar_47 = dot (normal_46, lightDir_45);
  color_3.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 tmpvar_22;
  tmpvar_22 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_23;
  float tmpvar_24;
  tmpvar_24 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_23.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_24) * (tmpvar_22.x * 4.0));
  c_23.w = (tmpvar_24 * (tmpvar_22.x * 4.0));
  float tmpvar_25;
  tmpvar_25 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_23 * mix (1.0, clamp (floor((1.01 + tmpvar_25)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_25)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_21;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_36;
  mediump float lightShadowDataX_37;
  highp float dist_38;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_38 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = _LightShadowData.x;
  lightShadowDataX_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = max (float((dist_38 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_37);
  tmpvar_36 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_35;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = tmpvar_36;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_35;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump float atten_40;
  atten_40 = tmpvar_36;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_37);
  lightDir_37 = tmpvar_42;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_39);
  normal_39 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_44) * (atten_40 * 4.0));
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * (atten_40 * 4.0));
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 tmpvar_22;
  tmpvar_22 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_23;
  float tmpvar_24;
  tmpvar_24 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_23.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_24) * (tmpvar_22.x * 4.0));
  c_23.w = (tmpvar_24 * (tmpvar_22.x * 4.0));
  float tmpvar_25;
  tmpvar_25 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_23 * mix (1.0, clamp (floor((1.01 + tmpvar_25)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_25)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_21;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_36;
  mediump float lightShadowDataX_37;
  highp float dist_38;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_38 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = _LightShadowData.x;
  lightShadowDataX_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = max (float((dist_38 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_37);
  tmpvar_36 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_35;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = tmpvar_36;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_35;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump float atten_40;
  atten_40 = tmpvar_36;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_37);
  lightDir_37 = tmpvar_42;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_39);
  normal_39 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_44) * (atten_40 * 4.0));
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * (atten_40 * 4.0));
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 tmpvar_22;
  tmpvar_22 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_23;
  float tmpvar_24;
  tmpvar_24 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_23.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_24) * (tmpvar_22.x * 4.0));
  c_23.w = (tmpvar_24 * (tmpvar_22.x * 4.0));
  float tmpvar_25;
  tmpvar_25 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_23 * mix (1.0, clamp (floor((1.01 + tmpvar_25)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_25)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_21;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_36;
  mediump float lightShadowDataX_37;
  highp float dist_38;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_38 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = _LightShadowData.x;
  lightShadowDataX_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = max (float((dist_38 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_37);
  tmpvar_36 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_35;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = tmpvar_36;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_35;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump float atten_40;
  atten_40 = tmpvar_36;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_37);
  lightDir_37 = tmpvar_42;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_39);
  normal_39 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_44) * (atten_40 * 4.0));
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * (atten_40 * 4.0));
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 c_22;
  float tmpvar_23;
  tmpvar_23 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_22.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_23) * 4.0);
  c_22.w = (tmpvar_23 * 4.0);
  float tmpvar_24;
  tmpvar_24 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_22 * mix (1.0, clamp (floor((1.01 + tmpvar_24)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_24)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_21;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_36;
  lightDir_36 = tmpvar_35;
  mediump vec3 viewDir_37;
  viewDir_37 = xlv_TEXCOORD5;
  mediump vec3 normal_38;
  normal_38 = xlv_TEXCOORD4;
  mediump vec4 c_39;
  mediump vec3 tmpvar_40;
  tmpvar_40 = normalize(lightDir_36);
  lightDir_36 = tmpvar_40;
  viewDir_37 = normalize(viewDir_37);
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_38);
  normal_38 = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  highp vec3 tmpvar_43;
  tmpvar_43 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_42) * 4.0);
  c_39.xyz = tmpvar_43;
  c_39.w = (tmpvar_42 * 4.0);
  lowp vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float tmpvar_47;
  tmpvar_47 = dot (normal_46, lightDir_45);
  color_3.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_36;
  lightDir_36 = tmpvar_35;
  mediump vec3 viewDir_37;
  viewDir_37 = xlv_TEXCOORD5;
  mediump vec3 normal_38;
  normal_38 = xlv_TEXCOORD4;
  mediump vec4 c_39;
  mediump vec3 tmpvar_40;
  tmpvar_40 = normalize(lightDir_36);
  lightDir_36 = tmpvar_40;
  viewDir_37 = normalize(viewDir_37);
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_38);
  normal_38 = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  highp vec3 tmpvar_43;
  tmpvar_43 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_42) * 4.0);
  c_39.xyz = tmpvar_43;
  c_39.w = (tmpvar_42 * 4.0);
  lowp vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float tmpvar_47;
  tmpvar_47 = dot (normal_46, lightDir_45);
  color_3.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 tmpvar_22;
  tmpvar_22 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_23;
  float tmpvar_24;
  tmpvar_24 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_23.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_24) * (tmpvar_22.x * 4.0));
  c_23.w = (tmpvar_24 * (tmpvar_22.x * 4.0));
  float tmpvar_25;
  tmpvar_25 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_23 * mix (1.0, clamp (floor((1.01 + tmpvar_25)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_25)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_21;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_36;
  mediump float lightShadowDataX_37;
  highp float dist_38;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_38 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = _LightShadowData.x;
  lightShadowDataX_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = max (float((dist_38 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_37);
  tmpvar_36 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_35;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = tmpvar_36;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_3.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_35;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump float atten_40;
  atten_40 = tmpvar_36;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_37);
  lightDir_37 = tmpvar_42;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_39);
  normal_39 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_44) * (atten_40 * 4.0));
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * (atten_40 * 4.0));
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_36;
  lowp float tmpvar_37;
  tmpvar_37 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_38;
  tmpvar_38 = (_LightShadowData.x + (tmpvar_37 * (1.0 - _LightShadowData.x)));
  shadow_36 = tmpvar_38;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_35;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = shadow_36;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_36;
  lowp float tmpvar_37;
  tmpvar_37 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_38;
  tmpvar_38 = (_LightShadowData.x + (tmpvar_37 * (1.0 - _LightShadowData.x)));
  shadow_36 = tmpvar_38;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_35;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = shadow_36;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_36;
  lowp float tmpvar_37;
  tmpvar_37 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_38;
  tmpvar_38 = (_LightShadowData.x + (tmpvar_37 * (1.0 - _LightShadowData.x)));
  shadow_36 = tmpvar_38;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_35;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = shadow_36;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_8);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_12 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  nylerp_11 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_8.x, tmpvar_8.z, zxlerp_12);
  s_10 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_8.y, s_10, nylerp_11));
  s_10 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_10);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_10;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_10);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_8.yxz), mix ((tmpvar_18 * tmpvar_8.xzy), (tmpvar_19 * tmpvar_8.zxy), vec3(zxlerp_12)), vec3(nylerp_11));
  uv_9.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  highp vec2 tmpvar_22;
  tmpvar_22 = (uv_9 * _DetailScale);
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw);
  tex_7 = tmpvar_25;
  highp vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_27;
  tmpvar_27 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0);
  detailLevel_2 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = ((_Color * tex_4) * mix (tex_7, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_28.xyz;
  highp float tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  highp vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_33;
  tmpvar_33 = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  color_3.w = tmpvar_33;
  mediump float tmpvar_34;
  tmpvar_34 = color_3.w;
  lowp vec3 tmpvar_35;
  tmpvar_35 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_36;
  lowp float tmpvar_37;
  tmpvar_37 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_38;
  tmpvar_38 = (_LightShadowData.x + (tmpvar_37 * (1.0 - _LightShadowData.x)));
  shadow_36 = tmpvar_38;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_35;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = shadow_36;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_34;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_37;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump vec4 c_41;
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(lightDir_38);
  lightDir_38 = tmpvar_42;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(normal_40);
  normal_40 = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = dot (tmpvar_43, tmpvar_42);
  highp vec3 tmpvar_45;
  tmpvar_45 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_44) * 4.0);
  c_41.xyz = tmpvar_45;
  c_41.w = (tmpvar_44 * 4.0);
  lowp vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float tmpvar_49;
  tmpvar_49 = dot (normal_48, lightDir_47);
  color_3.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_23;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  mediump float lightShadowDataX_39;
  highp float dist_40;
  lowp float tmpvar_41;
  tmpvar_41 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_40 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = _LightShadowData.x;
  lightShadowDataX_39 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = max (float((dist_40 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_39);
  tmpvar_38 = tmpvar_43;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_37;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump float atten_47;
  atten_47 = tmpvar_38;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_44);
  lightDir_44 = tmpvar_49;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_46);
  normal_46 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * (atten_47 * 4.0));
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * (atten_47 * 4.0));
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_3.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_37;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump float atten_42;
  atten_42 = tmpvar_38;
  mediump vec4 c_43;
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(lightDir_39);
  lightDir_39 = tmpvar_44;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_41);
  normal_41 = tmpvar_45;
  mediump float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  highp vec3 tmpvar_47;
  tmpvar_47 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_46) * (atten_42 * 4.0));
  c_43.xyz = tmpvar_47;
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  lowp vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float tmpvar_51;
  tmpvar_51 = dot (normal_50, lightDir_49);
  color_3.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_6;
  tmpvar_6 = textureCube (cube_MainTex, tmpvar_5);
  tex_4 = tmpvar_6;
  mediump vec4 v_7;
  v_7 = (tex_4 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_8;
  tmpvar_8.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_8.w = (((v_7.x + v_7.y) + v_7.z) + v_7.w);
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_2 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_8) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_3.w = tmpvar_35;
  mediump float tmpvar_36;
  tmpvar_36 = color_3.w;
  lowp vec3 tmpvar_37;
  tmpvar_37 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_38;
  lowp float tmpvar_39;
  tmpvar_39 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_40;
  tmpvar_40 = (_LightShadowData.x + (tmpvar_39 * (1.0 - _LightShadowData.x)));
  shadow_38 = tmpvar_40;
  mediump vec3 lightDir_41;
  lightDir_41 = tmpvar_37;
  mediump vec3 viewDir_42;
  viewDir_42 = xlv_TEXCOORD5;
  mediump vec3 normal_43;
  normal_43 = xlv_TEXCOORD4;
  mediump float atten_44;
  atten_44 = shadow_38;
  mediump vec4 c_45;
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(lightDir_41);
  lightDir_41 = tmpvar_46;
  viewDir_42 = normalize(viewDir_42);
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_43);
  normal_43 = tmpvar_47;
  mediump float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  highp vec3 tmpvar_49;
  tmpvar_49 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_48) * (atten_44 * 4.0));
  c_45.xyz = tmpvar_49;
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  lowp vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_50;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float tmpvar_53;
  tmpvar_53 = dot (normal_52, lightDir_51);
  color_3.xyz = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_36;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_58);
  lightDir_58 = tmpvar_62;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_60);
  normal_60 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_64) * 4.0);
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_3.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_58);
  lightDir_58 = tmpvar_62;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_60);
  normal_60 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_64) * 4.0);
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_3.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_58);
  lightDir_58 = tmpvar_62;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_60);
  normal_60 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_64) * 4.0);
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_3.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_58);
  lightDir_58 = tmpvar_62;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_60);
  normal_60 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_64) * 4.0);
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_3.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_58);
  lightDir_58 = tmpvar_62;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_60);
  normal_60 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_64) * 4.0);
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_3.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_58);
  lightDir_58 = tmpvar_62;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_60);
  normal_60 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_64) * 4.0);
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_3.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_58;
  mediump float lightShadowDataX_59;
  highp float dist_60;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_60 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = _LightShadowData.x;
  lightShadowDataX_59 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = max (float((dist_60 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_59);
  tmpvar_58 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_57;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = tmpvar_58;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_3.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_57;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = tmpvar_58;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_61);
  normal_61 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_66) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_58;
  mediump float lightShadowDataX_59;
  highp float dist_60;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_60 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = _LightShadowData.x;
  lightShadowDataX_59 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = max (float((dist_60 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_59);
  tmpvar_58 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_57;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = tmpvar_58;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_3.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_57;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = tmpvar_58;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_61);
  normal_61 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_66) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_58;
  mediump float lightShadowDataX_59;
  highp float dist_60;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_60 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = _LightShadowData.x;
  lightShadowDataX_59 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = max (float((dist_60 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_59);
  tmpvar_58 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_57;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = tmpvar_58;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_3.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_57;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = tmpvar_58;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_61);
  normal_61 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_66) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_58);
  lightDir_58 = tmpvar_62;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_60);
  normal_60 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_64) * 4.0);
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_3.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_58);
  lightDir_58 = tmpvar_62;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_60);
  normal_60 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_64) * 4.0);
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_3.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_58;
  mediump float lightShadowDataX_59;
  highp float dist_60;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_60 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = _LightShadowData.x;
  lightShadowDataX_59 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = max (float((dist_60 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_59);
  tmpvar_58 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_57;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = tmpvar_58;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_3.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_57;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = tmpvar_58;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_61);
  normal_61 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_66) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_58;
  lowp float tmpvar_59;
  tmpvar_59 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_60;
  tmpvar_60 = (_LightShadowData.x + (tmpvar_59 * (1.0 - _LightShadowData.x)));
  shadow_58 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_57;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = shadow_58;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_58;
  lowp float tmpvar_59;
  tmpvar_59 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_60;
  tmpvar_60 = (_LightShadowData.x + (tmpvar_59 * (1.0 - _LightShadowData.x)));
  shadow_58 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_57;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = shadow_58;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_58;
  lowp float tmpvar_59;
  tmpvar_59 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_60;
  tmpvar_60 = (_LightShadowData.x + (tmpvar_59 * (1.0 - _LightShadowData.x)));
  shadow_58 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_57;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = shadow_58;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_31;
  mediump float s_32;
  mediump float nylerp_33;
  mediump float zxlerp_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = abs(tmpvar_30);
  highp float tmpvar_36;
  tmpvar_36 = float((tmpvar_35.z >= tmpvar_35.x));
  zxlerp_34 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = float((max (tmpvar_35.x, tmpvar_35.z) >= tmpvar_35.y));
  nylerp_33 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = mix (tmpvar_30.x, tmpvar_30.z, zxlerp_34);
  s_32 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_30.y, s_32, nylerp_33));
  s_32 = tmpvar_39;
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(s_32);
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = s_32;
  mediump vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(s_32);
  highp vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_30.yxz), mix ((tmpvar_40 * tmpvar_30.xzy), (tmpvar_41 * tmpvar_30.zxy), vec3(zxlerp_34)), vec3(nylerp_33));
  uv_31.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  highp vec2 tmpvar_44;
  tmpvar_44 = (uv_31 * _DetailScale);
  highp vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DGradEXT (_DetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  tex_29 = tmpvar_47;
  highp vec3 p_48;
  p_48 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_49;
  tmpvar_49 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_48, p_48))), 0.0, 1.0);
  detailLevel_2 = tmpvar_49;
  mediump vec4 tmpvar_50;
  tmpvar_50 = ((_Color * tmpvar_28) * mix (tex_29, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_50.xyz;
  highp float tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_51 = sqrt(dot (p_52, p_52));
  highp vec3 p_53;
  p_53 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_55;
  tmpvar_55 = mix (0.0, tmpvar_50.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_51), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_51)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_53, p_53)) - (_RimDistSub * sqrt(dot (p_54, p_54))))), 0.0, 1.0)));
  color_3.w = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = color_3.w;
  lowp vec3 tmpvar_57;
  tmpvar_57 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_58;
  lowp float tmpvar_59;
  tmpvar_59 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_60;
  tmpvar_60 = (_LightShadowData.x + (tmpvar_59 * (1.0 - _LightShadowData.x)));
  shadow_58 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_57;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = shadow_58;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_50.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_56;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_60);
  lightDir_60 = tmpvar_64;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_62);
  normal_62 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_66) * 4.0);
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * 4.0);
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_3.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  mediump float lightShadowDataX_61;
  highp float dist_62;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_62 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = _LightShadowData.x;
  lightShadowDataX_61 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = max (float((dist_62 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_61);
  tmpvar_60 = tmpvar_65;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_59;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_60;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_3.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_59;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_60;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_3.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 texNeg_4;
  mediump vec4 texPos_5;
  highp vec2 uv_6;
  mediump vec3 detailCoords_7;
  mediump float s_8;
  mediump float nylerp_9;
  mediump float zxlerp_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_11);
  highp float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  zxlerp_10 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = float((mix (tmpvar_12.x, tmpvar_12.z, zxlerp_10) >= tmpvar_12.y));
  nylerp_9 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_10);
  s_8 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = sign(mix (-(tmpvar_11.y), s_8, nylerp_9));
  s_8 = tmpvar_16;
  mediump vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(s_8);
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = s_8;
  highp vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(zxlerp_10));
  detailCoords_7 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(s_8);
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_11.yzx), detailCoords_7, vec3(nylerp_9));
  detailCoords_7 = tmpvar_21;
  mediump vec2 tmpvar_22;
  tmpvar_22 = (((0.5 * detailCoords_7.yz) / abs(detailCoords_7.x)) + 0.5);
  uv_6 = tmpvar_22;
  highp vec2 tmpvar_23;
  tmpvar_23 = abs((uv_6 - 0.5));
  highp vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  lowp vec4 tmpvar_25;
  tmpvar_25 = texture2DGradEXT (cube_MainTexPOS, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texPos_5 = tmpvar_25;
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexNEG, uv_6, tmpvar_24.xy, tmpvar_24.zw);
  texNeg_4 = tmpvar_26;
  mediump vec4 tmpvar_27;
  tmpvar_27 = mix (texNeg_4, texPos_5, vec4(float((s_8 >= 0.0))));
  mediump vec4 tmpvar_28;
  tmpvar_28.x = tmpvar_27.w;
  tmpvar_28.y = tmpvar_27.w;
  tmpvar_28.z = tmpvar_27.w;
  tmpvar_28.w = mix (tmpvar_27.y, mix (tmpvar_27.x, tmpvar_27.z, zxlerp_10), nylerp_9);
  mediump vec4 v_29;
  v_29 = (tmpvar_28 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_30;
  tmpvar_30.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_30.w = (((v_29.x + v_29.y) + v_29.z) + v_29.w);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_2 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_3.w = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = color_3.w;
  lowp vec3 tmpvar_59;
  tmpvar_59 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_60;
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_62;
  tmpvar_62 = (_LightShadowData.x + (tmpvar_61 * (1.0 - _LightShadowData.x)));
  shadow_60 = tmpvar_62;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_59;
  mediump vec3 viewDir_64;
  viewDir_64 = xlv_TEXCOORD5;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float atten_66;
  atten_66 = shadow_60;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_63);
  lightDir_63 = tmpvar_68;
  viewDir_64 = normalize(viewDir_64);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_65);
  normal_65 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_70) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * (atten_66 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_58;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_64);
  lightDir_64 = tmpvar_68;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_66);
  normal_66 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) * 4.0);
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * 4.0);
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_64);
  lightDir_64 = tmpvar_68;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_66);
  normal_66 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) * 4.0);
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * 4.0);
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_64);
  lightDir_64 = tmpvar_68;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_66);
  normal_66 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) * 4.0);
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * 4.0);
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_64);
  lightDir_64 = tmpvar_68;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_66);
  normal_66 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) * 4.0);
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * 4.0);
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_64);
  lightDir_64 = tmpvar_68;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_66);
  normal_66 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) * 4.0);
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * 4.0);
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_64);
  lightDir_64 = tmpvar_68;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_66);
  normal_66 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) * 4.0);
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * 4.0);
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_64;
  mediump float lightShadowDataX_65;
  highp float dist_66;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_66 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = _LightShadowData.x;
  lightShadowDataX_65 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = max (float((dist_66 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_65);
  tmpvar_64 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_63;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_64;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_3.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_63;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_64;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_65);
  lightDir_65 = tmpvar_70;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_67);
  normal_67 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_72) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_64;
  mediump float lightShadowDataX_65;
  highp float dist_66;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_66 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = _LightShadowData.x;
  lightShadowDataX_65 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = max (float((dist_66 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_65);
  tmpvar_64 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_63;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_64;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_3.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_63;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_64;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_65);
  lightDir_65 = tmpvar_70;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_67);
  normal_67 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_72) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_64;
  mediump float lightShadowDataX_65;
  highp float dist_66;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_66 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = _LightShadowData.x;
  lightShadowDataX_65 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = max (float((dist_66 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_65);
  tmpvar_64 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_63;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_64;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_3.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_63;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_64;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_65);
  lightDir_65 = tmpvar_70;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_67);
  normal_67 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_72) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_64);
  lightDir_64 = tmpvar_68;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_66);
  normal_66 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) * 4.0);
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * 4.0);
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump vec4 c_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_64);
  lightDir_64 = tmpvar_68;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_66);
  normal_66 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  highp vec3 tmpvar_71;
  tmpvar_71 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_70) * 4.0);
  c_67.xyz = tmpvar_71;
  c_67.w = (tmpvar_70 * 4.0);
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  color_3.xyz = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_64;
  mediump float lightShadowDataX_65;
  highp float dist_66;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_66 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = _LightShadowData.x;
  lightShadowDataX_65 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = max (float((dist_66 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_65);
  tmpvar_64 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_63;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_64;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_3.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_63;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_64;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_65);
  lightDir_65 = tmpvar_70;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_67);
  normal_67 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_72) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_64;
  lowp float tmpvar_65;
  tmpvar_65 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_66;
  tmpvar_66 = (_LightShadowData.x + (tmpvar_65 * (1.0 - _LightShadowData.x)));
  shadow_64 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_63;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = shadow_64;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_64;
  lowp float tmpvar_65;
  tmpvar_65 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_66;
  tmpvar_66 = (_LightShadowData.x + (tmpvar_65 * (1.0 - _LightShadowData.x)));
  shadow_64 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_63;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = shadow_64;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_64;
  lowp float tmpvar_65;
  tmpvar_65 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_66;
  tmpvar_66 = (_LightShadowData.x + (tmpvar_65 * (1.0 - _LightShadowData.x)));
  shadow_64 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_63;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = shadow_64;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_2 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13))) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_56.xyz;
  highp float tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_57 = sqrt(dot (p_58, p_58));
  highp vec3 p_59;
  p_59 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_61;
  tmpvar_61 = mix (0.0, tmpvar_56.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_57), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_57)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_59, p_59)) - (_RimDistSub * sqrt(dot (p_60, p_60))))), 0.0, 1.0)));
  color_3.w = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = color_3.w;
  lowp vec3 tmpvar_63;
  tmpvar_63 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_64;
  lowp float tmpvar_65;
  tmpvar_65 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_66;
  tmpvar_66 = (_LightShadowData.x + (tmpvar_65 * (1.0 - _LightShadowData.x)));
  shadow_64 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_63;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = shadow_64;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_56.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_62;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_66);
  lightDir_66 = tmpvar_70;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_68);
  normal_68 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_72) * 4.0);
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * 4.0);
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_3.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 698
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  mediump float lightShadowDataX_67;
  highp float dist_68;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_68 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = _LightShadowData.x;
  lightShadowDataX_67 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = max (float((dist_68 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_67);
  tmpvar_66 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_65;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = tmpvar_66;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_3.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_65;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_66;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_3.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 color_3;
  mediump vec4 sampzp_4;
  mediump vec4 sampzn_5;
  mediump vec4 sampyp_6;
  mediump vec4 sampyn_7;
  mediump vec4 sampxp_8;
  mediump vec4 sampxn_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexxn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxn_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampxp_8 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexyn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyn_7 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampyp_6 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexzn, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzn_5 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzp, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  sampzp_4 = tmpvar_34;
  mediump vec4 v_35;
  v_35 = (mix (mix (sampyn_7, sampyp_6, vec4(float((s_12 >= 0.0)))), mix (mix (sampxn_9, sampxp_8, vec4(float((s_12 >= 0.0)))), mix (sampzn_5, sampzp_4, vec4(float((s_12 >= 0.0)))), vec4(zxlerp_14)), vec4(nylerp_13)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_36;
  tmpvar_36.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_36.w = (((v_35.x + v_35.y) + v_35.z) + v_35.w);
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_2 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * tmpvar_36) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2)));
  color_3.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_3.w = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = color_3.w;
  lowp vec3 tmpvar_65;
  tmpvar_65 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_66;
  lowp float tmpvar_67;
  tmpvar_67 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_68;
  tmpvar_68 = (_LightShadowData.x + (tmpvar_67 * (1.0 - _LightShadowData.x)));
  shadow_66 = tmpvar_68;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_65;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = shadow_66;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_3.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  color_3.w = tmpvar_64;
  tmpvar_1 = color_3;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 707
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_52);
  lightDir_52 = tmpvar_56;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_54);
  normal_54 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * 4.0);
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_52);
  lightDir_52 = tmpvar_56;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_54);
  normal_54 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * 4.0);
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_52);
  lightDir_52 = tmpvar_56;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_54);
  normal_54 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * 4.0);
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_52);
  lightDir_52 = tmpvar_56;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_54);
  normal_54 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * 4.0);
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_52);
  lightDir_52 = tmpvar_56;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_54);
  normal_54 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * 4.0);
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_52);
  lightDir_52 = tmpvar_56;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_54);
  normal_54 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * 4.0);
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_5.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_5.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_5.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_52);
  lightDir_52 = tmpvar_56;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_54);
  normal_54 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * 4.0);
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_52);
  lightDir_52 = tmpvar_56;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_54);
  normal_54 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_58) * 4.0);
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_33;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_5.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_4 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_37.xyz;
  highp float tmpvar_38;
  highp vec3 p_39;
  p_39 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_38 = sqrt(dot (p_39, p_39));
  highp vec3 p_40;
  p_40 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_42;
  tmpvar_42 = mix (0.0, tmpvar_37.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_38), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_38)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_40, p_40)) - (_RimDistSub * sqrt(dot (p_41, p_41))))), 0.0, 1.0)));
  color_5.w = tmpvar_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_45;
  tmpvar_45 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_44 * tmpvar_44)));
  highp float tmpvar_46;
  tmpvar_46 = pow (tmpvar_45, 2.0);
  highp float tmpvar_47;
  tmpvar_47 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_46));
  highp float tmpvar_48;
  tmpvar_48 = clamp (((float((_OceanRadius >= tmpvar_45)) * float((tmpvar_44 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = (sphereCheck_2 * float((tmpvar_38 >= mix ((tmpvar_47 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_46))), (tmpvar_44 - tmpvar_47), float((tmpvar_44 >= 0.0))))));
  sphereCheck_2 = tmpvar_49;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_50;
  tmpvar_50 = color_5.w;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_37.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_50;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_54);
  lightDir_54 = tmpvar_58;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_56);
  normal_56 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_60) * 4.0);
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_35;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  mediump float lightShadowDataX_55;
  highp float dist_56;
  lowp float tmpvar_57;
  tmpvar_57 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_56 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = _LightShadowData.x;
  lightShadowDataX_55 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = max (float((dist_56 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_55);
  tmpvar_54 = tmpvar_59;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_53;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_54;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_5.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_53;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_54;
  mediump vec4 c_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_57);
  normal_57 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_60);
  highp vec3 tmpvar_63;
  tmpvar_63 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_62) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_63;
  c_59.w = (tmpvar_62 * (atten_58 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  color_5.xyz = (c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_4 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_39.xyz;
  highp float tmpvar_40;
  highp vec3 p_41;
  p_41 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_40 = sqrt(dot (p_41, p_41));
  highp vec3 p_42;
  p_42 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_43;
  p_43 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_44;
  tmpvar_44 = mix (0.0, tmpvar_39.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_40), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_40)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_42, p_42)) - (_RimDistSub * sqrt(dot (p_43, p_43))))), 0.0, 1.0)));
  color_5.w = tmpvar_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_47;
  tmpvar_47 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_46 * tmpvar_46)));
  highp float tmpvar_48;
  tmpvar_48 = pow (tmpvar_47, 2.0);
  highp float tmpvar_49;
  tmpvar_49 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_48));
  highp float tmpvar_50;
  tmpvar_50 = clamp (((float((_OceanRadius >= tmpvar_47)) * float((tmpvar_46 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (sphereCheck_2 * float((tmpvar_40 >= mix ((tmpvar_49 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_48))), (tmpvar_46 - tmpvar_49), float((tmpvar_46 >= 0.0))))));
  sphereCheck_2 = tmpvar_51;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_52;
  tmpvar_52 = color_5.w;
  lowp vec3 tmpvar_53;
  tmpvar_53 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_54;
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_56;
  tmpvar_56 = (_LightShadowData.x + (tmpvar_55 * (1.0 - _LightShadowData.x)));
  shadow_54 = tmpvar_56;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_53;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD5;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = shadow_54;
  mediump vec4 c_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(lightDir_57);
  lightDir_57 = tmpvar_62;
  viewDir_58 = normalize(viewDir_58);
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_59);
  normal_59 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  highp vec3 tmpvar_65;
  tmpvar_65 = (((tmpvar_39.xyz * _LightColor0.xyz) * tmpvar_64) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_65;
  c_61.w = (tmpvar_64 * (atten_60 * 4.0));
  lowp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  color_5.xyz = (c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_52;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 c_26;
  float tmpvar_27;
  tmpvar_27 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_26.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_27) * 4.0);
  c_26.w = (tmpvar_27 * 4.0);
  float tmpvar_28;
  tmpvar_28 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_26 * mix (1.0, clamp (floor((1.01 + tmpvar_28)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_28)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_25;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_5.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_5.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 c_26;
  float tmpvar_27;
  tmpvar_27 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_26.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_27) * 4.0);
  c_26.w = (tmpvar_27 * 4.0);
  float tmpvar_28;
  tmpvar_28 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_26 * mix (1.0, clamp (floor((1.01 + tmpvar_28)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_28)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_25;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_5.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_5.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 c_26;
  float tmpvar_27;
  tmpvar_27 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_26.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_27) * 4.0);
  c_26.w = (tmpvar_27 * 4.0);
  float tmpvar_28;
  tmpvar_28 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_26 * mix (1.0, clamp (floor((1.01 + tmpvar_28)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_28)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_25;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_5.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_5.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 tmpvar_26;
  tmpvar_26 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_27;
  float tmpvar_28;
  tmpvar_28 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_27.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_28) * (tmpvar_26.x * 4.0));
  c_27.w = (tmpvar_28 * (tmpvar_26.x * 4.0));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_27 * mix (1.0, clamp (floor((1.01 + tmpvar_29)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_29)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_25;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 tmpvar_26;
  tmpvar_26 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_27;
  float tmpvar_28;
  tmpvar_28 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_27.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_28) * (tmpvar_26.x * 4.0));
  c_27.w = (tmpvar_28 * (tmpvar_26.x * 4.0));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_27 * mix (1.0, clamp (floor((1.01 + tmpvar_29)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_29)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_25;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 tmpvar_26;
  tmpvar_26 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_27;
  float tmpvar_28;
  tmpvar_28 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_27.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_28) * (tmpvar_26.x * 4.0));
  c_27.w = (tmpvar_28 * (tmpvar_26.x * 4.0));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_27 * mix (1.0, clamp (floor((1.01 + tmpvar_29)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_29)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_25;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 c_26;
  float tmpvar_27;
  tmpvar_27 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_26.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_27) * 4.0);
  c_26.w = (tmpvar_27 * 4.0);
  float tmpvar_28;
  tmpvar_28 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_26 * mix (1.0, clamp (floor((1.01 + tmpvar_28)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_28)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_25;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_5.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_44;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump vec4 c_48;
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(lightDir_45);
  lightDir_45 = tmpvar_49;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(normal_47);
  normal_47 = tmpvar_50;
  mediump float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  highp vec3 tmpvar_52;
  tmpvar_52 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_51) * 4.0);
  c_48.xyz = tmpvar_52;
  c_48.w = (tmpvar_51 * 4.0);
  lowp vec3 tmpvar_53;
  tmpvar_53 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_53;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float tmpvar_56;
  tmpvar_56 = dot (normal_55, lightDir_54);
  color_5.xyz = (c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 tmpvar_26;
  tmpvar_26 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_27;
  float tmpvar_28;
  tmpvar_28 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_27.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_28) * (tmpvar_26.x * 4.0));
  c_27.w = (tmpvar_28 * (tmpvar_26.x * 4.0));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_27 * mix (1.0, clamp (floor((1.01 + tmpvar_29)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_29)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_25;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  mediump float lightShadowDataX_46;
  highp float dist_47;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_47 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = _LightShadowData.x;
  lightShadowDataX_46 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = max (float((dist_47 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_46);
  tmpvar_45 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_44;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = tmpvar_45;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_5.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_45;
  tmpvar_45 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_44;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump float atten_49;
  atten_49 = tmpvar_45;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_46);
  lightDir_46 = tmpvar_51;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_48);
  normal_48 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_53) * (atten_49 * 4.0));
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * (atten_49 * 4.0));
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_4 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_30.xyz;
  highp float tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  highp vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_35;
  tmpvar_35 = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  color_5.w = tmpvar_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  highp float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  highp float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  highp float tmpvar_41;
  tmpvar_41 = clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = (sphereCheck_2 * float((tmpvar_31 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))));
  sphereCheck_2 = tmpvar_42;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_43;
  tmpvar_43 = color_5.w;
  lowp vec3 tmpvar_44;
  tmpvar_44 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_45;
  lowp float tmpvar_46;
  tmpvar_46 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_47;
  tmpvar_47 = (_LightShadowData.x + (tmpvar_46 * (1.0 - _LightShadowData.x)));
  shadow_45 = tmpvar_47;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_44;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = shadow_45;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_43;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_46;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump vec4 c_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(normal_49);
  normal_49 = tmpvar_52;
  mediump float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  highp vec3 tmpvar_54;
  tmpvar_54 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_53) * 4.0);
  c_50.xyz = tmpvar_54;
  c_50.w = (tmpvar_53 * 4.0);
  lowp vec3 tmpvar_55;
  tmpvar_55 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float tmpvar_58;
  tmpvar_58 = dot (normal_57, lightDir_56);
  color_5.xyz = (c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_27;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_46;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_47;
  mediump vec4 c_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_55);
  normal_55 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_58);
  highp vec3 tmpvar_61;
  tmpvar_61 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_60) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_61;
  c_57.w = (tmpvar_60 * (atten_56 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  color_5.xyz = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_46;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump float atten_51;
  atten_51 = tmpvar_47;
  mediump vec4 c_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_50);
  normal_50 = tmpvar_54;
  mediump float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  highp vec3 tmpvar_56;
  tmpvar_56 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_55) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_56;
  c_52.w = (tmpvar_55 * (atten_51 * 4.0));
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  color_5.xyz = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_4 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_32.xyz;
  highp float tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  highp vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_37;
  tmpvar_37 = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  color_5.w = tmpvar_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_40;
  tmpvar_40 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_39 * tmpvar_39)));
  highp float tmpvar_41;
  tmpvar_41 = pow (tmpvar_40, 2.0);
  highp float tmpvar_42;
  tmpvar_42 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_41));
  highp float tmpvar_43;
  tmpvar_43 = clamp (((float((_OceanRadius >= tmpvar_40)) * float((tmpvar_39 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = (sphereCheck_2 * float((tmpvar_33 >= mix ((tmpvar_42 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_41))), (tmpvar_39 - tmpvar_42), float((tmpvar_39 >= 0.0))))));
  sphereCheck_2 = tmpvar_44;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_45;
  tmpvar_45 = color_5.w;
  lowp vec3 tmpvar_46;
  tmpvar_46 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_47;
  lowp float tmpvar_48;
  tmpvar_48 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_49;
  tmpvar_49 = (_LightShadowData.x + (tmpvar_48 * (1.0 - _LightShadowData.x)));
  shadow_47 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_46;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = shadow_47;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_5.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_45;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_5.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_5.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_5.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_5.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_5.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_5.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_5.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_5.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_5.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_5.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_5.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_5.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_4 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_52.xyz;
  highp float tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_53 = sqrt(dot (p_54, p_54));
  highp vec3 p_55;
  p_55 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_57;
  tmpvar_57 = mix (0.0, tmpvar_52.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_53), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_53)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_55, p_55)) - (_RimDistSub * sqrt(dot (p_56, p_56))))), 0.0, 1.0)));
  color_5.w = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_60;
  tmpvar_60 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_59 * tmpvar_59)));
  highp float tmpvar_61;
  tmpvar_61 = pow (tmpvar_60, 2.0);
  highp float tmpvar_62;
  tmpvar_62 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_61));
  highp float tmpvar_63;
  tmpvar_63 = clamp (((float((_OceanRadius >= tmpvar_60)) * float((tmpvar_59 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (sphereCheck_2 * float((tmpvar_53 >= mix ((tmpvar_62 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_61))), (tmpvar_59 - tmpvar_62), float((tmpvar_59 >= 0.0))))));
  sphereCheck_2 = tmpvar_64;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_65;
  tmpvar_65 = color_5.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_52.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_69);
  lightDir_69 = tmpvar_73;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_71);
  normal_71 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_75) * 4.0);
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * 4.0);
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_5.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_41;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  mediump float lightShadowDataX_70;
  highp float dist_71;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_71 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = _LightShadowData.x;
  lightShadowDataX_70 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = max (float((dist_71 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_70);
  tmpvar_69 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_68;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_69;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_5.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_68;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = tmpvar_69;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_5.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_4 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_54.xyz;
  highp float tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_55 = sqrt(dot (p_56, p_56));
  highp vec3 p_57;
  p_57 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_59;
  tmpvar_59 = mix (0.0, tmpvar_54.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_55), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_55)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_57, p_57)) - (_RimDistSub * sqrt(dot (p_58, p_58))))), 0.0, 1.0)));
  color_5.w = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_62;
  tmpvar_62 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_61 * tmpvar_61)));
  highp float tmpvar_63;
  tmpvar_63 = pow (tmpvar_62, 2.0);
  highp float tmpvar_64;
  tmpvar_64 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_63));
  highp float tmpvar_65;
  tmpvar_65 = clamp (((float((_OceanRadius >= tmpvar_62)) * float((tmpvar_61 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (sphereCheck_2 * float((tmpvar_55 >= mix ((tmpvar_64 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_63))), (tmpvar_61 - tmpvar_64), float((tmpvar_61 >= 0.0))))));
  sphereCheck_2 = tmpvar_66;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_67;
  tmpvar_67 = color_5.w;
  lowp vec3 tmpvar_68;
  tmpvar_68 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_69;
  lowp float tmpvar_70;
  tmpvar_70 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_71;
  tmpvar_71 = (_LightShadowData.x + (tmpvar_70 * (1.0 - _LightShadowData.x)));
  shadow_69 = tmpvar_71;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_68;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD5;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float atten_75;
  atten_75 = shadow_69;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  viewDir_73 = normalize(viewDir_73);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_74);
  normal_74 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_54.xyz * _LightColor0.xyz) * tmpvar_79) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * (atten_75 * 4.0));
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_75);
  normal_75 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * 4.0);
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * 4.0);
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_75);
  normal_75 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * 4.0);
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * 4.0);
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_75);
  normal_75 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * 4.0);
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * 4.0);
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_75);
  normal_75 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * 4.0);
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * 4.0);
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_75);
  normal_75 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * 4.0);
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * 4.0);
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_75);
  normal_75 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * 4.0);
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * 4.0);
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_72;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = tmpvar_73;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_5.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_72;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float atten_77;
  atten_77 = tmpvar_73;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_76);
  normal_76 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_81) * (atten_77 * 4.0));
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_72;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = tmpvar_73;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_5.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_72;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float atten_77;
  atten_77 = tmpvar_73;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_76);
  normal_76 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_81) * (atten_77 * 4.0));
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_72;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = tmpvar_73;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_5.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_72;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float atten_77;
  atten_77 = tmpvar_73;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_76);
  normal_76 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_81) * (atten_77 * 4.0));
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_75);
  normal_75 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * 4.0);
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * 4.0);
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump vec4 c_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normal_75);
  normal_75 = tmpvar_78;
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_77);
  highp vec3 tmpvar_80;
  tmpvar_80 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_79) * 4.0);
  c_76.xyz = tmpvar_80;
  c_76.w = (tmpvar_79 * 4.0);
  lowp vec3 tmpvar_81;
  tmpvar_81 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_81;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float tmpvar_84;
  tmpvar_84 = dot (normal_83, lightDir_82);
  color_5.xyz = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_37;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_72;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = tmpvar_73;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_5.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_72;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float atten_77;
  atten_77 = tmpvar_73;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_76);
  normal_76 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_81) * (atten_77 * 4.0));
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_72;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = shadow_73;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_72;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = shadow_73;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_72;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = shadow_73;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_4 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_58.xyz;
  highp float tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_59 = sqrt(dot (p_60, p_60));
  highp vec3 p_61;
  p_61 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_63;
  tmpvar_63 = mix (0.0, tmpvar_58.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_59), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_59)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_61, p_61)) - (_RimDistSub * sqrt(dot (p_62, p_62))))), 0.0, 1.0)));
  color_5.w = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_66;
  tmpvar_66 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_65 * tmpvar_65)));
  highp float tmpvar_67;
  tmpvar_67 = pow (tmpvar_66, 2.0);
  highp float tmpvar_68;
  tmpvar_68 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_67));
  highp float tmpvar_69;
  tmpvar_69 = clamp (((float((_OceanRadius >= tmpvar_66)) * float((tmpvar_65 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (sphereCheck_2 * float((tmpvar_59 >= mix ((tmpvar_68 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_67))), (tmpvar_65 - tmpvar_68), float((tmpvar_65 >= 0.0))))));
  sphereCheck_2 = tmpvar_70;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_71;
  tmpvar_71 = color_5.w;
  lowp vec3 tmpvar_72;
  tmpvar_72 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_72;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = shadow_73;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_58.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_71;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedemfnacakjkfanmcmnphamploohphelciabaaaaaameafaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcdiaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaa
fgafbaaaabaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaabaaaaaaegaobaaa
acaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
abaaaaaaegaobaaaacaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaa
aaaaaaajhcaabaaaabaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedadcbkphbfphlbnikbgmcplcgkofojfpmabaaaaaanmafaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapapaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
diaeaaaaeaaaabaaaoabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
giaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
acaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
acaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadgaaaaafhccabaaa
abaaaaaaegacbaaaaaaaaaaaaaaaaaakhccabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaaipcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaajaaaaaakgbkbaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaakaaaaaapgbpbaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaipcaabaaaacaaaaaafgafbaaaabaaaaaa
egiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
alaaaaaaagaabaaaabaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaa
egiocaaaaaaaaaaaanaaaaaakgakbaaaabaaaaaaegaobaaaacaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaapgapbaaaabaaaaaaegaobaaa
acaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaabaaaaaaaaaaaaajhcaabaaa
abaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaacaaaaaaapaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaiaebaaaaaaaaaaaaaaegiccaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaafaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaagaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_2.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_3);
  xlv_TEXCOORD3 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_2.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_75);
  lightDir_75 = tmpvar_79;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_77);
  normal_77 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_81) * 4.0);
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_5.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 678
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 680
lowp vec4 frag( in v2f IN ) {
    #line 682
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 686
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 690
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 694
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 698
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 702
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 706
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    #line 710
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = tmpvar_39;
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 17 [_PlanetOrigin]
"vs_3_0
; 30 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.y, v0, c5
dp4 r1.x, v0, c4
add r2.xyz, -r1, c16
dp3 r1.w, r2, r2
rsq r1.w, r1.w
mov r0.z, c6.w
mov r0.x, c4.w
mov r0.y, c5.w
add r0.xyz, r1, -r0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul o5.xyz, r0.w, r0
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 r0.w, v0, c11
dp4 o3.w, r0, c15
dp4 o3.z, r0, c14
dp4 o3.y, r0, c13
dp4 o3.x, r0, c12
mov o4, r0
mov r0.xyz, c17
mul o6.xyz, r1.w, r2
mov o1.xyz, r1
add o2.xyz, -c16, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 28 instructions, 3 temp regs, 0 temp arrays:
// ALU 25 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  mediump float lightShadowDataX_76;
  highp float dist_77;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_77 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = _LightShadowData.x;
  lightShadowDataX_76 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = max (float((dist_77 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_76);
  tmpvar_75 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_74;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD5;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_75;
  mediump vec4 c_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  viewDir_82 = normalize(viewDir_82);
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_83);
  normal_83 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  highp vec3 tmpvar_89;
  tmpvar_89 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_88) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_89;
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  color_5.xyz = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_74;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_75;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_5.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = tmpvar_1;
  xlv_TEXCOORD8 = tmpvar_2;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float sphereCheck_2;
  mediump vec3 worldDir_3;
  mediump float detailLevel_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_4 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_4)));
  color_5.xyz = tmpvar_60.xyz;
  highp float tmpvar_61;
  highp vec3 p_62;
  p_62 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_61 = sqrt(dot (p_62, p_62));
  highp vec3 p_63;
  p_63 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_64;
  p_64 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_65;
  tmpvar_65 = mix (0.0, tmpvar_60.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_61), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_61)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_63, p_63)) - (_RimDistSub * sqrt(dot (p_64, p_64))))), 0.0, 1.0)));
  color_5.w = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD1, worldDir_3);
  highp float tmpvar_68;
  tmpvar_68 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_67 * tmpvar_67)));
  highp float tmpvar_69;
  tmpvar_69 = pow (tmpvar_68, 2.0);
  highp float tmpvar_70;
  tmpvar_70 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_69));
  highp float tmpvar_71;
  tmpvar_71 = clamp (((float((_OceanRadius >= tmpvar_68)) * float((tmpvar_67 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (sphereCheck_2 * float((tmpvar_61 >= mix ((tmpvar_70 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_69))), (tmpvar_67 - tmpvar_70), float((tmpvar_67 >= 0.0))))));
  sphereCheck_2 = tmpvar_72;
  color_5.w = (color_5.w * (1.0 - sphereCheck_2));
  mediump float tmpvar_73;
  tmpvar_73 = color_5.w;
  lowp vec3 tmpvar_74;
  tmpvar_74 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_75;
  lowp float tmpvar_76;
  tmpvar_76 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_77;
  tmpvar_77 = (_LightShadowData.x + (tmpvar_76 * (1.0 - _LightShadowData.x)));
  shadow_75 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_74;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD5;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = shadow_75;
  mediump vec4 c_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  viewDir_79 = normalize(viewDir_79);
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(normal_80);
  normal_80 = tmpvar_84;
  mediump float tmpvar_85;
  tmpvar_85 = dot (tmpvar_84, tmpvar_83);
  highp vec3 tmpvar_86;
  tmpvar_86 = (((tmpvar_60.xyz * _LightColor0.xyz) * tmpvar_85) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_86;
  c_82.w = (tmpvar_85 * (atten_81 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  color_5.xyz = (c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).xyz;
  color_5.w = tmpvar_73;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 687
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 689
lowp vec4 frag( in v2f IN ) {
    #line 691
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 695
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 699
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 703
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 707
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 711
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 715
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 719
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 c_30;
  float tmpvar_31;
  tmpvar_31 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_30.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_31) * 4.0);
  c_30.w = (tmpvar_31 * 4.0);
  float tmpvar_32;
  tmpvar_32 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_30 * mix (1.0, clamp (floor((1.01 + tmpvar_32)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_32)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_29 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_43;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_44);
  lightDir_44 = tmpvar_48;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_46);
  normal_46 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_50) * 4.0);
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * 4.0);
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_43;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_44);
  lightDir_44 = tmpvar_48;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_46);
  normal_46 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_50) * 4.0);
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * 4.0);
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 c_30;
  float tmpvar_31;
  tmpvar_31 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_30.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_31) * 4.0);
  c_30.w = (tmpvar_31 * 4.0);
  float tmpvar_32;
  tmpvar_32 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_30 * mix (1.0, clamp (floor((1.01 + tmpvar_32)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_32)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_29 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_43;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_44);
  lightDir_44 = tmpvar_48;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_46);
  normal_46 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_50) * 4.0);
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * 4.0);
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_43;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_44);
  lightDir_44 = tmpvar_48;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_46);
  normal_46 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_50) * 4.0);
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * 4.0);
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 c_30;
  float tmpvar_31;
  tmpvar_31 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_30.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_31) * 4.0);
  c_30.w = (tmpvar_31 * 4.0);
  float tmpvar_32;
  tmpvar_32 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_30 * mix (1.0, clamp (floor((1.01 + tmpvar_32)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_32)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_29 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_43;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_44);
  lightDir_44 = tmpvar_48;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_46);
  normal_46 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_50) * 4.0);
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * 4.0);
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_43;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_44);
  lightDir_44 = tmpvar_48;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_46);
  normal_46 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_50) * 4.0);
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * 4.0);
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 tmpvar_30;
  tmpvar_30 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_31;
  float tmpvar_32;
  tmpvar_32 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_31.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_32) * (tmpvar_30.x * 4.0));
  c_31.w = (tmpvar_32 * (tmpvar_30.x * 4.0));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_31 * mix (1.0, clamp (floor((1.01 + tmpvar_33)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_33)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_29 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_44;
  mediump float lightShadowDataX_45;
  highp float dist_46;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_46 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = _LightShadowData.x;
  lightShadowDataX_45 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = max (float((dist_46 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_45);
  tmpvar_44 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_43;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = tmpvar_44;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_4.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_64 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_65;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_43;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_44;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 tmpvar_30;
  tmpvar_30 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_31;
  float tmpvar_32;
  tmpvar_32 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_31.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_32) * (tmpvar_30.x * 4.0));
  c_31.w = (tmpvar_32 * (tmpvar_30.x * 4.0));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_31 * mix (1.0, clamp (floor((1.01 + tmpvar_33)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_33)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_29 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_44;
  mediump float lightShadowDataX_45;
  highp float dist_46;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_46 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = _LightShadowData.x;
  lightShadowDataX_45 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = max (float((dist_46 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_45);
  tmpvar_44 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_43;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = tmpvar_44;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_4.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_64 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_65;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_43;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_44;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 tmpvar_30;
  tmpvar_30 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_31;
  float tmpvar_32;
  tmpvar_32 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_31.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_32) * (tmpvar_30.x * 4.0));
  c_31.w = (tmpvar_32 * (tmpvar_30.x * 4.0));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_31 * mix (1.0, clamp (floor((1.01 + tmpvar_33)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_33)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_29 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_44;
  mediump float lightShadowDataX_45;
  highp float dist_46;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_46 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = _LightShadowData.x;
  lightShadowDataX_45 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = max (float((dist_46 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_45);
  tmpvar_44 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_43;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = tmpvar_44;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_4.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_64 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_65;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_43;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_44;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 c_30;
  float tmpvar_31;
  tmpvar_31 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_30.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_31) * 4.0);
  c_30.w = (tmpvar_31 * 4.0);
  float tmpvar_32;
  tmpvar_32 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_30 * mix (1.0, clamp (floor((1.01 + tmpvar_32)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_32)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_29 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_43;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_44);
  lightDir_44 = tmpvar_48;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_46);
  normal_46 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_50) * 4.0);
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * 4.0);
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_44;
  lightDir_44 = tmpvar_43;
  mediump vec3 viewDir_45;
  viewDir_45 = xlv_TEXCOORD5;
  mediump vec3 normal_46;
  normal_46 = xlv_TEXCOORD4;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_44);
  lightDir_44 = tmpvar_48;
  viewDir_45 = normalize(viewDir_45);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_46);
  normal_46 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_50) * 4.0);
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * 4.0);
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = color_1.w;
  vec4 tmpvar_30;
  tmpvar_30 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_31;
  float tmpvar_32;
  tmpvar_32 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_31.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_32) * (tmpvar_30.x * 4.0));
  c_31.w = (tmpvar_32 * (tmpvar_30.x * 4.0));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_31 * mix (1.0, clamp (floor((1.01 + tmpvar_33)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_33)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_29 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_44;
  mediump float lightShadowDataX_45;
  highp float dist_46;
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_46 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = _LightShadowData.x;
  lightShadowDataX_45 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = max (float((dist_46 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_45);
  tmpvar_44 = tmpvar_49;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_43;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD5;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = tmpvar_44;
  mediump vec4 c_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  viewDir_51 = normalize(viewDir_51);
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_52);
  normal_52 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  highp vec3 tmpvar_58;
  tmpvar_58 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_57) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_58;
  c_54.w = (tmpvar_57 * (atten_53 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  color_4.xyz = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0))).xyz;
  lowp float tmpvar_63;
  tmpvar_63 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_64 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_65;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_43;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_44;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_44;
  lowp float tmpvar_45;
  tmpvar_45 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_46;
  tmpvar_46 = (_LightShadowData.x + (tmpvar_45 * (1.0 - _LightShadowData.x)));
  shadow_44 = tmpvar_46;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_43;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = shadow_44;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_44;
  lowp float tmpvar_45;
  tmpvar_45 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_46;
  tmpvar_46 = (_LightShadowData.x + (tmpvar_45 * (1.0 - _LightShadowData.x)));
  shadow_44 = tmpvar_46;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_43;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = shadow_44;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_44;
  lowp float tmpvar_45;
  tmpvar_45 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_46;
  tmpvar_46 = (_LightShadowData.x + (tmpvar_45 * (1.0 - _LightShadowData.x)));
  shadow_44 = tmpvar_46;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_43;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = shadow_44;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 tex_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_17;
  mediump float s_18;
  mediump float nylerp_19;
  mediump float zxlerp_20;
  highp vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_16);
  highp float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  zxlerp_20 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  nylerp_19 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_20);
  s_18 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_16.y, s_18, nylerp_19));
  s_18 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(s_18);
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = s_18;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_18);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_16.yxz), mix ((tmpvar_26 * tmpvar_16.xzy), (tmpvar_27 * tmpvar_16.zxy), vec3(zxlerp_20)), vec3(nylerp_19));
  uv_17.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  highp vec2 tmpvar_30;
  tmpvar_30 = (uv_17 * _DetailScale);
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (_DetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  tex_15 = tmpvar_33;
  highp vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_35;
  tmpvar_35 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_34, p_34))), 0.0, 1.0);
  detailLevel_3 = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = ((_Color * tex_5) * mix (tex_15, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_36.xyz;
  highp float tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_37 = sqrt(dot (p_38, p_38));
  highp vec3 p_39;
  p_39 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_41;
  tmpvar_41 = mix (0.0, tmpvar_36.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_37), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_37)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_39, p_39)) - (_RimDistSub * sqrt(dot (p_40, p_40))))), 0.0, 1.0)));
  color_4.w = tmpvar_41;
  mediump float tmpvar_42;
  tmpvar_42 = color_4.w;
  lowp vec3 tmpvar_43;
  tmpvar_43 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_44;
  lowp float tmpvar_45;
  tmpvar_45 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_46;
  tmpvar_46 = (_LightShadowData.x + (tmpvar_45 * (1.0 - _LightShadowData.x)));
  shadow_44 = tmpvar_46;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_43;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = shadow_44;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_36.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_42 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 c_32;
  float tmpvar_33;
  tmpvar_33 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_32.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_33) * 4.0);
  c_32.w = (tmpvar_33 * 4.0);
  float tmpvar_34;
  tmpvar_34 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_34)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_34)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = color_1.w;
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  float tmpvar_34;
  tmpvar_34 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_33.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_34) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_34 * (tmpvar_32.x * 4.0));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_35)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_35)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_31 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_4.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_67;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_4.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_62;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_7;
  highp float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    highp float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    highp float s_10;
    highp float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  highp vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  highp vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  lowp vec4 tmpvar_14;
  tmpvar_14 = texture2DGradEXT (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  tex_5 = tmpvar_14;
  mediump vec4 v_15;
  v_15 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_16;
  tmpvar_16.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_16.w = (((v_15.x + v_15.y) + v_15.z) + v_15.w);
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tmpvar_16) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_4.w = tmpvar_43;
  mediump float tmpvar_44;
  tmpvar_44 = color_4.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_4.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_64;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 c_22;
  float tmpvar_23;
  tmpvar_23 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_22.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_23) * 4.0);
  c_22.w = (tmpvar_23 * 4.0);
  float tmpvar_24;
  tmpvar_24 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_22 * mix (1.0, clamp (floor((1.01 + tmpvar_24)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_24)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_21 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_36;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump vec4 c_40;
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(lightDir_37);
  lightDir_37 = tmpvar_41;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(normal_39);
  normal_39 = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = dot (tmpvar_42, tmpvar_41);
  highp vec3 tmpvar_44;
  tmpvar_44 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_40.xyz = tmpvar_44;
  c_40.w = (tmpvar_43 * 4.0);
  lowp vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float tmpvar_48;
  tmpvar_48 = dot (normal_47, lightDir_46);
  color_4.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_50 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_51;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_36;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump vec4 c_40;
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(lightDir_37);
  lightDir_37 = tmpvar_41;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(normal_39);
  normal_39 = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = dot (tmpvar_42, tmpvar_41);
  highp vec3 tmpvar_44;
  tmpvar_44 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_40.xyz = tmpvar_44;
  c_40.w = (tmpvar_43 * 4.0);
  lowp vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float tmpvar_48;
  tmpvar_48 = dot (normal_47, lightDir_46);
  color_4.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_50 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_51;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 c_22;
  float tmpvar_23;
  tmpvar_23 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_22.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_23) * 4.0);
  c_22.w = (tmpvar_23 * 4.0);
  float tmpvar_24;
  tmpvar_24 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_22 * mix (1.0, clamp (floor((1.01 + tmpvar_24)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_24)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_21 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_36;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump vec4 c_40;
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(lightDir_37);
  lightDir_37 = tmpvar_41;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(normal_39);
  normal_39 = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = dot (tmpvar_42, tmpvar_41);
  highp vec3 tmpvar_44;
  tmpvar_44 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_40.xyz = tmpvar_44;
  c_40.w = (tmpvar_43 * 4.0);
  lowp vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float tmpvar_48;
  tmpvar_48 = dot (normal_47, lightDir_46);
  color_4.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_50 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_51;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_36;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump vec4 c_40;
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(lightDir_37);
  lightDir_37 = tmpvar_41;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(normal_39);
  normal_39 = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = dot (tmpvar_42, tmpvar_41);
  highp vec3 tmpvar_44;
  tmpvar_44 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_40.xyz = tmpvar_44;
  c_40.w = (tmpvar_43 * 4.0);
  lowp vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float tmpvar_48;
  tmpvar_48 = dot (normal_47, lightDir_46);
  color_4.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_50 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_51;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 c_22;
  float tmpvar_23;
  tmpvar_23 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_22.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_23) * 4.0);
  c_22.w = (tmpvar_23 * 4.0);
  float tmpvar_24;
  tmpvar_24 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_22 * mix (1.0, clamp (floor((1.01 + tmpvar_24)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_24)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_21 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_36;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump vec4 c_40;
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(lightDir_37);
  lightDir_37 = tmpvar_41;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(normal_39);
  normal_39 = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = dot (tmpvar_42, tmpvar_41);
  highp vec3 tmpvar_44;
  tmpvar_44 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_40.xyz = tmpvar_44;
  c_40.w = (tmpvar_43 * 4.0);
  lowp vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float tmpvar_48;
  tmpvar_48 = dot (normal_47, lightDir_46);
  color_4.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_50 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_51;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_36;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump vec4 c_40;
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(lightDir_37);
  lightDir_37 = tmpvar_41;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(normal_39);
  normal_39 = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = dot (tmpvar_42, tmpvar_41);
  highp vec3 tmpvar_44;
  tmpvar_44 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_40.xyz = tmpvar_44;
  c_40.w = (tmpvar_43 * 4.0);
  lowp vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float tmpvar_48;
  tmpvar_48 = dot (normal_47, lightDir_46);
  color_4.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_50 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_51;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 tmpvar_22;
  tmpvar_22 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_23;
  float tmpvar_24;
  tmpvar_24 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_23.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_24) * (tmpvar_22.x * 4.0));
  c_23.w = (tmpvar_24 * (tmpvar_22.x * 4.0));
  float tmpvar_25;
  tmpvar_25 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_23 * mix (1.0, clamp (floor((1.01 + tmpvar_25)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_25)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_21 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_37;
  mediump float lightShadowDataX_38;
  highp float dist_39;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_39 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = _LightShadowData.x;
  lightShadowDataX_38 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = max (float((dist_39 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_38);
  tmpvar_37 = tmpvar_42;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_36;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump float atten_46;
  atten_46 = tmpvar_37;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_43);
  lightDir_43 = tmpvar_48;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_45);
  normal_45 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_50) * (atten_46 * 4.0));
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * (atten_46 * 4.0));
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_37;
  tmpvar_37 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_36;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump float atten_41;
  atten_41 = tmpvar_37;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_38);
  lightDir_38 = tmpvar_43;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_40);
  normal_40 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_45) * (atten_41 * 4.0));
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * (atten_41 * 4.0));
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 tmpvar_22;
  tmpvar_22 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_23;
  float tmpvar_24;
  tmpvar_24 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_23.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_24) * (tmpvar_22.x * 4.0));
  c_23.w = (tmpvar_24 * (tmpvar_22.x * 4.0));
  float tmpvar_25;
  tmpvar_25 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_23 * mix (1.0, clamp (floor((1.01 + tmpvar_25)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_25)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_21 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_37;
  mediump float lightShadowDataX_38;
  highp float dist_39;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_39 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = _LightShadowData.x;
  lightShadowDataX_38 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = max (float((dist_39 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_38);
  tmpvar_37 = tmpvar_42;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_36;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump float atten_46;
  atten_46 = tmpvar_37;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_43);
  lightDir_43 = tmpvar_48;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_45);
  normal_45 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_50) * (atten_46 * 4.0));
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * (atten_46 * 4.0));
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_37;
  tmpvar_37 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_36;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump float atten_41;
  atten_41 = tmpvar_37;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_38);
  lightDir_38 = tmpvar_43;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_40);
  normal_40 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_45) * (atten_41 * 4.0));
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * (atten_41 * 4.0));
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 tmpvar_22;
  tmpvar_22 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_23;
  float tmpvar_24;
  tmpvar_24 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_23.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_24) * (tmpvar_22.x * 4.0));
  c_23.w = (tmpvar_24 * (tmpvar_22.x * 4.0));
  float tmpvar_25;
  tmpvar_25 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_23 * mix (1.0, clamp (floor((1.01 + tmpvar_25)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_25)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_21 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_37;
  mediump float lightShadowDataX_38;
  highp float dist_39;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_39 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = _LightShadowData.x;
  lightShadowDataX_38 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = max (float((dist_39 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_38);
  tmpvar_37 = tmpvar_42;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_36;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump float atten_46;
  atten_46 = tmpvar_37;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_43);
  lightDir_43 = tmpvar_48;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_45);
  normal_45 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_50) * (atten_46 * 4.0));
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * (atten_46 * 4.0));
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_37;
  tmpvar_37 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_36;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump float atten_41;
  atten_41 = tmpvar_37;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_38);
  lightDir_38 = tmpvar_43;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_40);
  normal_40 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_45) * (atten_41 * 4.0));
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * (atten_41 * 4.0));
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 c_22;
  float tmpvar_23;
  tmpvar_23 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_22.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_23) * 4.0);
  c_22.w = (tmpvar_23 * 4.0);
  float tmpvar_24;
  tmpvar_24 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_22 * mix (1.0, clamp (floor((1.01 + tmpvar_24)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_24)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_21 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_36;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump vec4 c_40;
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(lightDir_37);
  lightDir_37 = tmpvar_41;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(normal_39);
  normal_39 = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = dot (tmpvar_42, tmpvar_41);
  highp vec3 tmpvar_44;
  tmpvar_44 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_40.xyz = tmpvar_44;
  c_40.w = (tmpvar_43 * 4.0);
  lowp vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float tmpvar_48;
  tmpvar_48 = dot (normal_47, lightDir_46);
  color_4.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_50 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_51;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_37;
  lightDir_37 = tmpvar_36;
  mediump vec3 viewDir_38;
  viewDir_38 = xlv_TEXCOORD5;
  mediump vec3 normal_39;
  normal_39 = xlv_TEXCOORD4;
  mediump vec4 c_40;
  mediump vec3 tmpvar_41;
  tmpvar_41 = normalize(lightDir_37);
  lightDir_37 = tmpvar_41;
  viewDir_38 = normalize(viewDir_38);
  mediump vec3 tmpvar_42;
  tmpvar_42 = normalize(normal_39);
  normal_39 = tmpvar_42;
  mediump float tmpvar_43;
  tmpvar_43 = dot (tmpvar_42, tmpvar_41);
  highp vec3 tmpvar_44;
  tmpvar_44 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_40.xyz = tmpvar_44;
  c_40.w = (tmpvar_43 * 4.0);
  lowp vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float tmpvar_48;
  tmpvar_48 = dot (normal_47, lightDir_46);
  color_4.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_50 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_51;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = color_1.w;
  vec4 tmpvar_22;
  tmpvar_22 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_23;
  float tmpvar_24;
  tmpvar_24 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_23.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_24) * (tmpvar_22.x * 4.0));
  c_23.w = (tmpvar_24 * (tmpvar_22.x * 4.0));
  float tmpvar_25;
  tmpvar_25 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_23 * mix (1.0, clamp (floor((1.01 + tmpvar_25)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_25)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_21 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_37;
  mediump float lightShadowDataX_38;
  highp float dist_39;
  lowp float tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_39 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = _LightShadowData.x;
  lightShadowDataX_38 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = max (float((dist_39 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_38);
  tmpvar_37 = tmpvar_42;
  mediump vec3 lightDir_43;
  lightDir_43 = tmpvar_36;
  mediump vec3 viewDir_44;
  viewDir_44 = xlv_TEXCOORD5;
  mediump vec3 normal_45;
  normal_45 = xlv_TEXCOORD4;
  mediump float atten_46;
  atten_46 = tmpvar_37;
  mediump vec4 c_47;
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(lightDir_43);
  lightDir_43 = tmpvar_48;
  viewDir_44 = normalize(viewDir_44);
  mediump vec3 tmpvar_49;
  tmpvar_49 = normalize(normal_45);
  normal_45 = tmpvar_49;
  mediump float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  highp vec3 tmpvar_51;
  tmpvar_51 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_50) * (atten_46 * 4.0));
  c_47.xyz = tmpvar_51;
  c_47.w = (tmpvar_50 * (atten_46 * 4.0));
  lowp vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float tmpvar_55;
  tmpvar_55 = dot (normal_54, lightDir_53);
  color_4.xyz = (c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_57 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_58;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_37;
  tmpvar_37 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_38;
  lightDir_38 = tmpvar_36;
  mediump vec3 viewDir_39;
  viewDir_39 = xlv_TEXCOORD5;
  mediump vec3 normal_40;
  normal_40 = xlv_TEXCOORD4;
  mediump float atten_41;
  atten_41 = tmpvar_37;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_38);
  lightDir_38 = tmpvar_43;
  viewDir_39 = normalize(viewDir_39);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_40);
  normal_40 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_45) * (atten_41 * 4.0));
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * (atten_41 * 4.0));
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_37;
  lowp float tmpvar_38;
  tmpvar_38 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_39;
  tmpvar_39 = (_LightShadowData.x + (tmpvar_38 * (1.0 - _LightShadowData.x)));
  shadow_37 = tmpvar_39;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_36;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = shadow_37;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_37;
  lowp float tmpvar_38;
  tmpvar_38 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_39;
  tmpvar_39 = (_LightShadowData.x + (tmpvar_38 * (1.0 - _LightShadowData.x)));
  shadow_37 = tmpvar_39;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_36;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = shadow_37;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_37;
  lowp float tmpvar_38;
  tmpvar_38 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_39;
  tmpvar_39 = (_LightShadowData.x + (tmpvar_38 * (1.0 - _LightShadowData.x)));
  shadow_37 = tmpvar_39;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_36;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = shadow_37;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_9);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_13 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  nylerp_12 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_9.x, tmpvar_9.z, zxlerp_13);
  s_11 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_9.y, s_11, nylerp_12));
  s_11 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_11);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_11;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_11);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_9.yxz), mix ((tmpvar_19 * tmpvar_9.xzy), (tmpvar_20 * tmpvar_9.zxy), vec3(zxlerp_13)), vec3(nylerp_12));
  uv_10.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_10.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  highp vec2 tmpvar_23;
  tmpvar_23 = (uv_10 * _DetailScale);
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw);
  tex_8 = tmpvar_26;
  highp vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_28;
  tmpvar_28 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0);
  detailLevel_3 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = ((_Color * tex_5) * mix (tex_8, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_29.xyz;
  highp float tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_30 = sqrt(dot (p_31, p_31));
  highp vec3 p_32;
  p_32 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_34;
  tmpvar_34 = mix (0.0, tmpvar_29.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_30), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_30)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_32, p_32)) - (_RimDistSub * sqrt(dot (p_33, p_33))))), 0.0, 1.0)));
  color_4.w = tmpvar_34;
  mediump float tmpvar_35;
  tmpvar_35 = color_4.w;
  lowp vec3 tmpvar_36;
  tmpvar_36 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_37;
  lowp float tmpvar_38;
  tmpvar_38 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_39;
  tmpvar_39 = (_LightShadowData.x + (tmpvar_38 * (1.0 - _LightShadowData.x)));
  shadow_37 = tmpvar_39;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_36;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = shadow_37;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_29.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_35 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 c_24;
  float tmpvar_25;
  tmpvar_25 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_24.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_25) * 4.0);
  c_24.w = (tmpvar_25 * 4.0);
  float tmpvar_26;
  tmpvar_26 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_24 * mix (1.0, clamp (floor((1.01 + tmpvar_26)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_26)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_39;
  lightDir_39 = tmpvar_38;
  mediump vec3 viewDir_40;
  viewDir_40 = xlv_TEXCOORD5;
  mediump vec3 normal_41;
  normal_41 = xlv_TEXCOORD4;
  mediump vec4 c_42;
  mediump vec3 tmpvar_43;
  tmpvar_43 = normalize(lightDir_39);
  lightDir_39 = tmpvar_43;
  viewDir_40 = normalize(viewDir_40);
  mediump vec3 tmpvar_44;
  tmpvar_44 = normalize(normal_41);
  normal_41 = tmpvar_44;
  mediump float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  highp vec3 tmpvar_46;
  tmpvar_46 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_45) * 4.0);
  c_42.xyz = tmpvar_46;
  c_42.w = (tmpvar_45 * 4.0);
  lowp vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float tmpvar_50;
  tmpvar_50 = dot (normal_49, lightDir_48);
  color_4.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).xyz;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_52 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_53;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = color_1.w;
  vec4 tmpvar_24;
  tmpvar_24 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_25;
  float tmpvar_26;
  tmpvar_26 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_25.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_26) * (tmpvar_24.x * 4.0));
  c_25.w = (tmpvar_26 * (tmpvar_24.x * 4.0));
  float tmpvar_27;
  tmpvar_27 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_25 * mix (1.0, clamp (floor((1.01 + tmpvar_27)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_27)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_23 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  mediump float lightShadowDataX_40;
  highp float dist_41;
  lowp float tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_41 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = _LightShadowData.x;
  lightShadowDataX_40 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = max (float((dist_41 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_40);
  tmpvar_39 = tmpvar_44;
  mediump vec3 lightDir_45;
  lightDir_45 = tmpvar_38;
  mediump vec3 viewDir_46;
  viewDir_46 = xlv_TEXCOORD5;
  mediump vec3 normal_47;
  normal_47 = xlv_TEXCOORD4;
  mediump float atten_48;
  atten_48 = tmpvar_39;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_45);
  lightDir_45 = tmpvar_50;
  viewDir_46 = normalize(viewDir_46);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_47);
  normal_47 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * (atten_48 * 4.0));
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * (atten_48 * 4.0));
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_4.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_60;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_39;
  tmpvar_39 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_40;
  lightDir_40 = tmpvar_38;
  mediump vec3 viewDir_41;
  viewDir_41 = xlv_TEXCOORD5;
  mediump vec3 normal_42;
  normal_42 = xlv_TEXCOORD4;
  mediump float atten_43;
  atten_43 = tmpvar_39;
  mediump vec4 c_44;
  mediump vec3 tmpvar_45;
  tmpvar_45 = normalize(lightDir_40);
  lightDir_40 = tmpvar_45;
  viewDir_41 = normalize(viewDir_41);
  mediump vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_42);
  normal_42 = tmpvar_46;
  mediump float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  highp vec3 tmpvar_48;
  tmpvar_48 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_47) * (atten_43 * 4.0));
  c_44.xyz = tmpvar_48;
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  lowp vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_49;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float tmpvar_52;
  tmpvar_52 = dot (normal_51, lightDir_50);
  color_4.xyz = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_54;
  highp float tmpvar_55;
  tmpvar_55 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_54 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_55;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 tex_5;
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_7;
  tmpvar_7 = textureCube (cube_MainTex, tmpvar_6);
  tex_5 = tmpvar_7;
  mediump vec4 v_8;
  v_8 = (tex_5 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_9;
  tmpvar_9.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_9.w = (((v_8.x + v_8.y) + v_8.z) + v_8.w);
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_3 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tmpvar_9) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_4.w = tmpvar_36;
  mediump float tmpvar_37;
  tmpvar_37 = color_4.w;
  lowp vec3 tmpvar_38;
  tmpvar_38 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_39;
  lowp float tmpvar_40;
  tmpvar_40 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_41;
  tmpvar_41 = (_LightShadowData.x + (tmpvar_40 * (1.0 - _LightShadowData.x)));
  shadow_39 = tmpvar_41;
  mediump vec3 lightDir_42;
  lightDir_42 = tmpvar_38;
  mediump vec3 viewDir_43;
  viewDir_43 = xlv_TEXCOORD5;
  mediump vec3 normal_44;
  normal_44 = xlv_TEXCOORD4;
  mediump float atten_45;
  atten_45 = shadow_39;
  mediump vec4 c_46;
  mediump vec3 tmpvar_47;
  tmpvar_47 = normalize(lightDir_42);
  lightDir_42 = tmpvar_47;
  viewDir_43 = normalize(viewDir_43);
  mediump vec3 tmpvar_48;
  tmpvar_48 = normalize(normal_44);
  normal_44 = tmpvar_48;
  mediump float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  highp vec3 tmpvar_50;
  tmpvar_50 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_49) * (atten_45 * 4.0));
  c_46.xyz = tmpvar_50;
  c_46.w = (tmpvar_49 * (atten_45 * 4.0));
  lowp vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float tmpvar_54;
  tmpvar_54 = dot (normal_53, lightDir_52);
  color_4.xyz = (c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_37 * clamp ((_InvFade * (tmpvar_56 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_57;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_59);
  lightDir_59 = tmpvar_63;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_61);
  normal_61 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_65) * 4.0);
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_4.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_73;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_59);
  lightDir_59 = tmpvar_63;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_61);
  normal_61 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_65) * 4.0);
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_4.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_73;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_59);
  lightDir_59 = tmpvar_63;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_61);
  normal_61 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_65) * 4.0);
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_4.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_73;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_59);
  lightDir_59 = tmpvar_63;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_61);
  normal_61 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_65) * 4.0);
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_4.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_73;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_59);
  lightDir_59 = tmpvar_63;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_61);
  normal_61 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_65) * 4.0);
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_4.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_73;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_59);
  lightDir_59 = tmpvar_63;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_61);
  normal_61 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_65) * 4.0);
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_4.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_73;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_65);
  lightDir_65 = tmpvar_70;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_67);
  normal_67 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_72) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_4.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_79 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_80;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_65);
  lightDir_65 = tmpvar_70;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_67);
  normal_67 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_72) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_4.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_79 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_80;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_65);
  lightDir_65 = tmpvar_70;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_67);
  normal_67 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_72) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_4.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_79 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_80;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_59);
  lightDir_59 = tmpvar_63;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_61);
  normal_61 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_65) * 4.0);
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_4.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_73;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_59);
  lightDir_59 = tmpvar_63;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_61);
  normal_61 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_65) * 4.0);
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_4.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_73;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(lightDir_65);
  lightDir_65 = tmpvar_70;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normal_67);
  normal_67 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_70);
  highp vec3 tmpvar_73;
  tmpvar_73 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_72) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_73;
  c_69.w = (tmpvar_72 * (atten_68 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  color_4.xyz = (c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).xyz;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_79 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_80;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD5;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_60);
  lightDir_60 = tmpvar_65;
  viewDir_61 = normalize(viewDir_61);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_62);
  normal_62 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_67) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * (atten_63 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_DetailTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  highp vec3 p_49;
  p_49 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_50;
  tmpvar_50 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_49, p_49))), 0.0, 1.0);
  detailLevel_3 = tmpvar_50;
  mediump vec4 tmpvar_51;
  tmpvar_51 = ((_Color * tmpvar_29) * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_51.xyz;
  highp float tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_52 = sqrt(dot (p_53, p_53));
  highp vec3 p_54;
  p_54 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_56;
  tmpvar_56 = mix (0.0, tmpvar_51.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_52), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_52)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_54, p_54)) - (_RimDistSub * sqrt(dot (p_55, p_55))))), 0.0, 1.0)));
  color_4.w = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = color_4.w;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_51.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_57 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump vec4 c_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_61);
  lightDir_61 = tmpvar_65;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_63);
  normal_63 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  highp vec3 tmpvar_68;
  tmpvar_68 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_67) * 4.0);
  c_64.xyz = tmpvar_68;
  c_64.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  color_4.xyz = (c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).xyz;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_74 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_75;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  mediump float lightShadowDataX_62;
  highp float dist_63;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_63 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = _LightShadowData.x;
  lightShadowDataX_62 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = max (float((dist_63 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_62);
  tmpvar_61 = tmpvar_66;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_60;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float atten_70;
  atten_70 = tmpvar_61;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_67);
  lightDir_67 = tmpvar_72;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_69);
  normal_69 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * (atten_70 * 4.0));
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * (atten_70 * 4.0));
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_4.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_82;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_61;
  tmpvar_61 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_60;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD5;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_61;
  mediump vec4 c_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(lightDir_62);
  lightDir_62 = tmpvar_67;
  viewDir_63 = normalize(viewDir_63);
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_64);
  normal_64 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  highp vec3 tmpvar_70;
  tmpvar_70 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_69) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_70;
  c_66.w = (tmpvar_69 * (atten_65 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  color_4.xyz = (c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).xyz;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_76 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_77;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 texNeg_5;
  mediump vec4 texPos_6;
  highp vec2 uv_7;
  mediump vec3 detailCoords_8;
  mediump float s_9;
  mediump float nylerp_10;
  mediump float zxlerp_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_12);
  highp float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  zxlerp_11 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = float((mix (tmpvar_13.x, tmpvar_13.z, zxlerp_11) >= tmpvar_13.y));
  nylerp_10 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_11);
  s_9 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = sign(mix (-(tmpvar_12.y), s_9, nylerp_10));
  s_9 = tmpvar_17;
  mediump vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(s_9);
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = s_9;
  highp vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(zxlerp_11));
  detailCoords_8 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(s_9);
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_12.yzx), detailCoords_8, vec3(nylerp_10));
  detailCoords_8 = tmpvar_22;
  mediump vec2 tmpvar_23;
  tmpvar_23 = (((0.5 * detailCoords_8.yz) / abs(detailCoords_8.x)) + 0.5);
  uv_7 = tmpvar_23;
  highp vec2 tmpvar_24;
  tmpvar_24 = abs((uv_7 - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (cube_MainTexPOS, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texPos_6 = tmpvar_26;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexNEG, uv_7, tmpvar_25.xy, tmpvar_25.zw);
  texNeg_5 = tmpvar_27;
  mediump vec4 tmpvar_28;
  tmpvar_28 = mix (texNeg_5, texPos_6, vec4(float((s_9 >= 0.0))));
  mediump vec4 tmpvar_29;
  tmpvar_29.x = tmpvar_28.w;
  tmpvar_29.y = tmpvar_28.w;
  tmpvar_29.z = tmpvar_28.w;
  tmpvar_29.w = mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, zxlerp_11), nylerp_10);
  mediump vec4 v_30;
  v_30 = (tmpvar_29 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_31;
  tmpvar_31.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_31.w = (((v_30.x + v_30.y) + v_30.z) + v_30.w);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_3 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_4.w = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = color_4.w;
  lowp vec3 tmpvar_60;
  tmpvar_60 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_61;
  lowp float tmpvar_62;
  tmpvar_62 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_63;
  tmpvar_63 = (_LightShadowData.x + (tmpvar_62 * (1.0 - _LightShadowData.x)));
  shadow_61 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_60;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD5;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float atten_67;
  atten_67 = shadow_61;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  viewDir_65 = normalize(viewDir_65);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_66);
  normal_66 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_71) * (atten_67 * 4.0));
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * (atten_67 * 4.0));
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_59 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_65);
  lightDir_65 = tmpvar_69;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_67);
  normal_67 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_71) * 4.0);
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * 4.0);
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_65);
  lightDir_65 = tmpvar_69;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_67);
  normal_67 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_71) * 4.0);
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * 4.0);
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_65);
  lightDir_65 = tmpvar_69;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_67);
  normal_67 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_71) * 4.0);
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * 4.0);
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_65);
  lightDir_65 = tmpvar_69;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_67);
  normal_67 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_71) * 4.0);
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * 4.0);
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_65);
  lightDir_65 = tmpvar_69;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_67);
  normal_67 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_71) * 4.0);
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * 4.0);
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_65);
  lightDir_65 = tmpvar_69;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_67);
  normal_67 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_71) * 4.0);
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * 4.0);
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_65;
  mediump float lightShadowDataX_66;
  highp float dist_67;
  lowp float tmpvar_68;
  tmpvar_68 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_67 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = _LightShadowData.x;
  lightShadowDataX_66 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = max (float((dist_67 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_66);
  tmpvar_65 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_64;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_65;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_4.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_86;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_64;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_65;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_65;
  mediump float lightShadowDataX_66;
  highp float dist_67;
  lowp float tmpvar_68;
  tmpvar_68 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_67 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = _LightShadowData.x;
  lightShadowDataX_66 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = max (float((dist_67 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_66);
  tmpvar_65 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_64;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_65;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_4.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_86;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_64;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_65;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_65;
  mediump float lightShadowDataX_66;
  highp float dist_67;
  lowp float tmpvar_68;
  tmpvar_68 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_67 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = _LightShadowData.x;
  lightShadowDataX_66 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = max (float((dist_67 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_66);
  tmpvar_65 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_64;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_65;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_4.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_86;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_64;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_65;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_65);
  lightDir_65 = tmpvar_69;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_67);
  normal_67 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_71) * 4.0);
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * 4.0);
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD5;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump vec4 c_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_65);
  lightDir_65 = tmpvar_69;
  viewDir_66 = normalize(viewDir_66);
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_67);
  normal_67 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_69);
  highp vec3 tmpvar_72;
  tmpvar_72 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_71) * 4.0);
  c_68.xyz = tmpvar_72;
  c_68.w = (tmpvar_71 * 4.0);
  lowp vec3 tmpvar_73;
  tmpvar_73 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float tmpvar_76;
  tmpvar_76 = dot (normal_75, lightDir_74);
  color_4.xyz = (c_68 * mix (1.0, clamp (floor((1.01 + tmpvar_76)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_76)), 0.0, 1.0))).xyz;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_78 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_79;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_65;
  mediump float lightShadowDataX_66;
  highp float dist_67;
  lowp float tmpvar_68;
  tmpvar_68 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_67 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = _LightShadowData.x;
  lightShadowDataX_66 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = max (float((dist_67 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_66);
  tmpvar_65 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_64;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_65;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_4.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_86;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_64;
  mediump vec3 viewDir_67;
  viewDir_67 = xlv_TEXCOORD5;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD4;
  mediump float atten_69;
  atten_69 = tmpvar_65;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_66);
  lightDir_66 = tmpvar_71;
  viewDir_67 = normalize(viewDir_67);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_68);
  normal_68 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_73) * (atten_69 * 4.0));
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * (atten_69 * 4.0));
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_65;
  lowp float tmpvar_66;
  tmpvar_66 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_67;
  tmpvar_67 = (_LightShadowData.x + (tmpvar_66 * (1.0 - _LightShadowData.x)));
  shadow_65 = tmpvar_67;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_64;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = shadow_65;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_65;
  lowp float tmpvar_66;
  tmpvar_66 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_67;
  tmpvar_67 = (_LightShadowData.x + (tmpvar_66 * (1.0 - _LightShadowData.x)));
  shadow_65 = tmpvar_67;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_64;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = shadow_65;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_65;
  lowp float tmpvar_66;
  tmpvar_66 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_67;
  tmpvar_67 = (_LightShadowData.x + (tmpvar_66 * (1.0 - _LightShadowData.x)));
  shadow_65 = tmpvar_67;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_64;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = shadow_65;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 tex_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_37);
  highp float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  zxlerp_41 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  nylerp_40 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = mix (tmpvar_37.x, tmpvar_37.z, zxlerp_41);
  s_39 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = sign(mix (tmpvar_37.y, s_39, nylerp_40));
  s_39 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = -(s_39);
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = s_39;
  mediump vec3 tmpvar_49;
  tmpvar_49.xy = vec2(1.0, 1.0);
  tmpvar_49.z = -(s_39);
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_49 * tmpvar_37.yxz), mix ((tmpvar_47 * tmpvar_37.xzy), (tmpvar_48 * tmpvar_37.zxy), vec3(zxlerp_41)), vec3(nylerp_40));
  uv_38.x = (((0.5 * tmpvar_50.y) / abs(tmpvar_50.x)) + 0.5);
  uv_38.y = (((0.5 * tmpvar_50.z) / abs(tmpvar_50.x)) + 0.5);
  highp vec2 tmpvar_51;
  tmpvar_51 = (uv_38 * _DetailScale);
  highp vec2 tmpvar_52;
  tmpvar_52 = abs((tmpvar_51 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_53;
  tmpvar_53.xy = dFdx(tmpvar_52);
  tmpvar_53.zw = dFdy(tmpvar_52);
  lowp vec4 tmpvar_54;
  tmpvar_54 = texture2DGradEXT (_DetailTex, tmpvar_51, tmpvar_53.xy, tmpvar_53.zw);
  tex_36 = tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_56;
  tmpvar_56 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_55, p_55))), 0.0, 1.0);
  detailLevel_3 = tmpvar_56;
  mediump vec4 tmpvar_57;
  tmpvar_57 = ((_Color * mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14))) * mix (tex_36, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_57.xyz;
  highp float tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_58 = sqrt(dot (p_59, p_59));
  highp vec3 p_60;
  p_60 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_62;
  tmpvar_62 = mix (0.0, tmpvar_57.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_58), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_58)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_60, p_60)) - (_RimDistSub * sqrt(dot (p_61, p_61))))), 0.0, 1.0)));
  color_4.w = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = color_4.w;
  lowp vec3 tmpvar_64;
  tmpvar_64 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_65;
  lowp float tmpvar_66;
  tmpvar_66 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_67;
  tmpvar_67 = (_LightShadowData.x + (tmpvar_66 * (1.0 - _LightShadowData.x)));
  shadow_65 = tmpvar_67;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_64;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = shadow_65;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_57.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_63 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 viewDir_68;
  viewDir_68 = xlv_TEXCOORD5;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump vec4 c_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_67);
  lightDir_67 = tmpvar_71;
  viewDir_68 = normalize(viewDir_68);
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(normal_69);
  normal_69 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (tmpvar_72, tmpvar_71);
  highp vec3 tmpvar_74;
  tmpvar_74 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_73) * 4.0);
  c_70.xyz = tmpvar_74;
  c_70.w = (tmpvar_73 * 4.0);
  lowp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  color_4.xyz = (c_70 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0))).xyz;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_80 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_81;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 703
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    #line 707
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  mediump float lightShadowDataX_68;
  highp float dist_69;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_69 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = _LightShadowData.x;
  lightShadowDataX_68 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = max (float((dist_69 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_68);
  tmpvar_67 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_66;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_67;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_4.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_88;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_66;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float atten_71;
  atten_71 = tmpvar_67;
  mediump vec4 c_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(lightDir_68);
  lightDir_68 = tmpvar_73;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(normal_70);
  normal_70 = tmpvar_74;
  mediump float tmpvar_75;
  tmpvar_75 = dot (tmpvar_74, tmpvar_73);
  highp vec3 tmpvar_76;
  tmpvar_76 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_75) * (atten_71 * 4.0));
  c_72.xyz = tmpvar_76;
  c_72.w = (tmpvar_75 * (atten_71 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  color_4.xyz = (c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).xyz;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_82 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_83;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float detailLevel_3;
  mediump vec4 color_4;
  mediump vec4 sampzp_5;
  mediump vec4 sampzn_6;
  mediump vec4 sampyp_7;
  mediump vec4 sampyn_8;
  mediump vec4 sampxp_9;
  mediump vec4 sampxn_10;
  highp vec2 uv_11;
  mediump vec3 detailCoords_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_16);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_15 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((mix (tmpvar_17.x, tmpvar_17.z, zxlerp_15) >= tmpvar_17.y));
  nylerp_14 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_16.x, tmpvar_16.z, zxlerp_15);
  s_13 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (-(tmpvar_16.y), s_13, nylerp_14));
  s_13 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_13);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_13;
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(zxlerp_15));
  detailCoords_12 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_13);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_16.yzx), detailCoords_12, vec3(nylerp_14));
  detailCoords_12 = tmpvar_26;
  mediump vec2 tmpvar_27;
  tmpvar_27 = (((0.5 * detailCoords_12.yz) / abs(detailCoords_12.x)) + 0.5);
  uv_11 = tmpvar_27;
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((uv_11 - 0.5));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexxn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxn_10 = tmpvar_30;
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampxp_9 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexyn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyn_8 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampyp_7 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexzn, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzn_6 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzp, uv_11, tmpvar_29.xy, tmpvar_29.zw);
  sampzp_5 = tmpvar_35;
  mediump vec4 v_36;
  v_36 = (mix (mix (sampyn_8, sampyp_7, vec4(float((s_13 >= 0.0)))), mix (mix (sampxn_10, sampxp_9, vec4(float((s_13 >= 0.0)))), mix (sampzn_6, sampzp_5, vec4(float((s_13 >= 0.0)))), vec4(zxlerp_15)), vec4(nylerp_14)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_3 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * tmpvar_37) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_4.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_4.w = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = color_4.w;
  lowp vec3 tmpvar_66;
  tmpvar_66 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_67;
  lowp float tmpvar_68;
  tmpvar_68 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_69;
  tmpvar_69 = (_LightShadowData.x + (tmpvar_68 * (1.0 - _LightShadowData.x)));
  shadow_67 = tmpvar_69;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_66;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float atten_73;
  atten_73 = shadow_67;
  mediump vec4 c_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(lightDir_70);
  lightDir_70 = tmpvar_75;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_72);
  normal_72 = tmpvar_76;
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  highp vec3 tmpvar_78;
  tmpvar_78 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_77) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_78;
  c_74.w = (tmpvar_77 * (atten_73 * 4.0));
  lowp vec3 tmpvar_79;
  tmpvar_79 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float tmpvar_82;
  tmpvar_82 = dot (normal_81, lightDir_80);
  color_4.xyz = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0))).xyz;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (tmpvar_65 * clamp ((_InvFade * (tmpvar_84 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_4.w = tmpvar_85;
  tmpvar_1 = color_4;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump float transparency = color.w;
    #line 711
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    #line 715
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    #line 719
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_53);
  lightDir_53 = tmpvar_57;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_55);
  normal_55 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * 4.0);
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * 4.0);
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_53);
  lightDir_53 = tmpvar_57;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_55);
  normal_55 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * 4.0);
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * 4.0);
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_53);
  lightDir_53 = tmpvar_57;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_55);
  normal_55 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * 4.0);
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * 4.0);
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_53);
  lightDir_53 = tmpvar_57;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_55);
  normal_55 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * 4.0);
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * 4.0);
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_53);
  lightDir_53 = tmpvar_57;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_55);
  normal_55 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * 4.0);
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * 4.0);
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_53);
  lightDir_53 = tmpvar_57;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_55);
  normal_55 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * 4.0);
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * 4.0);
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_53;
  mediump float lightShadowDataX_54;
  highp float dist_55;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_55 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = _LightShadowData.x;
  lightShadowDataX_54 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = max (float((dist_55 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_54);
  tmpvar_53 = tmpvar_58;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_52;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = tmpvar_53;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_61);
  normal_61 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_66) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_6.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_73 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_74;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_52;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_53;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_53;
  mediump float lightShadowDataX_54;
  highp float dist_55;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_55 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = _LightShadowData.x;
  lightShadowDataX_54 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = max (float((dist_55 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_54);
  tmpvar_53 = tmpvar_58;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_52;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = tmpvar_53;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_61);
  normal_61 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_66) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_6.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_73 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_74;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_52;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_53;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_53;
  mediump float lightShadowDataX_54;
  highp float dist_55;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_55 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = _LightShadowData.x;
  lightShadowDataX_54 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = max (float((dist_55 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_54);
  tmpvar_53 = tmpvar_58;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_52;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = tmpvar_53;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_61);
  normal_61 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_66) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_6.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_73 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_74;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_52;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_53;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 c_34;
  float tmpvar_35;
  tmpvar_35 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_34.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_35) * 4.0);
  c_34.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_53);
  lightDir_53 = tmpvar_57;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_55);
  normal_55 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * 4.0);
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * 4.0);
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_52;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD5;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_53);
  lightDir_53 = tmpvar_57;
  viewDir_54 = normalize(viewDir_54);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_55);
  normal_55 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_59) * 4.0);
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * 4.0);
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_11;
  vec3 tmpvar_12;
  tmpvar_12 = abs(tmpvar_10);
  float tmpvar_13;
  tmpvar_13 = float((tmpvar_12.z >= tmpvar_12.x));
  float tmpvar_14;
  tmpvar_14 = float((max (tmpvar_12.x, tmpvar_12.z) >= tmpvar_12.y));
  float tmpvar_15;
  tmpvar_15 = sign(mix (tmpvar_10.y, mix (tmpvar_10.x, tmpvar_10.z, tmpvar_13), tmpvar_14));
  vec3 tmpvar_16;
  tmpvar_16.xz = vec2(1.0, 1.0);
  tmpvar_16.y = -(tmpvar_15);
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = tmpvar_15;
  vec3 tmpvar_18;
  tmpvar_18.xy = vec2(1.0, 1.0);
  tmpvar_18.z = -(tmpvar_15);
  vec3 tmpvar_19;
  tmpvar_19 = mix ((tmpvar_18 * tmpvar_10.yxz), mix ((tmpvar_16 * tmpvar_10.xzy), (tmpvar_17 * tmpvar_10.zxy), vec3(tmpvar_13)), vec3(tmpvar_14));
  uv_11.x = (((0.5 * tmpvar_19.y) / abs(tmpvar_19.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_19.z) / abs(tmpvar_19.x)) + 0.5);
  vec2 tmpvar_20;
  tmpvar_20 = (uv_11 * _DetailScale);
  vec2 tmpvar_21;
  tmpvar_21 = abs((tmpvar_20 - (0.5 * _DetailScale)));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(tmpvar_21);
  tmpvar_22.zw = dFdy(tmpvar_21);
  vec3 p_23;
  p_23 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_24;
  tmpvar_24 = ((_Color * texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_20, tmpvar_22.xy, tmpvar_22.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_23, p_23))), 0.0, 1.0))));
  color_1.xyz = tmpvar_24.xyz;
  float tmpvar_25;
  vec3 p_26;
  p_26 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_25 = sqrt(dot (p_26, p_26));
  vec3 p_27;
  p_27 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_24.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_25), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_25)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_27, p_27)) - (_RimDistSub * sqrt(dot (p_28, p_28))))), 0.0, 1.0)));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_30;
  tmpvar_30 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_29 * tmpvar_29)));
  float tmpvar_31;
  tmpvar_31 = pow (tmpvar_30, 2.0);
  float tmpvar_32;
  tmpvar_32 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_31));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_30)) * float((tmpvar_29 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_25 >= mix ((tmpvar_32 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_31))), (tmpvar_29 - tmpvar_32), float((tmpvar_29 >= 0.0))))))));
  float tmpvar_33;
  tmpvar_33 = color_1.w;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_35;
  float tmpvar_36;
  tmpvar_36 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_35.xyz = (((tmpvar_24.xyz * _LightColor0.xyz) * tmpvar_36) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_36 * (tmpvar_34.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_33 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_53;
  mediump float lightShadowDataX_54;
  highp float dist_55;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_55 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = _LightShadowData.x;
  lightShadowDataX_54 = tmpvar_57;
  highp float tmpvar_58;
  tmpvar_58 = max (float((dist_55 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_54);
  tmpvar_53 = tmpvar_58;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_52;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD5;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = tmpvar_53;
  mediump vec4 c_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  viewDir_60 = normalize(viewDir_60);
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_61);
  normal_61 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  highp vec3 tmpvar_67;
  tmpvar_67 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_66) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_67;
  c_63.w = (tmpvar_66 * (atten_62 * 4.0));
  lowp vec3 tmpvar_68;
  tmpvar_68 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_68;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump float tmpvar_71;
  tmpvar_71 = dot (normal_70, lightDir_69);
  color_6.xyz = (c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).xyz;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_73 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_74;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_52;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_53;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_53;
  lowp float tmpvar_54;
  tmpvar_54 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_55;
  tmpvar_55 = (_LightShadowData.x + (tmpvar_54 * (1.0 - _LightShadowData.x)));
  shadow_53 = tmpvar_55;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_52;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = shadow_53;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_53;
  lowp float tmpvar_54;
  tmpvar_54 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_55;
  tmpvar_55 = (_LightShadowData.x + (tmpvar_54 * (1.0 - _LightShadowData.x)));
  shadow_53 = tmpvar_55;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_52;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = shadow_53;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_53;
  lowp float tmpvar_54;
  tmpvar_54 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_55;
  tmpvar_55 = (_LightShadowData.x + (tmpvar_54 * (1.0 - _LightShadowData.x)));
  shadow_53 = tmpvar_55;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_52;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = shadow_53;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_5 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_38.xyz;
  highp float tmpvar_39;
  highp vec3 p_40;
  p_40 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_39 = sqrt(dot (p_40, p_40));
  highp vec3 p_41;
  p_41 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_43;
  tmpvar_43 = mix (0.0, tmpvar_38.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_39), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_39)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_41, p_41)) - (_RimDistSub * sqrt(dot (p_42, p_42))))), 0.0, 1.0)));
  color_6.w = tmpvar_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_46;
  tmpvar_46 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_45 * tmpvar_45)));
  highp float tmpvar_47;
  tmpvar_47 = pow (tmpvar_46, 2.0);
  highp float tmpvar_48;
  tmpvar_48 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = clamp (((float((_OceanRadius >= tmpvar_46)) * float((tmpvar_45 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = (sphereCheck_3 * float((tmpvar_39 >= mix ((tmpvar_48 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_47))), (tmpvar_45 - tmpvar_48), float((tmpvar_45 >= 0.0))))));
  sphereCheck_3 = tmpvar_50;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_51;
  tmpvar_51 = color_6.w;
  lowp vec3 tmpvar_52;
  tmpvar_52 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_53;
  lowp float tmpvar_54;
  tmpvar_54 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_55;
  tmpvar_55 = (_LightShadowData.x + (tmpvar_54 * (1.0 - _LightShadowData.x)));
  shadow_53 = tmpvar_55;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_52;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = shadow_53;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_38.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_51 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 c_36;
  float tmpvar_37;
  tmpvar_37 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_36.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_37) * 4.0);
  c_36.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD5;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_55);
  lightDir_55 = tmpvar_59;
  viewDir_56 = normalize(viewDir_56);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_57);
  normal_57 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_61) * 4.0);
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  vec4 v_10;
  v_10 = (texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_13;
  vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_12);
  float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  float tmpvar_16;
  tmpvar_16 = float((max (tmpvar_14.x, tmpvar_14.z) >= tmpvar_14.y));
  float tmpvar_17;
  tmpvar_17 = sign(mix (tmpvar_12.y, mix (tmpvar_12.x, tmpvar_12.z, tmpvar_15), tmpvar_16));
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = -(tmpvar_17);
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = tmpvar_17;
  vec3 tmpvar_20;
  tmpvar_20.xy = vec2(1.0, 1.0);
  tmpvar_20.z = -(tmpvar_17);
  vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_20 * tmpvar_12.yxz), mix ((tmpvar_18 * tmpvar_12.xzy), (tmpvar_19 * tmpvar_12.zxy), vec3(tmpvar_15)), vec3(tmpvar_16));
  uv_13.x = (((0.5 * tmpvar_21.y) / abs(tmpvar_21.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_21.z) / abs(tmpvar_21.x)) + 0.5);
  vec2 tmpvar_22;
  tmpvar_22 = (uv_13 * _DetailScale);
  vec2 tmpvar_23;
  tmpvar_23 = abs((tmpvar_22 - (0.5 * _DetailScale)));
  vec4 tmpvar_24;
  tmpvar_24.xy = dFdx(tmpvar_23);
  tmpvar_24.zw = dFdy(tmpvar_23);
  vec3 p_25;
  p_25 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_26;
  tmpvar_26 = ((_Color * tmpvar_11) * mix (texture2DGradARB (_DetailTex, tmpvar_22, tmpvar_24.xy, tmpvar_24.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_25, p_25))), 0.0, 1.0))));
  color_1.xyz = tmpvar_26.xyz;
  float tmpvar_27;
  vec3 p_28;
  p_28 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_27 = sqrt(dot (p_28, p_28));
  vec3 p_29;
  p_29 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_26.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_27), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_27)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_29, p_29)) - (_RimDistSub * sqrt(dot (p_30, p_30))))), 0.0, 1.0)));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_32;
  tmpvar_32 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_31 * tmpvar_31)));
  float tmpvar_33;
  tmpvar_33 = pow (tmpvar_32, 2.0);
  float tmpvar_34;
  tmpvar_34 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_33));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_32)) * float((tmpvar_31 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_27 >= mix ((tmpvar_34 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_33))), (tmpvar_31 - tmpvar_34), float((tmpvar_31 >= 0.0))))))));
  float tmpvar_35;
  tmpvar_35 = color_1.w;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_37;
  float tmpvar_38;
  tmpvar_38 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_37.xyz = (((tmpvar_26.xyz * _LightColor0.xyz) * tmpvar_38) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_38 * (tmpvar_36.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_35 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  mediump float lightShadowDataX_56;
  highp float dist_57;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_57 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = _LightShadowData.x;
  lightShadowDataX_56 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = max (float((dist_57 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_56);
  tmpvar_55 = tmpvar_60;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_54;
  mediump vec3 viewDir_62;
  viewDir_62 = xlv_TEXCOORD5;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float atten_64;
  atten_64 = tmpvar_55;
  mediump vec4 c_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_61);
  lightDir_61 = tmpvar_66;
  viewDir_62 = normalize(viewDir_62);
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_63);
  normal_63 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  highp vec3 tmpvar_69;
  tmpvar_69 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_68) * (atten_64 * 4.0));
  c_65.xyz = tmpvar_69;
  c_65.w = (tmpvar_68 * (atten_64 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  color_6.xyz = (c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_75 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_76;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_54;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD5;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float atten_59;
  atten_59 = tmpvar_55;
  mediump vec4 c_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  viewDir_57 = normalize(viewDir_57);
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_58);
  normal_58 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  highp vec3 tmpvar_64;
  tmpvar_64 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_63) * (atten_59 * 4.0));
  c_60.xyz = tmpvar_64;
  c_60.w = (tmpvar_63 * (atten_59 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  color_6.xyz = (c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).xyz;
  lowp float tmpvar_69;
  tmpvar_69 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_70 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_71;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D _MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_5 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_40.xyz;
  highp float tmpvar_41;
  highp vec3 p_42;
  p_42 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_41 = sqrt(dot (p_42, p_42));
  highp vec3 p_43;
  p_43 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_44;
  p_44 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_45;
  tmpvar_45 = mix (0.0, tmpvar_40.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_41), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_41)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_43, p_43)) - (_RimDistSub * sqrt(dot (p_44, p_44))))), 0.0, 1.0)));
  color_6.w = tmpvar_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_48;
  tmpvar_48 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_47 * tmpvar_47)));
  highp float tmpvar_49;
  tmpvar_49 = pow (tmpvar_48, 2.0);
  highp float tmpvar_50;
  tmpvar_50 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_49));
  highp float tmpvar_51;
  tmpvar_51 = clamp (((float((_OceanRadius >= tmpvar_48)) * float((tmpvar_47 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = (sphereCheck_3 * float((tmpvar_41 >= mix ((tmpvar_50 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_49))), (tmpvar_47 - tmpvar_50), float((tmpvar_47 >= 0.0))))));
  sphereCheck_3 = tmpvar_52;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_53;
  tmpvar_53 = color_6.w;
  lowp vec3 tmpvar_54;
  tmpvar_54 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_55;
  lowp float tmpvar_56;
  tmpvar_56 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_57;
  tmpvar_57 = (_LightShadowData.x + (tmpvar_56 * (1.0 - _LightShadowData.x)));
  shadow_55 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_54;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD5;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = shadow_55;
  mediump vec4 c_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_58);
  lightDir_58 = tmpvar_63;
  viewDir_59 = normalize(viewDir_59);
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_60);
  normal_60 = tmpvar_64;
  mediump float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  highp vec3 tmpvar_66;
  tmpvar_66 = (((tmpvar_40.xyz * _LightColor0.xyz) * tmpvar_65) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_66;
  c_62.w = (tmpvar_65 * (atten_61 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  color_6.xyz = (c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).xyz;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (tmpvar_53 * clamp ((_InvFade * (tmpvar_72 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_73;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( _MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 c_26;
  float tmpvar_27;
  tmpvar_27 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_26.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_27) * 4.0);
  c_26.w = (tmpvar_27 * 4.0);
  float tmpvar_28;
  tmpvar_28 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_26 * mix (1.0, clamp (floor((1.01 + tmpvar_28)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_28)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_25 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_6.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_60;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_6.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_60;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 c_26;
  float tmpvar_27;
  tmpvar_27 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_26.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_27) * 4.0);
  c_26.w = (tmpvar_27 * 4.0);
  float tmpvar_28;
  tmpvar_28 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_26 * mix (1.0, clamp (floor((1.01 + tmpvar_28)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_28)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_25 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_6.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_60;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_6.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_60;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 c_26;
  float tmpvar_27;
  tmpvar_27 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_26.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_27) * 4.0);
  c_26.w = (tmpvar_27 * 4.0);
  float tmpvar_28;
  tmpvar_28 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_26 * mix (1.0, clamp (floor((1.01 + tmpvar_28)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_28)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_25 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_6.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_60;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_6.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_60;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 tmpvar_26;
  tmpvar_26 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_27;
  float tmpvar_28;
  tmpvar_28 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_27.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_28) * (tmpvar_26.x * 4.0));
  c_27.w = (tmpvar_28 * (tmpvar_26.x * 4.0));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_27 * mix (1.0, clamp (floor((1.01 + tmpvar_29)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_29)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_25 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 tmpvar_26;
  tmpvar_26 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_27;
  float tmpvar_28;
  tmpvar_28 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_27.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_28) * (tmpvar_26.x * 4.0));
  c_27.w = (tmpvar_28 * (tmpvar_26.x * 4.0));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_27 * mix (1.0, clamp (floor((1.01 + tmpvar_29)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_29)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_25 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 tmpvar_26;
  tmpvar_26 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_27;
  float tmpvar_28;
  tmpvar_28 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_27.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_28) * (tmpvar_26.x * 4.0));
  c_27.w = (tmpvar_28 * (tmpvar_26.x * 4.0));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_27 * mix (1.0, clamp (floor((1.01 + tmpvar_29)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_29)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_25 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 c_26;
  float tmpvar_27;
  tmpvar_27 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_26.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_27) * 4.0);
  c_26.w = (tmpvar_27 * 4.0);
  float tmpvar_28;
  tmpvar_28 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_26 * mix (1.0, clamp (floor((1.01 + tmpvar_28)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_28)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_25 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_6.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_60;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_46;
  lightDir_46 = tmpvar_45;
  mediump vec3 viewDir_47;
  viewDir_47 = xlv_TEXCOORD5;
  mediump vec3 normal_48;
  normal_48 = xlv_TEXCOORD4;
  mediump vec4 c_49;
  mediump vec3 tmpvar_50;
  tmpvar_50 = normalize(lightDir_46);
  lightDir_46 = tmpvar_50;
  viewDir_47 = normalize(viewDir_47);
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(normal_48);
  normal_48 = tmpvar_51;
  mediump float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  highp vec3 tmpvar_53;
  tmpvar_53 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_52) * 4.0);
  c_49.xyz = tmpvar_53;
  c_49.w = (tmpvar_52 * 4.0);
  lowp vec3 tmpvar_54;
  tmpvar_54 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_54;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float tmpvar_57;
  tmpvar_57 = dot (normal_56, lightDir_55);
  color_6.xyz = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).xyz;
  lowp float tmpvar_58;
  tmpvar_58 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_59 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_60;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.xyz = tmpvar_16.xyz;
  float tmpvar_17;
  vec3 p_18;
  p_18 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_17 = sqrt(dot (p_18, p_18));
  vec3 p_19;
  p_19 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_16.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_17), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_17)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_19, p_19)) - (_RimDistSub * sqrt(dot (p_20, p_20))))), 0.0, 1.0)));
  float tmpvar_21;
  tmpvar_21 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_22;
  tmpvar_22 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_21 * tmpvar_21)));
  float tmpvar_23;
  tmpvar_23 = pow (tmpvar_22, 2.0);
  float tmpvar_24;
  tmpvar_24 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_23));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_22)) * float((tmpvar_21 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_17 >= mix ((tmpvar_24 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_23))), (tmpvar_21 - tmpvar_24), float((tmpvar_21 >= 0.0))))))));
  float tmpvar_25;
  tmpvar_25 = color_1.w;
  vec4 tmpvar_26;
  tmpvar_26 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_27;
  float tmpvar_28;
  tmpvar_28 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_27.xyz = (((tmpvar_16.xyz * _LightColor0.xyz) * tmpvar_28) * (tmpvar_26.x * 4.0));
  c_27.w = (tmpvar_28 * (tmpvar_26.x * 4.0));
  float tmpvar_29;
  tmpvar_29 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_27 * mix (1.0, clamp (floor((1.01 + tmpvar_29)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_29)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_25 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  mediump float lightShadowDataX_47;
  highp float dist_48;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_48 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = _LightShadowData.x;
  lightShadowDataX_47 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = max (float((dist_48 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_47);
  tmpvar_46 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_45;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD5;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = tmpvar_46;
  mediump vec4 c_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  viewDir_53 = normalize(viewDir_53);
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_54);
  normal_54 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_57);
  highp vec3 tmpvar_60;
  tmpvar_60 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_59) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_60;
  c_56.w = (tmpvar_59 * (atten_55 * 4.0));
  lowp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD4;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  color_6.xyz = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).xyz;
  lowp float tmpvar_65;
  tmpvar_65 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_66 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_67;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_47;
  lightDir_47 = tmpvar_45;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD5;
  mediump vec3 normal_49;
  normal_49 = xlv_TEXCOORD4;
  mediump float atten_50;
  atten_50 = tmpvar_46;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_47);
  lightDir_47 = tmpvar_52;
  viewDir_48 = normalize(viewDir_48);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_49);
  normal_49 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_54) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * (atten_50 * 4.0));
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 tex_10;
  highp vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_12;
  mediump float s_13;
  mediump float nylerp_14;
  mediump float zxlerp_15;
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_11);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_15 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  nylerp_14 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_11.x, tmpvar_11.z, zxlerp_15);
  s_13 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (tmpvar_11.y, s_13, nylerp_14));
  s_13 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_13);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_13;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_13);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_11.yxz), mix ((tmpvar_21 * tmpvar_11.xzy), (tmpvar_22 * tmpvar_11.zxy), vec3(zxlerp_15)), vec3(nylerp_14));
  uv_12.x = (((0.5 * tmpvar_24.y) / abs(tmpvar_24.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_24.z) / abs(tmpvar_24.x)) + 0.5);
  highp vec2 tmpvar_25;
  tmpvar_25 = (uv_12 * _DetailScale);
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((tmpvar_25 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_DetailTex, tmpvar_25, tmpvar_27.xy, tmpvar_27.zw);
  tex_10 = tmpvar_28;
  highp vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_30;
  tmpvar_30 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0);
  detailLevel_5 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = ((_Color * tex_7) * mix (tex_10, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_31.xyz;
  highp float tmpvar_32;
  highp vec3 p_33;
  p_33 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_32 = sqrt(dot (p_33, p_33));
  highp vec3 p_34;
  p_34 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_36;
  tmpvar_36 = mix (0.0, tmpvar_31.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_32), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_32)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_34, p_34)) - (_RimDistSub * sqrt(dot (p_35, p_35))))), 0.0, 1.0)));
  color_6.w = tmpvar_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_39;
  tmpvar_39 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_38 * tmpvar_38)));
  highp float tmpvar_40;
  tmpvar_40 = pow (tmpvar_39, 2.0);
  highp float tmpvar_41;
  tmpvar_41 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_40));
  highp float tmpvar_42;
  tmpvar_42 = clamp (((float((_OceanRadius >= tmpvar_39)) * float((tmpvar_38 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = (sphereCheck_3 * float((tmpvar_32 >= mix ((tmpvar_41 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_40))), (tmpvar_38 - tmpvar_41), float((tmpvar_38 >= 0.0))))));
  sphereCheck_3 = tmpvar_43;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_44;
  tmpvar_44 = color_6.w;
  lowp vec3 tmpvar_45;
  tmpvar_45 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_46;
  lowp float tmpvar_47;
  tmpvar_47 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_48;
  tmpvar_48 = (_LightShadowData.x + (tmpvar_47 * (1.0 - _LightShadowData.x)));
  shadow_46 = tmpvar_48;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_45;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = shadow_46;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_31.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_44 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 c_28;
  float tmpvar_29;
  tmpvar_29 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_28.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_29) * 4.0);
  c_28.w = (tmpvar_29 * 4.0);
  float tmpvar_30;
  tmpvar_30 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_28 * mix (1.0, clamp (floor((1.01 + tmpvar_30)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_30)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_48;
  lightDir_48 = tmpvar_47;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD5;
  mediump vec3 normal_50;
  normal_50 = xlv_TEXCOORD4;
  mediump vec4 c_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(lightDir_48);
  lightDir_48 = tmpvar_52;
  viewDir_49 = normalize(viewDir_49);
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normal_50);
  normal_50 = tmpvar_53;
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  highp vec3 tmpvar_55;
  tmpvar_55 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_54) * 4.0);
  c_51.xyz = tmpvar_55;
  c_51.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_56;
  tmpvar_56 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_56;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump float tmpvar_59;
  tmpvar_59 = dot (normal_58, lightDir_57);
  color_6.xyz = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).xyz;
  lowp float tmpvar_60;
  tmpvar_60 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_61 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_62;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD3.xyz)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.xyz = tmpvar_18.xyz;
  float tmpvar_19;
  vec3 p_20;
  p_20 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_19 = sqrt(dot (p_20, p_20));
  vec3 p_21;
  p_21 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_22;
  p_22 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_18.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_19), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_19)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_21, p_21)) - (_RimDistSub * sqrt(dot (p_22, p_22))))), 0.0, 1.0)));
  float tmpvar_23;
  tmpvar_23 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_24;
  tmpvar_24 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_23 * tmpvar_23)));
  float tmpvar_25;
  tmpvar_25 = pow (tmpvar_24, 2.0);
  float tmpvar_26;
  tmpvar_26 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_25));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_24)) * float((tmpvar_23 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_19 >= mix ((tmpvar_26 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_25))), (tmpvar_23 - tmpvar_26), float((tmpvar_23 >= 0.0))))))));
  float tmpvar_27;
  tmpvar_27 = color_1.w;
  vec4 tmpvar_28;
  tmpvar_28 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_29;
  float tmpvar_30;
  tmpvar_30 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_29.xyz = (((tmpvar_18.xyz * _LightColor0.xyz) * tmpvar_30) * (tmpvar_28.x * 4.0));
  c_29.w = (tmpvar_30 * (tmpvar_28.x * 4.0));
  float tmpvar_31;
  tmpvar_31 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_29 * mix (1.0, clamp (floor((1.01 + tmpvar_31)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_31)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_27 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = tmpvar_47;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD5;
  mediump vec3 normal_56;
  normal_56 = xlv_TEXCOORD4;
  mediump float atten_57;
  atten_57 = tmpvar_48;
  mediump vec4 c_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  viewDir_55 = normalize(viewDir_55);
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_56);
  normal_56 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_59);
  highp vec3 tmpvar_62;
  tmpvar_62 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_61) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_62;
  c_58.w = (tmpvar_61 * (atten_57 * 4.0));
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  color_6.xyz = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).xyz;
  lowp float tmpvar_67;
  tmpvar_67 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_68 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_69;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_47;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD5;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump float atten_52;
  atten_52 = tmpvar_48;
  mediump vec4 c_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  viewDir_50 = normalize(viewDir_50);
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_51);
  normal_51 = tmpvar_55;
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  highp vec3 tmpvar_57;
  tmpvar_57 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_56) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_57;
  c_53.w = (tmpvar_56 * (atten_52 * 4.0));
  lowp vec3 tmpvar_58;
  tmpvar_58 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float tmpvar_61;
  tmpvar_61 = dot (normal_60, lightDir_59);
  color_6.xyz = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_61)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_61)), 0.0, 1.0))).xyz;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_63 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_64;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform samplerCube cube_MainTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD3.xyz);
  lowp vec4 tmpvar_9;
  tmpvar_9 = textureCube (cube_MainTex, tmpvar_8);
  tex_7 = tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _DetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_DetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  highp vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_32;
  tmpvar_32 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0);
  detailLevel_5 = tmpvar_32;
  mediump vec4 tmpvar_33;
  tmpvar_33 = ((_Color * tmpvar_11) * mix (tex_12, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_33.xyz;
  highp float tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_34 = sqrt(dot (p_35, p_35));
  highp vec3 p_36;
  p_36 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_38;
  tmpvar_38 = mix (0.0, tmpvar_33.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_34), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_34)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_36, p_36)) - (_RimDistSub * sqrt(dot (p_37, p_37))))), 0.0, 1.0)));
  color_6.w = tmpvar_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_41;
  tmpvar_41 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_40 * tmpvar_40)));
  highp float tmpvar_42;
  tmpvar_42 = pow (tmpvar_41, 2.0);
  highp float tmpvar_43;
  tmpvar_43 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_42));
  highp float tmpvar_44;
  tmpvar_44 = clamp (((float((_OceanRadius >= tmpvar_41)) * float((tmpvar_40 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = (sphereCheck_3 * float((tmpvar_34 >= mix ((tmpvar_43 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_42))), (tmpvar_40 - tmpvar_43), float((tmpvar_40 >= 0.0))))));
  sphereCheck_3 = tmpvar_45;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_46;
  tmpvar_46 = color_6.w;
  lowp vec3 tmpvar_47;
  tmpvar_47 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_48;
  lowp float tmpvar_49;
  tmpvar_49 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_50;
  tmpvar_50 = (_LightShadowData.x + (tmpvar_49 * (1.0 - _LightShadowData.x)));
  shadow_48 = tmpvar_50;
  mediump vec3 lightDir_51;
  lightDir_51 = tmpvar_47;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD5;
  mediump vec3 normal_53;
  normal_53 = xlv_TEXCOORD4;
  mediump float atten_54;
  atten_54 = shadow_48;
  mediump vec4 c_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  viewDir_52 = normalize(viewDir_52);
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_53);
  normal_53 = tmpvar_57;
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  highp vec3 tmpvar_59;
  tmpvar_59 = (((tmpvar_33.xyz * _LightColor0.xyz) * tmpvar_58) * (atten_54 * 4.0));
  c_55.xyz = tmpvar_59;
  c_55.w = (tmpvar_58 * (atten_54 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  color_6.xyz = (c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).xyz;
  lowp float tmpvar_64;
  tmpvar_64 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = (tmpvar_46 * clamp ((_InvFade * (tmpvar_65 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_66;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTex, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_68);
  lightDir_68 = tmpvar_72;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_70);
  normal_70 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * 4.0);
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * 4.0);
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_6.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_82;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_68);
  lightDir_68 = tmpvar_72;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_70);
  normal_70 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * 4.0);
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * 4.0);
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_6.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_82;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_68);
  lightDir_68 = tmpvar_72;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_70);
  normal_70 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * 4.0);
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * 4.0);
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_6.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_82;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_68);
  lightDir_68 = tmpvar_72;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_70);
  normal_70 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * 4.0);
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * 4.0);
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_6.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_82;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_68);
  lightDir_68 = tmpvar_72;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_70);
  normal_70 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * 4.0);
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * 4.0);
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_6.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_82;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_68);
  lightDir_68 = tmpvar_72;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_70);
  normal_70 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * 4.0);
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * 4.0);
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_6.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_82;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_68;
  mediump float lightShadowDataX_69;
  highp float dist_70;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_70 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = _LightShadowData.x;
  lightShadowDataX_69 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = max (float((dist_70 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_69);
  tmpvar_68 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_67;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float atten_77;
  atten_77 = tmpvar_68;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_76);
  normal_76 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_81) * (atten_77 * 4.0));
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_6.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  lowp float tmpvar_87;
  tmpvar_87 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_88 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_89;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_68;
  tmpvar_68 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_67;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = tmpvar_68;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_68;
  mediump float lightShadowDataX_69;
  highp float dist_70;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_70 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = _LightShadowData.x;
  lightShadowDataX_69 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = max (float((dist_70 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_69);
  tmpvar_68 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_67;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float atten_77;
  atten_77 = tmpvar_68;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_76);
  normal_76 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_81) * (atten_77 * 4.0));
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_6.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  lowp float tmpvar_87;
  tmpvar_87 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_88 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_89;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_68;
  tmpvar_68 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_67;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = tmpvar_68;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_68;
  mediump float lightShadowDataX_69;
  highp float dist_70;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_70 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = _LightShadowData.x;
  lightShadowDataX_69 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = max (float((dist_70 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_69);
  tmpvar_68 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_67;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float atten_77;
  atten_77 = tmpvar_68;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_76);
  normal_76 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_81) * (atten_77 * 4.0));
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_6.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  lowp float tmpvar_87;
  tmpvar_87 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_88 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_89;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_68;
  tmpvar_68 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_67;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = tmpvar_68;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_68);
  lightDir_68 = tmpvar_72;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_70);
  normal_70 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * 4.0);
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * 4.0);
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_6.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_82;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 viewDir_69;
  viewDir_69 = xlv_TEXCOORD5;
  mediump vec3 normal_70;
  normal_70 = xlv_TEXCOORD4;
  mediump vec4 c_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(lightDir_68);
  lightDir_68 = tmpvar_72;
  viewDir_69 = normalize(viewDir_69);
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_70);
  normal_70 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_72);
  highp vec3 tmpvar_75;
  tmpvar_75 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_74) * 4.0);
  c_71.xyz = tmpvar_75;
  c_71.w = (tmpvar_74 * 4.0);
  lowp vec3 tmpvar_76;
  tmpvar_76 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_76;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float tmpvar_79;
  tmpvar_79 = dot (normal_78, lightDir_77);
  color_6.xyz = (c_71 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0))).xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_81 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_82;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_68;
  mediump float lightShadowDataX_69;
  highp float dist_70;
  lowp float tmpvar_71;
  tmpvar_71 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_70 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = _LightShadowData.x;
  lightShadowDataX_69 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = max (float((dist_70 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_69);
  tmpvar_68 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_67;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float atten_77;
  atten_77 = tmpvar_68;
  mediump vec4 c_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_76);
  normal_76 = tmpvar_80;
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  highp vec3 tmpvar_82;
  tmpvar_82 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_81) * (atten_77 * 4.0));
  c_78.xyz = tmpvar_82;
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  color_6.xyz = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).xyz;
  lowp float tmpvar_87;
  tmpvar_87 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_88 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_89;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_68;
  tmpvar_68 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_69;
  lightDir_69 = tmpvar_67;
  mediump vec3 viewDir_70;
  viewDir_70 = xlv_TEXCOORD5;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float atten_72;
  atten_72 = tmpvar_68;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_69);
  lightDir_69 = tmpvar_74;
  viewDir_70 = normalize(viewDir_70);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_71);
  normal_71 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_76) * (atten_72 * 4.0));
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * (atten_72 * 4.0));
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_68;
  lowp float tmpvar_69;
  tmpvar_69 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_70;
  tmpvar_70 = (_LightShadowData.x + (tmpvar_69 * (1.0 - _LightShadowData.x)));
  shadow_68 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_67;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = shadow_68;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_68;
  lowp float tmpvar_69;
  tmpvar_69 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_70;
  tmpvar_70 = (_LightShadowData.x + (tmpvar_69 * (1.0 - _LightShadowData.x)));
  shadow_68 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_67;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = shadow_68;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_68;
  lowp float tmpvar_69;
  tmpvar_69 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_70;
  tmpvar_70 = (_LightShadowData.x + (tmpvar_69 * (1.0 - _LightShadowData.x)));
  shadow_68 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_67;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = shadow_68;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _DetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_DetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  highp vec3 p_51;
  p_51 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_52;
  tmpvar_52 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_51, p_51))), 0.0, 1.0);
  detailLevel_5 = tmpvar_52;
  mediump vec4 tmpvar_53;
  tmpvar_53 = ((_Color * tmpvar_31) * mix (tex_32, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_53.xyz;
  highp float tmpvar_54;
  highp vec3 p_55;
  p_55 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_54 = sqrt(dot (p_55, p_55));
  highp vec3 p_56;
  p_56 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_58;
  tmpvar_58 = mix (0.0, tmpvar_53.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_54), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_54)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_56, p_56)) - (_RimDistSub * sqrt(dot (p_57, p_57))))), 0.0, 1.0)));
  color_6.w = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_61;
  tmpvar_61 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_60 * tmpvar_60)));
  highp float tmpvar_62;
  tmpvar_62 = pow (tmpvar_61, 2.0);
  highp float tmpvar_63;
  tmpvar_63 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_62));
  highp float tmpvar_64;
  tmpvar_64 = clamp (((float((_OceanRadius >= tmpvar_61)) * float((tmpvar_60 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = (sphereCheck_3 * float((tmpvar_54 >= mix ((tmpvar_63 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_62))), (tmpvar_60 - tmpvar_63), float((tmpvar_60 >= 0.0))))));
  sphereCheck_3 = tmpvar_65;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_66;
  tmpvar_66 = color_6.w;
  lowp vec3 tmpvar_67;
  tmpvar_67 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_68;
  lowp float tmpvar_69;
  tmpvar_69 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_70;
  tmpvar_70 = (_LightShadowData.x + (tmpvar_69 * (1.0 - _LightShadowData.x)));
  shadow_68 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_67;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = shadow_68;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_53.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_66 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 c_42;
  float tmpvar_43;
  tmpvar_43 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_42.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_43) * 4.0);
  c_42.w = (tmpvar_43 * 4.0);
  float tmpvar_44;
  tmpvar_44 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_44)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_44)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD5;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump vec4 c_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  viewDir_71 = normalize(viewDir_71);
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(normal_72);
  normal_72 = tmpvar_75;
  mediump float tmpvar_76;
  tmpvar_76 = dot (tmpvar_75, tmpvar_74);
  highp vec3 tmpvar_77;
  tmpvar_77 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_76) * 4.0);
  c_73.xyz = tmpvar_77;
  c_73.w = (tmpvar_76 * 4.0);
  lowp vec3 tmpvar_78;
  tmpvar_78 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_78;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float tmpvar_81;
  tmpvar_81 = dot (normal_80, lightDir_79);
  color_6.xyz = (c_73 * mix (1.0, clamp (floor((1.01 + tmpvar_81)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_81)), 0.0, 1.0))).xyz;
  lowp float tmpvar_82;
  tmpvar_82 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_83 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_84;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.xyz = tmpvar_32.xyz;
  float tmpvar_33;
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_33 = sqrt(dot (p_34, p_34));
  vec3 p_35;
  p_35 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_36;
  p_36 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_32.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_33), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_33)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_35, p_35)) - (_RimDistSub * sqrt(dot (p_36, p_36))))), 0.0, 1.0)));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_38;
  tmpvar_38 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_37 * tmpvar_37)));
  float tmpvar_39;
  tmpvar_39 = pow (tmpvar_38, 2.0);
  float tmpvar_40;
  tmpvar_40 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_39));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_38)) * float((tmpvar_37 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_33 >= mix ((tmpvar_40 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_39))), (tmpvar_37 - tmpvar_40), float((tmpvar_37 >= 0.0))))))));
  float tmpvar_41;
  tmpvar_41 = color_1.w;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_43;
  float tmpvar_44;
  tmpvar_44 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_43.xyz = (((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_44) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_44 * (tmpvar_42.x * 4.0));
  float tmpvar_45;
  tmpvar_45 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_45)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_45)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_41 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_69;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump float atten_79;
  atten_79 = tmpvar_70;
  mediump vec4 c_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_78);
  normal_78 = tmpvar_82;
  mediump float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  highp vec3 tmpvar_84;
  tmpvar_84 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_83) * (atten_79 * 4.0));
  c_80.xyz = tmpvar_84;
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  color_6.xyz = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).xyz;
  lowp float tmpvar_89;
  tmpvar_89 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_90 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_91;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_69;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD5;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float atten_74;
  atten_74 = tmpvar_70;
  mediump vec4 c_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  viewDir_72 = normalize(viewDir_72);
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_73);
  normal_73 = tmpvar_77;
  mediump float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  highp vec3 tmpvar_79;
  tmpvar_79 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_78) * (atten_74 * 4.0));
  c_75.xyz = tmpvar_79;
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  color_6.xyz = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).xyz;
  lowp float tmpvar_84;
  tmpvar_84 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_85 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_86;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 texNeg_7;
  mediump vec4 texPos_8;
  highp vec2 uv_9;
  mediump vec3 detailCoords_10;
  mediump float s_11;
  mediump float nylerp_12;
  mediump float zxlerp_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_14);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_13 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((mix (tmpvar_15.x, tmpvar_15.z, zxlerp_13) >= tmpvar_15.y));
  nylerp_12 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_13);
  s_11 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (-(tmpvar_14.y), s_11, nylerp_12));
  s_11 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_11);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_11;
  highp vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(zxlerp_13));
  detailCoords_10 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xy = vec2(1.0, 1.0);
  tmpvar_23.z = -(s_11);
  highp vec3 tmpvar_24;
  tmpvar_24 = mix ((tmpvar_23 * tmpvar_14.yzx), detailCoords_10, vec3(nylerp_12));
  detailCoords_10 = tmpvar_24;
  mediump vec2 tmpvar_25;
  tmpvar_25 = (((0.5 * detailCoords_10.yz) / abs(detailCoords_10.x)) + 0.5);
  uv_9 = tmpvar_25;
  highp vec2 tmpvar_26;
  tmpvar_26 = abs((uv_9 - 0.5));
  highp vec4 tmpvar_27;
  tmpvar_27.xy = dFdx(tmpvar_26);
  tmpvar_27.zw = dFdy(tmpvar_26);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexPOS, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texPos_8 = tmpvar_28;
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexNEG, uv_9, tmpvar_27.xy, tmpvar_27.zw);
  texNeg_7 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = mix (texNeg_7, texPos_8, vec4(float((s_11 >= 0.0))));
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_30.w;
  tmpvar_31.y = tmpvar_30.w;
  tmpvar_31.z = tmpvar_30.w;
  tmpvar_31.w = mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, zxlerp_13), nylerp_12);
  mediump vec4 v_32;
  v_32 = (tmpvar_31 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _DetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_DetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  highp vec3 p_53;
  p_53 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_54;
  tmpvar_54 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_53, p_53))), 0.0, 1.0);
  detailLevel_5 = tmpvar_54;
  mediump vec4 tmpvar_55;
  tmpvar_55 = ((_Color * tmpvar_33) * mix (tex_34, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_55.xyz;
  highp float tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_56 = sqrt(dot (p_57, p_57));
  highp vec3 p_58;
  p_58 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_60;
  tmpvar_60 = mix (0.0, tmpvar_55.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_56), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_56)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_58, p_58)) - (_RimDistSub * sqrt(dot (p_59, p_59))))), 0.0, 1.0)));
  color_6.w = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_63;
  tmpvar_63 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_62 * tmpvar_62)));
  highp float tmpvar_64;
  tmpvar_64 = pow (tmpvar_63, 2.0);
  highp float tmpvar_65;
  tmpvar_65 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_64));
  highp float tmpvar_66;
  tmpvar_66 = clamp (((float((_OceanRadius >= tmpvar_63)) * float((tmpvar_62 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = (sphereCheck_3 * float((tmpvar_56 >= mix ((tmpvar_65 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_64))), (tmpvar_62 - tmpvar_65), float((tmpvar_62 >= 0.0))))));
  sphereCheck_3 = tmpvar_67;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_68;
  tmpvar_68 = color_6.w;
  lowp vec3 tmpvar_69;
  tmpvar_69 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_69;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD5;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = shadow_70;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  viewDir_74 = normalize(viewDir_74);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_75);
  normal_75 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_55.xyz * _LightColor0.xyz) * tmpvar_80) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * (atten_76 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_68 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 597
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 601
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 605
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 609
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 613
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_74);
  lightDir_74 = tmpvar_78;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_76);
  normal_76 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * 4.0);
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_74);
  lightDir_74 = tmpvar_78;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_76);
  normal_76 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * 4.0);
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_74);
  lightDir_74 = tmpvar_78;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_76);
  normal_76 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * 4.0);
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_74);
  lightDir_74 = tmpvar_78;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_76);
  normal_76 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * 4.0);
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_74);
  lightDir_74 = tmpvar_78;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_76);
  normal_76 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * 4.0);
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_74);
  lightDir_74 = tmpvar_78;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_76);
  normal_76 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * 4.0);
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD5;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  viewDir_81 = normalize(viewDir_81);
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normal_82);
  normal_82 = tmpvar_86;
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_85);
  highp vec3 tmpvar_88;
  tmpvar_88 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_87) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_88;
  c_84.w = (tmpvar_87 * (atten_83 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  color_6.xyz = (c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).xyz;
  lowp float tmpvar_93;
  tmpvar_93 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_94;
  highp float tmpvar_95;
  tmpvar_95 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_94 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_95;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD5;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  viewDir_81 = normalize(viewDir_81);
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normal_82);
  normal_82 = tmpvar_86;
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_85);
  highp vec3 tmpvar_88;
  tmpvar_88 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_87) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_88;
  c_84.w = (tmpvar_87 * (atten_83 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  color_6.xyz = (c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).xyz;
  lowp float tmpvar_93;
  tmpvar_93 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_94;
  highp float tmpvar_95;
  tmpvar_95 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_94 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_95;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD5;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  viewDir_81 = normalize(viewDir_81);
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normal_82);
  normal_82 = tmpvar_86;
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_85);
  highp vec3 tmpvar_88;
  tmpvar_88 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_87) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_88;
  c_84.w = (tmpvar_87 * (atten_83 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  color_6.xyz = (c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).xyz;
  lowp float tmpvar_93;
  tmpvar_93 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_94;
  highp float tmpvar_95;
  tmpvar_95 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_94 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_95;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 c_38;
  float tmpvar_39;
  tmpvar_39 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_38.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_39) * 4.0);
  c_38.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_74);
  lightDir_74 = tmpvar_78;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_76);
  normal_76 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * 4.0);
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD5;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_74);
  lightDir_74 = tmpvar_78;
  viewDir_75 = normalize(viewDir_75);
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_76);
  normal_76 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_78);
  highp vec3 tmpvar_81;
  tmpvar_81 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_80) * 4.0);
  c_77.xyz = tmpvar_81;
  c_77.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  color_6.xyz = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).xyz;
  lowp float tmpvar_86;
  tmpvar_86 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_87 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_88;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.xyz = tmpvar_28.xyz;
  float tmpvar_29;
  vec3 p_30;
  p_30 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_29 = sqrt(dot (p_30, p_30));
  vec3 p_31;
  p_31 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_28.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_29), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_29)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_31, p_31)) - (_RimDistSub * sqrt(dot (p_32, p_32))))), 0.0, 1.0)));
  float tmpvar_33;
  tmpvar_33 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_34;
  tmpvar_34 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_33 * tmpvar_33)));
  float tmpvar_35;
  tmpvar_35 = pow (tmpvar_34, 2.0);
  float tmpvar_36;
  tmpvar_36 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_35));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_34)) * float((tmpvar_33 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_29 >= mix ((tmpvar_36 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_35))), (tmpvar_33 - tmpvar_36), float((tmpvar_33 >= 0.0))))))));
  float tmpvar_37;
  tmpvar_37 = color_1.w;
  vec4 tmpvar_38;
  tmpvar_38 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_39;
  float tmpvar_40;
  tmpvar_40 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_39.xyz = (((tmpvar_28.xyz * _LightColor0.xyz) * tmpvar_40) * (tmpvar_38.x * 4.0));
  c_39.w = (tmpvar_40 * (tmpvar_38.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_37 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD5;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  viewDir_81 = normalize(viewDir_81);
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normal_82);
  normal_82 = tmpvar_86;
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_85);
  highp vec3 tmpvar_88;
  tmpvar_88 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_87) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_88;
  c_84.w = (tmpvar_87 * (atten_83 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  color_6.xyz = (c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).xyz;
  lowp float tmpvar_93;
  tmpvar_93 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_94;
  highp float tmpvar_95;
  tmpvar_95 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_94 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_95;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD5;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_75);
  lightDir_75 = tmpvar_80;
  viewDir_76 = normalize(viewDir_76);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_77);
  normal_77 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_82) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * (atten_78 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _DetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_DetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  highp vec3 p_57;
  p_57 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_58;
  tmpvar_58 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_57, p_57))), 0.0, 1.0);
  detailLevel_5 = tmpvar_58;
  mediump vec4 tmpvar_59;
  tmpvar_59 = ((_Color * mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16))) * mix (tex_38, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_59.xyz;
  highp float tmpvar_60;
  highp vec3 p_61;
  p_61 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_60 = sqrt(dot (p_61, p_61));
  highp vec3 p_62;
  p_62 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_64;
  tmpvar_64 = mix (0.0, tmpvar_59.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_60), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_60)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_62, p_62)) - (_RimDistSub * sqrt(dot (p_63, p_63))))), 0.0, 1.0)));
  color_6.w = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_67;
  tmpvar_67 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_66 * tmpvar_66)));
  highp float tmpvar_68;
  tmpvar_68 = pow (tmpvar_67, 2.0);
  highp float tmpvar_69;
  tmpvar_69 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_68));
  highp float tmpvar_70;
  tmpvar_70 = clamp (((float((_OceanRadius >= tmpvar_67)) * float((tmpvar_66 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = (sphereCheck_3 * float((tmpvar_60 >= mix ((tmpvar_69 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_68))), (tmpvar_66 - tmpvar_69), float((tmpvar_66 >= 0.0))))));
  sphereCheck_3 = tmpvar_71;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_72;
  tmpvar_72 = color_6.w;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_59.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_72 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = main;
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjlckmhimiflgbangnlmlcfgeclcmdhjdabaaaaaagaahaaaaadaaaaaa
cmaaaaaajmaaaaaajmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
piaaaaaaajaaaaaaaiaaaaaaoaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaomaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaomaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaomaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaomaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaomaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaomaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaomaaaaaaagaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaaomaaaaaaaiaaaaaaaaaaaaaaadaaaaaaaiaaaaaa
apaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
lmafaaaaeaaaabaagpabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadhccabaaa
abaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
pccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaa
gfaaaaadpccabaaaahaaaaaagfaaaaadpccabaaaaiaaaaaagiaaaaacaeaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaa
acaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
diaaaaaipcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaiaaaaaa
dcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaahaaaaaaagbabaaaaaaaaaaa
egaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaajaaaaaa
kgbkbaaaaaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaa
aaaaaaaaakaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaa
adaaaaaafgafbaaaacaaaaaaegiocaaaaaaaaaaaamaaaaaadcaaaaakpcaabaaa
adaaaaaaegiocaaaaaaaaaaaalaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaa
dcaaaaakpcaabaaaadaaaaaaegiocaaaaaaaaaaaanaaaaaakgakbaaaacaaaaaa
egaobaaaadaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaaoaaaaaa
pgapbaaaacaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaa
acaaaaaaapaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaa
egiccaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaafaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhccabaaaagaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaa
afaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaadp
diaaaaakfcaabaaaabaaaaaaagadbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaaaaaaaaaaahdcaabaaaaaaaaaaakgakbaaaabaaaaaamgaabaaa
abaaaaaadgaaaaafpccabaaaahaaaaaaegaobaaaaaaaaaaadgaaaaaflccabaaa
aiaaaaaaegambaaaaaaaaaaadiaaaaaibcaabaaaaaaaaaaabkbabaaaaaaaaaaa
ckiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaa
aeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
ckiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaadkbabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaageccabaaaaiaaaaaaakaabaiaebaaaaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedkklocmdcidhljnnppjgfamompkmmbcjgabaaaaaaamahaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaaaaaafpaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfcenebemaaklklepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaadaaaaaaapaaaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaaeaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaa
afaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaiaaaaneaaaaaaaiaaaaaaaaaaaaaa
adaaaaaaahaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefciaafaaaaeaaaabaagaabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaa
baaaaaaafpaaaaadpcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadpccabaaa
adaaaaaagfaaaaadpccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaad
hccabaaaagaaaaaagfaaaaadpccabaaaahaaaaaagiaaaaacaeaaaaaadiaaaaai
pcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaa
egaobaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaa
acaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaa
agbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
acaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaa
dgaaaaafhccabaaaabaaaaaaegacbaaaabaaaaaaaaaaaaakhccabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaadiaaaaai
pcaabaaaacaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaacaaaaaaegiocaaaaaaaaaaaadaaaaaaagbabaaaaaaaaaaaegaobaaa
acaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaaafaaaaaakgbkbaaa
aaaaaaaaegaobaaaacaaaaaadcaaaaakpcaabaaaacaaaaaaegiocaaaaaaaaaaa
agaaaaaapgbpbaaaaaaaaaaaegaobaaaacaaaaaadiaaaaaipcaabaaaadaaaaaa
fgafbaaaacaaaaaaegiocaaaaaaaaaaaaiaaaaaadcaaaaakpcaabaaaadaaaaaa
egiocaaaaaaaaaaaahaaaaaaagaabaaaacaaaaaaegaobaaaadaaaaaadcaaaaak
pcaabaaaadaaaaaaegiocaaaaaaaaaaaajaaaaaakgakbaaaacaaaaaaegaobaaa
adaaaaaadcaaaaakpccabaaaadaaaaaaegiocaaaaaaaaaaaakaaaaaapgapbaaa
acaaaaaaegaobaaaadaaaaaadgaaaaafpccabaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
apaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaiaebaaaaaaabaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahhccabaaa
afaaaaaakgakbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahhccabaaaagaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaabaaaaaaafaaaaaa
diaaaaakncaabaaaabaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaa
aaaaaadpaaaaaadpdgaaaaaficcabaaaahaaaaaadkaabaaaaaaaaaaaaaaaaaah
dccabaaaahaaaaaakgakbaaaabaaaaaamgaabaaaabaaaaaadiaaaaaibcaabaaa
aaaaaaaabkbabaaaaaaaaaaackiacaaaacaaaaaaafaaaaaadcaaaaakbcaabaaa
aaaaaaaackiacaaaacaaaaaaaeaaaaaaakbabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaagaaaaaackbabaaaaaaaaaaa
akaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaackiacaaaacaaaaaaahaaaaaa
dkbabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaageccabaaaahaaaaaaakaabaia
ebaaaaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 c_40;
  float tmpvar_41;
  tmpvar_41 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_40.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_41) * 4.0);
  c_40.w = (tmpvar_41 * 4.0);
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_40 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord8 o7
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r1.w, v0, c7
dp4 r1.z, v0, c10
dp4 r1.y, v0, c9
dp4 r1.x, v0, c8
mov r0.w, r1
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r1, -r0
dp3 r0.x, r3, r3
rsq r0.z, r0.x
mul o5.xyz, r0.z, r3
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
mul r2.xyz, r0.xyww, c24.x
mul r2.y, r2, c21.x
dp4 r0.z, v0, c6
mov o0, r0
mad o7.xy, r2.z, c22.zwzw, r2
add r2.xyz, -r1, c20
dp3 r2.w, r2, r2
rsq r2.w, r2.w
mov o1.xyz, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mul o6.xyz, r2.w, r2
add o2.xyz, -c20, r1
mov o7.z, -r0.x
mov o7.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 38 instructions, 4 temp regs, 0 temp arrays:
// ALU 33 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD5;
  mediump vec3 normal_78;
  normal_78 = xlv_TEXCOORD4;
  mediump vec4 c_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(lightDir_76);
  lightDir_76 = tmpvar_80;
  viewDir_77 = normalize(viewDir_77);
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_78);
  normal_78 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_80);
  highp vec3 tmpvar_83;
  tmpvar_83 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_82) * 4.0);
  c_79.xyz = tmpvar_83;
  c_79.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  color_6.xyz = (c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).xyz;
  lowp float tmpvar_88;
  tmpvar_88 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_88;
  highp float tmpvar_89;
  tmpvar_89 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_89 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_90;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 666
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 670
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 674
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 678
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 654
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 projPos;
};
#line 647
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 631
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 635
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 639
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 643
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 666
#line 683
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 419
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 421
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 683
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main;
    #line 687
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    #line 691
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    #line 695
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    #line 699
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    #line 703
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    #line 707
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    #line 711
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    #line 715
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    #line 719
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;


uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex);
  vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * gl_Vertex);
  vec4 o_5;
  vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((gl_ModelViewMatrix * gl_Vertex).z);
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * gl_Vertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD8;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying vec4 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform vec3 _PlanetOrigin;
uniform float _InvFade;
uniform float _OceanRadius;
uniform float _RimDistSub;
uniform float _RimDist;
uniform float _DistFadeVert;
uniform float _DistFade;
uniform float _DetailDist;
uniform float _DetailScale;
uniform float _FalloffScale;
uniform float _FalloffPow;
uniform vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ZBufferParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD3.xyz);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD2.xyz);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.xyz = tmpvar_30.xyz;
  float tmpvar_31;
  vec3 p_32;
  p_32 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_31 = sqrt(dot (p_32, p_32));
  vec3 p_33;
  p_33 = (_PlanetOrigin - _WorldSpaceCameraPos);
  vec3 p_34;
  p_34 = (xlv_TEXCOORD0 - _PlanetOrigin);
  color_1.w = mix (0.0, tmpvar_30.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_31), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_31)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_33, p_33)) - (_RimDistSub * sqrt(dot (p_34, p_34))))), 0.0, 1.0)));
  float tmpvar_35;
  tmpvar_35 = dot (xlv_TEXCOORD1, normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos)));
  float tmpvar_36;
  tmpvar_36 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_35 * tmpvar_35)));
  float tmpvar_37;
  tmpvar_37 = pow (tmpvar_36, 2.0);
  float tmpvar_38;
  tmpvar_38 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_37));
  color_1.w = (color_1.w * (1.0 - (clamp (((float((_OceanRadius >= tmpvar_36)) * float((tmpvar_35 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0) * float((tmpvar_31 >= mix ((tmpvar_38 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_37))), (tmpvar_35 - tmpvar_38), float((tmpvar_35 >= 0.0))))))));
  float tmpvar_39;
  tmpvar_39 = color_1.w;
  vec4 tmpvar_40;
  tmpvar_40 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_41;
  float tmpvar_42;
  tmpvar_42 = dot (normalize(xlv_TEXCOORD4), normalize(_WorldSpaceLightPos0.xyz));
  c_41.xyz = (((tmpvar_30.xyz * _LightColor0.xyz) * tmpvar_42) * (tmpvar_40.x * 4.0));
  c_41.w = (tmpvar_42 * (tmpvar_40.x * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  color_1.xyz = (c_41 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0))).xyz;
  color_1.w = (tmpvar_39 * clamp ((_InvFade * ((1.0/(((_ZBufferParams.z * texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x) + _ZBufferParams.w))) - xlv_TEXCOORD8.z)), 0.0, 1.0));
  gl_FragData[0] = color_1;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_modelview0]
Matrix 4 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_ProjectionParams]
Vector 22 [_ScreenParams]
Matrix 8 [_Object2World]
Matrix 12 [_MainRotation]
Matrix 16 [_DetailRotation]
Vector 23 [_PlanetOrigin]
"vs_3_0
; 41 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
dcl_texcoord6 o7
dcl_texcoord8 o8
def c24, 0.50000000, 0, 0, 0
dcl_position0 v0
dp4 r2.w, v0, c7
mov r1.w, r2
dp4 r2.z, v0, c10
dp4 r2.y, v0, c9
dp4 r2.x, v0, c8
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.z, v0, c6
mov r0.z, c10.w
mov r0.x, c8.w
mov r0.y, c9.w
add r3.xyz, r2, -r0
dp3 r0.x, r3, r3
rsq r0.w, r0.x
mul r0.xyz, r1.xyww, c24.x
mul r0.y, r0, c21.x
mad r0.xy, r0.z, c22.zwzw, r0
mul o5.xyz, r0.w, r3
mov r0.zw, r1
mov o7, r0
mov o8.xy, r0
mov o0, r1
add r1.xyz, -r2, c20
dp3 r1.w, r1, r1
rsq r1.w, r1.w
mul o6.xyz, r1.w, r1
mov r1.xyz, c23
dp4 r0.x, v0, c12
dp4 r0.w, v0, c15
dp4 r0.z, v0, c14
dp4 r0.y, v0, c13
dp4 o3.w, r0, c19
dp4 o3.z, r0, c18
dp4 o3.y, r0, c17
dp4 o3.x, r0, c16
mov o4, r0
dp4 r0.x, v0, c2
mov o1.xyz, r2
add o2.xyz, -c20, r1
mov o8.z, -r0.x
mov o8.w, r2
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Matrix 112 [_MainRotation] 4
Matrix 176 [_DetailRotation] 4
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 64 [glstate_matrix_modelview0] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 40 instructions, 4 temp regs, 0 temp arrays:
// ALU 34 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  mediump float lightShadowDataX_77;
  highp float dist_78;
  lowp float tmpvar_79;
  tmpvar_79 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_78 = tmpvar_79;
  highp float tmpvar_80;
  tmpvar_80 = _LightShadowData.x;
  lightShadowDataX_77 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = max (float((dist_78 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_77);
  tmpvar_76 = tmpvar_81;
  mediump vec3 lightDir_82;
  lightDir_82 = tmpvar_75;
  mediump vec3 viewDir_83;
  viewDir_83 = xlv_TEXCOORD5;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD4;
  mediump float atten_85;
  atten_85 = tmpvar_76;
  mediump vec4 c_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_82);
  lightDir_82 = tmpvar_87;
  viewDir_83 = normalize(viewDir_83);
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_84);
  normal_84 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  highp vec3 tmpvar_90;
  tmpvar_90 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_89) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_90;
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  color_6.xyz = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).xyz;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_95;
  highp float tmpvar_96;
  tmpvar_96 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_96;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_96 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_97;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  highp vec4 o_8;
  highp vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = o_8;
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_75;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD5;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = tmpvar_76;
  mediump vec4 c_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(lightDir_77);
  lightDir_77 = tmpvar_82;
  viewDir_78 = normalize(viewDir_78);
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_79);
  normal_79 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  highp vec3 tmpvar_85;
  tmpvar_85 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_84) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_85;
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  lowp vec3 tmpvar_86;
  tmpvar_86 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_87;
  lightDir_87 = tmpvar_86;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float tmpvar_89;
  tmpvar_89 = dot (normal_88, lightDir_87);
  color_6.xyz = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0))).xyz;
  lowp float tmpvar_90;
  tmpvar_90 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_91 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_92;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  highp vec4 tmpvar_2;
  tmpvar_2 = (glstate_matrix_mvp * _glesVertex);
  highp vec4 tmpvar_3;
  tmpvar_3 = (_Object2World * _glesVertex);
  highp vec4 tmpvar_4;
  tmpvar_4 = (_MainRotation * _glesVertex);
  highp vec4 o_5;
  highp vec4 tmpvar_6;
  tmpvar_6 = (tmpvar_2 * 0.5);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_6.x;
  tmpvar_7.y = (tmpvar_6.y * _ProjectionParams.x);
  o_5.xy = (tmpvar_7 + tmpvar_6.w);
  o_5.zw = tmpvar_2.zw;
  tmpvar_1.xyw = o_5.xyw;
  tmpvar_1.z = -((glstate_matrix_modelview0 * _glesVertex).z);
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = tmpvar_3.xyz;
  xlv_TEXCOORD1 = (_PlanetOrigin - _WorldSpaceCameraPos);
  xlv_TEXCOORD2 = (_DetailRotation * tmpvar_4);
  xlv_TEXCOORD3 = tmpvar_4;
  xlv_TEXCOORD4 = normalize((tmpvar_3.xyz - (_Object2World * vec4(0.0, 0.0, 0.0, 1.0)).xyz));
  xlv_TEXCOORD5 = normalize((_WorldSpaceCameraPos - (_Object2World * _glesVertex).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD8 = tmpvar_1;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD8;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD0;
uniform sampler2D _CameraDepthTexture;
uniform highp vec3 _PlanetOrigin;
uniform highp float _InvFade;
uniform highp float _OceanRadius;
uniform highp float _RimDistSub;
uniform highp float _RimDist;
uniform highp float _DistFadeVert;
uniform highp float _DistFade;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform highp float _FalloffScale;
uniform highp float _FalloffPow;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ZBufferParams;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  highp float depth_2;
  mediump float sphereCheck_3;
  mediump vec3 worldDir_4;
  mediump float detailLevel_5;
  mediump vec4 color_6;
  mediump vec4 sampzp_7;
  mediump vec4 sampzn_8;
  mediump vec4 sampyp_9;
  mediump vec4 sampyn_10;
  mediump vec4 sampxp_11;
  mediump vec4 sampxn_12;
  highp vec2 uv_13;
  mediump vec3 detailCoords_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD3.xyz);
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_18);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_17 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((mix (tmpvar_19.x, tmpvar_19.z, zxlerp_17) >= tmpvar_19.y));
  nylerp_16 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_17);
  s_15 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (-(tmpvar_18.y), s_15, nylerp_16));
  s_15 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_15);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_15;
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(zxlerp_17));
  detailCoords_14 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(s_15);
  highp vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_18.yzx), detailCoords_14, vec3(nylerp_16));
  detailCoords_14 = tmpvar_28;
  mediump vec2 tmpvar_29;
  tmpvar_29 = (((0.5 * detailCoords_14.yz) / abs(detailCoords_14.x)) + 0.5);
  uv_13 = tmpvar_29;
  highp vec2 tmpvar_30;
  tmpvar_30 = abs((uv_13 - 0.5));
  highp vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxn_12 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampxp_11 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyn_10 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampyp_9 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzn, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzn_8 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzp, uv_13, tmpvar_31.xy, tmpvar_31.zw);
  sampzp_7 = tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_10, sampyp_9, vec4(float((s_15 >= 0.0)))), mix (mix (sampxn_12, sampxp_11, vec4(float((s_15 >= 0.0)))), mix (sampzn_8, sampzp_7, vec4(float((s_15 >= 0.0)))), vec4(zxlerp_17)), vec4(nylerp_16)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD2.xyz);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _DetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_DetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  highp vec3 p_59;
  p_59 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  highp float tmpvar_60;
  tmpvar_60 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_59, p_59))), 0.0, 1.0);
  detailLevel_5 = tmpvar_60;
  mediump vec4 tmpvar_61;
  tmpvar_61 = ((_Color * tmpvar_39) * mix (tex_40, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_5)));
  color_6.xyz = tmpvar_61.xyz;
  highp float tmpvar_62;
  highp vec3 p_63;
  p_63 = (xlv_TEXCOORD0 - _WorldSpaceCameraPos);
  tmpvar_62 = sqrt(dot (p_63, p_63));
  highp vec3 p_64;
  p_64 = (_PlanetOrigin - _WorldSpaceCameraPos);
  highp vec3 p_65;
  p_65 = (xlv_TEXCOORD0 - _PlanetOrigin);
  highp float tmpvar_66;
  tmpvar_66 = mix (0.0, tmpvar_61.w, mix ((1.0 - (clamp ((_DistFade * tmpvar_62), 0.0, 1.0) * clamp ((1.0 - (_DistFadeVert * tmpvar_62)), 0.0, 1.0))), clamp (pow ((_FalloffScale * clamp (dot (xlv_TEXCOORD5, xlv_TEXCOORD4), 0.0, 1.0)), _FalloffPow), 0.0, 1.0), clamp ((_RimDist * (sqrt(dot (p_64, p_64)) - (_RimDistSub * sqrt(dot (p_65, p_65))))), 0.0, 1.0)));
  color_6.w = tmpvar_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = normalize((xlv_TEXCOORD0 - _WorldSpaceCameraPos));
  worldDir_4 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD1, worldDir_4);
  highp float tmpvar_69;
  tmpvar_69 = sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - (tmpvar_68 * tmpvar_68)));
  highp float tmpvar_70;
  tmpvar_70 = pow (tmpvar_69, 2.0);
  highp float tmpvar_71;
  tmpvar_71 = sqrt(((_OceanRadius * _OceanRadius) - tmpvar_70));
  highp float tmpvar_72;
  tmpvar_72 = clamp (((float((_OceanRadius >= tmpvar_69)) * float((tmpvar_68 >= 0.0))) + float((_OceanRadius >= sqrt(dot (xlv_TEXCOORD1, xlv_TEXCOORD1))))), 0.0, 1.0);
  sphereCheck_3 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = (sphereCheck_3 * float((tmpvar_62 >= mix ((tmpvar_71 - sqrt((dot (xlv_TEXCOORD1, xlv_TEXCOORD1) - tmpvar_70))), (tmpvar_68 - tmpvar_71), float((tmpvar_68 >= 0.0))))));
  sphereCheck_3 = tmpvar_73;
  color_6.w = (color_6.w * (1.0 - sphereCheck_3));
  mediump float tmpvar_74;
  tmpvar_74 = color_6.w;
  lowp vec3 tmpvar_75;
  tmpvar_75 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_76;
  lowp float tmpvar_77;
  tmpvar_77 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_78;
  tmpvar_78 = (_LightShadowData.x + (tmpvar_77 * (1.0 - _LightShadowData.x)));
  shadow_76 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_75;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD5;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = shadow_76;
  mediump vec4 c_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  viewDir_80 = normalize(viewDir_80);
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_81);
  normal_81 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_84);
  highp vec3 tmpvar_87;
  tmpvar_87 = (((tmpvar_61.xyz * _LightColor0.xyz) * tmpvar_86) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_87;
  c_83.w = (tmpvar_86 * (atten_82 * 4.0));
  lowp vec3 tmpvar_88;
  tmpvar_88 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_89;
  lightDir_89 = tmpvar_88;
  mediump vec3 normal_90;
  normal_90 = xlv_TEXCOORD4;
  mediump float tmpvar_91;
  tmpvar_91 = dot (normal_90, lightDir_89);
  color_6.xyz = (c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0))).xyz;
  lowp float tmpvar_92;
  tmpvar_92 = texture2DProj (_CameraDepthTexture, xlv_TEXCOORD8).x;
  depth_2 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = (1.0/(((_ZBufferParams.z * depth_2) + _ZBufferParams.w)));
  depth_2 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_74 * clamp ((_InvFade * (tmpvar_93 - xlv_TEXCOORD8.z)), 0.0, 1.0));
  color_6.w = tmpvar_94;
  tmpvar_1 = color_6;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;

#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 284
highp vec4 ComputeScreenPos( in highp vec4 pos ) {
    #line 286
    highp vec4 o = (pos * 0.5);
    o.xy = (vec2( o.x, (o.y * _ProjectionParams.x)) + o.w);
    o.zw = pos.zw;
    return o;
}
#line 87
highp vec3 WorldSpaceViewDir( in highp vec4 v ) {
    return (_WorldSpaceCameraPos.xyz - (_Object2World * v).xyz);
}
#line 675
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 679
    highp vec4 vertexPos = (_Object2World * v.vertex);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.worldVert = vec3( vertexPos);
    o.worldNormal = normalize((vec3( vertexPos) - origin));
    #line 683
    o.objMain = (_MainRotation * v.vertex);
    o.objDetail = (_DetailRotation * o.objMain);
    o.viewDir = normalize(WorldSpaceViewDir( v.vertex));
    o.projPos = ComputeScreenPos( o.pos);
    #line 687
    o.projPos.z = (-(glstate_matrix_modelview0 * v.vertex).z);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    o.L = (_PlanetOrigin - _WorldSpaceCameraPos.xyz);
    #line 691
    return o;
}
out highp vec3 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD8;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec3(xl_retval.worldVert);
    xlv_TEXCOORD1 = vec3(xl_retval.L);
    xlv_TEXCOORD2 = vec4(xl_retval.objDetail);
    xlv_TEXCOORD3 = vec4(xl_retval.objMain);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.viewDir);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD8 = vec4(xl_retval.projPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 662
struct v2f {
    highp vec4 pos;
    highp vec3 worldVert;
    highp vec3 L;
    highp vec4 objDetail;
    highp vec4 objMain;
    highp vec3 worldNormal;
    highp vec3 viewDir;
    highp vec4 _ShadowCoord;
    highp vec4 projPos;
};
#line 655
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 552
#line 577
#line 597
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 635
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
#line 639
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform highp float _FalloffPow;
#line 643
uniform highp float _FalloffScale;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 647
uniform highp float _DistFade;
uniform highp float _DistFadeVert;
uniform highp float _RimDist;
uniform highp float _RimDistSub;
#line 651
uniform highp float _OceanRadius;
uniform highp float _InvFade;
uniform highp vec3 _PlanetOrigin;
uniform sampler2D _CameraDepthTexture;
#line 675
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 625
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 627
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 631
    return tex;
}
#line 552
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 556
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 560
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 564
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 568
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 572
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 427
highp float GetDistanceFade( in highp float dist, in highp float fade, in highp float fadeVert ) {
    #line 429
    highp float fadeDist = (fade * dist);
    highp float distVert = (1.0 - (fadeVert * dist));
    return (xll_saturate_f(fadeDist) * xll_saturate_f(distVert));
}
#line 280
highp float LinearEyeDepth( in highp float z ) {
    #line 282
    return (1.0 / ((_ZBufferParams.z * z) + _ZBufferParams.w));
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 693
lowp vec4 frag( in v2f IN ) {
    #line 695
    mediump vec4 color;
    mediump vec4 main;
    main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, vec3( IN.objMain));
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    #line 699
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, vec3( IN.objDetail), _DetailScale);
    highp float viewDist = distance( IN.worldVert, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 703
    highp float rim = xll_saturate_f(dot( IN.viewDir, IN.worldNormal));
    rim = xll_saturate_f(pow( (_FalloffScale * rim), _FalloffPow));
    highp float dist = distance( IN.worldVert, _WorldSpaceCameraPos);
    highp float distLerp = xll_saturate_f((_RimDist * (distance( _PlanetOrigin, _WorldSpaceCameraPos) - (_RimDistSub * distance( IN.worldVert, _PlanetOrigin)))));
    #line 707
    highp float distFade = (1.0 - GetDistanceFade( dist, _DistFade, _DistFadeVert));
    highp float distAlpha = mix( distFade, rim, distLerp);
    color.w = mix( 0.0, color.w, distAlpha);
    mediump vec3 worldDir = normalize((IN.worldVert - _WorldSpaceCameraPos.xyz));
    #line 711
    highp float tc = dot( IN.L, worldDir);
    highp float d = sqrt((dot( IN.L, IN.L) - (tc * tc)));
    highp vec3 norm = normalize((-IN.L));
    highp float d2 = pow( d, 2.0);
    #line 715
    highp float td = sqrt((dot( IN.L, IN.L) - d2));
    highp float tlc = sqrt(((_OceanRadius * _OceanRadius) - d2));
    mediump float sphereCheck = xll_saturate_f(((step( d, _OceanRadius) * step( 0.0, tc)) + step( length(IN.L), _OceanRadius)));
    highp float sphereDist = mix( (tlc - td), (tc - tlc), step( 0.0, tc));
    #line 719
    sphereCheck *= step( sphereDist, dist);
    color.w *= (1.0 - sphereCheck);
    mediump float transparency = color.w;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, vec4( 0.0), 0.0, unitySampleShadow( IN._ShadowCoord));
    #line 723
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    color.w = transparency;
    highp float depth = textureProj( _CameraDepthTexture, IN.projPos).x;
    depth = LinearEyeDepth( depth);
    #line 727
    highp float partZ = IN.projPos.z;
    highp float fade = xll_saturate_f((_InvFade * (depth - partZ)));
    color.w *= fade;
    return color;
}
in highp vec3 xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD8;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.worldVert = vec3(xlv_TEXCOORD0);
    xlt_IN.L = vec3(xlv_TEXCOORD1);
    xlt_IN.objDetail = vec4(xlv_TEXCOORD2);
    xlt_IN.objMain = vec4(xlv_TEXCOORD3);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xlt_IN.projPos = vec4(xlv_TEXCOORD8);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 480
//   d3d9 - ALU: 100 to 187, TEX: 4 to 23
//   d3d11 - ALU: 78 to 151, TEX: 0 to 3, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r2.x, r2, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c17.y, c17.y
mad r0.y, r0, c17, c17
dp3 r0.z, v2, v2
rsq r0.z, r0.z
mul r3.xyz, r0.z, v2
abs r3.w, r3.x
abs r4.x, r3.z
max r1.z, r3.w, r4.x
rcp r1.w, r1.z
min r1.z, r3.w, r4.x
mul r4.y, r1.z, r1.w
mul r4.z, r4.y, r4.y
mad r2.w, r4.z, c15.y, c15.z
mad r2.w, r2, r4.z, c15
mad r2.y, r2.w, r4.z, c16.x
rsq r2.x, r2.x
rcp r2.w, r2.x
mad r2.y, r2, r4.z, c16
mad r2.x, r2.y, r4.z, c16.z
mul r2.y, r2.w, c7.x
mul r2.x, r2, r4.y
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c17.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c14.z
mad_pp r0, r2.y, r1, r0
add r1.y, -r2.x, c16.w
add r1.x, r3.w, -r4
cmp r1.w, -r1.x, r2.x, r1.y
abs r1.x, r3.y
add r2.x, -r1.w, c14.w
add r1.z, -r1.x, c13.x
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c14.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c13.y, c13
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c14.z, r1
mad r1.x, r1, c14.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c17.x
mul r1.y, r1.x, c15.x
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.y
dsx r1.zw, r2.xyxy
dsy r3.xy, r2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texldd r1, r1, s0, r1.zwzw, r3
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 126 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r2.x, r2, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c17.y, c17.y
mad r0.y, r0, c17, c17
dp3 r0.z, v2, v2
rsq r0.z, r0.z
mul r3.xyz, r0.z, v2
abs r3.w, r3.x
abs r4.x, r3.z
max r1.z, r3.w, r4.x
rcp r1.w, r1.z
min r1.z, r3.w, r4.x
mul r4.y, r1.z, r1.w
mul r4.z, r4.y, r4.y
mad r2.w, r4.z, c15.y, c15.z
mad r2.w, r2, r4.z, c15
mad r2.y, r2.w, r4.z, c16.x
rsq r2.x, r2.x
rcp r2.w, r2.x
mad r2.y, r2, r4.z, c16
mad r2.x, r2.y, r4.z, c16.z
mul r2.y, r2.w, c7.x
mul r2.x, r2, r4.y
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c17.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c14.z
mad_pp r0, r2.y, r1, r0
add r1.y, -r2.x, c16.w
add r1.x, r3.w, -r4
cmp r1.w, -r1.x, r2.x, r1.y
abs r1.x, r3.y
add r2.x, -r1.w, c14.w
add r1.z, -r1.x, c13.x
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c14.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c13.y, c13
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c14.z, r1
mad r1.x, r1, c14.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c17.x
mul r1.y, r1.x, c15.x
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.y
dsx r1.zw, r2.xyxy
dsy r3.xy, r2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texldd r1, r1, s0, r1.zwzw, r3
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 126 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecediodpblnfklhcomdjcfmhipfabedoaimjabaaaaaafibbaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcaibaaaaaeaaaaaaaacaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaaaeaaaaaadeaaaaaj
icaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
aoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
dkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
aaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaafpkokkdm
abeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaidcaabaaa
abaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaabkaabaaa
aaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
abaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaaaaaaaaa
abeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaa
aaaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaa
keanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaaaaaaaaaabeaaaaa
aaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahbcaabaaa
abaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahbcaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaa
acaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaa
bkaabaaaacaaaaaaamaaaaafccaabaaaaaaaaaaabkaabaaaacaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
egaabaaaadaaaaaaegaabaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
adaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaak
bcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaa
abaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaa
ckaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaa
akaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaa
akaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaa
acaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaa
abeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaa
acaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaa
dgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaa
aeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
afaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaa
egacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaaj
ocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaa
dcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaa
jgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaa
abaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaa
jgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
dcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaao
mcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaa
kgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaa
amaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaa
ogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaa
akaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaa
aaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaa
acaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaa
egaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaa
aaaaaaaaanaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaa
anaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaa
agaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
bkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaa
bjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaia
ebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaa
aaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaa
abaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaa
aoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaa
ckaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahiccabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaa
egacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaajicaabaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaa
aaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaa
aaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaa
abeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r2.x, r2, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c17.y, c17.y
mad r0.y, r0, c17, c17
dp3 r0.z, v2, v2
rsq r0.z, r0.z
mul r3.xyz, r0.z, v2
abs r3.w, r3.x
abs r4.x, r3.z
max r1.z, r3.w, r4.x
rcp r1.w, r1.z
min r1.z, r3.w, r4.x
mul r4.y, r1.z, r1.w
mul r4.z, r4.y, r4.y
mad r2.w, r4.z, c15.y, c15.z
mad r2.w, r2, r4.z, c15
mad r2.y, r2.w, r4.z, c16.x
rsq r2.x, r2.x
rcp r2.w, r2.x
mad r2.y, r2, r4.z, c16
mad r2.x, r2.y, r4.z, c16.z
mul r2.y, r2.w, c7.x
mul r2.x, r2, r4.y
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c17.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c14.z
mad_pp r0, r2.y, r1, r0
add r1.y, -r2.x, c16.w
add r1.x, r3.w, -r4
cmp r1.w, -r1.x, r2.x, r1.y
abs r1.x, r3.y
add r2.x, -r1.w, c14.w
add r1.z, -r1.x, c13.x
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c14.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c13.y, c13
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c14.z, r1
mad r1.x, r1, c14.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c17.x
mul r1.y, r1.x, c15.x
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.y
dsx r1.zw, r2.xyxy
dsy r3.xy, r2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texldd r1, r1, s0, r1.zwzw, r3
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 126 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 141 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r2.x, r2, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c17.y, c17.y
mad r0.y, r0, c17, c17
dp3 r0.z, v2, v2
rsq r0.z, r0.z
mul r3.xyz, r0.z, v2
abs r3.w, r3.x
abs r4.x, r3.z
max r1.z, r3.w, r4.x
rcp r1.w, r1.z
min r1.z, r3.w, r4.x
mul r4.y, r1.z, r1.w
mul r4.z, r4.y, r4.y
mad r2.w, r4.z, c15.y, c15.z
mad r2.w, r2, r4.z, c15
mad r2.y, r2.w, r4.z, c16.x
rsq r2.x, r2.x
rcp r2.w, r2.x
mad r2.y, r2, r4.z, c16
mad r2.x, r2.y, r4.z, c16.z
mul r2.y, r2.w, c7.x
mul r2.x, r2, r4.y
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c17.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c14.z
mad_pp r0, r2.y, r1, r0
add r1.y, -r2.x, c16.w
add r1.x, r3.w, -r4
cmp r1.w, -r1.x, r2.x, r1.y
abs r1.x, r3.y
add r2.x, -r1.w, c14.w
add r1.z, -r1.x, c13.x
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c14.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c13.y, c13
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c14.z, r1
mad r1.x, r1, c14.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c17.x
mul r1.y, r1.x, c15.x
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.y
dsx r1.zw, r2.xyxy
dsy r3.xy, r2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texldd r1, r1, s0, r1.zwzw, r3
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 141 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r2.x, r2, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c17.y, c17.y
mad r0.y, r0, c17, c17
dp3 r0.z, v2, v2
rsq r0.z, r0.z
mul r3.xyz, r0.z, v2
abs r3.w, r3.x
abs r4.x, r3.z
max r1.z, r3.w, r4.x
rcp r1.w, r1.z
min r1.z, r3.w, r4.x
mul r4.y, r1.z, r1.w
mul r4.z, r4.y, r4.y
mad r2.w, r4.z, c15.y, c15.z
mad r2.w, r2, r4.z, c15
mad r2.y, r2.w, r4.z, c16.x
rsq r2.x, r2.x
rcp r2.w, r2.x
mad r2.y, r2, r4.z, c16
mad r2.x, r2.y, r4.z, c16.z
mul r2.y, r2.w, c7.x
mul r2.x, r2, r4.y
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c17.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c14.z
mad_pp r0, r2.y, r1, r0
add r1.y, -r2.x, c16.w
add r1.x, r3.w, -r4
cmp r1.w, -r1.x, r2.x, r1.y
abs r1.x, r3.y
add r2.x, -r1.w, c14.w
add r1.z, -r1.x, c13.x
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c14.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c13.y, c13
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c14.z, r1
mad r1.x, r1, c14.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c17.x
mul r1.y, r1.x, c15.x
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.y
dsx r1.zw, r2.xyxy
dsy r3.xy, r2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texldd r1, r1, s0, r1.zwzw, r3
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 141 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r2.x, r2, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c17.y, c17.y
mad r0.y, r0, c17, c17
dp3 r0.z, v2, v2
rsq r0.z, r0.z
mul r3.xyz, r0.z, v2
abs r3.w, r3.x
abs r4.x, r3.z
max r1.z, r3.w, r4.x
rcp r1.w, r1.z
min r1.z, r3.w, r4.x
mul r4.y, r1.z, r1.w
mul r4.z, r4.y, r4.y
mad r2.w, r4.z, c15.y, c15.z
mad r2.w, r2, r4.z, c15
mad r2.y, r2.w, r4.z, c16.x
rsq r2.x, r2.x
rcp r2.w, r2.x
mad r2.y, r2, r4.z, c16
mad r2.x, r2.y, r4.z, c16.z
mul r2.y, r2.w, c7.x
mul r2.x, r2, r4.y
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c17.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c14.z
mad_pp r0, r2.y, r1, r0
add r1.y, -r2.x, c16.w
add r1.x, r3.w, -r4
cmp r1.w, -r1.x, r2.x, r1.y
abs r1.x, r3.y
add r2.x, -r1.w, c14.w
add r1.z, -r1.x, c13.x
mad r1.y, r1.x, c13.z, c13.w
mad r1.y, r1, r1.x, c14.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c14.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c13.y, c13
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c14.z, r1
mad r1.x, r1, c14.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c17.x
mul r1.y, r1.x, c15.x
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c17.y
dsx r1.zw, r2.xyxy
dsy r3.xy, r2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texldd r1, r1, s0, r1.zwzw, r3
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.xyyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.xyyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.xyyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.xyyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.xyyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.xyyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yxyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yxyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yxyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yxyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedcocajmkpmjngjecocbcocfllimbldpocabaaaaaapmbbaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcjebaaaaaeaaaaaaacfaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaa
afaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaaaeaaaaaadeaaaaaj
icaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
aoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
dkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
aaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaafpkokkdm
abeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaidcaabaaa
abaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaabkaabaaa
aaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
abaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaaaaaaaaa
abeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaa
aaaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaa
keanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaaaaaaaaaabeaaaaa
aaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahbcaabaaa
abaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahbcaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaa
acaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaa
bkaabaaaacaaaaaaamaaaaafccaabaaaaaaaaaaabkaabaaaacaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaacaaaaaaighhbaaaaaaaaaaaaagabaaaabaaaaaa
egaabaaaadaaaaaaegaabaaaaaaaaaaadgaaaaafbcaabaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaaaaaaaaaa
apaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaa
agaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
adaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
abaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
abaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaa
diaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaia
ibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaa
abaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaia
ebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaal
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaabbaaaaaadccaaaal
ccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaa
efaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaa
aaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yxyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yxyy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedcocajmkpmjngjecocbcocfllimbldpocabaaaaaapmbbaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcjebaaaaaeaaaaaaacfaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaa
afaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaaaeaaaaaadeaaaaaj
icaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
aoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
dkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
aaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaafpkokkdm
abeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaidcaabaaa
abaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaabkaabaaa
aaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
abaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaaaaaaaaa
abeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaa
aaaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaa
keanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaaaaaaaaaabeaaaaa
aaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahbcaabaaa
abaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahbcaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaa
acaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaa
bkaabaaaacaaaaaaamaaaaafccaabaaaaaaaaaaabkaabaaaacaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaacaaaaaaighhbaaaaaaaaaaaaagabaaaabaaaaaa
egaabaaaadaaaaaaegaabaaaaaaaaaaadgaaaaafbcaabaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaaaaaaaaaa
apaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaa
agaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
adaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
abaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
abaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaa
diaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaia
ibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaa
abaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaia
ebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaal
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaabbaaaaaadccaaaal
ccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaa
efaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaa
aaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyxy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyxy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyxy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyxy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyxy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyxy
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyyx
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyyx
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 146 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyyx
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c18.y
mul_pp_sat r0.w, -r0, c17
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c17.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 127 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedlhiboacnbcnmfkokkcmigkgojojmlenpabaaaaaagmbbaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcbmbaaaaaeaaaaaaaahaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaaaeaaaaaadeaaaaaj
icaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
aoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
dkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
aaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaafpkokkdm
abeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaidcaabaaa
abaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaabkaabaaa
aaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
abaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaaaaaaaaa
abeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaa
aaaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaa
keanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaaaaaaaaaabeaaaaa
aaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahbcaabaaa
abaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahbcaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaa
acaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaa
bkaabaaaacaaaaaaamaaaaafccaabaaaaaaaaaaabkaabaaaacaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
egaabaaaadaaaaaaegaabaaaaaaaaaaadgaaaaafbcaabaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaaaaaaaaaa
alaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaa
agaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
adaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
abaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
abaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaa
diaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaia
ibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaa
abaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaia
ebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaal
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaaanaaaaaadccaaaal
ccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyyx
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyyx
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c14, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c15, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c16, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c17, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c18, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c13.x, c13.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c17, c17
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c15.y, c15.z
mad r3.y, r2.x, r2.w, c15.w
mad r3.y, r3, r2.w, c16.x
mad r3.y, r3, r2.w, c16
mad r2.w, r3.y, r2, c16.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c17.y, c17.y
add r3.z, -r3.y, c16.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c14.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c13.x
mad r3.z, r3.y, c13, c13.w
mad r3.z, r3, r3.y, c14.x
rsq r3.w, r3.w
cmp r0.y, r0, c13, c13.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c17.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c13.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c14
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c14, r3.y
mad r0.x, r0.y, c14.w, r0.z
mul r0.y, r0.w, c17.x
mul r0.w, r0.x, c15.x
mov r3.w, r0
abs r3.z, r0.y
dsx r3.xy, r3.zwzw
add r4.x, r0.y, c17.y
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r4.z, r0.x
dsy r3.zw, r3
mov r4.y, r0.w
texldd r0, r4, s0, r3, r3.zwzw
mul_pp r0, r0, c13.yyyx
rcp r3.x, r4.z
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c14.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c18.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c18.y
mul_pp_sat r0.y, -r0.w, c17.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c17.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 130 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 100 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r1.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r1
abs r1.zw, r0.xyxy
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
dsx r2.xy, r1.zwzw
dsy r0.zw, r1
rsq r1.z, r0.x
texldd r0, r1, s1, r2, r0.zwzw
rcp r2.w, r1.z
mul r2.y, r2.w, c7.x
dp3 r2.x, v2, v2
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c13.z
mad_pp r1, r2.y, r1, r0
rsq r2.x, r2.x
mul r0.xyz, r2.x, v2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texld r0, r0, s0
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 86 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 100 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r1.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r1
abs r1.zw, r0.xyxy
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
dsx r2.xy, r1.zwzw
dsy r0.zw, r1
rsq r1.z, r0.x
texldd r0, r1, s1, r2, r0.zwzw
rcp r2.w, r1.z
mul r2.y, r2.w, c7.x
dp3 r2.x, v2, v2
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c13.z
mad_pp r1, r2.y, r1, r0
rsq r2.x, r2.x
mul r0.xyz, r2.x, v2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texld r0, r0, s0
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 86 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednmjenphlpkaceobihfngfiofefpkhamdabaaaaaagiamaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcbialaaaaeaaaaaaamgacaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacafaaaaaaaaaaaaakhcaabaaaaaaaaaaaegiccaaa
aaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaajocaabaaaaaaaaaaa
agbjbaaaabaaaaaaagijcaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahccaabaaa
aaaaaaaajgahbaaaaaaaaaaajgahbaaaaaaaaaaaelaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaadcaaaaalbcaabaaaaaaaaaaaakiacaiaebaaaaaaaaaaaaaa
aoaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadicaaaaibcaabaaaaaaaaaaa
akaabaaaaaaaaaaadkiacaaaaaaaaaaaanaaaaaabacaaaahccaabaaaaaaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaa
aaaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaddaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaajhcaabaaaabaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaa
aaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafecaabaaaaaaaaaaa
ckaabaaaaaaaaaaadiaaaaaiicaabaaaaaaaaaaackaabaaaaaaaaaaabkiacaaa
aaaaaaaaanaaaaaadgcaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadccaaaal
bcaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaackaabaaaaaaaaaaa
abeaaaaaaaaaiadpapcaaaaiecaabaaaaaaaaaaakgakbaaaaaaaaaaapgipcaaa
aaaaaaaaamaaaaaadcaaaaakicaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaaaaaaaaadkaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaaakaabaaa
aaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaafgafbaaaaaaaaaaacgbjbaaaadaaaaaa
dcaaaaakicaabaaaaaaaaaaackbabaaaadaaaaaabkaabaaaaaaaaaaabkaabaia
ebaaaaaaabaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaakccaabaaaaaaaaaaabkbabaiaebaaaaaa
adaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaadeaaaaajicaabaaaaaaaaaaa
akaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaaaaaaaaa
dkaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaabaaaaaadbaaaaahbcaabaaa
acaaaaaaabeaaaaaaaaaaaaabkaabaaaaaaaaaaadbaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiccaabaaaaaaaaaaaakaabaia
ebaaaaaaacaaaaaabkaabaaaaaaaaaaaclaaaaafccaabaaaacaaaaaabkaabaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaacaaaaaadgaaaaai
dcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaaeaaaaaaggaibaaaabaaaaaaegacbaaaadaaaaaadgaaaaaifcaabaaa
acaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
acaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaajgaebaiaebaaaaaaaeaaaaaa
dcaaaaajhcaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaajgaebaaa
aeaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaadaaaaaaggaibaaa
abaaaaaaegacbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaakkcaabaaaaaaaaaaafgajbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaaaaaaaaaadpaoaaaaaikcaabaaa
aaaaaaaafganbaaaaaaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakkcaabaaa
aaaaaaaafganbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaaaaaaaaaadp
diaaaaaikcaabaaaaaaaaaaafganbaaaaaaaaaaakgikcaaaaaaaaaaaamaaaaaa
dcaaaaaodcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaangafbaaaaaaaaaaadgaaaaagdcaabaaa
abaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaa
abaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaangafbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaogakbaaa
abaaaaaaegaabaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
abaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaabaaaaaah
ccaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaadiaaaaahocaabaaaaaaaaaaafgafbaaaaaaaaaaa
agbjbaaaaeaaaaaaefaaaaajpcaabaaaacaaaaaajgahbaaaaaaaaaaaeghobaaa
aaaaaaaaaagabaaaaaaaaaaadiaaaaaipcaabaaaacaaaaaaegaobaaaacaaaaaa
egiocaaaaaaaaaaaalaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaa
egaobaaaacaaaaaadiaaaaahiccabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaa
abaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaabaaaaaaegiccaaaaaaaaaaa
abaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaa
egbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
abaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
diaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaea
aaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 100 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r1.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r1
abs r1.zw, r0.xyxy
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
dsx r2.xy, r1.zwzw
dsy r0.zw, r1
rsq r1.z, r0.x
texldd r0, r1, s1, r2, r0.zwzw
rcp r2.w, r1.z
mul r2.y, r2.w, c7.x
dp3 r2.x, v2, v2
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c13.z
mad_pp r1, r2.y, r1, r0
rsq r2.x, r2.x
mul r0.xyz, r2.x, v2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texld r0, r0, s0
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 86 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednmjenphlpkaceobihfngfiofefpkhamdabaaaaaagiamaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcbialaaaaeaaaaaaamgacaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacafaaaaaaaaaaaaakhcaabaaaaaaaaaaaegiccaaa
aaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaajocaabaaaaaaaaaaa
agbjbaaaabaaaaaaagijcaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahccaabaaa
aaaaaaaajgahbaaaaaaaaaaajgahbaaaaaaaaaaaelaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaadcaaaaalbcaabaaaaaaaaaaaakiacaiaebaaaaaaaaaaaaaa
aoaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadicaaaaibcaabaaaaaaaaaaa
akaabaaaaaaaaaaadkiacaaaaaaaaaaaanaaaaaabacaaaahccaabaaaaaaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaa
aaaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaddaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaajhcaabaaaabaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaa
aaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafecaabaaaaaaaaaaa
ckaabaaaaaaaaaaadiaaaaaiicaabaaaaaaaaaaackaabaaaaaaaaaaabkiacaaa
aaaaaaaaanaaaaaadgcaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadccaaaal
bcaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaackaabaaaaaaaaaaa
abeaaaaaaaaaiadpapcaaaaiecaabaaaaaaaaaaakgakbaaaaaaaaaaapgipcaaa
aaaaaaaaamaaaaaadcaaaaakicaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaaaaaaaaadkaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaaakaabaaa
aaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaafgafbaaaaaaaaaaacgbjbaaaadaaaaaa
dcaaaaakicaabaaaaaaaaaaackbabaaaadaaaaaabkaabaaaaaaaaaaabkaabaia
ebaaaaaaabaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaabaaaaaadcaaaaakccaabaaaaaaaaaaabkbabaiaebaaaaaa
adaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaadeaaaaajicaabaaaaaaaaaaa
akaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaaaaaaaaa
dkaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaabaaaaaadbaaaaahbcaabaaa
acaaaaaaabeaaaaaaaaaaaaabkaabaaaaaaaaaaadbaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiccaabaaaaaaaaaaaakaabaia
ebaaaaaaacaaaaaabkaabaaaaaaaaaaaclaaaaafccaabaaaacaaaaaabkaabaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaacaaaaaadgaaaaai
dcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaaeaaaaaaggaibaaaabaaaaaaegacbaaaadaaaaaadgaaaaaifcaabaaa
acaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
acaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaajgaebaiaebaaaaaaaeaaaaaa
dcaaaaajhcaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaajgaebaaa
aeaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaadaaaaaaggaibaaa
abaaaaaaegacbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaaeaaaaaadiaaaaakkcaabaaaaaaaaaaafgajbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaaaaaaaaaadpaoaaaaaikcaabaaa
aaaaaaaafganbaaaaaaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakkcaabaaa
aaaaaaaafganbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaaaaaaaaaadp
diaaaaaikcaabaaaaaaaaaaafganbaaaaaaaaaaakgikcaaaaaaaaaaaamaaaaaa
dcaaaaaodcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaangafbaaaaaaaaaaadgaaaaagdcaabaaa
abaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaa
abaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaangafbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaogakbaaa
abaaaaaaegaabaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdcaaaaajpcaabaaa
abaaaaaakgakbaaaaaaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaabaaaaaah
ccaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaadiaaaaahocaabaaaaaaaaaaafgafbaaaaaaaaaaa
agbjbaaaaeaaaaaaefaaaaajpcaabaaaacaaaaaajgahbaaaaaaaaaaaeghobaaa
aaaaaaaaaagabaaaaaaaaaaadiaaaaaipcaabaaaacaaaaaaegaobaaaacaaaaaa
egiocaaaaaaaaaaaalaaaaaadiaaaaahpcaabaaaabaaaaaaegaobaaaabaaaaaa
egaobaaaacaaaaaadiaaaaahiccabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaa
abaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaabaaaaaaegiccaaaaaaaaaaa
abaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaa
egbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
abaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
diaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaea
aaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 101 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r1.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r1
abs r1.zw, r0.xyxy
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
dsx r2.xy, r1.zwzw
dsy r0.zw, r1
rsq r1.z, r0.x
texldd r0, r1, s1, r2, r0.zwzw
rcp r2.w, r1.z
mul r2.y, r2.w, c7.x
dp3 r2.x, v2, v2
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c13.z
mad_pp r1, r2.y, r1, r0
rsq r2.x, r2.x
mul r0.xyz, r2.x, v2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texld r0, r0, s0
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 89 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 101 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r1.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r1
abs r1.zw, r0.xyxy
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
dsx r2.xy, r1.zwzw
dsy r0.zw, r1
rsq r1.z, r0.x
texldd r0, r1, s1, r2, r0.zwzw
rcp r2.w, r1.z
mul r2.y, r2.w, c7.x
dp3 r2.x, v2, v2
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c13.z
mad_pp r1, r2.y, r1, r0
rsq r2.x, r2.x
mul r0.xyz, r2.x, v2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texld r0, r0, s0
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 89 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 101 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r1.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r1
abs r1.zw, r0.xyxy
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
dsx r2.xy, r1.zwzw
dsy r0.zw, r1
rsq r1.z, r0.x
texldd r0, r1, s1, r2, r0.zwzw
rcp r2.w, r1.z
mul r2.y, r2.w, c7.x
dp3 r2.x, v2, v2
add_pp r1, -r0, c13.x
mul_sat r2.y, r2, c13.z
mad_pp r1, r2.y, r1, r0
rsq r2.x, r2.x
mul r0.xyz, r2.x, v2
mov r2.xyz, v3
dp3_sat r2.x, v4, r2
texld r0, r0, s0
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r2.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 89 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednkmmhijgenngmmeeipmdofgglobgnfikabaaaaaaamanaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefckealaaaaeaaaaaaaojacaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaa
afaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacafaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
adaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaadaaaaaadcaaaaak
bcaabaaaabaaaaaackbabaaaadaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaa
aaaaaaaabnaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
ckaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaaadaaaaaa
akaabaaaaaaaaaaaakaabaaaabaaaaaadeaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
abaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaaabaaaaaa
abeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaa
abaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaacaaaaaaakaabaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaacaaaaaadgaaaaaidcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
aeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadgaaaaaifcaabaaaacaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaacaaaaaa
egacbaaaacaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaaaeaaaaaadcaaaaaj
ocaabaaaabaaaaaafgafbaaaabaaaaaaagajbaaaacaaaaaafgacbaaaaeaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaalganbaaaaaaaaaaa
jgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaa
aaaaaaaaegacbaaaaeaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
dcaabaaaaaaaaaaaegaabaaaaaaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaao
mcaabaaaaaaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaa
kgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaabaaaaaaogakbaaaaaaaaaaa
amaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaa
egaabaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaaegaabaaaabaaaaaa
ogakbaaaaaaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaacaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaa
acaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafbcaabaaaacaaaaaa
akaabaaaacaaaaaaapcaaaaiccaabaaaacaaaaaaagaabaaaacaaaaaapgipcaaa
aaaaaaaabaaaaaaadcaaaaajpcaabaaaaaaaaaaafgafbaaaacaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
hcaabaaaabaaaaaaagaabaaaabaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaa
abaaaaaaegacbaaaabaaaaaaeghlbaaaaaaaaaaaaagabaaaabaaaaaadgaaaaaf
bcaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaaabaaaaaaagambaaa
abaaaaaaegiocaaaaaaaaaaaapaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaacaaaaaa
bkiacaaaaaaaaaaabbaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaabbaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaa
egbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 105 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 87 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedignkipjefjcbdogengfjljdjfcmjgbicabaaaaaaamanaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefckealaaaaeaaaaaaaojacaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaa
afaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacafaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
adaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaadaaaaaadcaaaaak
bcaabaaaabaaaaaackbabaaaadaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaa
aaaaaaaabnaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
ckaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaaadaaaaaa
akaabaaaaaaaaaaaakaabaaaabaaaaaadeaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
abaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaaabaaaaaa
abeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaa
abaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaacaaaaaaakaabaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaacaaaaaadgaaaaaidcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
aeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadgaaaaaifcaabaaaacaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaacaaaaaa
egacbaaaacaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaaaeaaaaaadcaaaaaj
ocaabaaaabaaaaaafgafbaaaabaaaaaaagajbaaaacaaaaaafgacbaaaaeaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaalganbaaaaaaaaaaa
jgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaa
aaaaaaaaegacbaaaaeaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
dcaabaaaaaaaaaaaegaabaaaaaaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaao
mcaabaaaaaaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaa
kgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaabaaaaaaogakbaaaaaaaaaaa
amaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaa
egaabaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaaegaabaaaabaaaaaa
ogakbaaaaaaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaacaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaa
acaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafbcaabaaaacaaaaaa
akaabaaaacaaaaaaapcaaaaiccaabaaaacaaaaaaagaabaaaacaaaaaapgipcaaa
aaaaaaaabaaaaaaadcaaaaajpcaabaaaaaaaaaaafgafbaaaacaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
hcaabaaaabaaaaaaagaabaaaabaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaa
abaaaaaaegacbaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaadgaaaaaf
bcaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaaabaaaaaaagambaaa
abaaaaaaegiocaaaaaaaaaaaapaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaacaaaaaa
bkiacaaaaaaaaaaabbaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaabbaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaa
egbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 106 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c13.x, c13.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c13.x, c13.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.w, v2, v2
add_pp r2, -r1, c13.x
rsq r3.x, r0.w
add r0.xyz, -v0, c0
dp3 r0.w, r0, r0
mul r0.xyz, r3.x, v2
rsq r3.x, r0.w
rcp r3.x, r3.x
texld r0, r0, s0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
mul r3.y, r3.x, c7.x
mul_sat r0.y, r3, c13.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v3
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v4, r0
mov_pp r0.xyz, c13.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.x, r2, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.x, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 90 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedignkipjefjcbdogengfjljdjfcmjgbicabaaaaaaamanaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefckealaaaaeaaaaaaaojacaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaa
afaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacafaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
adaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaadaaaaaadcaaaaak
bcaabaaaabaaaaaackbabaaaadaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaa
aaaaaaaabnaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
ckaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaaadaaaaaa
akaabaaaaaaaaaaaakaabaaaabaaaaaadeaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
abaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaaabaaaaaa
abeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaa
abaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaacaaaaaaakaabaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaacaaaaaadgaaaaaidcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
aeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadgaaaaaifcaabaaaacaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaacaaaaaa
egacbaaaacaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaaaeaaaaaadcaaaaaj
ocaabaaaabaaaaaafgafbaaaabaaaaaaagajbaaaacaaaaaafgacbaaaaeaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaalganbaaaaaaaaaaa
jgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaa
aaaaaaaaegacbaaaaeaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
dcaabaaaaaaaaaaaegaabaaaaaaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaao
mcaabaaaaaaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaa
kgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaabaaaaaaogakbaaaaaaaaaaa
amaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaa
egaabaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaaegaabaaaabaaaaaa
ogakbaaaaaaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaacaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaa
acaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafbcaabaaaacaaaaaa
akaabaaaacaaaaaaapcaaaaiccaabaaaacaaaaaaagaabaaaacaaaaaapgipcaaa
aaaaaaaabaaaaaaadcaaaaajpcaabaaaaaaaaaaafgafbaaaacaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
hcaabaaaabaaaaaaagaabaaaabaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaa
abaaaaaaegacbaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaadgaaaaaf
bcaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaaabaaaaaaagambaaa
abaaaaaaegiocaaaaaaaaaaaapaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaacaaaaaa
bkiacaaaaaaaaaaabbaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaabbaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaa
egbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 144 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c13.x, c13.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c13.x, c13.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c13.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c13.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c13.w
dp3 r0.z, v1, v1
rsq r2.x, r0.z
mul r2.xyz, r2.x, v1
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c13.x, c13
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c13.x, c13.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c13.y, c13.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c13, c13.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
cmp r3.y, -r3, c13, c13.x
add r4.x, r3.y, -r3.z
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c13.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c13.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
dsx r3.xy, r2.zwzw
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.zw, r2
texldd r0, r2, s2, r3, r2.zwzw
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 126 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 144 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c13.x, c13.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c13.x, c13.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c13.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c13.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c13.w
dp3 r0.z, v1, v1
rsq r2.x, r0.z
mul r2.xyz, r2.x, v1
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c13.x, c13
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c13.x, c13.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c13.y, c13.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c13, c13.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
cmp r3.y, -r3, c13, c13.x
add r4.x, r3.y, -r3.z
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c13.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c13.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
dsx r3.xy, r2.zwzw
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.zw, r2
texldd r0, r2, s2, r3, r2.zwzw
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 126 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfdcfembpgekooipenmmbfcghfgopeijeabaaaaaajabbaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefceabaaaaaeaaaaaaabaaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaa
abaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaa
abaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaa
acaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaia
ebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaa
aaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaa
adaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaa
fgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaa
adaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaa
abaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
aaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaa
acaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
aaaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaajgafbaaaacaaaaaa
egaabaaaaaaaaaaaaaaaaaaipcaabaaaadaaaaaaegaobaaaadaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaajpcaabaaaaaaaaaaapgapbaaaaaaaaaaaegaobaaa
adaaaaaaegaobaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaaakaabaiaebaaaaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaaakaabaaaacaaaaaa
ckaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaabkaabaia
ebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaa
abaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaadgaaaaafhcaabaaaabaaaaaa
pgapbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaabaaaaaaegiocaaa
aaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaa
apcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaaamaaaaaa
dcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaa
diaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaaanaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaa
afaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaa
amaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaa
dcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaa
dkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaa
egiccaaaaaaaaaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaa
pgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 144 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c13.x, c13.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c13.x, c13.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c13.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c13.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c13.w
dp3 r0.z, v1, v1
rsq r2.x, r0.z
mul r2.xyz, r2.x, v1
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c13.x, c13
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c13.x, c13.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c13.y, c13.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c13, c13.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
cmp r3.y, -r3, c13, c13.x
add r4.x, r3.y, -r3.z
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c13.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c13.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
dsx r3.xy, r2.zwzw
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.zw, r2
texldd r0, r2, s2, r3, r2.zwzw
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 126 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfdcfembpgekooipenmmbfcghfgopeijeabaaaaaajabbaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefceabaaaaaeaaaaaaabaaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaa
abaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaa
abaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaa
acaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaia
ebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaa
aaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaa
adaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaa
fgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaa
adaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaa
abaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
aaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaa
acaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
aaaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaajgafbaaaacaaaaaa
egaabaaaaaaaaaaaaaaaaaaipcaabaaaadaaaaaaegaobaaaadaaaaaaegaobaia
ebaaaaaaaeaaaaaadcaaaaajpcaabaaaaaaaaaaapgapbaaaaaaaaaaaegaobaaa
adaaaaaaegaobaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaaakaabaiaebaaaaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaaakaabaaaacaaaaaa
ckaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaabkaabaia
ebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaa
abaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaadgaaaaafhcaabaaaabaaaaaa
pgapbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaabaaaaaaegiocaaa
aaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaa
apcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaaamaaaaaa
dcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaa
abaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaa
diaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaaanaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaa
afaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaa
amaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaa
dcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaa
dkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaa
egiccaaaaaaaaaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaa
pgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 145 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c13.x, c13.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c13.x, c13.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c13.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c13.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c13.w
dp3 r0.z, v1, v1
rsq r2.x, r0.z
mul r2.xyz, r2.x, v1
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c13.x, c13
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c13.x, c13.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c13.y, c13.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c13, c13.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
cmp r3.y, -r3, c13, c13.x
add r4.x, r3.y, -r3.z
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c13.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c13.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
dsx r3.xy, r2.zwzw
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.zw, r2
texldd r0, r2, s2, r3, r2.zwzw
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 145 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c13.x, c13.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c13.x, c13.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c13.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c13.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c13.w
dp3 r0.z, v1, v1
rsq r2.x, r0.z
mul r2.xyz, r2.x, v1
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c13.x, c13
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c13.x, c13.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c13.y, c13.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c13, c13.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
cmp r3.y, -r3, c13, c13.x
add r4.x, r3.y, -r3.z
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c13.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c13.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
dsx r3.xy, r2.zwzw
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.zw, r2
texldd r0, r2, s2, r3, r2.zwzw
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 145 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c13.x, c13.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c13.x, c13.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c13.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c13.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c13.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c13.w
dp3 r0.z, v1, v1
rsq r2.x, r0.z
mul r2.xyz, r2.x, v1
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c13.x, c13
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c13.x, c13.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c13.y, c13.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c13, c13.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
cmp r3.y, -r3, c13, c13.x
add r4.x, r3.y, -r3.z
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c13.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c13.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
dsx r3.xy, r2.zwzw
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.zw, r2
texldd r0, r2, s2, r3, r2.zwzw
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.xyyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 122 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.xyyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 122 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.xyyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 122 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.xyyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 125 instructions, 6 temp regs, 0 temp arrays:
// ALU 103 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedojhhdfojdniebghgpkddkbfjnclpcicpabaaaaaakebbaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcdmbaaaaaeaaaaaaaapaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaa
gcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaa
abaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaa
abaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaa
acaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaia
ebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaa
aaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaa
adaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaa
fgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaa
adaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaa
abaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
aaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafmcaabaaa
abaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
abaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaaogakbaaaabaaaaaa
egaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaa
dkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
aaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaa
egiocaaaaaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaa
egbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
ocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaa
acaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaa
abaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaa
akaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaag
ecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaa
lganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaa
acaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaak
hcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaa
acaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaa
egacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaa
abaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
abaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaa
abaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaia
ibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaaf
mcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaegaabaaaacaaaaaaogakbaaa
abaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaa
baaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaa
bbaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaa
akaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaa
pgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
adaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.xyyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 125 instructions, 6 temp regs, 0 temp arrays:
// ALU 103 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.xyyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 125 instructions, 6 temp regs, 0 temp arrays:
// ALU 103 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yxyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 122 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yxyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 122 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yxyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 122 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yxyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 125 instructions, 6 temp regs, 0 temp arrays:
// ALU 103 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yxyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 125 instructions, 6 temp regs, 0 temp arrays:
// ALU 103 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yxyy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 125 instructions, 6 temp regs, 0 temp arrays:
// ALU 103 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyxy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 122 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyxy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 122 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyxy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 122 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefieceddnihfeapoahmgamfmikjkmbjekglbiiaabaaaaaabebbaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcmeapaaaaeaaaaaaapbadaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaa
abaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaa
abaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaa
acaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaia
ebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaa
aaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaa
adaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaa
fgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
agaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaa
adaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaa
egacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaa
abaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
aaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
dgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafmcaabaaa
abaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
aaaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaogakbaaaabaaaaaa
egaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaa
dkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
aaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaa
egiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaa
egbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
ocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaa
acaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaa
abaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaa
akaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaag
ecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaa
lganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaa
acaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaak
hcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaa
acaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaa
egacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaa
abaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
abaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaa
abaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaia
ibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaaf
mcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaa
abaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaa
amaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaa
anaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaa
akaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
apaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyxy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 125 instructions, 6 temp regs, 0 temp arrays:
// ALU 103 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyxy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 125 instructions, 6 temp regs, 0 temp arrays:
// ALU 103 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyxy
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 125 instructions, 6 temp regs, 0 temp arrays:
// ALU 103 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyyx
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 126 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyyx
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 126 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 149 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyyx
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r0, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 126 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyyx
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyyx
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 150 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c13.x, c13.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c13.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v1, v1
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c13, c13.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
rsq r2.y, r2.y
mul r2.xyz, r2.y, v1
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c13.x, c13
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c13.x, c13.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c13.y, c13
cmp r0.z, -r0, c13.y, c13.x
add r4.x, r0.z, -r1
mad_pp r1.w, r3, r0.x, r0.y
mov r1.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c13.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c13.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c13.yyyx
mov r0.z, -r4.x
mov r0.xy, c13.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
rcp r1.x, r0.w
add_pp r0.w, r0.x, r1.z
mul r0.x, r0.y, r1
mul r0.y, r0.z, r1.x
add_pp r0.w, r0, r1
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2.zwzw
abs r2.xy, r0
dsx r3.xy, r2
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
add r0.xyz, -v0, c0
dp3 r3.z, r0, r0
dsy r2.xy, r2
texldd r0, r2.zwzw, s2, r3, r2
rsq r3.x, r3.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
mul_sat r2.x, r0, c10
mad r2.x, r2, r2.w, r0.w
mul_pp oC0.w, r2.x, r1
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c1
dp3_pp r0.w, v3, r0
add_pp r1.w, r0, c14.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c14.w
mul_pp_sat r0.y, -r0.w, c14
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 147 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r4.x, v1, v1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c13.x, c13.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c13.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v1
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c13.x, c13.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c13, c13.x
cmp r0.x, -r4, c13.y, c13
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r0, r5.w, r1, r0
mul_pp r1, r0, c3
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c13.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c13.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c13.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.y, r3.z, r3.x
mul r2.x, r3.y, r3
add r0.xyz, -v0, c0
mad r2.x, r2, c13.w, c13.w
mad r2.y, r2, c13.w, c13.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c13.w, -r2.z, r2.xyxy
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 147 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r4.x, v1, v1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c13.x, c13.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c13.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v1
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c13.x, c13.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c13, c13.x
cmp r0.x, -r4, c13.y, c13
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r0, r5.w, r1, r0
mul_pp r1, r0, c3
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c13.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c13.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c13.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.y, r3.z, r3.x
mul r2.x, r3.y, r3
add r0.xyz, -v0, c0
mad r2.x, r2, c13.w, c13.w
mad r2.y, r2, c13.w, c13.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c13.w, -r2.z, r2.xyxy
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 147 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r4.x, v1, v1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c13.x, c13.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c13.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v1
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c13.x, c13.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c13, c13.x
cmp r0.x, -r4, c13.y, c13
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r0, r5.w, r1, r0
mul_pp r1, r0, c3
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c13.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c13.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c13.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.y, r3.z, r3.x
mul r2.x, r3.y, r3
add r0.xyz, -v0, c0
mad r2.x, r2, c13.w, c13.w
mad r2.y, r2, c13.w, c13.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c13.w, -r2.z, r2.xyxy
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 148 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r4.x, v1, v1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c13.x, c13.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c13.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v1
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c13.x, c13.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c13, c13.x
cmp r0.x, -r4, c13.y, c13
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r0, r5.w, r1, r0
mul_pp r1, r0, c3
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c13.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c13.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c13.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.y, r3.z, r3.x
mul r2.x, r3.y, r3
add r0.xyz, -v0, c0
mad r2.x, r2, c13.w, c13.w
mad r2.y, r2, c13.w, c13.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c13.w, -r2.z, r2.xyxy
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 148 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r4.x, v1, v1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c13.x, c13.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c13.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v1
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c13.x, c13.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c13, c13.x
cmp r0.x, -r4, c13.y, c13
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r0, r5.w, r1, r0
mul_pp r1, r0, c3
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c13.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c13.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c13.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.y, r3.z, r3.x
mul r2.x, r3.y, r3
add r0.xyz, -v0, c0
mad r2.x, r2, c13.w, c13.w
mad r2.y, r2, c13.w, c13.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c13.w, -r2.z, r2.xyxy
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 148 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r4.x, v1, v1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c13.x, c13.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c13.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v1
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c13.x, c13.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c13, c13.x
cmp r0.x, -r4, c13.y, c13
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r0, r5.w, r1, r0
mul_pp r1, r0, c3
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c13.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c13.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c13.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.y, r3.z, r3.x
mul r2.x, r3.y, r3
add r0.xyz, -v0, c0
mad r2.x, r2, c13.w, c13.w
mad r2.y, r2, c13.w, c13.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c13.w, -r2.z, r2.xyxy
abs r2.zw, r2
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedeomclinoiapcnlmajmfeilckmpnjnenpabaaaaaapebdaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcimbcaaaaeaaaaaaakdaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaad
lcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaai
fcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
jgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaa
aaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaa
acaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaa
bkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaa
abaaaaaackaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaak
icaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaa
abaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaa
abaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaia
ebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaa
boaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaa
claaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaa
akaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
ggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaak
ocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaa
aaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaa
egacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaa
bnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaa
aaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaaj
hcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaia
ibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaia
ibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaaf
dcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaa
abaaaaaaeghobaaaafaaaaaaaagabaaaagaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaaeaaaaaa
aagabaaaafaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaa
aaaaaaaaakaabaaaadaaaaaaakaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaaeaaaaaaejaaaaan
pcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaa
abaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaaaaaaaaiecaabaaaabaaaaaaakaabaaaadaaaaaaakaabaiaebaaaaaa
aeaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaa
akaabaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaadcaaaaajecaabaaaaaaaaaaaakaabaaaacaaaaaackaabaaa
aaaaaaaackaabaaaabaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaadaaaaaaaagabaaaaeaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaa
adaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaa
akaabaiaebaaaaaaacaaaaaaakaabaaaadaaaaaadcaaaaajbcaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaaaaaaaaaiccaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaabaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaai
hcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaai
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaabaaaaaah
bcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaa
kgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaa
abaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaa
bkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaa
acaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
bkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaa
dbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaa
abaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaa
adaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaa
adaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaa
dgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
dcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaia
ebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaa
adaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaa
aeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaa
agaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaa
abaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaa
aaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaa
baaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaa
dgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaa
acaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaagaaaaaaaagabaaa
ahaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
aaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaa
elaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaa
agaabaaaadaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaa
fgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaadaaaaaabkiacaaaaaaaaaaabbaaaaaadccaaaalccaabaaaabaaaaaa
ckiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadp
dgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaah
ccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
akiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
ccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaak
hcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaa
bdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaa
akiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaa
dcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaah
dcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaahaaaaaaaagabaaaaaaaaaaadiaaaaah
icaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedaihhpiejloohojkolinalnhkcmfepbeaabaaaaaagebdaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcbebcaaaaeaaaaaaaifaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaae
aahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaae
aahabaaaagaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaai
fcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
jgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaa
aaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaa
acaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaa
bkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaa
abaaaaaackaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaak
icaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaa
abaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaa
abaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaia
ebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaa
boaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaa
claaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaa
akaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
ggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaak
ocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaa
aaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaa
egacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaa
bnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaa
aaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaa
diaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaaj
hcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaia
ibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaia
ibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaaf
dcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaa
abaaaaaaeghobaaaafaaaaaaaagabaaaafaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaaeaaaaaa
aagabaaaaeaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaa
aaaaaaaackaabaaaadaaaaaackaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaaeaaaaaaejaaaaan
pcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaa
abaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaaaaaaaaiecaabaaaabaaaaaackaabaaaadaaaaaackaabaiaebaaaaaa
aeaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaa
ckaabaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaadcaaaaajecaabaaaaaaaaaaaakaabaaaacaaaaaackaabaaa
aaaaaaaackaabaaaabaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaadaaaaaaaagabaaaadaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaa
acaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaa
ckaabaiaebaaaaaaacaaaaaackaabaaaadaaaaaadcaaaaajbcaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaackaabaaaacaaaaaaaaaaaaaiccaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaabaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaai
hcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaai
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaah
bcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaa
kgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaa
abaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaa
bkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaa
acaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
bkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaa
dbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaa
abaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaa
adaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaa
adaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaa
dgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
dcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaia
ebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaa
adaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaa
aeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaa
agaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaa
abaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaa
aaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaa
amaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaa
dgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaa
acaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaagaaaaaaaagabaaa
agaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
aaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaa
elaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaa
agaabaaaadaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaa
fgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaadaaaaaabkiacaaaaaaaaaaaanaaaaaadccaaaalccaabaaaabaaaaaa
ckiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadp
dgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaah
ccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
akiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
ccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaak
hcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaa
apaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaa
akiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaa
dcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 152 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
dp3_pp r2.w, v3, r2
mul_pp r0.xyz, r1, c2
add_pp r1.w, r2, c14.z
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r1.w
add_pp_sat r1.x, r1.w, -r3
add_pp r1.x, r1, c14.w
mul_pp_sat r0.w, -r2, c14.y
mad_pp r0.w, r0, r1.x, c13.x
mul r0.xyz, r0, c14.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Vector 12 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 153 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c13, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c14, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c13, c13.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c13.x, c13.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c13.y, c13
cmp r0.w, -r0, c13.y, c13.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c13.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c13.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c13.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c13.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c13.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c13.x, c13.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v1, v1
rsq r2.x, r2.x
mul r2.xyz, r2.x, v1
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c13.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c13.x, c13.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c13.x, c13.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c13, c13.x
cmp r3.x, -r4, c13.y, c13
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
add_pp r0.w, r0.z, r0
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c13.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c13.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c13.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c13.w, c13.w
mad r0.y, r0, c13.w, c13.w
mul r2.xy, r0, c6.x
mov r0.x, c6
mad r0.xy, c13.w, -r0.x, r2
abs r2.zw, r0.xyxy
mov_pp r0.xyz, c13.x
mul_pp r1, r0, c3
dsx r3.xy, r2.zwzw
dsy r3.zw, r2
add r0.xyz, -v0, c0
dp3 r2.z, r0, r0
texldd r0, r2, s6, r3, r3.zwzw
rsq r3.x, r2.z
rcp r3.w, r3.x
mov r3.xyz, v3
add_pp r2, -r0, c13.x
dp3_sat r3.x, v4, r3
mul r4.x, r3.w, c7
mul_sat r3.y, r4.x, c13.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mul r2.x, r3, c5
pow_sat r0, r2.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c13.x
mul_sat r0.y, r3.w, c8.x
mad r0.w, -r0.y, r0.z, c13.x
add r2.w, r0.x, -r0
add r0.xyz, -v0, c12
dp3 r0.x, r0, r0
mov r2.xyz, c0
add r2.xyz, -c12, r2
dp3 r0.y, r2, r2
rsq r0.x, r0.x
rsq r0.y, r0.y
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r0.x, -r0, c11, r0.y
dp4_pp r0.z, c1, c1
rsq_pp r0.y, r0.z
mul_sat r0.x, r0, c10
mad r0.x, r0, r2.w, r0.w
mul_pp r2.xyz, r0.y, c1
mul_pp oC0.w, r0.x, r1
mul_pp r0.xyz, r1, c2
dp3_pp r2.w, v3, r2
add_pp r1.w, r2, c14.z
frc_pp r3.x, r1.w
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
add_pp_sat r1.w, r1, -r3.x
texldp r0.x, v5, s7
add_pp r0.z, r1.w, c14.w
mul_pp_sat r0.y, -r2.w, c14
mad_pp r0.w, r0.y, r0.z, c13.x
mul_pp r0.x, r0, c14
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 170 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c18.y, c18.y
mad r0.y, r0, c18, c18
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.x, r3
abs r4.y, r3.z
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c16.y, c16.z
mad r3.w, r2, r4, c16
mad r5.x, r3.w, r4.w, c17
mad r5.x, r5, r4.w, c17.y
mad r4.w, r5.x, r4, c17.z
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
rsq r3.w, r2.w
rcp r2.w, r3.w
mul r2.xyz, r3.w, -r2
dp3 r2.x, v1, r2
mul r4.z, r4.w, r4
mul r5.x, r2.w, c7
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c18.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r4.w, r5.x, c15.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c17.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c15.w
add r1.z, -r1.x, c14.x
mad r1.y, r1.x, c14.z, c14.w
mad r1.y, r1, r1.x, c15.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c15.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c14.y, c14
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c15.z, r1
cmp r1.z, r3.x, r1.w, -r1.w
mad r1.x, r1, c15.w, r1.y
mul r3.y, r1.x, c16.x
mul r1.z, r1, c18.x
dp3 r3.x, v1, v1
mad r2.y, -r2.x, r2.x, r3.x
add r3.z, r1, c18.y
mov r1.y, r3
abs r1.x, r1.z
dsx r1.zw, r1.xyxy
mov r3.w, r3.y
rsq r2.y, r2.y
rcp r3.y, r2.y
dsy r1.xy, r1
texldd r1, r3.zwzw, s0, r1.zwzw, r1
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.z, r2.x, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.x
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3.z, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c1, c1
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c1
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 170 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c18.y, c18.y
mad r0.y, r0, c18, c18
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.x, r3
abs r4.y, r3.z
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c16.y, c16.z
mad r3.w, r2, r4, c16
mad r5.x, r3.w, r4.w, c17
mad r5.x, r5, r4.w, c17.y
mad r4.w, r5.x, r4, c17.z
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
rsq r3.w, r2.w
rcp r2.w, r3.w
mul r2.xyz, r3.w, -r2
dp3 r2.x, v1, r2
mul r4.z, r4.w, r4
mul r5.x, r2.w, c7
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c18.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r4.w, r5.x, c15.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c17.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c15.w
add r1.z, -r1.x, c14.x
mad r1.y, r1.x, c14.z, c14.w
mad r1.y, r1, r1.x, c15.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c15.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c14.y, c14
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c15.z, r1
cmp r1.z, r3.x, r1.w, -r1.w
mad r1.x, r1, c15.w, r1.y
mul r3.y, r1.x, c16.x
mul r1.z, r1, c18.x
dp3 r3.x, v1, v1
mad r2.y, -r2.x, r2.x, r3.x
add r3.z, r1, c18.y
mov r1.y, r3
abs r1.x, r1.z
dsx r1.zw, r1.xyxy
mov r3.w, r3.y
rsq r2.y, r2.y
rcp r3.y, r2.y
dsy r1.xy, r1
texldd r1, r3.zwzw, s0, r1.zwzw, r1
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.z, r2.x, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.x
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3.z, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c1, c1
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c1
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 170 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c18.y, c18.y
mad r0.y, r0, c18, c18
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.x, r3
abs r4.y, r3.z
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c16.y, c16.z
mad r3.w, r2, r4, c16
mad r5.x, r3.w, r4.w, c17
mad r5.x, r5, r4.w, c17.y
mad r4.w, r5.x, r4, c17.z
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
rsq r3.w, r2.w
rcp r2.w, r3.w
mul r2.xyz, r3.w, -r2
dp3 r2.x, v1, r2
mul r4.z, r4.w, r4
mul r5.x, r2.w, c7
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c18.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r4.w, r5.x, c15.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c17.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c15.w
add r1.z, -r1.x, c14.x
mad r1.y, r1.x, c14.z, c14.w
mad r1.y, r1, r1.x, c15.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c15.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c14.y, c14
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c15.z, r1
cmp r1.z, r3.x, r1.w, -r1.w
mad r1.x, r1, c15.w, r1.y
mul r3.y, r1.x, c16.x
mul r1.z, r1, c18.x
dp3 r3.x, v1, v1
mad r2.y, -r2.x, r2.x, r3.x
add r3.z, r1, c18.y
mov r1.y, r3
abs r1.x, r1.z
dsx r1.zw, r1.xyxy
mov r3.w, r3.y
rsq r2.y, r2.y
rcp r3.y, r2.y
dsy r1.xy, r1
texldd r1, r3.zwzw, s0, r1.zwzw, r1
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.z, r2.x, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.x
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3.z, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c1, c1
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c1
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 171 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c18.y, c18.y
mad r0.y, r0, c18, c18
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.x, r3
abs r4.y, r3.z
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c16.y, c16.z
mad r3.w, r2, r4, c16
mad r5.x, r3.w, r4.w, c17
mad r5.x, r5, r4.w, c17.y
mad r4.w, r5.x, r4, c17.z
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
rsq r3.w, r2.w
rcp r2.w, r3.w
mul r2.xyz, r3.w, -r2
dp3 r2.x, v1, r2
mul r4.z, r4.w, r4
mul r5.x, r2.w, c7
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c18.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r4.w, r5.x, c15.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c17.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c15.w
add r1.z, -r1.x, c14.x
mad r1.y, r1.x, c14.z, c14.w
mad r1.y, r1, r1.x, c15.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c15.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c14.y, c14
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c15.z, r1
cmp r1.z, r3.x, r1.w, -r1.w
mad r1.x, r1, c15.w, r1.y
mul r3.y, r1.x, c16.x
mul r1.z, r1, c18.x
dp3 r3.x, v1, v1
mad r2.y, -r2.x, r2.x, r3.x
add r3.z, r1, c18.y
mov r1.y, r3
abs r1.x, r1.z
dsx r1.zw, r1.xyxy
mov r3.w, r3.y
rsq r2.y, r2.y
rcp r3.y, r2.y
dsy r1.xy, r1
texldd r1, r3.zwzw, s0, r1.zwzw, r1
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.z, r2.x, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.x
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3.z, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c1, c1
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c1
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s2
mul_pp_sat r0.y, -r0.w, c18.w
add_pp r0.z, r1.w, c19.y
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 171 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c18.y, c18.y
mad r0.y, r0, c18, c18
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.x, r3
abs r4.y, r3.z
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c16.y, c16.z
mad r3.w, r2, r4, c16
mad r5.x, r3.w, r4.w, c17
mad r5.x, r5, r4.w, c17.y
mad r4.w, r5.x, r4, c17.z
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
rsq r3.w, r2.w
rcp r2.w, r3.w
mul r2.xyz, r3.w, -r2
dp3 r2.x, v1, r2
mul r4.z, r4.w, r4
mul r5.x, r2.w, c7
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c18.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r4.w, r5.x, c15.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c17.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c15.w
add r1.z, -r1.x, c14.x
mad r1.y, r1.x, c14.z, c14.w
mad r1.y, r1, r1.x, c15.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c15.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c14.y, c14
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c15.z, r1
cmp r1.z, r3.x, r1.w, -r1.w
mad r1.x, r1, c15.w, r1.y
mul r3.y, r1.x, c16.x
mul r1.z, r1, c18.x
dp3 r3.x, v1, v1
mad r2.y, -r2.x, r2.x, r3.x
add r3.z, r1, c18.y
mov r1.y, r3
abs r1.x, r1.z
dsx r1.zw, r1.xyxy
mov r3.w, r3.y
rsq r2.y, r2.y
rcp r3.y, r2.y
dsy r1.xy, r1
texldd r1, r3.zwzw, s0, r1.zwzw, r1
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.z, r2.x, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.x
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3.z, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c1, c1
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c1
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s2
mul_pp_sat r0.y, -r0.w, c18.w
add_pp r0.z, r1.w, c19.y
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 171 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c14.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c14.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c18.y, c18.y
mad r0.y, r0, c18, c18
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.x, r3
abs r4.y, r3.z
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c16.y, c16.z
mad r3.w, r2, r4, c16
mad r5.x, r3.w, r4.w, c17
mad r5.x, r5, r4.w, c17.y
mad r4.w, r5.x, r4, c17.z
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
rsq r3.w, r2.w
rcp r2.w, r3.w
mul r2.xyz, r3.w, -r2
dp3 r2.x, v1, r2
mul r4.z, r4.w, r4
mul r5.x, r2.w, c7
mul r0.xy, r0, c6.x
mov r0.w, c6.x
mad r1.xy, c18.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r4.w, r5.x, c15.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c17.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c15.w
add r1.z, -r1.x, c14.x
mad r1.y, r1.x, c14.z, c14.w
mad r1.y, r1, r1.x, c15.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c15.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c14.y, c14
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c15.z, r1
cmp r1.z, r3.x, r1.w, -r1.w
mad r1.x, r1, c15.w, r1.y
mul r3.y, r1.x, c16.x
mul r1.z, r1, c18.x
dp3 r3.x, v1, v1
mad r2.y, -r2.x, r2.x, r3.x
add r3.z, r1, c18.y
mov r1.y, r3
abs r1.x, r1.z
dsx r1.zw, r1.xyxy
mov r3.w, r3.y
rsq r2.y, r2.y
rcp r3.y, r2.y
dsy r1.xy, r1
texldd r1, r3.zwzw, s0, r1.zwzw, r1
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.z, r2.x, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.x
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3.z, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c1, c1
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c1
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s2
mul_pp_sat r0.y, -r0.w, c18.w
add_pp r0.z, r1.w, c19.y
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednjnjajanoaoomniklfjclkifkknlbhncabaaaaaakmbeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcfmbdaaaaeaaaaaaanhaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaa
igbbbaaaaeaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaa
dkaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaaj
bcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdp
diaaaaahccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaaj
ccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdp
dbaaaaajecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaa
aaaaaaaaabaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaa
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaa
aaaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejma
aaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaah
bcaabaaaabaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaa
abaaaaaaakaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaa
akaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaa
acaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaa
aaaaaaaaakaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaa
aaaaaaaaamaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakicaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdo
alaaaaafccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaaaaaaaaa
bkaabaaaacaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaacaaaaaaeghobaaa
aaaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaadgaaaaaf
bcaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaa
aaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
adaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaak
bcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaa
abaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaa
ckaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaa
akaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaa
akaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaa
acaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaa
abeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaa
acaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaa
dgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaa
aeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
afaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaa
egacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaaj
ocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaa
dcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaa
jgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaa
abaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaa
jgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
dcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaao
mcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaa
kgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaa
amaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaa
ogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaa
dkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaah
hcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaa
adaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaa
agaabaaaaeaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaa
fgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaaeaaaaaabkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaa
anaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaah
ccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
akiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
ccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaak
hcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaa
apaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaa
akiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaa
dcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaak
ccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaa
abaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaa
abaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaa
bkiacaaaaaaaaaaaaoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaa
abaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaa
abaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaa
acaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaia
ebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaa
abaaaaaabkiacaaaaaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaa
aoaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaa
bkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaa
ckaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaa
dkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaa
bkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 174 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c19.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c19.y
mul_pp_sat r0.w, -r0, c18
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c18.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 154 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 9 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c15, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c16, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c17, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c18, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c19, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.w, r0.y
mul r1.y, r2.z, r1.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r2.z, r0
abs r0.w, r0.x
max r1.x, r0.w, r2.z
rcp r1.z, r1.x
min r1.x, r0.w, r2.z
mul r2.w, r1.x, r1.z
mul r3.x, r2.w, r2.w
mul r1.x, r2.y, r1.w
mad r1.z, r3.x, c16.y, c16
mad r2.x, r1.z, r3, c16.w
mad r3.y, r2.x, r3.x, c17.x
mad r3.y, r3, r3.x, c17
mad r3.x, r3.y, r3, c17.z
mul r2.w, r3.x, r2
add r0.w, r0, -r2.z
mad r1.y, r1, c18, c18
mad r1.x, r1, c18.y, c18.y
mul r1.xy, r1, c6.x
mov r1.z, c6.x
mad r1.zw, c18.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add r2.x, -r2.w, c17.w
cmp r3.x, -r0.w, r2.w, r2
abs r0.w, r0.y
add r3.y, -r3.x, c15.w
cmp r0.z, r0, r3.x, r3.y
add r3.y, -r0.w, c14.x
mad r3.x, r0.w, c14.z, c14.w
mad r3.x, r3, r0.w, c15
cmp r0.z, r0.x, r0, -r0
mul r0.z, r0, c18.x
rsq r3.y, r3.y
add_pp r2, -r1, c14.x
abs r4.x, r0.z
rcp r3.y, r3.y
mad r0.w, r3.x, r0, c15.y
mul r0.w, r0, r3.y
cmp r0.y, r0, c14, c14.x
mul r3.x, r0.y, r0.w
mad r0.x, -r3, c15.z, r0.w
mad r0.y, r0, c15.w, r0.x
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
rsq r3.w, r3.w
mul r0.y, r0, c16.x
rcp r4.z, r3.w
mov r4.y, r0
add r0.x, r0.z, c18.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.x, r4.z, c7
mul_sat r4.x, r4, c15.z
mad_pp r1, r4.x, r2, r1
mul r2.xyz, r3.w, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r4, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r3.w, r0, c5.x
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r3.w, c4.x
mul r0.y, -r4.z, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r4.z, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c19.x
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c19.y
mul_pp_sat r0.y, -r0.w, c18.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c18.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 157 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 129 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c14.x, c14.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c14.x, c14.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c14.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r1.z, r2, r2
rsq r3.y, r1.z
rcp r2.w, r3.y
mul r2.xyz, r3.y, -r2
dp3 r2.x, v1, r2
mul r3.x, r2.w, c7
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
cmp r3.z, r2.x, c14.x, c14.y
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c14.w, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r3.x, r3, c14.z
mad_pp r0, r3.x, r1, r0
dp3 r3.x, v1, v1
mad r1.y, -r2.x, r2.x, r3.x
rsq r1.w, r1.y
rcp r3.y, r1.w
dp3 r1.x, v3, v3
rsq r1.x, r1.x
mul r1.xyz, r1.x, v3
texld r1, r1, s0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.w, r3.x
add r0.z, -r3.y, c12.x
rcp r0.w, r0.w
add r0.w, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r0, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
mad_sat r0.z, r0, r3, r0.w
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
cmp r0.y, r3.w, c14.x, c14
mad_pp r0.y, -r0.z, r0, c14.x
mul_pp oC0.w, r0.x, r0.y
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v4, v4
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 113 instructions, 5 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 129 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c14.x, c14.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c14.x, c14.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c14.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r1.z, r2, r2
rsq r3.y, r1.z
rcp r2.w, r3.y
mul r2.xyz, r3.y, -r2
dp3 r2.x, v1, r2
mul r3.x, r2.w, c7
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
cmp r3.z, r2.x, c14.x, c14.y
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c14.w, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r3.x, r3, c14.z
mad_pp r0, r3.x, r1, r0
dp3 r3.x, v1, v1
mad r1.y, -r2.x, r2.x, r3.x
rsq r1.w, r1.y
rcp r3.y, r1.w
dp3 r1.x, v3, v3
rsq r1.x, r1.x
mul r1.xyz, r1.x, v3
texld r1, r1, s0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.w, r3.x
add r0.z, -r3.y, c12.x
rcp r0.w, r0.w
add r0.w, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r0, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
mad_sat r0.z, r0, r3, r0.w
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
cmp r0.y, r3.w, c14.x, c14
mad_pp r0.y, -r0.z, r0, c14.x
mul_pp oC0.w, r0.x, r0.y
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v4, v4
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 113 instructions, 5 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedjjfiijpdipkbgbnijcpcmkhjhheoomodabaaaaaakiapaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcfiaoaaaaeaaaaaaajgadaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaahocaabaaaaaaaaaaaagaabaaaaaaaaaaa
kgbebaaaadaaaaaadcaaaaakbcaabaaaabaaaaaackbabaaaadaaaaaaakaabaaa
aaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajccaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaa
bkbabaiaebaaaaaaadaaaaaaakaabaaaaaaaaaaaakaabaaaabaaaaaadeaaaaaj
bcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
bnaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaaaaaaaaaakaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaa
aaaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaa
acaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaa
acaaaaaadgaaaaaidcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadiaaaaahhcaabaaaaeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaa
dgaaaaaifcaabaaaacaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
dcaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaajgahbaaaaaaaaaaajgaebaia
ebaaaaaaaeaaaaaadcaaaaajocaabaaaabaaaaaafgafbaaaabaaaaaaagajbaaa
acaaaaaafgacbaaaaeaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaa
adaaaaaalganbaaaaaaaaaaajgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaa
agaabaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaaeaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaakgikcaaa
aaaaaaaaamaaaaaadcaaaaaomcaabaaaaaaaaaaakgikcaiaebaaaaaaaaaaaaaa
amaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaa
dgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaa
abaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaa
ejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaabaaaaaaaagabaaa
abaaaaaaegaabaaaabaaaaaaogakbaaaaaaaaaaaaaaaaaalpcaabaaaabaaaaaa
egaobaiaebaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
aaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafbcaabaaaadaaaaaadkaabaaaacaaaaaaeeaaaaaficaabaaaacaaaaaa
dkaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaacaaaaaaegacbaaa
acaaaaaabaaaaaahbcaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaaacaaaaaa
apcaaaaiccaabaaaacaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaaamaaaaaa
dcaaaaajpcaabaaaaaaaaaaafgafbaaaacaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaabaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaabaaaaaaegacbaaa
abaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaa
egaobaaaabaaaaaaegiocaaaaaaaaaaaalaaaaaadiaaaaahpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaa
adaaaaaabkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaa
akaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaia
ebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaa
abaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaa
aaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaah
ccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakocaabaaa
acaaaaaaagijcaaaaaaaaaaaapaaaaaaagijcaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahecaabaaaabaaaaaajgahbaaaacaaaaaajgahbaaaacaaaaaaaaaaaaaj
ocaabaaaacaaaaaaagbjbaaaabaaaaaaagijcaiaebaaaaaaaaaaaaaaapaaaaaa
baaaaaahicaabaaaabaaaaaajgahbaaaacaaaaaajgahbaaaacaaaaaaelaaaaaf
mcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaia
ebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaai
ecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaaj
bcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaah
bcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaa
abaaaaaaakaabaiaebaaaaaaacaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
elaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaa
bkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaa
elaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaa
ckaabaiaebaaaaaaabaaaaaaakaabaaaacaaaaaabnaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaa
bkiacaaaaaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaa
akaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaa
acaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaa
abaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaa
abaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
bkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaadaaaaaabkaabaaa
abaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaa
egbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
abaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
diaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaea
aaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 129 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c14.x, c14.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c14.x, c14.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c14.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r1.z, r2, r2
rsq r3.y, r1.z
rcp r2.w, r3.y
mul r2.xyz, r3.y, -r2
dp3 r2.x, v1, r2
mul r3.x, r2.w, c7
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
cmp r3.z, r2.x, c14.x, c14.y
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c14.w, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r3.x, r3, c14.z
mad_pp r0, r3.x, r1, r0
dp3 r3.x, v1, v1
mad r1.y, -r2.x, r2.x, r3.x
rsq r1.w, r1.y
rcp r3.y, r1.w
dp3 r1.x, v3, v3
rsq r1.x, r1.x
mul r1.xyz, r1.x, v3
texld r1, r1, s0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.w, r3.x
add r0.z, -r3.y, c12.x
rcp r0.w, r0.w
add r0.w, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r0, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
mad_sat r0.z, r0, r3, r0.w
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
cmp r0.y, r3.w, c14.x, c14
mad_pp r0.y, -r0.z, r0, c14.x
mul_pp oC0.w, r0.x, r0.y
frc_pp r2.w, r1
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v4, v4
mul_pp r1.xyz, r1, c2
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 113 instructions, 5 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 130 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c14.x, c14.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c14.x, c14.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c14.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r1.z, r2, r2
rsq r3.y, r1.z
rcp r2.w, r3.y
mul r2.xyz, r3.y, -r2
dp3 r2.x, v1, r2
mul r3.x, r2.w, c7
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
cmp r3.z, r2.x, c14.x, c14.y
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c14.w, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r3.x, r3, c14.z
mad_pp r0, r3.x, r1, r0
dp3 r3.x, v1, v1
mad r1.y, -r2.x, r2.x, r3.x
rsq r1.w, r1.y
rcp r3.y, r1.w
dp3 r1.x, v3, v3
rsq r1.x, r1.x
mul r1.xyz, r1.x, v3
texld r1, r1, s0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.w, r3.x
add r0.z, -r3.y, c12.x
rcp r0.w, r0.w
add r0.w, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r0, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
mad_sat r0.z, r0, r3, r0.w
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
cmp r0.y, r3.w, c14.x, c14
mad_pp r0.y, -r0.z, r0, c14.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 116 instructions, 5 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 130 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c14.x, c14.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c14.x, c14.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c14.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r1.z, r2, r2
rsq r3.y, r1.z
rcp r2.w, r3.y
mul r2.xyz, r3.y, -r2
dp3 r2.x, v1, r2
mul r3.x, r2.w, c7
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
cmp r3.z, r2.x, c14.x, c14.y
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c14.w, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r3.x, r3, c14.z
mad_pp r0, r3.x, r1, r0
dp3 r3.x, v1, v1
mad r1.y, -r2.x, r2.x, r3.x
rsq r1.w, r1.y
rcp r3.y, r1.w
dp3 r1.x, v3, v3
rsq r1.x, r1.x
mul r1.xyz, r1.x, v3
texld r1, r1, s0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.w, r3.x
add r0.z, -r3.y, c12.x
rcp r0.w, r0.w
add r0.w, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r0, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
mad_sat r0.z, r0, r3, r0.w
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
cmp r0.y, r3.w, c14.x, c14
mad_pp r0.y, -r0.z, r0, c14.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 116 instructions, 5 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 130 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c14.x, c14.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c14.x, c14.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c14.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add r2.xyz, -v0, c0
dp3 r1.z, r2, r2
rsq r3.y, r1.z
rcp r2.w, r3.y
mul r2.xyz, r3.y, -r2
dp3 r2.x, v1, r2
mul r3.x, r2.w, c7
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
cmp r3.z, r2.x, c14.x, c14.y
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c14.w, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c14.x
mul_sat r3.x, r3, c14.z
mad_pp r0, r3.x, r1, r0
dp3 r3.x, v1, v1
mad r1.y, -r2.x, r2.x, r3.x
rsq r1.w, r1.y
rcp r3.y, r1.w
dp3 r1.x, v3, v3
rsq r1.x, r1.x
mul r1.xyz, r1.x, v3
texld r1, r1, s0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.y, r3, r3
add r0.y, r3.x, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.z, r0.x, r0.y
add r3.w, r2, -r0
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r2.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r2.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.w, r3.x
add r0.z, -r3.y, c12.x
rcp r0.w, r0.w
add r0.w, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r0, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
mad_sat r0.z, r0, r3, r0.w
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
cmp r0.y, r3.w, c14.x, c14
mad_pp r0.y, -r0.z, r0, c14.x
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
rsq_pp r0.y, r0.y
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, c2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 116 instructions, 5 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecediddmdekooadaaooaonicbndljjmopnglabaaaaaaembaaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcoeaoaaaaeaaaaaaaljadaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaad
lcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaa
egbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaaaaaaaaaaighhbaaa
aaaaaaaaaagabaaaabaaaaaadgaaaaafbcaabaaaaaaaaaaaabeaaaaaaaaaiadp
diaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaa
abaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaa
akaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaa
abaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaa
deaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaa
abaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaa
abaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaa
kgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaa
aaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
abaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaaf
dcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaa
adaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaa
adaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaa
egacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaa
baaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaa
bbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaa
abaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaaeaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
acaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaa
adaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
abaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaabkiacaaa
aaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaa
ckaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
akaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaa
bkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaai
bcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaaabaaaaaaabaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaah
ccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaa
egbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 134 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 114 instructions, 6 temp regs, 0 temp arrays:
// ALU 99 float, 1 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c14.x, c14.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c14.x, c14.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c14, c14.x
cmp r1.x, -r1, c14.y, c14
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c14.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.x, r3, r3
rsq r4.x, r0.x
rcp r3.w, r4.x
dp3 r0.y, v3, v3
rsq r0.y, r0.y
mul r0.xyz, r0.y, v3
texld r0, r0, s0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r4.y, r3.w, c7.x
add_pp r2, -r1, c14.x
mul_sat r4.y, r4, c14.z
mad_pp r1, r4.y, r2, r1
mul r2.xyz, r4.x, -r3
dp3 r2.x, v1, r2
dp3 r2.w, v1, v1
mad r0.y, -r2.x, r2.x, r2.w
rsq r0.y, r0.y
rcp r3.x, r0.y
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c14.x
mul_pp r0, r0, c3
mul_pp r1, r0, r1
mul r2.y, r3.x, r3.x
add r0.y, r2.w, -r2
mad r0.x, c12, c12, -r2.y
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r3.y, r2.x, c14.x, c14
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r2, -r0
add r0.x, r0, -r0.y
mad r0.w, r3.y, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.w, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.w, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.w, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r2.w
add r0.y, -r3.x, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r3, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
// 117 instructions, 6 temp regs, 0 temp arrays:
// ALU 101 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedmmjjfmipbjneoebaidmnbcihpdekdecbabaaaaaaembaaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcoeaoaaaaeaaaaaaaljadaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaad
lcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaa
egbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaaaaaaaaaaeghobaaa
aaaaaaaaaagabaaaabaaaaaadgaaaaafbcaabaaaaaaaaaaaabeaaaaaaaaaiadp
diaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaa
abaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaa
akaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaa
abaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaa
deaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaa
abaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaa
abaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaa
kgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaa
aaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
abaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaaf
dcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaa
adaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaa
adaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaa
egacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaa
baaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaa
bbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaa
abaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaaeaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
acaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaa
adaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
abaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaabkiacaaa
aaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaa
ckaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
akaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaa
bkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaai
bcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaaabaaaaaaabaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaah
ccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaa
egbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 173 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c14.x, c14.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c14.x, c14.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c14.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c14.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c14.w
dp3 r0.z, v2, v2
rsq r2.x, r0.z
mul r2.xyz, r2.x, v2
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c14.x, c14
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c14.x, c14.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c14.y, c14.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c14, c14.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
cmp r3.y, -r3, c14, c14.x
add r4.x, r3.y, -r3.z
dp3 r3.w, v1, v1
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c14.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c14.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
rsq r3.y, r3.y
mul r4.x, r3, c7
mov r0.z, c6.x
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mad r2.xy, c14.w, -r0.z, r0
abs r0.zw, r2.xyxy
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 129 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedeebfblmndpoolnhgdildacpiedfpjlceabaaaaaanabeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefciabdaaaaeaaaaaaaoaaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
abaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaipcaabaaaadaaaaaa
egaobaaaadaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaajpcaabaaaaaaaaaaa
pgapbaaaaaaaaaaaegaobaaaadaaaaaaegaobaaaaeaaaaaaaaaaaaaiecaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaa
aaaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
dgaaaaafhcaabaaaabaaaaaapgapbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
egaobaaaabaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaa
dcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaa
adaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaa
acaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaia
ebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaa
abaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaa
dcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaa
afaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaa
abaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaa
egacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
abaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaa
dcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaa
abaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaa
abaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaaegaabaaa
acaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaa
adaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
icaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaa
aeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaah
bcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaa
adaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaa
abaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaa
abaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaaanaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
bacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
aaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
aaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaa
aaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaa
abaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaa
anaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaa
abaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaa
dcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaa
akaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaah
ecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaa
abaaaaaabkiacaaaaaaaaaaaaoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaia
ebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaai
icaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaah
bcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaa
bkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaai
ccaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaa
abaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaa
abaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaa
abaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaa
aeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaa
pgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 173 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c14.x, c14.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c14.x, c14.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c14.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c14.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c14.w
dp3 r0.z, v2, v2
rsq r2.x, r0.z
mul r2.xyz, r2.x, v2
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c14.x, c14
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c14.x, c14.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c14.y, c14.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c14, c14.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
cmp r3.y, -r3, c14, c14.x
add r4.x, r3.y, -r3.z
dp3 r3.w, v1, v1
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c14.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c14.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
rsq r3.y, r3.y
mul r4.x, r3, c7
mov r0.z, c6.x
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mad r2.xy, c14.w, -r0.z, r0
abs r0.zw, r2.xyxy
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 129 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedeebfblmndpoolnhgdildacpiedfpjlceabaaaaaanabeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefciabdaaaaeaaaaaaaoaaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
abaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaipcaabaaaadaaaaaa
egaobaaaadaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaajpcaabaaaaaaaaaaa
pgapbaaaaaaaaaaaegaobaaaadaaaaaaegaobaaaaeaaaaaaaaaaaaaiecaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaa
aaaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
dgaaaaafhcaabaaaabaaaaaapgapbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
egaobaaaabaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaa
dcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaa
adaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaa
acaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaia
ebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaa
abaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaa
dcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaa
afaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaa
abaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaa
egacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
abaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaa
dcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaa
abaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaa
abaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaaegaabaaa
acaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaa
adaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
icaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaa
aeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaah
bcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaa
adaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaa
abaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaa
abaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaaanaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
bacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
aaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
aaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaa
aaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaa
abaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaa
anaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaa
abaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaa
dcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaa
akaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaah
ecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaa
abaaaaaabkiacaaaaaaaaaaaaoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaia
ebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaai
icaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaah
bcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaa
bkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaai
ccaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaa
abaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaa
abaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaa
abaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaa
aeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaa
pgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 173 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c14.x, c14.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c14.x, c14.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c14.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c14.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c14.w
dp3 r0.z, v2, v2
rsq r2.x, r0.z
mul r2.xyz, r2.x, v2
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c14.x, c14
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c14.x, c14.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c14.y, c14.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c14, c14.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
cmp r3.y, -r3, c14, c14.x
add r4.x, r3.y, -r3.z
dp3 r3.w, v1, v1
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c14.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c14.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
rsq r3.y, r3.y
mul r4.x, r3, c7
mov r0.z, c6.x
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mad r2.xy, c14.w, -r0.z, r0
abs r0.zw, r2.xyxy
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 129 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedeebfblmndpoolnhgdildacpiedfpjlceabaaaaaanabeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefciabdaaaaeaaaaaaaoaaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
abaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaipcaabaaaadaaaaaa
egaobaaaadaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaajpcaabaaaaaaaaaaa
pgapbaaaaaaaaaaaegaobaaaadaaaaaaegaobaaaaeaaaaaaaaaaaaaiecaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaa
aaaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
dgaaaaafhcaabaaaabaaaaaapgapbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
egaobaaaabaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaa
dcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaa
adaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaa
acaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaia
ebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaa
abaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaa
dcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaa
afaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaa
abaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaa
egacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
abaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaa
dcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaa
abaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaa
abaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaaegaabaaa
acaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaa
adaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
icaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaa
aeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaa
diaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaah
bcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaa
adaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaa
abaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaa
abaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaaanaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
bacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
aaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
aaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaa
aaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaa
abaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaa
anaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaa
abaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaa
dcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaa
akaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaah
ecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaa
abaaaaaabkiacaaaaaaaaaaaaoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaia
ebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaai
icaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaah
bcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaa
bkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaai
ccaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaa
abaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaa
abaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaa
abaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaa
aeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaa
pgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 174 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c14.x, c14.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c14.x, c14.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c14.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c14.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c14.w
dp3 r0.z, v2, v2
rsq r2.x, r0.z
mul r2.xyz, r2.x, v2
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c14.x, c14
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c14.x, c14.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c14.y, c14.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c14, c14.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
cmp r3.y, -r3, c14, c14.x
add r4.x, r3.y, -r3.z
dp3 r3.w, v1, v1
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c14.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c14.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
rsq r3.y, r3.y
mul r4.x, r3, c7
mov r0.z, c6.x
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mad r2.xy, c14.w, -r0.z, r0
abs r0.zw, r2.xyxy
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 174 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c14.x, c14.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c14.x, c14.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c14.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c14.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c14.w
dp3 r0.z, v2, v2
rsq r2.x, r0.z
mul r2.xyz, r2.x, v2
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c14.x, c14
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c14.x, c14.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c14.y, c14.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c14, c14.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
cmp r3.y, -r3, c14, c14.x
add r4.x, r3.y, -r3.z
dp3 r3.w, v1, v1
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c14.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c14.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
rsq r3.y, r3.y
mul r4.x, r3, c7
mov r0.z, c6.x
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mad r2.xy, c14.w, -r0.z, r0
abs r0.zw, r2.xyxy
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 174 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c14.x, c14.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
cmp r3.w, r0.x, c14.x, c14.y
add r0.y, r1, r0.z
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c14, c14.x
cmp r0.x, -r0, c14.y, c14
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c14.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c14.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c14.w
abs r0.xy, r0.zwzw
add_pp r1.xy, r0.zwzw, c14.w
dp3 r0.z, v2, v2
rsq r2.x, r0.z
mul r2.xyz, r2.x, v2
dsy r3.xy, r0
dsx r1.zw, r0.xyxy
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c14.x, c14
add r3.x, r4.z, -r3.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
cmp r4.w, r3.x, c14.x, c14.y
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c14.y, c14.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c14, c14.y
mad_pp r0, r3.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
cmp r3.y, -r3, c14, c14.x
add r4.x, r3.y, -r3.z
dp3 r3.w, v1, v1
mov r1.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c14.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c14.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.y, r1, r3
mov r1.z, -r4.x
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
mul r0.x, r1.y, r0.z
mul r0.y, r1.z, r0.z
mov_pp r1.xyz, r0.w
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
rsq r3.y, r3.y
mul r4.x, r3, c7
mov r0.z, c6.x
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mad r2.xy, c14.w, -r0.z, r0
abs r0.zw, r2.xyxy
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.xyyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 149 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.xyyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 149 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgofcekgmjbkabaelbgohbenjmmngibdhabaaaaaafebeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcaebdaaaaeaaaaaaambaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
abaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaa
dkaabaiaebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaa
adaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
abaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaah
ecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
ckaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaa
dgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaai
fcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaa
afaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaa
fgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
lganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaa
acaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaa
fgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaa
amaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaag
mcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaa
egaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaia
ebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaj
hcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaaf
bcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaa
adaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaa
baaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaaanaaaaaadgcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaia
ebaaaaaaaaaaaaaaanaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaa
acaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaa
adaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaam
ecaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkiacaaaaaaaaaaaaoaaaaaa
ckaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaa
bnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaa
acaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
bnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkaabaaaabaaaaaa
elaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaa
bkiacaaaaaaaaaaaaoaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaa
akaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.xyyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 149 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgofcekgmjbkabaelbgohbenjmmngibdhabaaaaaafebeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcaebdaaaaeaaaaaaambaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
abaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaa
dkaabaiaebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaa
adaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
abaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaah
ecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
ckaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaa
dgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaai
fcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaa
afaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaa
fgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
lganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaa
acaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaa
fgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaa
amaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaag
mcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaa
egaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaia
ebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaj
hcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaaf
bcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaa
adaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaa
baaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaaanaaaaaadgcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaia
ebaaaaaaaaaaaaaaanaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaa
acaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaa
adaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaam
ecaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkiacaaaaaaaaaaaaoaaaaaa
ckaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaa
bnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaa
acaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
bnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkaabaaaabaaaaaa
elaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaa
bkiacaaaaaaaaaaaaoaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaa
akaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.xyyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.xyyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.xyyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yxyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 149 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yxyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 149 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yxyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 149 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yxyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yxyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yxyy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyxy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 149 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyxy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 149 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyxy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 149 instructions, 6 temp regs, 0 temp arrays:
// ALU 125 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgofcekgmjbkabaelbgohbenjmmngibdhabaaaaaafebeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcaebdaaaaeaaaaaaambaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
abaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaa
dkaabaiaebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaa
adaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
abaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaah
ecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
ckaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaa
dgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaai
fcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaa
afaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaa
fgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
lganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaa
acaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaa
fgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaa
amaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaag
mcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaa
egaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaia
ebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaj
hcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaaf
bcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaa
adaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaa
baaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaaanaaaaaadgcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaia
ebaaaaaaaaaaaaaaanaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaa
acaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaa
adaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaam
ecaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkiacaaaaaaaaaaaaoaaaaaa
ckaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaa
bnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaa
acaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
bnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkaabaaaabaaaaaa
elaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaa
bkiacaaaaaaaaaaaaoaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaa
akaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyxy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfoohihenolbkolnbgjhlpklnljjkpfilabaaaaaaoebeaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefchmbdaaaaeaaaaaaanpaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaabaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
acaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaa
dkaabaiaebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaa
adaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
abaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaah
ecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
ckaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaa
dgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaai
fcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaa
afaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaa
fgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
lganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaa
acaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaa
fgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaa
baaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaag
mcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaa
egaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaia
ebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaj
hcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaaf
bcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaa
adaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaa
baaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaabbaaaaaadgcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaia
ebaaaaaaaaaaaaaabbaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaa
acaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaa
adaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaam
ecaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaabkiacaaaaaaaaaaabcaaaaaa
ckaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaa
bnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaa
acaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
bnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaabkaabaaaabaaaaaa
elaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaa
bkiacaaaaaaaaaaabcaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaa
akaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaa
pgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
adaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyxy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfoohihenolbkolnbgjhlpklnljjkpfilabaaaaaaoebeaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefchmbdaaaaeaaaaaaanpaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaabaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
acaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaa
dkaabaiaebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaa
adaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
abaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaah
ecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
ckaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaa
dgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaai
fcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaa
afaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaa
fgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
lganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaa
acaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaa
fgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaa
baaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaag
mcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaa
egaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaia
ebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaj
hcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaaf
bcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaa
adaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaa
baaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaabbaaaaaadgcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaia
ebaaaaaaaaaaaaaabbaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaa
acaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaa
adaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaam
ecaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaabkiacaaaaaaaaaaabcaaaaaa
ckaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaa
bnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaa
acaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
bnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaabkaabaaaabaaaaaa
elaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaa
bkiacaaaaaaaaaaabcaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaa
akaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaa
pgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
adaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyxy
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 152 instructions, 6 temp regs, 0 temp arrays:
// ALU 127 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyyx
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 129 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefieceddkbagjnapjbaojgfmodmfafcmhjimdpbabaaaaaanmbeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcimbdaaaaeaaaaaaaodaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
abaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaihcaabaaaaaaaaaaa
egacbaaaadaaaaaaegacbaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaaiecaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaa
aaaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaabaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
dgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
diaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaa
abaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaa
akaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaa
abaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaa
deaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaa
abaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaa
abaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaa
kgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaa
aaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
abaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaaf
dcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaa
aagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaa
adaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaa
adaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaa
egacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaa
amaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaa
anaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaa
abaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaaeaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
apaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
acaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaa
adaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
abaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkiacaaa
aaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaa
ckaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
akaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaa
bkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaai
bcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaaabaaaaaaabaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaah
ccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyyx
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 129 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 178 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyyx
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c15.z
mul_pp oC0.w, r0.x, r0.y
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r0, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 129 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyyx
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyyx
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 179 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c14.x, c14.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c14.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s1, r0, r2
texldd r0, r0.zwzw, s0, r0, r2
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c14, c14.y
mad_pp r0, r2.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r3, r0.x, r0.y
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r1.xyz, r2
max r0.z, r1.x, r1
add r1.x, r1.z, -r1
add r0.z, r0, -r1.y
add r1.z, r2, -r2.x
cmp r4.y, r1.x, c14.x, c14
mad r1.x, r4.y, r1.z, r2
cmp r2.w, r0.z, c14.x, c14.y
add r1.x, -r2.y, r1
mad r0.z, r2.w, r1.x, r2.y
cmp r1.x, r0.z, c14.y, c14
cmp r0.z, -r0, c14.y, c14.x
add r4.x, r0.z, -r1
mov r1.y, r4.x
dp3 r3.w, v1, v1
mov r0.y, -r4.x
mov r0.xz, c14.x
mul r0.xyz, r2.xzyw, r0
mov r1.xz, c14.x
mad r3.xyz, r2.zxyw, r1, -r0
mad r3.xyz, r4.y, r3, r0
mov_pp r1.xyz, r0.w
mul_pp r1, r1, c14.yyyx
mov r0.z, -r4.x
mov r0.xy, c14.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs r0.w, r0.x
add_pp r0.x, r1, r1.y
add_pp r1.x, r0, r1.z
rcp r0.w, r0.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add_pp r1.w, r1.x, r1
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
mad r3.y, -r3.z, r3.z, r3.w
mov_pp r1.xyz, c14.x
rsq r3.y, r3.y
mul r4.x, r3, c7
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.zw, r0.xyxy, c6.x
mov r0.x, c6
mad r0.xy, c14.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsx r2.xy, r0
dsy r0.xy, r0
texldd r0, r0.zwzw, s2, r2, r0
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
mov r0.xyz, v4
add r3.z, r3.x, -r0.w
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
dp3_pp r0.w, v4, r2
mul_pp oC0.w, r0.x, r0.y
add_pp r1.w, r0, c15.z
dp3_pp r0.y, c1, c1
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c2
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c1
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c15.w
mul_pp_sat r0.y, -r0.w, c15
texldp r0.x, v6, s3
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedffdiejpelighjgbdoojjjgmncihggnoiabaaaaaagmbfaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcaebeaaaaeaaaaaaaabafaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaa
aeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaa
aeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaa
ckaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaa
abaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaa
dbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaa
abaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaa
acaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaa
fgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaa
aaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaabaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
ejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
acaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaihcaabaaaaaaaaaaa
egacbaaaadaaaaaaegacbaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaaiecaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaa
aaaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaabaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
dgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
diaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaa
abaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaa
akaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaa
abaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaa
deaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaa
abaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaa
abaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaa
kgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaa
aaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
abaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaaf
dcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaa
aagabaaaadaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaa
adaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaa
adaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaa
egacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaa
baaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaa
bbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaa
abaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaaeaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
bdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
acaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaa
adaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
abaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaabkiacaaa
aaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaa
ckaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
akaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaa
bkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaai
bcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaaabaaaaaaabaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaah
ccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaa
egbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaadaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 176 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c14.x, c14.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c14.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c14.x, c14.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c14, c14.x
cmp r0.x, -r4, c14.y, c14
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c14.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c14.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c14.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
dp3 r3.w, v1, v1
add r3.xyz, -v0, c0
mad r2.x, r2, c14.w, c14.w
mad r2.y, r2, c14.w, c14.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c14.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dsx r0.zw, r0.xyxy
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
rsq r3.y, r3.y
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 176 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c14.x, c14.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c14.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c14.x, c14.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c14, c14.x
cmp r0.x, -r4, c14.y, c14
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c14.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c14.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c14.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
dp3 r3.w, v1, v1
add r3.xyz, -v0, c0
mad r2.x, r2, c14.w, c14.w
mad r2.y, r2, c14.w, c14.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c14.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dsx r0.zw, r0.xyxy
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
rsq r3.y, r3.y
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedjcdcmkghnidmcmobnghmlchabekapmjdabaaaaaaiebgaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcdebfaaaaeaaaaaaaenafaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaae
aahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaae
aahabaaaagaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaa
acaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaad
hcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaa
ckbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaa
abeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaa
acaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaa
dgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaa
aaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaa
abeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaa
abaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaa
akaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
fgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaag
dcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaa
agabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaafaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaa
abaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaaaaaaaaipcaabaaaadaaaaaaegaobaaaadaaaaaaegaobaiaebaaaaaa
aeaaaaaadcaaaaajpcaabaaaadaaaaaapgapbaaaaaaaaaaaegaobaaaadaaaaaa
egaobaaaaeaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaabaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaafaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaajpcaabaaaaeaaaaaapgapbaaa
aaaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaaaaaaaaaipcaabaaaadaaaaaa
egaobaaaadaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaajpcaabaaaadaaaaaa
agaabaaaacaaaaaaegaobaaaadaaaaaaegaobaaaaeaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaipcaabaaaaeaaaaaaegaobaiaebaaaaaaacaaaaaaegaobaaaaeaaaaaa
dcaaaaajpcaabaaaaaaaaaaapgapbaaaaaaaaaaaegaobaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaaipcaabaaaacaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaa
adaaaaaadcaaaaajpcaabaaaaaaaaaaapgapbaaaabaaaaaaegaobaaaacaaaaaa
egaobaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaa
aaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaagaaaaaaaagabaaaagaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
aoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 176 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c14.x, c14.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c14.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c14.x, c14.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c14, c14.x
cmp r0.x, -r4, c14.y, c14
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c14.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c14.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c14.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
dp3 r3.w, v1, v1
add r3.xyz, -v0, c0
mad r2.x, r2, c14.w, c14.w
mad r2.y, r2, c14.w, c14.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c14.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dsx r0.zw, r0.xyxy
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
rsq r3.y, r3.y
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 177 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c14.x, c14.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c14.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c14.x, c14.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c14, c14.x
cmp r0.x, -r4, c14.y, c14
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c14.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c14.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c14.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
dp3 r3.w, v1, v1
add r3.xyz, -v0, c0
mad r2.x, r2, c14.w, c14.w
mad r2.y, r2, c14.w, c14.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c14.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dsx r0.zw, r0.xyxy
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
rsq r3.y, r3.y
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbaiimamiimnadokdhfkmnlocfjogckgdabaaaaaabebhaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefckmbfaaaaeaaaaaaaglafaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaa
ckbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaa
abeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaa
acaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaa
dgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaa
aaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaa
abeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaa
abaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaa
akaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
fgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaag
dcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaa
agabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaagaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaa
abaaaaaaeghobaaaaeaaaaaaaagabaaaafaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaaaaaaaaipcaabaaaadaaaaaaegaobaaaadaaaaaaegaobaiaebaaaaaa
aeaaaaaadcaaaaajpcaabaaaadaaaaaapgapbaaaaaaaaaaaegaobaaaadaaaaaa
egaobaaaaeaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaafaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaa
aeaaaaaaegaobaiaebaaaaaaafaaaaaadcaaaaajpcaabaaaaeaaaaaapgapbaaa
aaaaaaaaegaobaaaaeaaaaaaegaobaaaafaaaaaaaaaaaaaipcaabaaaadaaaaaa
egaobaaaadaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaajpcaabaaaadaaaaaa
agaabaaaacaaaaaaegaobaaaadaaaaaaegaobaaaaeaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaaeaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaadaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaipcaabaaaaeaaaaaaegaobaiaebaaaaaaacaaaaaaegaobaaaaeaaaaaa
dcaaaaajpcaabaaaaaaaaaaapgapbaaaaaaaaaaaegaobaaaaeaaaaaaegaobaaa
acaaaaaaaaaaaaaipcaabaaaacaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaa
adaaaaaadcaaaaajpcaabaaaaaaaaaaapgapbaaaabaaaaaaegaobaaaacaaaaaa
egaobaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaa
aaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaagaaaaaaaagabaaaahaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaabbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
bcaaaaaabkiacaaaaaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaabcaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaah
dcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaahaaaaaaaagabaaaaaaaaaaadiaaaaah
icaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 177 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c14.x, c14.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c14.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c14.x, c14.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c14, c14.x
cmp r0.x, -r4, c14.y, c14
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c14.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c14.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c14.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
dp3 r3.w, v1, v1
add r3.xyz, -v0, c0
mad r2.x, r2, c14.w, c14.w
mad r2.y, r2, c14.w, c14.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c14.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dsx r0.zw, r0.xyxy
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
rsq r3.y, r3.y
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 177 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c14.x, c14.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c14.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
add r4.z, r3, -r3.x
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c14.x, c14.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c14, c14.x
cmp r0.x, -r4, c14.y, c14
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c14.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c14.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c14.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
dp3 r3.w, v1, v1
add r3.xyz, -v0, c0
mad r2.x, r2, c14.w, c14.w
mad r2.y, r2, c14.w, c14.w
mul r2.xy, r2, c6.x
mov r2.z, c6.x
mad r2.zw, c14.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dsx r0.zw, r0.xyxy
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
rsq r3.y, r3.y
add_pp r2, -r0, c14.x
mul_sat r4.x, r4, c14.z
mad_pp r0, r4.x, r2, r0
rcp r3.y, r3.y
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefieceddioffpmoonmbpfgjnpmghobkdakgeojfabaaaaaakebgaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcfebfaaaaeaaaaaaaffafaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaae
aahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaae
aahabaaaagaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaa
acaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaad
hcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaa
ckbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaa
abeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaa
acaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaa
dgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaa
aaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaa
abeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaa
abaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaa
akaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
fgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaag
dcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaa
agabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaafaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaa
abaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaaaaaaaaiecaabaaaaaaaaaaaakaabaaaadaaaaaaakaabaiaebaaaaaa
aeaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaaeaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaabaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaaabaaaaaaakaabaaa
adaaaaaaakaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
aaaaaaaackaabaaaabaaaaaaakaabaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaa
ckaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaadcaaaaajecaabaaaaaaaaaaa
akaabaaaacaaaaaackaabaaaaaaaaaaackaabaaaabaaaaaaejaaaaanpcaabaaa
adaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaaacaaaaaaakaabaaaadaaaaaa
dcaaaaajbcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaaaaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaa
aaaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaadgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaa
aaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaagaaaaaaaagabaaaagaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
aoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedelpmpknccfemfoheohbjfdfadcfcbinkabaaaaaadebhaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcmmbfaaaaeaaaaaaahdafaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaa
ckbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaa
abeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaa
acaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaa
dgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaa
aaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaa
abeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaa
abaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaa
akaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
fgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaag
dcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaa
agabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaagaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaa
abaaaaaaeghobaaaaeaaaaaaaagabaaaafaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaaadaaaaaackaabaiaebaaaaaa
aeaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaa
ckaabaaaaeaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaaabaaaaaackaabaaa
adaaaaaackaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
aaaaaaaackaabaaaabaaaaaackaabaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaa
ckaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaadcaaaaajecaabaaaaaaaaaaa
akaabaaaacaaaaaackaabaaaaaaaaaaackaabaaaabaaaaaaejaaaaanpcaabaaa
adaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaaeaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaadaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaaacaaaaaackaabaaaadaaaaaa
dcaaaaajbcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaackaabaaa
acaaaaaaaaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaa
aaaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaadgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaa
aaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaagaaaaaaaagabaaaahaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaabbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
bcaaaaaabkiacaaaaaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaabcaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaah
dcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaahaaaaaaaagabaaaaaaaaaaadiaaaaah
icaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedelpmpknccfemfoheohbjfdfadcfcbinkabaaaaaadebhaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcmmbfaaaaeaaaaaaahdafaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaa
ckbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaa
dkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaa
abeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaa
acaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaa
dgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaa
aaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaa
abeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaa
abaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaa
akaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
fgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaag
dcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaa
agabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaagaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaa
abaaaaaaeghobaaaaeaaaaaaaagabaaaafaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaaadaaaaaackaabaiaebaaaaaa
aeaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaa
ckaabaaaaeaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaaabaaaaaackaabaaa
adaaaaaackaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
aaaaaaaackaabaaaabaaaaaackaabaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaa
ckaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaadcaaaaajecaabaaaaaaaaaaa
akaabaaaacaaaaaackaabaaaaaaaaaaackaabaaaabaaaaaaejaaaaanpcaabaaa
adaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaaeaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaadaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaaacaaaaaackaabaaaadaaaaaa
dcaaaaajbcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaackaabaaa
acaaaaaaaaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaa
aaaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaadgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaa
aaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaagaaaaaaaagabaaaahaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaabbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
bcaaaaaabkiacaaaaaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaabcaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaah
dcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaahaaaaaaaagabaaaaaaaaaaadiaaaaah
icaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 181 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c1
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c15.w
mul_pp_sat r0.w, -r1, c15.y
mad_pp r0.w, r0, r1.x, c14.x
mul r0.xyz, r0, c15.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_WorldSpaceLightPos0]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_FalloffPow]
Float 5 [_FalloffScale]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_DistFade]
Float 9 [_DistFadeVert]
Float 10 [_RimDist]
Float 11 [_RimDistSub]
Float 12 [_OceanRadius]
Vector 13 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
"ps_3_0
; 182 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c14, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c15, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c14, c14.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c14.x, c14.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c14.y, c14
cmp r0.w, -r0, c14.y, c14.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c14.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c14.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c14.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c14.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c14.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c14.x, c14.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c14.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c14.x, c14.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c14.x, c14.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c14, c14.x
cmp r3.x, -r4, c14.y, c14
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c14.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c14.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c14.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r3.xyz, -v0, c0
dp3 r2.z, r3, r3
rsq r4.x, r2.z
mul r3.xyz, r4.x, -r3
dp3 r3.z, v1, r3
rcp r3.x, r4.x
dp3 r3.w, v1, v1
mad r3.y, -r3.z, r3.z, r3.w
mul r4.x, r3, c7
rsq r3.y, r3.y
add_pp r1.w, r0.z, r0
rcp r3.y, r3.y
mul_sat r4.x, r4, c14.z
mad r0.x, r0, c14.w, c14.w
mad r0.y, r0, c14.w, c14.w
mul r0.xy, r0, c6.x
mov r1.x, c6
mad r1.xy, c14.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c14.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c14.x
mad_pp r0, r4.x, r2, r0
mul_pp r1, r1, c3
mul_pp r1, r1, r0
mul r2.x, r3.y, r3.y
add r0.y, r3.w, -r2.x
mad r0.x, c12, c12, -r2
rsq r0.y, r0.y
rsq r0.x, r0.x
cmp r2.w, r3.z, c14.x, c14.y
rcp r0.x, r0.x
rcp r0.y, r0.y
add r0.y, r0.x, -r0
add r0.x, r3.z, -r0
add r0.x, r0, -r0.y
mad r0.w, r2, r0.x, r0.y
add r3.z, r3.x, -r0.w
mov r0.xyz, v4
dp3_sat r0.w, v5, r0
mov r0.xyz, c0
add r2.xyz, -c13, r0
add r0.xyz, -v0, c13
dp3 r0.x, r0, r0
mul r4.x, r0.w, c5
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c11, r0.y
pow_sat r0, r4.x, c4.x
mul r0.y, -r3.x, c9.x
add_sat r0.z, r0.y, c14.x
mul_sat r0.y, r3.x, c8.x
mad r0.y, -r0, r0.z, c14.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c10
mad r0.x, r0, r0.z, r0.y
mul_pp r0.x, r0, r1.w
rsq r0.z, r3.w
add r0.y, -r3, c12.x
rcp r0.z, r0.z
add r0.z, -r0, c12.x
dp4_pp r1.w, c1, c1
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c1
dp3_pp r1.w, v4, r2
cmp r0.w, r3.z, c14.x, c14.y
cmp r0.z, r0, c14.x, c14.y
cmp r0.y, r0, c14.x, c14
mad_sat r0.y, r0, r2.w, r0.z
mad_pp r0.y, -r0, r0.w, c14.x
add_pp r2.w, r1, c15.z
mul_pp oC0.w, r0.x, r0.y
mul_pp r0.xyz, r1, c2
dp3_pp r1.x, c1, c1
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c1
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c15.w
mul_pp_sat r0.y, -r1.w, c15
mad_pp r0.w, r0.y, r0.z, c14.x
mul_pp r0.x, r0, c15
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_OFF" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r1.w, r1.x, r1.z
add r1.x, r1.z, -r1
cmp r2.w, r1.x, c15.x, c15.y
add r1.x, r1.w, -r1.y
add r0.w, r0.z, -r0.x
mad r0.w, r2, r0, r0.x
cmp r1.w, r1.x, c15.x, c15.y
add r0.w, -r0.y, r0
mad r1.x, r1.w, r0.w, r0.y
cmp r0.w, r1.x, c15.y, c15.x
cmp r1.x, -r1, c15.y, c15
add r0.w, r1.x, -r0
mov r2.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r1.xyz, r2.w, r2, r1
mov r2.z, -r0.w
mov r2.xy, c15.x
mad r1.xyz, r0.yxzw, -r2, r1
mul r0.xyz, r0.yxzw, r2
mad r3.xyz, r1.w, r1, r0
abs r0.x, r3
rcp r0.z, r0.x
dp3 r0.w, v2, v2
rsq r0.y, r0.w
mul r1.xyz, r0.y, v2
abs r2.z, r1
abs r1.w, r1.x
max r0.y, r1.w, r2.z
min r0.w, r1, r2.z
rcp r0.y, r0.y
mul r2.w, r0, r0.y
mul r0.x, r3.z, r0.z
mad r0.y, r0.x, c19, c19
mul r0.x, r3.y, r0.z
mul r3.x, r2.w, r2.w
mad r0.z, r3.x, c17.y, c17
mad r0.z, r0, r3.x, c17.w
mad r2.x, r0.z, r3, c18
mad r3.y, r2.x, r3.x, c18
mad r3.x, r3.y, r3, c18.z
mul r3.x, r3, r2.w
mad r0.x, r0, c19.y, c19.y
add r2.w, -r3.x, c18
add r1.w, r1, -r2.z
cmp r1.w, -r1, r3.x, r2
add r3.x, -r1.w, c16.w
cmp r1.w, r1.z, r1, r3.x
abs r1.z, r1.y
cmp r1.x, r1, r1.w, -r1.w
mul r1.x, r1, c19
add r1.w, -r1.z, c15.x
mad r3.x, r1.z, c15.z, c15.w
mad r3.x, r3, r1.z, c16
mad r1.z, r3.x, r1, c16.y
rsq r1.w, r1.w
rcp r1.w, r1.w
mul r1.z, r1, r1.w
cmp r1.w, r1.y, c15.y, c15.x
mul r1.y, r1.w, r1.z
mad r1.y, -r1, c16.z, r1.z
mad r1.y, r1.w, c16.w, r1
mul r1.w, r1.y, c17.x
abs r3.x, r1
add r3.z, r1.x, c19.y
add r1.xyz, -v0, c0
dp3 r1.z, r1, r1
mov r3.y, r1.w
dsx r1.xy, r3
rsq r1.z, r1.z
rcp r1.z, r1.z
mov r3.w, r1
dsy r3.xy, r3
texldd r3, r3.zwzw, s0, r1, r3
mul r1.w, r1.z, c8.x
mul_sat r1.x, r1.w, c16.z
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c19.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s1, r0.zwzw, r2
add_pp r2, -r0, c15.x
mad_pp r0, r1.x, r2, r0
mul_pp r2, r3, c4
mul_pp r0, r2, r0
mov r3.xyz, v3
dp3_sat r1.x, v4, r3
mov r2.xyz, c0
add r2.xyz, -c14, r2
dp3 r1.y, r2, r2
mul r1.x, r1, c6
pow_sat r2, r1.x, c5.x
mul r1.x, -r1.z, c10
add r3.xyz, -v0, c14
dp3 r1.w, r3, r3
rsq r1.y, r1.y
rsq r1.w, r1.w
mul_pp r0.xyz, r0, c3
rcp r1.w, r1.w
rcp r1.y, r1.y
mad r1.y, -r1.w, c12.x, r1
add_sat r1.x, r1, c15
mul_sat r1.z, r1, c9.x
mad r1.z, -r1, r1.x, c15.x
mov r1.x, r2
add r1.x, r1, -r1.z
mul_sat r1.y, r1, c11.x
mad r1.y, r1, r1.x, r1.z
mul_pp r2.x, r1.y, r0.w
texldp r1.x, v5, s2
mad r1.x, r1, c1.z, c1.w
rcp r1.x, r1.x
add r1.w, r1.x, -v5.z
mul_sat r1.w, r1, c13.x
dp4_pp r0.w, c2, c2
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c2
dp3_pp r0.w, v3, r1
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c20.x
dp3_pp r1.y, v3, v3
rsq_pp r2.x, r1.y
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v3
dp3_pp r1.y, r2, r1
mul_pp r2.xyz, r0, r1.y
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
add_pp r0.x, r1, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
mad_pp r0.x, r0.y, r0, c15
mul r1.xyz, r2, c19.z
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r1.w, r1.x, r1.z
add r1.x, r1.z, -r1
cmp r2.w, r1.x, c15.x, c15.y
add r1.x, r1.w, -r1.y
add r0.w, r0.z, -r0.x
mad r0.w, r2, r0, r0.x
cmp r1.w, r1.x, c15.x, c15.y
add r0.w, -r0.y, r0
mad r1.x, r1.w, r0.w, r0.y
cmp r0.w, r1.x, c15.y, c15.x
cmp r1.x, -r1, c15.y, c15
add r0.w, r1.x, -r0
mov r2.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r1.xyz, r2.w, r2, r1
mov r2.z, -r0.w
mov r2.xy, c15.x
mad r1.xyz, r0.yxzw, -r2, r1
mul r0.xyz, r0.yxzw, r2
mad r3.xyz, r1.w, r1, r0
abs r0.x, r3
rcp r0.z, r0.x
dp3 r0.w, v2, v2
rsq r0.y, r0.w
mul r1.xyz, r0.y, v2
abs r2.z, r1
abs r1.w, r1.x
max r0.y, r1.w, r2.z
min r0.w, r1, r2.z
rcp r0.y, r0.y
mul r2.w, r0, r0.y
mul r0.x, r3.z, r0.z
mad r0.y, r0.x, c19, c19
mul r0.x, r3.y, r0.z
mul r3.x, r2.w, r2.w
mad r0.z, r3.x, c17.y, c17
mad r0.z, r0, r3.x, c17.w
mad r2.x, r0.z, r3, c18
mad r3.y, r2.x, r3.x, c18
mad r3.x, r3.y, r3, c18.z
mul r3.x, r3, r2.w
mad r0.x, r0, c19.y, c19.y
add r2.w, -r3.x, c18
add r1.w, r1, -r2.z
cmp r1.w, -r1, r3.x, r2
add r3.x, -r1.w, c16.w
cmp r1.w, r1.z, r1, r3.x
abs r1.z, r1.y
cmp r1.x, r1, r1.w, -r1.w
mul r1.x, r1, c19
add r1.w, -r1.z, c15.x
mad r3.x, r1.z, c15.z, c15.w
mad r3.x, r3, r1.z, c16
mad r1.z, r3.x, r1, c16.y
rsq r1.w, r1.w
rcp r1.w, r1.w
mul r1.z, r1, r1.w
cmp r1.w, r1.y, c15.y, c15.x
mul r1.y, r1.w, r1.z
mad r1.y, -r1, c16.z, r1.z
mad r1.y, r1.w, c16.w, r1
mul r1.w, r1.y, c17.x
abs r3.x, r1
add r3.z, r1.x, c19.y
add r1.xyz, -v0, c0
dp3 r1.z, r1, r1
mov r3.y, r1.w
dsx r1.xy, r3
rsq r1.z, r1.z
rcp r1.z, r1.z
mov r3.w, r1
dsy r3.xy, r3
texldd r3, r3.zwzw, s0, r1, r3
mul r1.w, r1.z, c8.x
mul_sat r1.x, r1.w, c16.z
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c19.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s1, r0.zwzw, r2
add_pp r2, -r0, c15.x
mad_pp r0, r1.x, r2, r0
mul_pp r2, r3, c4
mul_pp r0, r2, r0
mov r3.xyz, v3
dp3_sat r1.x, v4, r3
mov r2.xyz, c0
add r2.xyz, -c14, r2
dp3 r1.y, r2, r2
mul r1.x, r1, c6
pow_sat r2, r1.x, c5.x
mul r1.x, -r1.z, c10
add r3.xyz, -v0, c14
dp3 r1.w, r3, r3
rsq r1.y, r1.y
rsq r1.w, r1.w
mul_pp r0.xyz, r0, c3
rcp r1.w, r1.w
rcp r1.y, r1.y
mad r1.y, -r1.w, c12.x, r1
add_sat r1.x, r1, c15
mul_sat r1.z, r1, c9.x
mad r1.z, -r1, r1.x, c15.x
mov r1.x, r2
add r1.x, r1, -r1.z
mul_sat r1.y, r1, c11.x
mad r1.y, r1, r1.x, r1.z
mul_pp r2.x, r1.y, r0.w
texldp r1.x, v5, s2
mad r1.x, r1, c1.z, c1.w
rcp r1.x, r1.x
add r1.w, r1.x, -v5.z
mul_sat r1.w, r1, c13.x
dp4_pp r0.w, c2, c2
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c2
dp3_pp r0.w, v3, r1
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c20.x
dp3_pp r1.y, v3, v3
rsq_pp r2.x, r1.y
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v3
dp3_pp r1.y, r2, r1
mul_pp r2.xyz, r0, r1.y
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
add_pp r0.x, r1, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
mad_pp r0.x, r0.y, r0, c15
mul r1.xyz, r2, c19.z
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 147 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r1.w, r1.x, r1.z
add r1.x, r1.z, -r1
cmp r2.w, r1.x, c15.x, c15.y
add r1.x, r1.w, -r1.y
add r0.w, r0.z, -r0.x
mad r0.w, r2, r0, r0.x
cmp r1.w, r1.x, c15.x, c15.y
add r0.w, -r0.y, r0
mad r1.x, r1.w, r0.w, r0.y
cmp r0.w, r1.x, c15.y, c15.x
cmp r1.x, -r1, c15.y, c15
add r0.w, r1.x, -r0
mov r2.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r1.xyz, r2.w, r2, r1
mov r2.z, -r0.w
mov r2.xy, c15.x
mad r1.xyz, r0.yxzw, -r2, r1
mul r0.xyz, r0.yxzw, r2
mad r3.xyz, r1.w, r1, r0
abs r0.x, r3
rcp r0.z, r0.x
dp3 r0.w, v2, v2
rsq r0.y, r0.w
mul r1.xyz, r0.y, v2
abs r2.z, r1
abs r1.w, r1.x
max r0.y, r1.w, r2.z
min r0.w, r1, r2.z
rcp r0.y, r0.y
mul r2.w, r0, r0.y
mul r0.x, r3.z, r0.z
mad r0.y, r0.x, c19, c19
mul r0.x, r3.y, r0.z
mul r3.x, r2.w, r2.w
mad r0.z, r3.x, c17.y, c17
mad r0.z, r0, r3.x, c17.w
mad r2.x, r0.z, r3, c18
mad r3.y, r2.x, r3.x, c18
mad r3.x, r3.y, r3, c18.z
mul r3.x, r3, r2.w
mad r0.x, r0, c19.y, c19.y
add r2.w, -r3.x, c18
add r1.w, r1, -r2.z
cmp r1.w, -r1, r3.x, r2
add r3.x, -r1.w, c16.w
cmp r1.w, r1.z, r1, r3.x
abs r1.z, r1.y
cmp r1.x, r1, r1.w, -r1.w
mul r1.x, r1, c19
add r1.w, -r1.z, c15.x
mad r3.x, r1.z, c15.z, c15.w
mad r3.x, r3, r1.z, c16
mad r1.z, r3.x, r1, c16.y
rsq r1.w, r1.w
rcp r1.w, r1.w
mul r1.z, r1, r1.w
cmp r1.w, r1.y, c15.y, c15.x
mul r1.y, r1.w, r1.z
mad r1.y, -r1, c16.z, r1.z
mad r1.y, r1.w, c16.w, r1
mul r1.w, r1.y, c17.x
abs r3.x, r1
add r3.z, r1.x, c19.y
add r1.xyz, -v0, c0
dp3 r1.z, r1, r1
mov r3.y, r1.w
dsx r1.xy, r3
rsq r1.z, r1.z
rcp r1.z, r1.z
mov r3.w, r1
dsy r3.xy, r3
texldd r3, r3.zwzw, s0, r1, r3
mul r1.w, r1.z, c8.x
mul_sat r1.x, r1.w, c16.z
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c19.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s1, r0.zwzw, r2
add_pp r2, -r0, c15.x
mad_pp r0, r1.x, r2, r0
mul_pp r2, r3, c4
mul_pp r0, r2, r0
mov r3.xyz, v3
dp3_sat r1.x, v4, r3
mov r2.xyz, c0
add r2.xyz, -c14, r2
dp3 r1.y, r2, r2
mul r1.x, r1, c6
pow_sat r2, r1.x, c5.x
mul r1.x, -r1.z, c10
add r3.xyz, -v0, c14
dp3 r1.w, r3, r3
rsq r1.y, r1.y
rsq r1.w, r1.w
mul_pp r0.xyz, r0, c3
rcp r1.w, r1.w
rcp r1.y, r1.y
mad r1.y, -r1.w, c12.x, r1
add_sat r1.x, r1, c15
mul_sat r1.z, r1, c9.x
mad r1.z, -r1, r1.x, c15.x
mov r1.x, r2
add r1.x, r1, -r1.z
mul_sat r1.y, r1, c11.x
mad r1.y, r1, r1.x, r1.z
mul_pp r2.x, r1.y, r0.w
texldp r1.x, v5, s2
mad r1.x, r1, c1.z, c1.w
rcp r1.x, r1.x
add r1.w, r1.x, -v5.z
mul_sat r1.w, r1, c13.x
dp4_pp r0.w, c2, c2
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c2
dp3_pp r0.w, v3, r1
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c20.x
dp3_pp r1.y, v3, v3
rsq_pp r2.x, r1.y
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v3
dp3_pp r1.y, r2, r1
mul_pp r2.xyz, r0, r1.y
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
add_pp r0.x, r1, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
mad_pp r0.x, r0.y, r0, c15
mul r1.xyz, r2, c19.z
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedojmbkffemkljhknilpcjdkbbnfabpbdlabaaaaaahabcaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefccabbaaaaeaaaaaaaeiaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadpcbabaaa
ahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
aeaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaaaaaaaaaa
amaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaa
iedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaa
aaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaaj
ecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaaaaaaaaabkaabaaa
acaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaa
aagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaadiaaaaaipcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaa
adaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
abaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaah
ecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
ckaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaa
dgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaai
fcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaa
afaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaa
fgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
lganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaa
acaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaa
fgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaa
amaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaag
mcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaa
egaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaia
ebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaj
hcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaaf
bcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaa
adaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaa
adaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaa
adaaaaaabkiacaaaaaaaaaaaanaaaaaadccaaaalccaabaaaabaaaaaackiacaia
ebaaaaaaaaaaaaaaanaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaia
ebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaa
abaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaa
aaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaah
ccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaa
acaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaaj
hcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaa
baaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaf
mcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaia
ebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaai
ecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaaj
bcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaaaoaaaaah
dcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaadcaaaaal
bcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaa
abaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaackbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaa
pgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 148 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r1.w, r1.x, r1.z
add r1.x, r1.z, -r1
cmp r2.w, r1.x, c15.x, c15.y
add r1.x, r1.w, -r1.y
add r0.w, r0.z, -r0.x
mad r0.w, r2, r0, r0.x
cmp r1.w, r1.x, c15.x, c15.y
add r0.w, -r0.y, r0
mad r1.x, r1.w, r0.w, r0.y
cmp r0.w, r1.x, c15.y, c15.x
cmp r1.x, -r1, c15.y, c15
add r0.w, r1.x, -r0
mov r2.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r1.xyz, r2.w, r2, r1
mov r2.z, -r0.w
mov r2.xy, c15.x
mad r1.xyz, r0.yxzw, -r2, r1
mul r0.xyz, r0.yxzw, r2
mad r3.xyz, r1.w, r1, r0
abs r0.x, r3
rcp r0.z, r0.x
dp3 r0.w, v2, v2
rsq r0.y, r0.w
mul r1.xyz, r0.y, v2
abs r2.z, r1
abs r1.w, r1.x
max r0.y, r1.w, r2.z
min r0.w, r1, r2.z
rcp r0.y, r0.y
mul r2.w, r0, r0.y
mul r0.x, r3.z, r0.z
mad r0.y, r0.x, c19, c19
mul r0.x, r3.y, r0.z
mul r3.x, r2.w, r2.w
mad r0.z, r3.x, c17.y, c17
mad r0.z, r0, r3.x, c17.w
mad r2.x, r0.z, r3, c18
mad r3.y, r2.x, r3.x, c18
mad r3.x, r3.y, r3, c18.z
mul r3.x, r3, r2.w
mad r0.x, r0, c19.y, c19.y
add r2.w, -r3.x, c18
add r1.w, r1, -r2.z
cmp r1.w, -r1, r3.x, r2
add r3.x, -r1.w, c16.w
cmp r1.w, r1.z, r1, r3.x
abs r1.z, r1.y
cmp r1.x, r1, r1.w, -r1.w
mul r1.x, r1, c19
add r1.w, -r1.z, c15.x
mad r3.x, r1.z, c15.z, c15.w
mad r3.x, r3, r1.z, c16
mad r1.z, r3.x, r1, c16.y
rsq r1.w, r1.w
rcp r1.w, r1.w
mul r1.z, r1, r1.w
cmp r1.w, r1.y, c15.y, c15.x
mul r1.y, r1.w, r1.z
mad r1.y, -r1, c16.z, r1.z
mad r1.y, r1.w, c16.w, r1
mul r1.w, r1.y, c17.x
abs r3.x, r1
add r3.z, r1.x, c19.y
add r1.xyz, -v0, c0
dp3 r1.z, r1, r1
mov r3.y, r1.w
dsx r1.xy, r3
rsq r1.z, r1.z
rcp r1.z, r1.z
mov r3.w, r1
dsy r3.xy, r3
texldd r3, r3.zwzw, s0, r1, r3
mul r1.w, r1.z, c8.x
mul_sat r1.x, r1.w, c16.z
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c19.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s1, r0.zwzw, r2
add_pp r2, -r0, c15.x
mad_pp r0, r1.x, r2, r0
mul_pp r2, r3, c4
mul_pp r0, r2, r0
mov r3.xyz, v3
dp3_sat r1.x, v4, r3
mov r2.xyz, c0
add r2.xyz, -c14, r2
dp3 r1.y, r2, r2
mul r1.x, r1, c6
pow_sat r2, r1.x, c5.x
mul r1.x, -r1.z, c10
add r3.xyz, -v0, c14
dp3 r1.w, r3, r3
rsq r1.y, r1.y
rsq r1.w, r1.w
mul_pp r0.xyz, r0, c3
rcp r1.w, r1.w
rcp r1.y, r1.y
mad r1.y, -r1.w, c12.x, r1
add_sat r1.x, r1, c15
mul_sat r1.z, r1, c9.x
mad r1.z, -r1, r1.x, c15.x
mov r1.x, r2
add r1.x, r1, -r1.z
mul_sat r1.y, r1, c11.x
mad r1.y, r1, r1.x, r1.z
mul_pp r2.x, r1.y, r0.w
texldp r1.x, v6, s3
mad r1.x, r1, c1.z, c1.w
rcp r1.x, r1.x
add r1.w, r1.x, -v6.z
mul_sat r1.w, r1, c13.x
dp4_pp r0.w, c2, c2
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c2
dp3_pp r0.w, v3, r1
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c20.x
dp3_pp r1.y, v3, v3
rsq_pp r2.x, r1.y
frc_pp r2.w, r1
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v3
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r1, -r2
texldp r0.x, v5, s2
mul_pp_sat r0.z, -r0.w, c19.w
mul_pp r0.w, r0.x, c19.z
add_pp r0.y, r1.w, c20
mad_pp r0.x, r0.z, r0.y, c15
mul r1.xyz, r1, r0.w
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 148 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r1.w, r1.x, r1.z
add r1.x, r1.z, -r1
cmp r2.w, r1.x, c15.x, c15.y
add r1.x, r1.w, -r1.y
add r0.w, r0.z, -r0.x
mad r0.w, r2, r0, r0.x
cmp r1.w, r1.x, c15.x, c15.y
add r0.w, -r0.y, r0
mad r1.x, r1.w, r0.w, r0.y
cmp r0.w, r1.x, c15.y, c15.x
cmp r1.x, -r1, c15.y, c15
add r0.w, r1.x, -r0
mov r2.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r1.xyz, r2.w, r2, r1
mov r2.z, -r0.w
mov r2.xy, c15.x
mad r1.xyz, r0.yxzw, -r2, r1
mul r0.xyz, r0.yxzw, r2
mad r3.xyz, r1.w, r1, r0
abs r0.x, r3
rcp r0.z, r0.x
dp3 r0.w, v2, v2
rsq r0.y, r0.w
mul r1.xyz, r0.y, v2
abs r2.z, r1
abs r1.w, r1.x
max r0.y, r1.w, r2.z
min r0.w, r1, r2.z
rcp r0.y, r0.y
mul r2.w, r0, r0.y
mul r0.x, r3.z, r0.z
mad r0.y, r0.x, c19, c19
mul r0.x, r3.y, r0.z
mul r3.x, r2.w, r2.w
mad r0.z, r3.x, c17.y, c17
mad r0.z, r0, r3.x, c17.w
mad r2.x, r0.z, r3, c18
mad r3.y, r2.x, r3.x, c18
mad r3.x, r3.y, r3, c18.z
mul r3.x, r3, r2.w
mad r0.x, r0, c19.y, c19.y
add r2.w, -r3.x, c18
add r1.w, r1, -r2.z
cmp r1.w, -r1, r3.x, r2
add r3.x, -r1.w, c16.w
cmp r1.w, r1.z, r1, r3.x
abs r1.z, r1.y
cmp r1.x, r1, r1.w, -r1.w
mul r1.x, r1, c19
add r1.w, -r1.z, c15.x
mad r3.x, r1.z, c15.z, c15.w
mad r3.x, r3, r1.z, c16
mad r1.z, r3.x, r1, c16.y
rsq r1.w, r1.w
rcp r1.w, r1.w
mul r1.z, r1, r1.w
cmp r1.w, r1.y, c15.y, c15.x
mul r1.y, r1.w, r1.z
mad r1.y, -r1, c16.z, r1.z
mad r1.y, r1.w, c16.w, r1
mul r1.w, r1.y, c17.x
abs r3.x, r1
add r3.z, r1.x, c19.y
add r1.xyz, -v0, c0
dp3 r1.z, r1, r1
mov r3.y, r1.w
dsx r1.xy, r3
rsq r1.z, r1.z
rcp r1.z, r1.z
mov r3.w, r1
dsy r3.xy, r3
texldd r3, r3.zwzw, s0, r1, r3
mul r1.w, r1.z, c8.x
mul_sat r1.x, r1.w, c16.z
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c19.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s1, r0.zwzw, r2
add_pp r2, -r0, c15.x
mad_pp r0, r1.x, r2, r0
mul_pp r2, r3, c4
mul_pp r0, r2, r0
mov r3.xyz, v3
dp3_sat r1.x, v4, r3
mov r2.xyz, c0
add r2.xyz, -c14, r2
dp3 r1.y, r2, r2
mul r1.x, r1, c6
pow_sat r2, r1.x, c5.x
mul r1.x, -r1.z, c10
add r3.xyz, -v0, c14
dp3 r1.w, r3, r3
rsq r1.y, r1.y
rsq r1.w, r1.w
mul_pp r0.xyz, r0, c3
rcp r1.w, r1.w
rcp r1.y, r1.y
mad r1.y, -r1.w, c12.x, r1
add_sat r1.x, r1, c15
mul_sat r1.z, r1, c9.x
mad r1.z, -r1, r1.x, c15.x
mov r1.x, r2
add r1.x, r1, -r1.z
mul_sat r1.y, r1, c11.x
mad r1.y, r1, r1.x, r1.z
mul_pp r2.x, r1.y, r0.w
texldp r1.x, v6, s3
mad r1.x, r1, c1.z, c1.w
rcp r1.x, r1.x
add r1.w, r1.x, -v6.z
mul_sat r1.w, r1, c13.x
dp4_pp r0.w, c2, c2
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c2
dp3_pp r0.w, v3, r1
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c20.x
dp3_pp r1.y, v3, v3
rsq_pp r2.x, r1.y
frc_pp r2.w, r1
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v3
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r1, -r2
texldp r0.x, v5, s2
mul_pp_sat r0.z, -r0.w, c19.w
mul_pp r0.w, r0.x, c19.z
add_pp r0.y, r1.w, c20
mad_pp r0.x, r0.z, r0.y, c15
mul r1.xyz, r1, r0.w
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 148 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r1.w, r1.x, r1.z
add r1.x, r1.z, -r1
cmp r2.w, r1.x, c15.x, c15.y
add r1.x, r1.w, -r1.y
add r0.w, r0.z, -r0.x
mad r0.w, r2, r0, r0.x
cmp r1.w, r1.x, c15.x, c15.y
add r0.w, -r0.y, r0
mad r1.x, r1.w, r0.w, r0.y
cmp r0.w, r1.x, c15.y, c15.x
cmp r1.x, -r1, c15.y, c15
add r0.w, r1.x, -r0
mov r2.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c15.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r1.xyz, r2.w, r2, r1
mov r2.z, -r0.w
mov r2.xy, c15.x
mad r1.xyz, r0.yxzw, -r2, r1
mul r0.xyz, r0.yxzw, r2
mad r3.xyz, r1.w, r1, r0
abs r0.x, r3
rcp r0.z, r0.x
dp3 r0.w, v2, v2
rsq r0.y, r0.w
mul r1.xyz, r0.y, v2
abs r2.z, r1
abs r1.w, r1.x
max r0.y, r1.w, r2.z
min r0.w, r1, r2.z
rcp r0.y, r0.y
mul r2.w, r0, r0.y
mul r0.x, r3.z, r0.z
mad r0.y, r0.x, c19, c19
mul r0.x, r3.y, r0.z
mul r3.x, r2.w, r2.w
mad r0.z, r3.x, c17.y, c17
mad r0.z, r0, r3.x, c17.w
mad r2.x, r0.z, r3, c18
mad r3.y, r2.x, r3.x, c18
mad r3.x, r3.y, r3, c18.z
mul r3.x, r3, r2.w
mad r0.x, r0, c19.y, c19.y
add r2.w, -r3.x, c18
add r1.w, r1, -r2.z
cmp r1.w, -r1, r3.x, r2
add r3.x, -r1.w, c16.w
cmp r1.w, r1.z, r1, r3.x
abs r1.z, r1.y
cmp r1.x, r1, r1.w, -r1.w
mul r1.x, r1, c19
add r1.w, -r1.z, c15.x
mad r3.x, r1.z, c15.z, c15.w
mad r3.x, r3, r1.z, c16
mad r1.z, r3.x, r1, c16.y
rsq r1.w, r1.w
rcp r1.w, r1.w
mul r1.z, r1, r1.w
cmp r1.w, r1.y, c15.y, c15.x
mul r1.y, r1.w, r1.z
mad r1.y, -r1, c16.z, r1.z
mad r1.y, r1.w, c16.w, r1
mul r1.w, r1.y, c17.x
abs r3.x, r1
add r3.z, r1.x, c19.y
add r1.xyz, -v0, c0
dp3 r1.z, r1, r1
mov r3.y, r1.w
dsx r1.xy, r3
rsq r1.z, r1.z
rcp r1.z, r1.z
mov r3.w, r1
dsy r3.xy, r3
texldd r3, r3.zwzw, s0, r1, r3
mul r1.w, r1.z, c8.x
mul_sat r1.x, r1.w, c16.z
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c19.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s1, r0.zwzw, r2
add_pp r2, -r0, c15.x
mad_pp r0, r1.x, r2, r0
mul_pp r2, r3, c4
mul_pp r0, r2, r0
mov r3.xyz, v3
dp3_sat r1.x, v4, r3
mov r2.xyz, c0
add r2.xyz, -c14, r2
dp3 r1.y, r2, r2
mul r1.x, r1, c6
pow_sat r2, r1.x, c5.x
mul r1.x, -r1.z, c10
add r3.xyz, -v0, c14
dp3 r1.w, r3, r3
rsq r1.y, r1.y
rsq r1.w, r1.w
mul_pp r0.xyz, r0, c3
rcp r1.w, r1.w
rcp r1.y, r1.y
mad r1.y, -r1.w, c12.x, r1
add_sat r1.x, r1, c15
mul_sat r1.z, r1, c9.x
mad r1.z, -r1, r1.x, c15.x
mov r1.x, r2
add r1.x, r1, -r1.z
mul_sat r1.y, r1, c11.x
mad r1.y, r1, r1.x, r1.z
mul_pp r2.x, r1.y, r0.w
texldp r1.x, v6, s3
mad r1.x, r1, c1.z, c1.w
rcp r1.x, r1.x
add r1.w, r1.x, -v6.z
mul_sat r1.w, r1, c13.x
dp4_pp r0.w, c2, c2
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c2
dp3_pp r0.w, v3, r1
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c20.x
dp3_pp r1.y, v3, v3
rsq_pp r2.x, r1.y
frc_pp r2.w, r1
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v3
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r1, -r2
texldp r0.x, v5, s2
mul_pp_sat r0.z, -r0.w, c19.w
mul_pp r0.w, r0.x, c19.z
add_pp r0.y, r1.w, c20
mad_pp r0.x, r0.z, r0.y, c15
mul r1.xyz, r1, r0.w
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedpamecbjpcpommcnbnggnjiafdleedicaabaaaaaaiebcaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcdebbaaaaeaaaaaaaenaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadpcbabaaa
ahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
aeaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaaaaaaaaaa
amaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaa
iedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaa
aaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaaj
ecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaaaaaaaaabkaabaaa
acaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaacaaaaaaighhbaaaaaaaaaaa
aagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaadgaaaaafbcaabaaa
aaaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaa
egiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaa
egbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
ocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaa
acaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaa
abaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaa
akaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaag
ecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaa
lganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaa
acaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaak
hcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaa
acaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaa
egacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaa
abaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
abaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaa
abaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaia
ibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaaf
mcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaa
abaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaa
amaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaa
anaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaa
akaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
apaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaa
ahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaacaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaa
abaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaa
ahaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaa
aoaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedpamecbjpcpommcnbnggnjiafdleedicaabaaaaaaiebcaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcdebbaaaaeaaaaaaaenaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadpcbabaaa
ahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
aeaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaaaaaaaaaa
amaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaa
iedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaa
aaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaaj
ecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaaaaaaaaabkaabaaa
acaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaacaaaaaaighhbaaaaaaaaaaa
aagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaadgaaaaafbcaabaaa
aaaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaa
egiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaa
egbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
ocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaa
acaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaa
abaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaa
akaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaag
ecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaa
lganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaa
acaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaak
hcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaa
acaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaa
egacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaa
abaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
abaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaa
abaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaia
ibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaaf
mcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaa
abaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaa
amaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaa
anaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaa
akaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
apaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaa
ahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaacaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaa
abaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaa
ahaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaa
aoaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedpamecbjpcpommcnbnggnjiafdleedicaabaaaaaaiebcaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcdebbaaaaeaaaaaaaenaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadpcbabaaa
ahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaagaabaaaaaaaaaaaigbbbaaa
aeaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaia
ibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajbcaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajccaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaajgafbaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaaibcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagbcaabaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaaaaaaaaaa
amaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaa
iedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaa
aaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
diaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaaj
ecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaaaaaaaaabkaabaaa
acaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaacaaaaaaighhbaaaaaaaaaaa
aagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaadgaaaaafbcaabaaa
aaaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaa
egiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaa
egbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
ocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaa
acaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
bnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaa
abaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaa
aaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaa
akaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaag
ecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaa
lganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaa
adaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaa
acaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaak
hcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaa
acaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaa
egacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaa
abaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
abaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaa
abaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaia
ibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaaf
mcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaa
abaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaa
amaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaa
anaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaa
akaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
apaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaa
ahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaacaaaaaaaagabaaaacaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaa
abaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaa
ahaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaa
aoaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 151 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c20.y
mul_pp_sat r0.w, -r0, c19
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c19.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 134 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c16, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c17, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c18, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c19, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c20, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c15.x, c15.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c15.x, c15.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c15, c15.x
cmp r1.x, -r1, c15.y, c15
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c15.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
mad r1.y, r0.w, c19, c19
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c17.y, c17.z
mad r3.y, r2.x, r2.w, c17.w
mad r3.y, r3, r2.w, c18.x
mad r3.y, r3, r2.w, c18
mad r2.w, r3.y, r2, c18.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c19.y, c19.y
add r3.z, -r3.y, c18.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c16.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c15.x
mad r3.z, r3.y, c15, c15.w
mad r3.z, r3, r3.y, c16.x
rsq r3.w, r3.w
cmp r0.y, r0, c15, c15.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c19.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c15.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c16
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c16, r3.y
mad r0.x, r0.y, c16.w, r0.z
mul r0.z, r0.w, c19.x
mul r0.w, r0.x, c17.x
mov r0.y, r0.w
abs r0.x, r0.z
add r3.x, r0.z, c19.y
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r0.xyz, -v0, c0
dp3 r4.z, r0, r0
mov r3.y, r0.w
texldd r0, r3, s0, r3.zwzw, r4
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
rsq r3.x, r4.z
rcp r3.x, r3.x
mul r0.y, r3.x, c8.x
mul_sat r0.y, r0, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c20.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c20.y
mul_pp_sat r0.y, -r0.w, c19.w
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c19.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 137 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 105 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r3.x, r0.x
dp3 r0.y, v2, v2
rsq r0.y, r0.y
mul r0.xyz, r0.y, v2
mul r3.y, r3.x, c8.x
texld r0, r0, s0
add_pp r2, -r1, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r1, r3.y, r2, r1
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 93 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 105 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r3.x, r0.x
dp3 r0.y, v2, v2
rsq r0.y, r0.y
mul r0.xyz, r0.y, v2
mul r3.y, r3.x, c8.x
texld r0, r0, s0
add_pp r2, -r1, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r1, r3.y, r2, r1
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 93 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 105 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r3.x, r0.x
dp3 r0.y, v2, v2
rsq r0.y, r0.y
mul r0.xyz, r0.y, v2
mul r3.y, r3.x, c8.x
texld r0, r0, s0
add_pp r2, -r1, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r1, r3.y, r2, r1
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 93 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 106 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r3.x, r0.x
dp3 r0.y, v2, v2
rsq r0.y, r0.y
mul r0.xyz, r0.y, v2
mul r3.y, r3.x, c8.x
texld r0, r0, s0
add_pp r2, -r1, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r1, r3.y, r2, r1
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 106 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r3.x, r0.x
dp3 r0.y, v2, v2
rsq r0.y, r0.y
mul r0.xyz, r0.y, v2
mul r3.y, r3.x, c8.x
texld r0, r0, s0
add_pp r2, -r1, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r1, r3.y, r2, r1
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 106 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
add r0.xyz, -v0, c0
dp3 r0.x, r0, r0
rsq r0.x, r0.x
rcp r3.x, r0.x
dp3 r0.y, v2, v2
rsq r0.y, r0.y
mul r0.xyz, r0.y, v2
mul r3.y, r3.x, c8.x
texld r0, r0, s0
add_pp r2, -r1, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r1, r3.y, r2, r1
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedpcedenkjecakegnbeikblbhmkdlhldadabaaaaaaceaoaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefclmamaaaaeaaaaaaacpadaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaa
gcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagcbaaaadpcbabaaa
aiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaa
adaaaaaadcaaaaakbcaabaaaabaaaaaackbabaaaadaaaaaaakaabaaaaaaaaaaa
ckaabaiaebaaaaaaaaaaaaaabnaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaia
ebaaaaaaadaaaaaaakaabaaaaaaaaaaaakaabaaaabaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
aaaaaaaaakaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
ecaabaaaabaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaacaaaaaa
akaabaaaaaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaacaaaaaa
dgaaaaaidcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaaeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadgaaaaai
fcaabaaaacaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaacaaaaaaegacbaaaacaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaa
aeaaaaaadcaaaaajocaabaaaabaaaaaafgafbaaaabaaaaaaagajbaaaacaaaaaa
fgacbaaaaeaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaa
lganbaaaaaaaaaaajgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
abaaaaaaegacbaaaaaaaaaaaegacbaaaaeaaaaaadiaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaak
dcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaakgikcaaaaaaaaaaa
baaaaaaadcaaaaaomcaabaaaaaaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaag
mcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaabaaaaaa
ogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaa
egaabaaaabaaaaaaogakbaaaaaaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaia
ebaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaj
hcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahbcaabaaaacaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaaapcaaaaiccaabaaaacaaaaaaagaabaaa
acaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaaaaaaaaafgafbaaa
acaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaaegbcbaaaaeaaaaaa
efaaaaajpcaabaaaabaaaaaaegacbaaaabaaaaaajghdbaaaaaaaaaaaaagabaaa
abaaaaaadgaaaaafbcaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaa
abaaaaaaagambaaaabaaaaaaegiocaaaaaaaaaaaapaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaacaaaaaabkiacaaaaaaaaaaabbaaaaaadccaaaalccaabaaaabaaaaaa
ckiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaah
ccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
akiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
ccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaak
hcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaa
bdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaa
akiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaa
dcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaaiaaaaaapgbpbaaaaiaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaaiaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaabcaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaa
pgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedalinembpoffkamajjgcanpfcfldnnpikabaaaaaajeanaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefceeamaaaaeaaaaaaabbadaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadpcbabaaa
ahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaa
adaaaaaadcaaaaakbcaabaaaabaaaaaackbabaaaadaaaaaaakaabaaaaaaaaaaa
ckaabaiaebaaaaaaaaaaaaaabnaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaia
ebaaaaaaadaaaaaaakaabaaaaaaaaaaaakaabaaaabaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
aaaaaaaaakaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
ecaabaaaabaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaa
ckaabaiaebaaaaaaabaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaacaaaaaa
akaabaaaaaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaacaaaaaa
dgaaaaaidcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaaeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadgaaaaai
fcaabaaaacaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaacaaaaaaegacbaaaacaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaa
aeaaaaaadcaaaaajocaabaaaabaaaaaafgafbaaaabaaaaaaagajbaaaacaaaaaa
fgacbaaaaeaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaa
lganbaaaaaaaaaaajgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
abaaaaaaegacbaaaaaaaaaaaegacbaaaaeaaaaaadiaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaak
dcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaakgikcaaaaaaaaaaa
amaaaaaadcaaaaaomcaabaaaaaaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaag
mcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaabaaaaaa
ogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaa
egaabaaaabaaaaaaogakbaaaaaaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaia
ebaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaj
hcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahbcaabaaaacaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaf
bcaabaaaacaaaaaaakaabaaaacaaaaaaapcaaaaiccaabaaaacaaaaaaagaabaaa
acaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaaaaaaaaafgafbaaa
acaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaaegbcbaaaaeaaaaaa
efaaaaajpcaabaaaabaaaaaaegacbaaaabaaaaaaighhbaaaaaaaaaaaaagabaaa
aaaaaaaadgaaaaafbcaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaa
abaaaaaaagambaaaabaaaaaaegiocaaaaaaaaaaaalaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaacaaaaaabkiacaaaaaaaaaaaanaaaaaadccaaaalccaabaaaabaaaaaa
ckiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaah
ccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
akiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
ccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaak
hcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaa
apaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaa
akiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaa
dcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 110 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s2
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 94 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 111 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
dp3 r3.x, r3, r3
rsq r3.x, r3.x
rcp r3.x, r3.x
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r1
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
texld r0, r0, s0
mul_pp r0, r0, c15.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
mul r0.y, r3.x, c8.x
add_pp r2, -r1, c15.x
mul_sat r0.y, r0, c15.z
mad_pp r1, r0.y, r2, r1
add_pp r0.w, r0.x, r0
mov_pp r0.xyz, c15.x
mul_pp r0, r0, c4
mul_pp r0, r0, r1
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s2
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 97 instructions, 5 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 2 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 149 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c15.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s0, r0, r2
texldd r0, r0.zwzw, s1, r0, r2
dp3 r2.z, v1, v1
rsq r2.x, r2.z
mul r2.xyz, r2.x, v1
add_pp r1, r1, -r0
cmp_pp r4.x, r4, c15, c15.y
mad_pp r0, r4.x, r1, r0
abs r3.xyz, r2
add r1.y, r3.z, -r3.x
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c15.x, c15.y
add_pp r1.x, r0.z, -r0
mad_pp r0.x, r3.w, r1, r0
cmp r4.x, r1.y, c15, c15.y
add r1.z, r2, -r2.x
mad r1.y, r4.x, r1.z, r2.x
add r1.y, -r2, r1
mad r1.y, r1.w, r1, r2
cmp r1.z, r1.y, c15.y, c15.x
cmp r0.z, -r1.y, c15.y, c15.x
add r0.z, r0, -r1
add_pp r0.x, -r0.y, r0
mov r1.y, r0.z
mov r3.y, -r0.z
mov r3.xz, c15.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c15.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.x, r1, r3
mov r1.z, -r0
mov r1.xy, c15.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r2.xyz, r1.w, r1, r4
mad_pp r1.w, r2, r0.x, r0.y
abs r0.x, r2
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
mul r0.z, r2.y, r0.x
mov_pp r1.xyz, r0.w
mad r0.x, r0.z, c15.w, c15.w
add r2.xyz, -v0, c0
dp3 r2.z, r2, r2
rsq r2.z, r2.z
rcp r3.x, r2.z
mad r0.y, r0, c15.w, c15.w
mul r3.y, r3.x, c8.x
mul_pp r1, r1, c4
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 149 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c15.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s0, r0, r2
texldd r0, r0.zwzw, s1, r0, r2
dp3 r2.z, v1, v1
rsq r2.x, r2.z
mul r2.xyz, r2.x, v1
add_pp r1, r1, -r0
cmp_pp r4.x, r4, c15, c15.y
mad_pp r0, r4.x, r1, r0
abs r3.xyz, r2
add r1.y, r3.z, -r3.x
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c15.x, c15.y
add_pp r1.x, r0.z, -r0
mad_pp r0.x, r3.w, r1, r0
cmp r4.x, r1.y, c15, c15.y
add r1.z, r2, -r2.x
mad r1.y, r4.x, r1.z, r2.x
add r1.y, -r2, r1
mad r1.y, r1.w, r1, r2
cmp r1.z, r1.y, c15.y, c15.x
cmp r0.z, -r1.y, c15.y, c15.x
add r0.z, r0, -r1
add_pp r0.x, -r0.y, r0
mov r1.y, r0.z
mov r3.y, -r0.z
mov r3.xz, c15.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c15.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.x, r1, r3
mov r1.z, -r0
mov r1.xy, c15.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r2.xyz, r1.w, r1, r4
mad_pp r1.w, r2, r0.x, r0.y
abs r0.x, r2
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
mul r0.z, r2.y, r0.x
mov_pp r1.xyz, r0.w
mad r0.x, r0.z, c15.w, c15.w
add r2.xyz, -v0, c0
dp3 r2.z, r2, r2
rsq r2.z, r2.z
rcp r3.x, r2.z
mad r0.y, r0, c15.w, c15.w
mul r3.y, r3.x, c8.x
mul_pp r1, r1, c4
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 149 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c15.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s0, r0, r2
texldd r0, r0.zwzw, s1, r0, r2
dp3 r2.z, v1, v1
rsq r2.x, r2.z
mul r2.xyz, r2.x, v1
add_pp r1, r1, -r0
cmp_pp r4.x, r4, c15, c15.y
mad_pp r0, r4.x, r1, r0
abs r3.xyz, r2
add r1.y, r3.z, -r3.x
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c15.x, c15.y
add_pp r1.x, r0.z, -r0
mad_pp r0.x, r3.w, r1, r0
cmp r4.x, r1.y, c15, c15.y
add r1.z, r2, -r2.x
mad r1.y, r4.x, r1.z, r2.x
add r1.y, -r2, r1
mad r1.y, r1.w, r1, r2
cmp r1.z, r1.y, c15.y, c15.x
cmp r0.z, -r1.y, c15.y, c15.x
add r0.z, r0, -r1
add_pp r0.x, -r0.y, r0
mov r1.y, r0.z
mov r3.y, -r0.z
mov r3.xz, c15.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c15.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.x, r1, r3
mov r1.z, -r0
mov r1.xy, c15.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r2.xyz, r1.w, r1, r4
mad_pp r1.w, r2, r0.x, r0.y
abs r0.x, r2
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
mul r0.z, r2.y, r0.x
mov_pp r1.xyz, r0.w
mad r0.x, r0.z, c15.w, c15.w
add r2.xyz, -v0, c0
dp3 r2.z, r2, r2
rsq r2.z, r2.z
rcp r3.x, r2.z
mad r0.y, r0, c15.w, c15.w
mul r3.y, r3.x, c8.x
mul_pp r1, r1, c4
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v5.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 150 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c15.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s0, r0, r2
texldd r0, r0.zwzw, s1, r0, r2
dp3 r2.z, v1, v1
rsq r2.x, r2.z
mul r2.xyz, r2.x, v1
add_pp r1, r1, -r0
cmp_pp r4.x, r4, c15, c15.y
mad_pp r0, r4.x, r1, r0
abs r3.xyz, r2
add r1.y, r3.z, -r3.x
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c15.x, c15.y
add_pp r1.x, r0.z, -r0
mad_pp r0.x, r3.w, r1, r0
cmp r4.x, r1.y, c15, c15.y
add r1.z, r2, -r2.x
mad r1.y, r4.x, r1.z, r2.x
add r1.y, -r2, r1
mad r1.y, r1.w, r1, r2
cmp r1.z, r1.y, c15.y, c15.x
cmp r0.z, -r1.y, c15.y, c15.x
add r0.z, r0, -r1
add_pp r0.x, -r0.y, r0
mov r1.y, r0.z
mov r3.y, -r0.z
mov r3.xz, c15.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c15.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.x, r1, r3
mov r1.z, -r0
mov r1.xy, c15.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r2.xyz, r1.w, r1, r4
mad_pp r1.w, r2, r0.x, r0.y
abs r0.x, r2
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
mul r0.z, r2.y, r0.x
mov_pp r1.xyz, r0.w
mad r0.x, r0.z, c15.w, c15.w
add r2.xyz, -v0, c0
dp3 r2.z, r2, r2
rsq r2.z, r2.z
rcp r3.x, r2.z
mad r0.y, r0, c15.w, c15.w
mul r3.y, r3.x, c8.x
mul_pp r1, r1, c4
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 150 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c15.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s0, r0, r2
texldd r0, r0.zwzw, s1, r0, r2
dp3 r2.z, v1, v1
rsq r2.x, r2.z
mul r2.xyz, r2.x, v1
add_pp r1, r1, -r0
cmp_pp r4.x, r4, c15, c15.y
mad_pp r0, r4.x, r1, r0
abs r3.xyz, r2
add r1.y, r3.z, -r3.x
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c15.x, c15.y
add_pp r1.x, r0.z, -r0
mad_pp r0.x, r3.w, r1, r0
cmp r4.x, r1.y, c15, c15.y
add r1.z, r2, -r2.x
mad r1.y, r4.x, r1.z, r2.x
add r1.y, -r2, r1
mad r1.y, r1.w, r1, r2
cmp r1.z, r1.y, c15.y, c15.x
cmp r0.z, -r1.y, c15.y, c15.x
add r0.z, r0, -r1
add_pp r0.x, -r0.y, r0
mov r1.y, r0.z
mov r3.y, -r0.z
mov r3.xz, c15.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c15.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.x, r1, r3
mov r1.z, -r0
mov r1.xy, c15.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r2.xyz, r1.w, r1, r4
mad_pp r1.w, r2, r0.x, r0.y
abs r0.x, r2
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
mul r0.z, r2.y, r0.x
mov_pp r1.xyz, r0.w
mad r0.x, r0.z, c15.w, c15.w
add r2.xyz, -v0, c0
dp3 r2.z, r2, r2
rsq r2.z, r2.z
rcp r3.x, r2.z
mad r0.y, r0, c15.w, c15.w
mul r3.y, r3.x, c8.x
mul_pp r1, r1, c4
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 150 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c15.w
dsy r2.xy, r1
dsx r0.xy, r1
texldd r1, r0.zwzw, s0, r0, r2
texldd r0, r0.zwzw, s1, r0, r2
dp3 r2.z, v1, v1
rsq r2.x, r2.z
mul r2.xyz, r2.x, v1
add_pp r1, r1, -r0
cmp_pp r4.x, r4, c15, c15.y
mad_pp r0, r4.x, r1, r0
abs r3.xyz, r2
add r1.y, r3.z, -r3.x
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c15.x, c15.y
add_pp r1.x, r0.z, -r0
mad_pp r0.x, r3.w, r1, r0
cmp r4.x, r1.y, c15, c15.y
add r1.z, r2, -r2.x
mad r1.y, r4.x, r1.z, r2.x
add r1.y, -r2, r1
mad r1.y, r1.w, r1, r2
cmp r1.z, r1.y, c15.y, c15.x
cmp r0.z, -r1.y, c15.y, c15.x
add r0.z, r0, -r1
add_pp r0.x, -r0.y, r0
mov r1.y, r0.z
mov r3.y, -r0.z
mov r3.xz, c15.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c15.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r4.x, r1, r3
mov r1.z, -r0
mov r1.xy, c15.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r2.xyz, r1.w, r1, r4
mad_pp r1.w, r2, r0.x, r0.y
abs r0.x, r2
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
mul r0.z, r2.y, r0.x
mov_pp r1.xyz, r0.w
mad r0.x, r0.z, c15.w, c15.w
add r2.xyz, -v0, c0
dp3 r2.z, r2, r2
rsq r2.z, r2.z
rcp r3.x, r2.z
mad r0.y, r0, c15.w, c15.w
mul r3.y, r3.x, c8.x
mul_pp r1, r1, c4
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.xy, r0.zwzw
dsy r0.zw, r0
texldd r0, r0, s2, r2, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.y, r1, r0.w
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
rcp r0.w, r0.w
mul_pp r2.xyz, r1.x, c2
add r0.w, r0, -v6.z
mul_sat r1.x, r0.w, c13
dp3_pp r0.w, v3, r2
mul_pp r2.xyz, r0, c3
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v3, v3
rsq_pp r0.y, r0.y
mul_pp oC0.w, r1.y, r1.x
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.xyyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbejbjgonhfhhjdgpajmlmgdodgifpjdgabaaaaaacmbcaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcnmbaaaaaeaaaaaaadhaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaa
abaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaad
hcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadpcbabaaaahaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaia
mbaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaa
akaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaa
alaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaa
aaaaaaaaaagabaaaaaaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaa
ogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaia
ebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaa
dcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaa
adaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaa
acaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaia
ebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaa
abaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaa
dcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaa
afaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaa
abaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaa
egacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
abaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaa
dcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaa
abaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaa
abaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaaegaabaaa
acaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaa
adaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
bcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaa
adaaaaaaakaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaa
pgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaa
bkiacaaaaaaaaaaaanaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaaanaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaaaoaaaaahdcaabaaa
abaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaadcaaaaalbcaabaaa
abaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaa
ahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.xyyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.xyyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.xyyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 132 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.xyyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 132 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.xyyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 132 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbemppmnpcbfegpelhdpneliambjanbjkabaaaaaalmbcaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcfebbaaaaeaaaaaaaffaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaae
aahabaaaaeaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagcbaaaadpcbabaaaaiaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaia
mbaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaa
akaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaa
alaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaa
aaaaaaaaaagabaaaabaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaa
ogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaia
ebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaa
dcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaa
adaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaa
acaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaia
ebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaa
abaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaa
dcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaa
afaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaa
abaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaa
egacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
abaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaa
dcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaa
abaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaa
abaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaegaabaaa
acaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaa
adaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
bcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaa
adaaaaaaakaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaa
bkiacaaaaaaaaaaabbaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaabbaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaaaoaaaaahdcaabaaa
abaaaaaaegbabaaaaiaaaaaapgbpbaaaaiaaaaaaefaaaaajpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaadcaaaaalbcaabaaa
abaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaa
ahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckbabaiaebaaaaaaaiaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckiacaaaaaaaaaaabcaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaa
efaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yxyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yxyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yxyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yxyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 132 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yxyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 132 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbemppmnpcbfegpelhdpneliambjanbjkabaaaaaalmbcaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcfebbaaaaeaaaaaaaffaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaae
aahabaaaaeaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagcbaaaadpcbabaaaaiaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaia
mbaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaa
akaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaa
alaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaa
aaaaaaaaaagabaaaabaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaa
ogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaia
ebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaa
dcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaa
adaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaa
acaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaia
ebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaa
abaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaa
dcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaa
afaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaa
abaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaa
egacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
abaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaa
dcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaa
abaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaa
abaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaegaabaaa
acaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaa
adaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
bcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaa
adaaaaaaakaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaa
bkiacaaaaaaaaaaabbaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaabbaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaaaoaaaaahdcaabaaa
abaaaaaaegbabaaaaiaaaaaapgbpbaaaaiaaaaaaefaaaaajpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaadcaaaaalbcaabaaa
abaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaa
ahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckbabaiaebaaaaaaaiaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckiacaaaaaaaaaaabcaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaa
efaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yxyy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 132 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyxy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyxy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyxy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 129 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyxy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 132 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyxy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 132 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyxy
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 132 instructions, 6 temp regs, 0 temp arrays:
// ALU 109 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbemppmnpcbfegpelhdpneliambjanbjkabaaaaaalmbcaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcfebbaaaaeaaaaaaaffaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaae
aahabaaaaeaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagcbaaaadpcbabaaaaiaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaia
mbaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaa
akaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaa
alaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaa
aaaaaaaaaagabaaaabaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaa
ogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaia
ebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaadgaaaaaihcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaa
dcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaa
adaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaa
acaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaia
ebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaa
abaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaa
dcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaa
afaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaa
abaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaa
egacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
abaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaa
dcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaa
abaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaa
abaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaadaaaaaaegaabaaa
acaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaa
adaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
bcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaa
adaaaaaaakaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaadaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaadaaaaaa
bkiacaaaaaaaaaaabbaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaa
aaaaaaaabbaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadpdgcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaaaoaaaaahdcaabaaa
abaaaaaaegbabaaaaiaaaaaapgbpbaaaaiaaaaaaefaaaaajpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaadcaaaaalbcaabaaa
abaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaa
ahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckbabaiaebaaaaaaaiaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckiacaaaaaaaaaaabcaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaa
efaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaa
aaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyyx
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbnjiilogjedcjkpdjlpahfknndgbcjenabaaaaaalebcaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcgebbaaaaeaaaaaaafjaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaa
abaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaad
hcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadpcbabaaaahaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaia
mbaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaa
akaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaa
alaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaa
aaaaaaaaaagabaaaaaaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaihcaabaaaaaaaaaaaegacbaaa
adaaaaaaegacbaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaa
akaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaa
aaaaaaaabkaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaabaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaadgaaaaai
hcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaai
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaah
bcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaa
kgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaa
abaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaa
bkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaa
acaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
bkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaa
dbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaa
abaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaa
adaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaa
adaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaa
dgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
dcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaia
ebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaa
adaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaa
aeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaa
agaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaa
abaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaa
aaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaa
amaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaa
dgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaa
acaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaa
acaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
aaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaa
elaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaa
agaabaaaadaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaa
fgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaadaaaaaabkiacaaaaaaaaaaaanaaaaaadccaaaalccaabaaaabaaaaaa
ckiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadp
dgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaah
ccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
akiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
ccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaak
hcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaa
apaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaa
akiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaa
dcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyyx
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 154 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyyx
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v5, s3
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v5.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
frc_pp r2.w, r1
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r0.xyz, r1, r0.x
add_pp_sat r1.w, r1, -r2
add_pp r1.x, r1.w, c16.w
mul_pp_sat r0.w, -r0, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 133 instructions, 6 temp regs, 0 temp arrays:
// ALU 111 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyyx
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedghobelopbpkikhbbkccdokoijjcedjkkabaaaaaaeebdaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcnmbbaaaaeaaaaaaahhaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaae
aahabaaaaeaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagcbaaaadlcbabaaaahaaaaaagcbaaaadpcbabaaaaiaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaia
mbaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaa
akaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaa
alaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaa
aaaaaaaaaagabaaaabaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaihcaabaaaaaaaaaaaegacbaaa
adaaaaaaegacbaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaegacbaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaa
akaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaa
aaaaaaaabkaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaabaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaadgaaaaai
hcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaai
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaabaaaaaah
bcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaa
kgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaa
abaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaa
bkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaa
acaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
bkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaa
dbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaa
abaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaa
adaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaa
adaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaa
dgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
dcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaia
ebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaa
adaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaa
aeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaa
agaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaa
abaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaa
aaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaa
baaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaa
dgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaa
acaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaa
adaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
aaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaa
elaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaaiccaabaaaadaaaaaa
agaabaaaadaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaa
fgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaadaaaaaabkiacaaaaaaaaaaabbaaaaaadccaaaalccaabaaaabaaaaaa
ckiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaiadp
dgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaah
ccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
akiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
ccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaak
hcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaa
bdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaa
akiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaa
dcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaaiaaaaaapgbpbaaaaiaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaaiaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaabcaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaa
pgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
adaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyyx
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 155 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r3.w, r0, c15.x, c15.y
add r0.z, r0, -r0.x
mad r0.x, r3.w, r0.z, r0
add r0.x, r0, -r0.y
add r1.w, r1.z, -r1.x
mad r0.z, r3.w, r1.w, r1.x
cmp r2.w, r0.x, c15.x, c15.y
add r0.y, r1, r0.z
mad r0.x, r2.w, r0.y, -r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c15.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r2.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r2.xy, r0.zwzw
add_pp r0.xy, r0, c15.w
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r2
texldd r0, r0, s0, r0.zwzw, r2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c15, c15.y
mad_pp r4, r2.x, r0, r1
add_pp r0.x, r4.z, -r4
mad_pp r0.x, r3.w, r0, r4
add_pp r0.w, -r4.y, r0.x
dp3 r0.y, v1, v1
rsq r0.y, r0.y
mul r1.xyz, r0.y, v1
abs r0.xyz, r1
mad_pp r3.w, r2, r0, r4.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c15.x, c15.y
add r0.x, r0.w, -r0.y
mov_pp r3.xyz, r4.w
mul_pp r4, r3, c15.yyyx
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c15.x, c15.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c15, c15.x
cmp r0.x, -r0, c15.y, c15
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c15.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c15.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c15.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
add_pp r3.w, r4.x, r4.y
add_pp r0.w, r3, r4.z
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r2.xy, r0, c7.x
mov r0.x, c7
mad r2.zw, c15.w, -r0.x, r2.xyxy
add r0.xyz, -v0, c0
dp3 r0.z, r0, r0
abs r2.zw, r2
rsq r3.x, r0.z
rcp r3.x, r3.x
mul r3.y, r3.x, c8.x
dsx r0.xy, r2.zwzw
dsy r0.zw, r2
texldd r0, r2, s2, r0, r0.zwzw
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r1.w, r1.y, r0
texldp r1.x, v6, s4
mad r0.w, r1.x, c1.z, c1
dp4_pp r1.x, c2, c2
rcp r0.w, r0.w
add r0.w, r0, -v6.z
mul_sat r2.x, r0.w, c13
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, v3, r1
mul_pp r1.xyz, r0, c3
mul_pp oC0.w, r1, r2.x
add_pp r1.w, r0, c16.z
dp3_pp r0.y, c2, c2
rsq_pp r0.y, r0.y
dp3_pp r0.x, v3, v3
mul_pp r2.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v3
dp3_pp r0.x, r0, r2
mul_pp r1.xyz, r1, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r0.w, c16
texldp r0.x, v5, s3
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 136 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
dp3 r5.x, v1, v1
cmp r4.z, r0.w, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r4.z, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r4.z, r1.w, r0
cmp r4.w, r0, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r4, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r2.w, r0, -r1.x
cmp_pp r5.w, r2, c15.x, c15.y
mov_pp r1.y, r2.w
mov_pp r2.y, -r2.w
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r4.z, r1, r2
mov_pp r1.z, -r2.w
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r4.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r3.xy, r0, c15.w
dsx r3.zw, r0
texldd r0, r3, s4, r3.zwzw, r4
texldd r1, r3, s5, r3.zwzw, r4
add_pp r1, r1, -r0
mad_pp r2, r5.w, r1, r0
texldd r1, r3, s0, r3.zwzw, r4
texldd r0, r3, s1, r3.zwzw, r4
add_pp r0, r0, -r1
mad_pp r0, r5.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r4.z, r1, r0
texldd r0, r3, s3, r3.zwzw, r4
texldd r3, r3, s2, r3.zwzw, r4
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r4.w, r1, r0
mul_pp r1, r0, c4
rsq r5.x, r5.x
mul r2.xyz, r5.x, v1
abs r5.xyz, r2
add r4.z, r5, -r5.x
max r2.w, r5.x, r5.z
add r2.w, r2, -r5.y
add r5.x, r2.z, -r2
cmp r6.x, r4.z, c15, c15.y
mad r4.z, r6.x, r5.x, r2.x
cmp r2.w, r2, c15.x, c15.y
add r4.z, -r2.y, r4
mad r4.z, r2.w, r4, r2.y
cmp r4.y, r4.z, c15, c15.x
cmp r4.x, -r4.z, c15.y, c15
add r6.y, r4.x, -r4
mov r3.xy, c15.x
mov r3.z, -r6.y
mov r4.y, r6
mov r5.xz, c15.x
mov r5.y, -r6
mul r5.xyz, r2.xzyw, r5
mov r4.xz, c15.x
mad r4.xyz, r2.zxyw, r4, -r5
mad r4.xyz, r6.x, r4, r5
mul r5.xyz, r2.yxzw, r3
mad r2.xyz, r2.yxzw, -r3, r4
mad r2.xyz, r2.w, r2, r5
abs r2.x, r2
rcp r2.x, r2.x
mul r0.x, r2.y, r2
mul r0.y, r2.z, r2.x
add r2.xyz, -v0, c0
mad r0.x, r0, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 140 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedcjdjggfmfijajpmdkjppgcbicgmehlamabaaaaaafmbeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcambdaaaaeaaaaaaamdaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaa
ahaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaa
pgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaa
aeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
aaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaa
akaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
aaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaa
aaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaa
dkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaag
ccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaa
aaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaa
agajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaa
jgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaia
ebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaa
egacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaa
adaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaa
egacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaa
aaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaa
aaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaa
aaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
adaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaafaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaa
eghobaaaaeaaaaaaaagabaaaaeaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaipcaabaaaadaaaaaaegaobaaaadaaaaaaegaobaiaebaaaaaaaeaaaaaa
dcaaaaajpcaabaaaadaaaaaapgapbaaaaaaaaaaaegaobaaaadaaaaaaegaobaaa
aeaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaabaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
afaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaa
egaobaiaebaaaaaaafaaaaaadcaaaaajpcaabaaaaeaaaaaapgapbaaaaaaaaaaa
egaobaaaaeaaaaaaegaobaaaafaaaaaaaaaaaaaipcaabaaaadaaaaaaegaobaaa
adaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaajpcaabaaaadaaaaaaagaabaaa
acaaaaaaegaobaaaadaaaaaaegaobaaaaeaaaaaaejaaaaanpcaabaaaaeaaaaaa
egaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaajgafbaaaacaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaai
pcaabaaaaeaaaaaaegaobaiaebaaaaaaacaaaaaaegaobaaaaeaaaaaadcaaaaaj
pcaabaaaaaaaaaaapgapbaaaaaaaaaaaegaobaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaaipcaabaaaacaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaaadaaaaaa
dcaaaaajpcaabaaaaaaaaaaapgapbaaaabaaaaaaegaobaaaacaaaaaaegaobaaa
aaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaa
alaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaa
agaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
adaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
abaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
abaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaa
diaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaia
ibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaa
abaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaia
ebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
agaaaaaaaagabaaaagaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaal
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaaanaaaaaadccaaaal
ccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaa
ahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaahaaaaaa
aagabaaaahaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaa
akaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
dp3 r5.x, v1, v1
cmp r4.z, r0.w, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r4.z, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r4.z, r1.w, r0
cmp r4.w, r0, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r4, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r2.w, r0, -r1.x
cmp_pp r5.w, r2, c15.x, c15.y
mov_pp r1.y, r2.w
mov_pp r2.y, -r2.w
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r4.z, r1, r2
mov_pp r1.z, -r2.w
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r4.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r3.xy, r0, c15.w
dsx r3.zw, r0
texldd r0, r3, s4, r3.zwzw, r4
texldd r1, r3, s5, r3.zwzw, r4
add_pp r1, r1, -r0
mad_pp r2, r5.w, r1, r0
texldd r1, r3, s0, r3.zwzw, r4
texldd r0, r3, s1, r3.zwzw, r4
add_pp r0, r0, -r1
mad_pp r0, r5.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r4.z, r1, r0
texldd r0, r3, s3, r3.zwzw, r4
texldd r3, r3, s2, r3.zwzw, r4
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r4.w, r1, r0
mul_pp r1, r0, c4
rsq r5.x, r5.x
mul r2.xyz, r5.x, v1
abs r5.xyz, r2
add r4.z, r5, -r5.x
max r2.w, r5.x, r5.z
add r2.w, r2, -r5.y
add r5.x, r2.z, -r2
cmp r6.x, r4.z, c15, c15.y
mad r4.z, r6.x, r5.x, r2.x
cmp r2.w, r2, c15.x, c15.y
add r4.z, -r2.y, r4
mad r4.z, r2.w, r4, r2.y
cmp r4.y, r4.z, c15, c15.x
cmp r4.x, -r4.z, c15.y, c15
add r6.y, r4.x, -r4
mov r3.xy, c15.x
mov r3.z, -r6.y
mov r4.y, r6
mov r5.xz, c15.x
mov r5.y, -r6
mul r5.xyz, r2.xzyw, r5
mov r4.xz, c15.x
mad r4.xyz, r2.zxyw, r4, -r5
mad r4.xyz, r6.x, r4, r5
mul r5.xyz, r2.yxzw, r3
mad r2.xyz, r2.yxzw, -r3, r4
mad r2.xyz, r2.w, r2, r5
abs r2.x, r2
rcp r2.x, r2.x
mul r0.x, r2.y, r2
mul r0.y, r2.z, r2.x
add r2.xyz, -v0, c0
mad r0.x, r0, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 140 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 152 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
dp3 r5.x, v1, v1
cmp r4.z, r0.w, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r4.z, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r4.z, r1.w, r0
cmp r4.w, r0, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r4, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r2.w, r0, -r1.x
cmp_pp r5.w, r2, c15.x, c15.y
mov_pp r1.y, r2.w
mov_pp r2.y, -r2.w
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r4.z, r1, r2
mov_pp r1.z, -r2.w
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r4.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r3.xy, r0, c15.w
dsx r3.zw, r0
texldd r0, r3, s4, r3.zwzw, r4
texldd r1, r3, s5, r3.zwzw, r4
add_pp r1, r1, -r0
mad_pp r2, r5.w, r1, r0
texldd r1, r3, s0, r3.zwzw, r4
texldd r0, r3, s1, r3.zwzw, r4
add_pp r0, r0, -r1
mad_pp r0, r5.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r4.z, r1, r0
texldd r0, r3, s3, r3.zwzw, r4
texldd r3, r3, s2, r3.zwzw, r4
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r4.w, r1, r0
mul_pp r1, r0, c4
rsq r5.x, r5.x
mul r2.xyz, r5.x, v1
abs r5.xyz, r2
add r4.z, r5, -r5.x
max r2.w, r5.x, r5.z
add r2.w, r2, -r5.y
add r5.x, r2.z, -r2
cmp r6.x, r4.z, c15, c15.y
mad r4.z, r6.x, r5.x, r2.x
cmp r2.w, r2, c15.x, c15.y
add r4.z, -r2.y, r4
mad r4.z, r2.w, r4, r2.y
cmp r4.y, r4.z, c15, c15.x
cmp r4.x, -r4.z, c15.y, c15
add r6.y, r4.x, -r4
mov r3.xy, c15.x
mov r3.z, -r6.y
mov r4.y, r6
mov r5.xz, c15.x
mov r5.y, -r6
mul r5.xyz, r2.xzyw, r5
mov r4.xz, c15.x
mad r4.xyz, r2.zxyw, r4, -r5
mad r4.xyz, r6.x, r4, r5
mul r5.xyz, r2.yxzw, r3
mad r2.xyz, r2.yxzw, -r3, r4
mad r2.xyz, r2.w, r2, r5
abs r2.x, r2
rcp r2.x, r2.x
mul r0.x, r2.y, r2
mul r0.y, r2.z, r2.x
add r2.xyz, -v0, c0
mad r0.x, r0, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 140 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 153 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
dp3 r5.x, v1, v1
cmp r4.z, r0.w, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r4.z, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r4.z, r1.w, r0
cmp r4.w, r0, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r4, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r2.w, r0, -r1.x
cmp_pp r5.w, r2, c15.x, c15.y
mov_pp r1.y, r2.w
mov_pp r2.y, -r2.w
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r4.z, r1, r2
mov_pp r1.z, -r2.w
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r4.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r3.xy, r0, c15.w
dsx r3.zw, r0
texldd r0, r3, s4, r3.zwzw, r4
texldd r1, r3, s5, r3.zwzw, r4
add_pp r1, r1, -r0
mad_pp r2, r5.w, r1, r0
texldd r1, r3, s0, r3.zwzw, r4
texldd r0, r3, s1, r3.zwzw, r4
add_pp r0, r0, -r1
mad_pp r0, r5.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r4.z, r1, r0
texldd r0, r3, s3, r3.zwzw, r4
texldd r3, r3, s2, r3.zwzw, r4
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r4.w, r1, r0
mul_pp r1, r0, c4
rsq r5.x, r5.x
mul r2.xyz, r5.x, v1
abs r5.xyz, r2
add r4.z, r5, -r5.x
max r2.w, r5.x, r5.z
add r2.w, r2, -r5.y
add r5.x, r2.z, -r2
cmp r6.x, r4.z, c15, c15.y
mad r4.z, r6.x, r5.x, r2.x
cmp r2.w, r2, c15.x, c15.y
add r4.z, -r2.y, r4
mad r4.z, r2.w, r4, r2.y
cmp r4.y, r4.z, c15, c15.x
cmp r4.x, -r4.z, c15.y, c15
add r6.y, r4.x, -r4
mov r3.xy, c15.x
mov r3.z, -r6.y
mov r4.y, r6
mov r5.xz, c15.x
mov r5.y, -r6
mul r5.xyz, r2.xzyw, r5
mov r4.xz, c15.x
mad r4.xyz, r2.zxyw, r4, -r5
mad r4.xyz, r6.x, r4, r5
mul r5.xyz, r2.yxzw, r3
mad r2.xyz, r2.yxzw, -r3, r4
mad r2.xyz, r2.w, r2, r5
abs r2.x, r2
rcp r2.x, r2.x
mul r0.x, r2.y, r2
mul r0.y, r2.z, r2.x
add r2.xyz, -v0, c0
mad r0.x, r0, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 143 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 153 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
dp3 r5.x, v1, v1
cmp r4.z, r0.w, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r4.z, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r4.z, r1.w, r0
cmp r4.w, r0, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r4, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r2.w, r0, -r1.x
cmp_pp r5.w, r2, c15.x, c15.y
mov_pp r1.y, r2.w
mov_pp r2.y, -r2.w
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r4.z, r1, r2
mov_pp r1.z, -r2.w
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r4.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r3.xy, r0, c15.w
dsx r3.zw, r0
texldd r0, r3, s4, r3.zwzw, r4
texldd r1, r3, s5, r3.zwzw, r4
add_pp r1, r1, -r0
mad_pp r2, r5.w, r1, r0
texldd r1, r3, s0, r3.zwzw, r4
texldd r0, r3, s1, r3.zwzw, r4
add_pp r0, r0, -r1
mad_pp r0, r5.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r4.z, r1, r0
texldd r0, r3, s3, r3.zwzw, r4
texldd r3, r3, s2, r3.zwzw, r4
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r4.w, r1, r0
mul_pp r1, r0, c4
rsq r5.x, r5.x
mul r2.xyz, r5.x, v1
abs r5.xyz, r2
add r4.z, r5, -r5.x
max r2.w, r5.x, r5.z
add r2.w, r2, -r5.y
add r5.x, r2.z, -r2
cmp r6.x, r4.z, c15, c15.y
mad r4.z, r6.x, r5.x, r2.x
cmp r2.w, r2, c15.x, c15.y
add r4.z, -r2.y, r4
mad r4.z, r2.w, r4, r2.y
cmp r4.y, r4.z, c15, c15.x
cmp r4.x, -r4.z, c15.y, c15
add r6.y, r4.x, -r4
mov r3.xy, c15.x
mov r3.z, -r6.y
mov r4.y, r6
mov r5.xz, c15.x
mov r5.y, -r6
mul r5.xyz, r2.xzyw, r5
mov r4.xz, c15.x
mad r4.xyz, r2.zxyw, r4, -r5
mad r4.xyz, r6.x, r4, r5
mul r5.xyz, r2.yxzw, r3
mad r2.xyz, r2.yxzw, -r3, r4
mad r2.xyz, r2.w, r2, r5
abs r2.x, r2
rcp r2.x, r2.x
mul r0.x, r2.y, r2
mul r0.y, r2.z, r2.x
add r2.xyz, -v0, c0
mad r0.x, r0, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 143 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 153 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
dp3 r5.x, v1, v1
cmp r4.z, r0.w, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r4.z, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r4.z, r1.w, r0
cmp r4.w, r0, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r4, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r2.w, r0, -r1.x
cmp_pp r5.w, r2, c15.x, c15.y
mov_pp r1.y, r2.w
mov_pp r2.y, -r2.w
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r4.z, r1, r2
mov_pp r1.z, -r2.w
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r4.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r3.xy, r0, c15.w
dsx r3.zw, r0
texldd r0, r3, s4, r3.zwzw, r4
texldd r1, r3, s5, r3.zwzw, r4
add_pp r1, r1, -r0
mad_pp r2, r5.w, r1, r0
texldd r1, r3, s0, r3.zwzw, r4
texldd r0, r3, s1, r3.zwzw, r4
add_pp r0, r0, -r1
mad_pp r0, r5.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r4.z, r1, r0
texldd r0, r3, s3, r3.zwzw, r4
texldd r3, r3, s2, r3.zwzw, r4
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r4.w, r1, r0
mul_pp r1, r0, c4
rsq r5.x, r5.x
mul r2.xyz, r5.x, v1
abs r5.xyz, r2
add r4.z, r5, -r5.x
max r2.w, r5.x, r5.z
add r2.w, r2, -r5.y
add r5.x, r2.z, -r2
cmp r6.x, r4.z, c15, c15.y
mad r4.z, r6.x, r5.x, r2.x
cmp r2.w, r2, c15.x, c15.y
add r4.z, -r2.y, r4
mad r4.z, r2.w, r4, r2.y
cmp r4.y, r4.z, c15, c15.x
cmp r4.x, -r4.z, c15.y, c15
add r6.y, r4.x, -r4
mov r3.xy, c15.x
mov r3.z, -r6.y
mov r4.y, r6
mov r5.xz, c15.x
mov r5.y, -r6
mul r5.xyz, r2.xzyw, r5
mov r4.xz, c15.x
mad r4.xyz, r2.zxyw, r4, -r5
mad r4.xyz, r6.x, r4, r5
mul r5.xyz, r2.yxzw, r3
mad r2.xyz, r2.yxzw, -r3, r4
mad r2.xyz, r2.w, r2, r5
abs r2.x, r2
rcp r2.x, r2.x
mul r0.x, r2.y, r2
mul r0.y, r2.z, r2.x
add r2.xyz, -v0, c0
mad r0.x, r0, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 143 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedainfdjcacbfgfockpgkgomcidajgjigjabaaaaaaombeaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefciebdaaaaeaaaaaaaobaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaa
fkaaaaadaagabaaaaiaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaae
aahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaae
aahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaae
aahabaaaahaaaaaaffffaaaafibiaaaeaahabaaaaiaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagcbaaaadpcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaa
pgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaa
aeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
aaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaa
akaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
aaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaa
aaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaa
dkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaag
ccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaa
aaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaa
agajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaa
jgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaia
ebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaa
egacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaa
adaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaa
egacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaa
aaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaa
aaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaa
aaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
adaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaagaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaa
eghobaaaaeaaaaaaaagabaaaafaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaipcaabaaaadaaaaaaegaobaaaadaaaaaaegaobaiaebaaaaaaaeaaaaaa
dcaaaaajpcaabaaaadaaaaaapgapbaaaaaaaaaaaegaobaaaadaaaaaaegaobaaa
aeaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
afaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaaaaaaaaipcaabaaaaeaaaaaaegaobaaaaeaaaaaa
egaobaiaebaaaaaaafaaaaaadcaaaaajpcaabaaaaeaaaaaapgapbaaaaaaaaaaa
egaobaaaaeaaaaaaegaobaaaafaaaaaaaaaaaaaipcaabaaaadaaaaaaegaobaaa
adaaaaaaegaobaiaebaaaaaaaeaaaaaadcaaaaajpcaabaaaadaaaaaaagaabaaa
acaaaaaaegaobaaaadaaaaaaegaobaaaaeaaaaaaejaaaaanpcaabaaaaeaaaaaa
egaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaaeaaaaaajgafbaaaacaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaadaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaai
pcaabaaaaeaaaaaaegaobaiaebaaaaaaacaaaaaaegaobaaaaeaaaaaadcaaaaaj
pcaabaaaaaaaaaaapgapbaaaaaaaaaaaegaobaaaaeaaaaaaegaobaaaacaaaaaa
aaaaaaaipcaabaaaacaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaaadaaaaaa
dcaaaaajpcaabaaaaaaaaaaapgapbaaaabaaaaaaegaobaaaacaaaaaaegaobaaa
aaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaa
apaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaa
agaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
adaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
abaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
abaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaa
diaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaia
ibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaa
abaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaia
ebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
agaaaaaaaagabaaaahaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaal
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaabbaaaaaadccaaaal
ccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaaiaaaaaapgbpbaaa
aiaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaaiaaaaaa
aagabaaaaiaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaa
akaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaaaiaaaaaadicaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaabcaaaaaadiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaa
egbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaahaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.xyyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.xyyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednblfaklknjjbopkmalpoklonjchmejjaabaaaaaahmbeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefccmbdaaaaeaaaaaaamlaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaa
ahaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaa
pgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaa
aeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
aaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaa
akaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
aaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaa
aaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaa
dkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaag
ccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaa
aaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaa
agajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaa
jgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaia
ebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaa
egacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaa
adaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaa
egacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaa
aaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaa
aaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaa
aaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
adaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaafaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaa
eghobaaaaeaaaaaaaagabaaaaeaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaiecaabaaaaaaaaaaaakaabaaaadaaaaaaakaabaiaebaaaaaaaeaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaa
aeaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaabaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaaabaaaaaaakaabaaaadaaaaaa
akaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaaaaaaaaaa
ckaabaaaabaaaaaaakaabaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaiaebaaaaaaabaaaaaadcaaaaajecaabaaaaaaaaaaaakaabaaa
acaaaaaackaabaaaaaaaaaaackaabaaaabaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaajgafbaaaacaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaacaaaaaaakaabaaaadaaaaaadcaaaaaj
bcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaa
aaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaa
dcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaa
alaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaa
agaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
adaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
abaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
abaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaa
diaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaia
ibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaa
abaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaia
ebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
agaaaaaaaagabaaaagaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaal
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaaanaaaaaadccaaaal
ccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaa
ahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaahaaaaaa
aagabaaaahaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaa
akaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.xyyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.xyyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.xyyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.xyyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yxyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yxyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yxyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yxyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yxyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yxyy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyxy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyxy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyxy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyxy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedjnhkndhebadbpjhafpnekedicnlijfgbabaaaaaaambfaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefckebdaaaaeaaaaaaaojaeaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaa
fkaaaaadaagabaaaaiaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaae
aahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaae
aahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaae
aahabaaaahaaaaaaffffaaaafibiaaaeaahabaaaaiaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagcbaaaadpcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaa
pgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaa
aeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
aaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaa
akaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
aaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaa
aaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaa
dkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaag
ccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaa
aaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaa
agajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaa
jgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaia
ebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaa
egacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaa
adaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaa
egacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaa
aaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaa
aaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaa
aaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
adaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaagaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaa
eghobaaaaeaaaaaaaagabaaaafaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaiecaabaaaaaaaaaaackaabaaaadaaaaaackaabaiaebaaaaaaaeaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaa
aeaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaaabaaaaaackaabaaaadaaaaaa
ckaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaaaaaaaaaa
ckaabaaaabaaaaaackaabaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaiaebaaaaaaabaaaaaadcaaaaajecaabaaaaaaaaaaaakaabaaa
acaaaaaackaabaaaaaaaaaaackaabaaaabaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaaeaaaaaajgafbaaaacaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaadaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaackaabaiaebaaaaaaacaaaaaackaabaaaadaaaaaadcaaaaaj
bcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaackaabaaaacaaaaaa
aaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaa
dcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaa
apaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaa
agaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
adaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
abaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
abaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaa
diaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaia
ibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaa
abaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaia
ebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
agaaaaaaaagabaaaahaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaal
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaabbaaaaaadccaaaal
ccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaaiaaaaaapgbpbaaa
aiaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaaiaaaaaa
aagabaaaaiaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaa
akaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaaaiaaaaaadicaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaabcaaaaaadiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaa
egbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaa
abaaaaaaeghobaaaahaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyxy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyxy
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyyx
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyyx
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedagdgcccfkldkniicmphhcnjjcbhgdepkabaaaaaahmbeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefccmbdaaaaeaaaaaaamlaeaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaa
ahaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaa
pgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaa
aeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaa
abaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
aaaaaaajicaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaa
akaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
aaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaa
aaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaa
dkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaag
ccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaa
aaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaa
agajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaa
jgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaia
ebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaa
egacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaa
adaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaa
egacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaa
aaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaa
aaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaafgcaabaaaacaaaaaaagabbaaa
aaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
adaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaaaagabaaaafaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaa
eghobaaaaeaaaaaaaagabaaaaeaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaa
aaaaaaaiecaabaaaaaaaaaaadkaabaaaadaaaaaadkaabaiaebaaaaaaaeaaaaaa
dcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaa
aeaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaabaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaaabaaaaaadkaabaaaadaaaaaa
dkaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaaaaaaaaaa
ckaabaaaabaaaaaadkaabaaaaeaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaiaebaaaaaaabaaaaaadcaaaaajecaabaaaaaaaaaaaakaabaaa
acaaaaaackaabaaaaaaaaaaackaabaaaabaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaajgafbaaaacaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaacaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaadkaabaiaebaaaaaaacaaaaaadkaabaaaadaaaaaadcaaaaaj
bcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaacaaaaaa
aaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaa
dcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaaaaaaaaaakaabaaa
aaaaaaaadgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaa
alaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaa
agaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
adaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
abaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
abaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaa
diaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaia
ibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaa
abaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaia
ebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
agaaaaaaaagabaaaagaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaal
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaadaaaaaaelaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaadaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaadaaaaaabkiacaaaaaaaaaaaanaaaaaadccaaaal
ccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaiadpdgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaa
ahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaahaaaaaa
aagabaaaahaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaa
akaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 157 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord8 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyyx
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
mul_pp r1, r1, c4
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r0, r1, r0
mov r2.xyz, v3
dp3_sat r1.w, v4, r2
mov r1.xyz, c0
add r2.xyz, -c14, r1
mul r2.w, r1, c6.x
add r1.xyz, -v0, c14
dp3 r1.x, r1, r1
dp3 r1.w, r2, r2
rsq r1.y, r1.w
rsq r1.x, r1.x
rcp r1.y, r1.y
rcp r1.x, r1.x
mad r2.x, -r1, c12, r1.y
pow_sat r1, r2.w, c5.x
mul r1.y, -r3.x, c10.x
add_sat r1.z, r1.y, c15.x
mul_sat r1.y, r3.x, c9.x
mad r1.y, -r1, r1.z, c15.x
add r1.z, r1.x, -r1.y
mul_sat r1.x, r2, c11
mad r1.y, r1.x, r1.z, r1
mul_pp r0.w, r1.y, r0
texldp r1.x, v5, s7
mad r1.x, r1, c1.z, c1.w
dp4_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r2.xyz, r1.y, c2
dp3_pp r1.w, v3, r2
add_pp r2.w, r1, c16.z
rcp r1.x, r1.x
add r1.x, r1, -v5.z
mul_sat r1.x, r1, c13
mul_pp oC0.w, r0, r1.x
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v3, v3
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, c3
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c16.w
mul_pp_sat r0.w, -r1, c16.y
mad_pp r0.w, r0, r1.x, c15.x
mul r0.xyz, r0, c16.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 5 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyyx
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyyx
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_InvFade]
Vector 14 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 158 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c15, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c16, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.w, r0, c15.x, c15.y
add r1.z, r1, -r1.x
mad r0.w, r5, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5.w, r1.w, r0
cmp r5.z, r0.w, c15.x, c15.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c15.y, c15
cmp r0.w, -r0, c15.y, c15.x
add r6.x, r0.w, -r1
mov_pp r1.y, r6.x
mov_pp r2.y, -r6.x
mov_pp r2.xz, c15.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c15.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.w, r1, r2
mov_pp r1.z, -r6.x
mov_pp r1.xy, c15.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c15.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c15.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r6.x, r6, c15, c15.y
mad_pp r0, r6.x, r3, r0
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r6.x, r1, r2
add_pp r0, r0, -r1
mad_pp r1, r5.w, r0, r1
dp3 r3.x, v1, v1
rsq r3.x, r3.x
mul r3.xyz, r3.x, v1
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r6.x, r0, r2
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
mul_pp r4, r1, c15.yyyx
abs r2.xyz, r3
max r2.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r2.y, r2.w, -r2
cmp r2.w, r2.y, c15.x, c15.y
cmp r2.x, r2, c15, c15.y
add r2.z, r3, -r3.x
mad r2.z, r2.x, r2, r3.x
add r2.z, -r3.y, r2
mad r2.y, r2.w, r2.z, r3
cmp r0.y, r2, c15, c15.x
cmp r0.x, -r2.y, c15.y, c15
add r0.w, r0.x, -r0.y
mov r0.y, r0.w
mov r1.y, -r0.w
mov r1.xz, c15.x
mul r1.xyz, r3.xzyw, r1
mov r0.xz, c15.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r2.x, r0, r1
mov r0.z, -r0.w
add_pp r1.w, r4.x, r4.y
add_pp r0.w, r1, r4.z
mov r0.xy, c15.x
mul r2.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r0.xyz, r2.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
add_pp r1.w, r0, r4
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mov_pp r1.xyz, c15.x
add r2.xyz, -v0, c0
mad r0.x, r0.w, c15.w, c15.w
mad r0.y, r0, c15.w, c15.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.w, -r0.z, r0.xyxy
abs r3.xy, r0.zwzw
dp3 r0.z, r2, r2
dsx r2.xy, r3
dsy r2.zw, r3.xyxy
rsq r0.z, r0.z
rcp r3.x, r0.z
texldd r0, r0, s6, r2, r2.zwzw
mul r3.y, r3.x, c8.x
add_pp r2, -r0, c15.x
mul_sat r3.y, r3, c15.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mov r2.xyz, v3
dp3_sat r0.w, v4, r2
mov r0.xyz, c0
add r2.xyz, -c14, r0
mul r2.w, r0, c6.x
add r0.xyz, -v0, c14
dp3 r0.x, r0, r0
dp3 r0.w, r2, r2
rsq r0.y, r0.w
rsq r0.x, r0.x
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.x, -r0, c12, r0.y
pow_sat r0, r2.w, c5.x
mul r0.y, -r3.x, c10.x
add_sat r0.z, r0.y, c15.x
mul_sat r0.y, r3.x, c9.x
mad r0.y, -r0, r0.z, c15.x
add r0.z, r0.x, -r0.y
mul_sat r0.x, r2, c11
mad r0.y, r0.x, r0.z, r0
texldp r0.x, v6, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
dp3_pp r0.w, v3, v3
mul_pp r0.y, r0, r1.w
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v3, r2
mul_sat r0.x, r0, c13
add_pp r2.w, r1, c16.z
rsq_pp r0.w, r0.w
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v3
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v5, s7
add_pp r0.z, r2.x, c16.w
mul_pp_sat r0.y, -r1.w, c16
mad_pp r0.w, r0.y, r0.z, c15.x
mul_pp r0.x, r0, c16
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 174 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c20.y, c20.y
mad r0.y, r0, c20, c20
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.y, r3.z
abs r4.x, r3
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c18.y, c18.z
mad r3.w, r2, r4, c18
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
mad r3.w, r3, r4, c19.x
mad r5.x, r3.w, r4.w, c19.y
rsq r2.w, r2.w
mad r4.w, r5.x, r4, c19.z
rcp r3.w, r2.w
mul r4.z, r4.w, r4
mul r5.x, r3.w, c8
mul r0.xy, r0, c7.x
mov r0.w, c7.x
mad r1.xy, c20.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c16.x
mul_sat r4.w, r5.x, c17.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c19.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c17.w
add r1.z, -r1.x, c16.x
mad r1.y, r1.x, c16.z, c16.w
mad r1.y, r1, r1.x, c17.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c17.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c16.y, c16
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c17.z, r1
mad r1.x, r1, c17.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c20.x
mul r1.y, r1.x, c18.x
mov r3.y, r1
abs r3.x, r1.z
add r1.x, r1.z, c20.y
dsx r1.zw, r3.xyxy
dsy r4.xy, r3
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
texldd r1, r1, s0, r1.zwzw, r4
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r3.x, r3, c6
pow_sat r0, r3.x, c5.x
mul r0.y, -r3.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r3.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r3.x, r0, -r0.w
mul r0.xyz, r2.w, -r2
dp3 r3.y, v1, r0
dp3 r2.w, v1, v1
mad r2.x, -r3.y, r3.y, r2.w
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r0.w
add r0.w, r2, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r2.w
add r1.w, r3, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 174 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c20.y, c20.y
mad r0.y, r0, c20, c20
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.y, r3.z
abs r4.x, r3
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c18.y, c18.z
mad r3.w, r2, r4, c18
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
mad r3.w, r3, r4, c19.x
mad r5.x, r3.w, r4.w, c19.y
rsq r2.w, r2.w
mad r4.w, r5.x, r4, c19.z
rcp r3.w, r2.w
mul r4.z, r4.w, r4
mul r5.x, r3.w, c8
mul r0.xy, r0, c7.x
mov r0.w, c7.x
mad r1.xy, c20.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c16.x
mul_sat r4.w, r5.x, c17.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c19.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c17.w
add r1.z, -r1.x, c16.x
mad r1.y, r1.x, c16.z, c16.w
mad r1.y, r1, r1.x, c17.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c17.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c16.y, c16
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c17.z, r1
mad r1.x, r1, c17.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c20.x
mul r1.y, r1.x, c18.x
mov r3.y, r1
abs r3.x, r1.z
add r1.x, r1.z, c20.y
dsx r1.zw, r3.xyxy
dsy r4.xy, r3
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
texldd r1, r1, s0, r1.zwzw, r4
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r3.x, r3, c6
pow_sat r0, r3.x, c5.x
mul r0.y, -r3.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r3.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r3.x, r0, -r0.w
mul r0.xyz, r2.w, -r2
dp3 r3.y, v1, r0
dp3 r2.w, v1, v1
mad r2.x, -r3.y, r3.y, r2.w
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r0.w
add r0.w, r2, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r2.w
add r1.w, r3, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 174 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c20.y, c20.y
mad r0.y, r0, c20, c20
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.y, r3.z
abs r4.x, r3
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c18.y, c18.z
mad r3.w, r2, r4, c18
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
mad r3.w, r3, r4, c19.x
mad r5.x, r3.w, r4.w, c19.y
rsq r2.w, r2.w
mad r4.w, r5.x, r4, c19.z
rcp r3.w, r2.w
mul r4.z, r4.w, r4
mul r5.x, r3.w, c8
mul r0.xy, r0, c7.x
mov r0.w, c7.x
mad r1.xy, c20.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c16.x
mul_sat r4.w, r5.x, c17.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c19.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c17.w
add r1.z, -r1.x, c16.x
mad r1.y, r1.x, c16.z, c16.w
mad r1.y, r1, r1.x, c17.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c17.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c16.y, c16
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c17.z, r1
mad r1.x, r1, c17.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c20.x
mul r1.y, r1.x, c18.x
mov r3.y, r1
abs r3.x, r1.z
add r1.x, r1.z, c20.y
dsx r1.zw, r3.xyxy
dsy r4.xy, r3
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
texldd r1, r1, s0, r1.zwzw, r4
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r3.x, r3, c6
pow_sat r0, r3.x, c5.x
mul r0.y, -r3.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r3.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r3.x, r0, -r0.w
mul r0.xyz, r2.w, -r2
dp3 r3.y, v1, r0
dp3 r2.w, v1, v1
mad r2.x, -r3.y, r3.y, r2.w
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r0.w
add r0.w, r2, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r2.w
add r1.w, r3, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedihocodgelcgcckholjmmdbmgkgnpefllabaaaaaalabfaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcgabeaaaaeaaaaaaabiafaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaigbbbaaaaeaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaaj
bcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
diaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaah
bcaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaaj
ccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaochgdido
dcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aebnkjlodcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaadiphhpdpdiaaaaahccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaadcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaama
abeaaaaanlapmjdpdbaaaaajecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaackaabaaaabaaaaaa
bkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaadbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaa
jgafbaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaddaaaaahbcaabaaaabaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
deaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaai
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaacaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaa
aaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdo
dgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaa
adaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakicaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlm
abeaaaaachbgjidndcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaa
aaaaaaaackaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaa
dkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaa
aaaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaa
abeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaaf
ccaabaaaaaaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaa
acaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaa
aaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaa
alaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaa
agaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
adaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaak
bcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
abaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
abaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaa
diaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaia
ibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaa
abaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaia
ebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadp
agaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaa
alaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaal
pcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaf
icaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
adaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaa
aaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaa
acaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaa
egaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaa
aaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaal
ccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaaeaaaaaa
abeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaa
agaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
bkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaa
bjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaia
ebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaa
aaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaa
abaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaa
kgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaa
aoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaa
ckaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaa
egacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaaakaabaia
ebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaa
bkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaa
bkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaa
abaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaa
abaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaa
abeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaa
aoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
bnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaaabaaaaaa
abaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
acaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaai
ccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaai
ecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaaj
ccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaa
bnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaah
ccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
diaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaaoaaaaah
dcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaadcaaaaal
bcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaa
abaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaackbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaa
pgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaa
aaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 175 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c20.y, c20.y
mad r0.y, r0, c20, c20
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.y, r3.z
abs r4.x, r3
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c18.y, c18.z
mad r3.w, r2, r4, c18
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
mad r3.w, r3, r4, c19.x
mad r5.x, r3.w, r4.w, c19.y
rsq r2.w, r2.w
mad r4.w, r5.x, r4, c19.z
rcp r3.w, r2.w
mul r4.z, r4.w, r4
mul r5.x, r3.w, c8
mul r0.xy, r0, c7.x
mov r0.w, c7.x
mad r1.xy, c20.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c16.x
mul_sat r4.w, r5.x, c17.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c19.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c17.w
add r1.z, -r1.x, c16.x
mad r1.y, r1.x, c16.z, c16.w
mad r1.y, r1, r1.x, c17.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c17.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c16.y, c16
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c17.z, r1
mad r1.x, r1, c17.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c20.x
mul r1.y, r1.x, c18.x
mov r3.y, r1
abs r3.x, r1.z
add r1.x, r1.z, c20.y
dsx r1.zw, r3.xyxy
dsy r4.xy, r3
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
texldd r1, r1, s0, r1.zwzw, r4
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r3.x, r3, c6
pow_sat r0, r3.x, c5.x
mul r0.y, -r3.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r3.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r3.x, r0, -r0.w
mul r0.xyz, r2.w, -r2
dp3 r3.y, v1, r0
dp3 r2.w, v1, v1
mad r2.x, -r3.y, r3.y, r2.w
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r0.w
add r0.w, r2, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r2.w
add r1.w, r3, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s2
mul_pp_sat r0.y, -r0.w, c20.w
add_pp r0.z, r1.w, c21.y
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 175 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c20.y, c20.y
mad r0.y, r0, c20, c20
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.y, r3.z
abs r4.x, r3
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c18.y, c18.z
mad r3.w, r2, r4, c18
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
mad r3.w, r3, r4, c19.x
mad r5.x, r3.w, r4.w, c19.y
rsq r2.w, r2.w
mad r4.w, r5.x, r4, c19.z
rcp r3.w, r2.w
mul r4.z, r4.w, r4
mul r5.x, r3.w, c8
mul r0.xy, r0, c7.x
mov r0.w, c7.x
mad r1.xy, c20.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c16.x
mul_sat r4.w, r5.x, c17.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c19.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c17.w
add r1.z, -r1.x, c16.x
mad r1.y, r1.x, c16.z, c16.w
mad r1.y, r1, r1.x, c17.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c17.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c16.y, c16
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c17.z, r1
mad r1.x, r1, c17.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c20.x
mul r1.y, r1.x, c18.x
mov r3.y, r1
abs r3.x, r1.z
add r1.x, r1.z, c20.y
dsx r1.zw, r3.xyxy
dsy r4.xy, r3
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
texldd r1, r1, s0, r1.zwzw, r4
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r3.x, r3, c6
pow_sat r0, r3.x, c5.x
mul r0.y, -r3.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r3.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r3.x, r0, -r0.w
mul r0.xyz, r2.w, -r2
dp3 r3.y, v1, r0
dp3 r2.w, v1, v1
mad r2.x, -r3.y, r3.y, r2.w
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r0.w
add r0.w, r2, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r2.w
add r1.w, r3, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s2
mul_pp_sat r0.y, -r0.w, c20.w
add_pp r0.z, r1.w, c21.y
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 175 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r1.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r1.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c20.y, c20.y
mad r0.y, r0, c20, c20
dp3 r0.z, v3, v3
rsq r0.z, r0.z
mul r3.xyz, r0.z, v3
abs r4.y, r3.z
abs r4.x, r3
max r1.z, r4.x, r4.y
rcp r1.w, r1.z
min r1.z, r4.x, r4.y
mul r4.z, r1, r1.w
mul r4.w, r4.z, r4.z
mad r2.w, r4, c18.y, c18.z
mad r3.w, r2, r4, c18
add r2.xyz, -v0, c0
dp3 r2.w, r2, r2
mad r3.w, r3, r4, c19.x
mad r5.x, r3.w, r4.w, c19.y
rsq r2.w, r2.w
mad r4.w, r5.x, r4, c19.z
rcp r3.w, r2.w
mul r4.z, r4.w, r4
mul r5.x, r3.w, c8
mul r0.xy, r0, c7.x
mov r0.w, c7.x
mad r1.xy, c20.y, -r0.w, r0
abs r1.xy, r1
dsx r0.zw, r1.xyxy
dsy r1.xy, r1
texldd r0, r0, s1, r0.zwzw, r1
add_pp r1, -r0, c16.x
mul_sat r4.w, r5.x, c17.z
mad_pp r0, r4.w, r1, r0
add r1.x, r4, -r4.y
add r1.y, -r4.z, c19.w
cmp r1.w, -r1.x, r4.z, r1.y
abs r1.x, r3.y
add r4.x, -r1.w, c17.w
add r1.z, -r1.x, c16.x
mad r1.y, r1.x, c16.z, c16.w
mad r1.y, r1, r1.x, c17.x
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r4.x
mad r1.x, r1.y, r1, c17.y
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c16.y, c16
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c17.z, r1
mad r1.x, r1, c17.w, r1.y
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c20.x
mul r1.y, r1.x, c18.x
mov r3.y, r1
abs r3.x, r1.z
add r1.x, r1.z, c20.y
dsx r1.zw, r3.xyxy
dsy r4.xy, r3
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
texldd r1, r1, s0, r1.zwzw, r4
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r3.x, r3, c6
pow_sat r0, r3.x, c5.x
mul r0.y, -r3.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r3.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r3.x, r0, -r0.w
mul r0.xyz, r2.w, -r2
dp3 r3.y, v1, r0
dp3 r2.w, v1, v1
mad r2.x, -r3.y, r3.y, r2.w
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r0.w
add r0.w, r2, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r2.w
add r1.w, r3, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s2
mul_pp_sat r0.y, -r0.w, c20.w
add_pp r0.z, r1.w, c21.y
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.xyyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.xyyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.xyyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.xyyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.xyyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.xyyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yxyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yxyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yxyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yxyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yxyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yxyy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyxy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyxy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyxy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyxy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyxy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyxy
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedimkeadbepecklcjnmlpdglkklniphnokabaaaaaafebgaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcombeaaaaeaaaaaaadlafaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagcbaaaadpcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaigbbbaaaaeaaaaaadeaaaaajicaabaaaaaaaaaaabkaabaia
ibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaaoaaaaakicaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaaj
bcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaa
diaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaah
bcaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajccaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaaj
ccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaochgdido
dcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aebnkjlodcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaadiphhpdpdiaaaaahccaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaadcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaaama
abeaaaaanlapmjdpdbaaaaajecaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
akaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaackaabaaaabaaaaaa
bkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaadbaaaaaidcaabaaaabaaaaaajgafbaaaaaaaaaaa
jgafbaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaddaaaaahbcaabaaaabaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
deaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaabnaaaaai
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaabaaaaaadhaaaaakbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaacaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaa
aaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdo
dgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaa
adaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
dcaaaaakicaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlm
abeaaaaachbgjidndcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaa
aaaaaaaackaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaaaaaaaaaa
dkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaa
aaaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaackaabaaaaaaaaaaa
abeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaaf
ccaabaaaaaaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaa
acaaaaaaeghlbaaaaaaaaaaaaagabaaaabaaaaaaegaabaaaadaaaaaaegaabaaa
aaaaaaaadgaaaaafbcaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaa
aaaaaaaaagambaaaaaaaaaaaegiocaaaaaaaaaaaapaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaa
adaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaa
ckaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaa
abaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaia
ebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
abaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaah
ecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaa
ckaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaa
akaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaa
dgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaai
fcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaa
afaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaa
fgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
lganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaa
acaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaa
fgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaa
baaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaabaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaag
mcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaan
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaa
egaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaia
ebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaaj
hcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
baaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaaf
bcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaa
adaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaa
baaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaai
ccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaabaaaaaaadcaaaaaj
pcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaabbaaaaaadgcaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaia
ebaaaaaaaaaaaaaabbaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaa
diaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaabaaaaaaa
cpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaa
bkaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaabdaaaaaaegiccaia
ebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaia
ebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaa
egacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaal
ecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaabcaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaa
aaaaaaaabbaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaa
acaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaa
adaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
diaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaam
ecaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaabkiacaaaaaaaaaaabcaaaaaa
ckaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaa
bnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaa
acaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
bnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaabkaabaaaabaaaaaa
elaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaa
bkiacaaaaaaaaaaabcaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaa
akaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaa
aiaaaaaapgbpbaaaaiaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaadaaaaaaaagabaaaadaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaa
abaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaa
aiaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaa
bcaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
baaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaa
afaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
diaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaaoaaaaah
dcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaadiaaaaah
icaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyyx
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyyx
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 7 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyyx
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c21.y
mul_pp_sat r0.w, -r0, c20
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c20.z
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 161 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 1 int, 9 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyyx
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyyx
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 180 ALU, 8 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c17, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c18, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c19, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c20, 0.15915494, 0.50000000, 4.00000000, 10.00000000
def c21, 1.00976563, -1.00000000, 0, 0
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r1.z, r0.y
mul r0.w, r2.z, r1.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mad r1.y, r0.w, c20, c20
abs r3.x, r0.z
abs r0.w, r0.x
max r1.x, r0.w, r3
mul r1.w, r2.y, r1.z
rcp r1.z, r1.x
min r1.x, r0.w, r3
mul r2.z, r1.x, r1
mul r2.w, r2.z, r2.z
mad r2.x, r2.w, c18.y, c18.z
mad r3.y, r2.x, r2.w, c18.w
mad r3.y, r3, r2.w, c19.x
mad r3.y, r3, r2.w, c19
mad r2.w, r3.y, r2, c19.z
mul r3.y, r2.w, r2.z
mad r1.x, r1.w, c20.y, c20.y
add r3.z, -r3.y, c19.w
add r0.w, r0, -r3.x
cmp r0.w, -r0, r3.y, r3.z
abs r3.y, r0
add r3.x, -r0.w, c17.w
cmp r0.w, r0.z, r0, r3.x
add r3.w, -r3.y, c16.x
mad r3.z, r3.y, c16, c16.w
mad r3.z, r3, r3.y, c17.x
rsq r3.w, r3.w
cmp r0.y, r0, c16, c16.x
cmp r0.w, r0.x, r0, -r0
mul r1.xy, r1, c7.x
mov r1.z, c7.x
mad r1.zw, c20.y, -r1.z, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s1, r1.zwzw, r2
add_pp r2, -r1, c16.x
rcp r3.w, r3.w
mad r3.y, r3.z, r3, c17
mul r3.y, r3, r3.w
mul r3.z, r0.y, r3.y
mad r0.z, -r3, c17, r3.y
mad r0.x, r0.y, c17.w, r0.z
add r3.xyz, -v0, c0
dp3 r3.w, r3, r3
mul r0.z, r0.w, c20.x
mul r0.y, r0.x, c18.x
mov r4.y, r0
abs r4.x, r0.z
add r0.x, r0.z, c20.y
dsx r0.zw, r4.xyxy
dsy r4.xy, r4
texldd r0, r0, s0, r0.zwzw, r4
mul_pp r0, r0, c16.yyyx
rsq r3.w, r3.w
rcp r4.x, r3.w
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c17.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c21.x
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c21.y
mul_pp_sat r0.y, -r0.w, c20.w
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c20.z
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 164 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 1 int, 9 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r2.x, r1, r1.z
add r1.x, r1.z, -r1
add r1.y, r2.x, -r1
cmp r1.w, r1.x, c16.x, c16.y
add r0.w, r0.z, -r0.x
mad r0.w, r1, r0, r0.x
add r1.x, -r0.y, r0.w
cmp r0.w, r1.y, c16.x, c16.y
mad r1.y, r0.w, r1.x, r0
cmp r1.x, r1.y, c16.y, c16
cmp r1.y, -r1, c16, c16.x
add r2.w, r1.y, -r1.x
mov r3.z, -r2.w
mov r3.xy, c16.x
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mul r1.xyz, r0.yxzw, r3
mad r0.xyz, r0.yxzw, -r3, r2
mad r1.xyz, r0.w, r0, r1
abs r0.x, r1
rcp r0.y, r0.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r1.xy, r0, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r1
abs r2.xy, r0
add r0.xyz, -v0, c0
dsy r2.zw, r2.xyxy
dsx r1.zw, r2.xyxy
texldd r1, r1, s1, r1.zwzw, r2.zwzw
dp3 r0.w, r0, r0
rsq r2.x, r0.w
rcp r0.w, r2.x
mul r2.y, r0.w, c8.x
add_pp r3, -r1, c16.x
mul_sat r2.z, r2.y, c16
dp3 r2.w, v3, v3
mad_pp r1, r2.z, r3, r1
rsq r2.y, r2.w
mul r3.xyz, r2.y, v3
mov r2.yzw, v4.xxyz
dp3_sat r2.y, v5, r2.yzww
texld r3, r3, s0
mul_pp r3, r3, c4
mul_pp r1, r3, r1
mul r2.y, r2, c6.x
pow_sat r3, r2.y, c5.x
mul r0.xyz, r2.x, -r0
dp3 r3.y, v1, r0
dp3 r3.z, v1, v1
mul r2.y, -r0.w, c10.x
mad r2.x, -r3.y, r3.y, r3.z
mul_sat r2.z, r0.w, c9.x
add_sat r2.y, r2, c16.x
mad r2.w, -r2.z, r2.y, c16.x
mov r2.y, r3.x
add r3.x, r2.y, -r2.w
mov r0.xyz, c0
rsq r3.w, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.y, r0, r0
dp3 r2.x, r2, r2
rsq r0.x, r2.x
rsq r0.y, r0.y
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0, c12.x, r0.x
rcp r0.x, r3.w
mul r2.x, r0, r0
add r0.z, r3, -r2.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r2.w
mul_pp r0.y, r0, r1.w
mad r1.w, c13.x, c13.x, -r2.x
rsq r0.z, r0.z
rsq r1.w, r1.w
rcp r1.w, r1.w
rcp r0.z, r0.z
add r2.x, r1.w, -r0.z
add r0.z, r3.y, -r1.w
add r1.w, r0.z, -r2.x
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r2.x
add r0.w, r0, -r1
rsq r2.x, r3.z
rcp r1.w, r2.x
add r2.x, -r0, c13
add r1.w, -r1, c13.x
cmp r0.x, r1.w, c16, c16.y
cmp r1.w, r2.x, c16.x, c16.y
mad_sat r0.x, r1.w, r0.z, r0
cmp r0.w, r0, c16.x, c16.y
mad_pp r0.z, -r0.x, r0.w, c16.x
mul_pp r2.x, r0.y, r0.z
texldp r0.x, v6, s2
mad r0.y, r0.x, c1.z, c1.w
rcp r0.y, r0.y
add r0.w, r0.y, -v6.z
mul_sat r1.w, r0, c14.x
dp4_pp r0.x, c2, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c2
dp3_pp r0.w, v4, r0
mul_pp r0.xyz, r1, c3
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c17.z
dp3_pp r1.y, v4, v4
rsq_pp r2.x, r1.y
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v4
dp3_pp r1.y, r2, r1
mul_pp r2.xyz, r0, r1.y
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
add_pp r0.x, r1, c17.w
mul_pp_sat r0.y, -r0.w, c17
mad_pp r0.x, r0.y, r0, c16
mul r1.xyz, r2, c17.x
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 120 instructions, 5 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r2.x, r1, r1.z
add r1.x, r1.z, -r1
add r1.y, r2.x, -r1
cmp r1.w, r1.x, c16.x, c16.y
add r0.w, r0.z, -r0.x
mad r0.w, r1, r0, r0.x
add r1.x, -r0.y, r0.w
cmp r0.w, r1.y, c16.x, c16.y
mad r1.y, r0.w, r1.x, r0
cmp r1.x, r1.y, c16.y, c16
cmp r1.y, -r1, c16, c16.x
add r2.w, r1.y, -r1.x
mov r3.z, -r2.w
mov r3.xy, c16.x
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mul r1.xyz, r0.yxzw, r3
mad r0.xyz, r0.yxzw, -r3, r2
mad r1.xyz, r0.w, r0, r1
abs r0.x, r1
rcp r0.y, r0.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r1.xy, r0, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r1
abs r2.xy, r0
add r0.xyz, -v0, c0
dsy r2.zw, r2.xyxy
dsx r1.zw, r2.xyxy
texldd r1, r1, s1, r1.zwzw, r2.zwzw
dp3 r0.w, r0, r0
rsq r2.x, r0.w
rcp r0.w, r2.x
mul r2.y, r0.w, c8.x
add_pp r3, -r1, c16.x
mul_sat r2.z, r2.y, c16
dp3 r2.w, v3, v3
mad_pp r1, r2.z, r3, r1
rsq r2.y, r2.w
mul r3.xyz, r2.y, v3
mov r2.yzw, v4.xxyz
dp3_sat r2.y, v5, r2.yzww
texld r3, r3, s0
mul_pp r3, r3, c4
mul_pp r1, r3, r1
mul r2.y, r2, c6.x
pow_sat r3, r2.y, c5.x
mul r0.xyz, r2.x, -r0
dp3 r3.y, v1, r0
dp3 r3.z, v1, v1
mul r2.y, -r0.w, c10.x
mad r2.x, -r3.y, r3.y, r3.z
mul_sat r2.z, r0.w, c9.x
add_sat r2.y, r2, c16.x
mad r2.w, -r2.z, r2.y, c16.x
mov r2.y, r3.x
add r3.x, r2.y, -r2.w
mov r0.xyz, c0
rsq r3.w, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.y, r0, r0
dp3 r2.x, r2, r2
rsq r0.x, r2.x
rsq r0.y, r0.y
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0, c12.x, r0.x
rcp r0.x, r3.w
mul r2.x, r0, r0
add r0.z, r3, -r2.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r2.w
mul_pp r0.y, r0, r1.w
mad r1.w, c13.x, c13.x, -r2.x
rsq r0.z, r0.z
rsq r1.w, r1.w
rcp r1.w, r1.w
rcp r0.z, r0.z
add r2.x, r1.w, -r0.z
add r0.z, r3.y, -r1.w
add r1.w, r0.z, -r2.x
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r2.x
add r0.w, r0, -r1
rsq r2.x, r3.z
rcp r1.w, r2.x
add r2.x, -r0, c13
add r1.w, -r1, c13.x
cmp r0.x, r1.w, c16, c16.y
cmp r1.w, r2.x, c16.x, c16.y
mad_sat r0.x, r1.w, r0.z, r0
cmp r0.w, r0, c16.x, c16.y
mad_pp r0.z, -r0.x, r0.w, c16.x
mul_pp r2.x, r0.y, r0.z
texldp r0.x, v6, s2
mad r0.y, r0.x, c1.z, c1.w
rcp r0.y, r0.y
add r0.w, r0.y, -v6.z
mul_sat r1.w, r0, c14.x
dp4_pp r0.x, c2, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c2
dp3_pp r0.w, v4, r0
mul_pp r0.xyz, r1, c3
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c17.z
dp3_pp r1.y, v4, v4
rsq_pp r2.x, r1.y
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v4
dp3_pp r1.y, r2, r1
mul_pp r2.xyz, r0, r1.y
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
add_pp r0.x, r1, c17.w
mul_pp_sat r0.y, -r0.w, c17
mad_pp r0.x, r0.y, r0, c16
mul r1.xyz, r2, c17.x
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 120 instructions, 5 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 135 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r2.x, r1, r1.z
add r1.x, r1.z, -r1
add r1.y, r2.x, -r1
cmp r1.w, r1.x, c16.x, c16.y
add r0.w, r0.z, -r0.x
mad r0.w, r1, r0, r0.x
add r1.x, -r0.y, r0.w
cmp r0.w, r1.y, c16.x, c16.y
mad r1.y, r0.w, r1.x, r0
cmp r1.x, r1.y, c16.y, c16
cmp r1.y, -r1, c16, c16.x
add r2.w, r1.y, -r1.x
mov r3.z, -r2.w
mov r3.xy, c16.x
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mul r1.xyz, r0.yxzw, r3
mad r0.xyz, r0.yxzw, -r3, r2
mad r1.xyz, r0.w, r0, r1
abs r0.x, r1
rcp r0.y, r0.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r1.xy, r0, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r1
abs r2.xy, r0
add r0.xyz, -v0, c0
dsy r2.zw, r2.xyxy
dsx r1.zw, r2.xyxy
texldd r1, r1, s1, r1.zwzw, r2.zwzw
dp3 r0.w, r0, r0
rsq r2.x, r0.w
rcp r0.w, r2.x
mul r2.y, r0.w, c8.x
add_pp r3, -r1, c16.x
mul_sat r2.z, r2.y, c16
dp3 r2.w, v3, v3
mad_pp r1, r2.z, r3, r1
rsq r2.y, r2.w
mul r3.xyz, r2.y, v3
mov r2.yzw, v4.xxyz
dp3_sat r2.y, v5, r2.yzww
texld r3, r3, s0
mul_pp r3, r3, c4
mul_pp r1, r3, r1
mul r2.y, r2, c6.x
pow_sat r3, r2.y, c5.x
mul r0.xyz, r2.x, -r0
dp3 r3.y, v1, r0
dp3 r3.z, v1, v1
mul r2.y, -r0.w, c10.x
mad r2.x, -r3.y, r3.y, r3.z
mul_sat r2.z, r0.w, c9.x
add_sat r2.y, r2, c16.x
mad r2.w, -r2.z, r2.y, c16.x
mov r2.y, r3.x
add r3.x, r2.y, -r2.w
mov r0.xyz, c0
rsq r3.w, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.y, r0, r0
dp3 r2.x, r2, r2
rsq r0.x, r2.x
rsq r0.y, r0.y
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0, c12.x, r0.x
rcp r0.x, r3.w
mul r2.x, r0, r0
add r0.z, r3, -r2.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r2.w
mul_pp r0.y, r0, r1.w
mad r1.w, c13.x, c13.x, -r2.x
rsq r0.z, r0.z
rsq r1.w, r1.w
rcp r1.w, r1.w
rcp r0.z, r0.z
add r2.x, r1.w, -r0.z
add r0.z, r3.y, -r1.w
add r1.w, r0.z, -r2.x
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r2.x
add r0.w, r0, -r1
rsq r2.x, r3.z
rcp r1.w, r2.x
add r2.x, -r0, c13
add r1.w, -r1, c13.x
cmp r0.x, r1.w, c16, c16.y
cmp r1.w, r2.x, c16.x, c16.y
mad_sat r0.x, r1.w, r0.z, r0
cmp r0.w, r0, c16.x, c16.y
mad_pp r0.z, -r0.x, r0.w, c16.x
mul_pp r2.x, r0.y, r0.z
texldp r0.x, v6, s2
mad r0.y, r0.x, c1.z, c1.w
rcp r0.y, r0.y
add r0.w, r0.y, -v6.z
mul_sat r1.w, r0, c14.x
dp4_pp r0.x, c2, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c2
dp3_pp r0.w, v4, r0
mul_pp r0.xyz, r1, c3
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c17.z
dp3_pp r1.y, v4, v4
rsq_pp r2.x, r1.y
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v4
dp3_pp r1.y, r2, r1
mul_pp r2.xyz, r0, r1.y
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
add_pp r0.x, r1, c17.w
mul_pp_sat r0.y, -r0.w, c17
mad_pp r0.x, r0.y, r0, c16
mul r1.xyz, r2, c17.x
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 120 instructions, 5 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 136 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r2.x, r1, r1.z
add r1.x, r1.z, -r1
add r1.y, r2.x, -r1
cmp r1.w, r1.x, c16.x, c16.y
add r0.w, r0.z, -r0.x
mad r0.w, r1, r0, r0.x
add r1.x, -r0.y, r0.w
cmp r0.w, r1.y, c16.x, c16.y
mad r1.y, r0.w, r1.x, r0
cmp r1.x, r1.y, c16.y, c16
cmp r1.y, -r1, c16, c16.x
add r2.w, r1.y, -r1.x
mov r3.z, -r2.w
mov r3.xy, c16.x
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mul r1.xyz, r0.yxzw, r3
mad r0.xyz, r0.yxzw, -r3, r2
mad r1.xyz, r0.w, r0, r1
abs r0.x, r1
rcp r0.y, r0.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r1.xy, r0, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r1
abs r2.xy, r0
add r0.xyz, -v0, c0
dsy r2.zw, r2.xyxy
dsx r1.zw, r2.xyxy
texldd r1, r1, s1, r1.zwzw, r2.zwzw
dp3 r0.w, r0, r0
rsq r2.x, r0.w
rcp r0.w, r2.x
mul r2.y, r0.w, c8.x
add_pp r3, -r1, c16.x
mul_sat r2.z, r2.y, c16
dp3 r2.w, v3, v3
mad_pp r1, r2.z, r3, r1
rsq r2.y, r2.w
mul r3.xyz, r2.y, v3
mov r2.yzw, v4.xxyz
dp3_sat r2.y, v5, r2.yzww
texld r3, r3, s0
mul_pp r3, r3, c4
mul_pp r1, r3, r1
mul r2.y, r2, c6.x
pow_sat r3, r2.y, c5.x
mul r0.xyz, r2.x, -r0
dp3 r3.y, v1, r0
dp3 r3.z, v1, v1
mul r2.y, -r0.w, c10.x
mad r2.x, -r3.y, r3.y, r3.z
mul_sat r2.z, r0.w, c9.x
add_sat r2.y, r2, c16.x
mad r2.w, -r2.z, r2.y, c16.x
mov r2.y, r3.x
add r3.x, r2.y, -r2.w
mov r0.xyz, c0
rsq r3.w, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.y, r0, r0
dp3 r2.x, r2, r2
rsq r0.x, r2.x
rsq r0.y, r0.y
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0, c12.x, r0.x
rcp r0.x, r3.w
mul r2.x, r0, r0
add r0.z, r3, -r2.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r2.w
mul_pp r0.y, r0, r1.w
mad r1.w, c13.x, c13.x, -r2.x
rsq r0.z, r0.z
rsq r1.w, r1.w
rcp r1.w, r1.w
rcp r0.z, r0.z
add r2.x, r1.w, -r0.z
add r0.z, r3.y, -r1.w
add r1.w, r0.z, -r2.x
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r2.x
add r0.w, r0, -r1
rsq r2.x, r3.z
rcp r1.w, r2.x
add r2.x, -r0, c13
add r1.w, -r1, c13.x
cmp r0.x, r1.w, c16, c16.y
cmp r1.w, r2.x, c16.x, c16.y
mad_sat r0.x, r1.w, r0.z, r0
cmp r0.w, r0, c16.x, c16.y
mad_pp r0.z, -r0.x, r0.w, c16.x
mul_pp r2.x, r0.y, r0.z
texldp r0.x, v7, s3
mad r0.y, r0.x, c1.z, c1.w
rcp r0.y, r0.y
add r0.w, r0.y, -v7.z
mul_sat r1.w, r0, c14.x
dp4_pp r0.x, c2, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c2
dp3_pp r0.w, v4, r0
mul_pp r0.xyz, r1, c3
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c17.z
dp3_pp r1.y, v4, v4
rsq_pp r2.x, r1.y
frc_pp r2.w, r1
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v4
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r1, -r2
texldp r0.x, v6, s2
mul_pp_sat r0.z, -r0.w, c17.y
mul_pp r0.w, r0.x, c17.x
add_pp r0.y, r1.w, c17.w
mad_pp r0.x, r0.z, r0.y, c16
mul r1.xyz, r1, r0.w
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 123 instructions, 5 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 136 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r2.x, r1, r1.z
add r1.x, r1.z, -r1
add r1.y, r2.x, -r1
cmp r1.w, r1.x, c16.x, c16.y
add r0.w, r0.z, -r0.x
mad r0.w, r1, r0, r0.x
add r1.x, -r0.y, r0.w
cmp r0.w, r1.y, c16.x, c16.y
mad r1.y, r0.w, r1.x, r0
cmp r1.x, r1.y, c16.y, c16
cmp r1.y, -r1, c16, c16.x
add r2.w, r1.y, -r1.x
mov r3.z, -r2.w
mov r3.xy, c16.x
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mul r1.xyz, r0.yxzw, r3
mad r0.xyz, r0.yxzw, -r3, r2
mad r1.xyz, r0.w, r0, r1
abs r0.x, r1
rcp r0.y, r0.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r1.xy, r0, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r1
abs r2.xy, r0
add r0.xyz, -v0, c0
dsy r2.zw, r2.xyxy
dsx r1.zw, r2.xyxy
texldd r1, r1, s1, r1.zwzw, r2.zwzw
dp3 r0.w, r0, r0
rsq r2.x, r0.w
rcp r0.w, r2.x
mul r2.y, r0.w, c8.x
add_pp r3, -r1, c16.x
mul_sat r2.z, r2.y, c16
dp3 r2.w, v3, v3
mad_pp r1, r2.z, r3, r1
rsq r2.y, r2.w
mul r3.xyz, r2.y, v3
mov r2.yzw, v4.xxyz
dp3_sat r2.y, v5, r2.yzww
texld r3, r3, s0
mul_pp r3, r3, c4
mul_pp r1, r3, r1
mul r2.y, r2, c6.x
pow_sat r3, r2.y, c5.x
mul r0.xyz, r2.x, -r0
dp3 r3.y, v1, r0
dp3 r3.z, v1, v1
mul r2.y, -r0.w, c10.x
mad r2.x, -r3.y, r3.y, r3.z
mul_sat r2.z, r0.w, c9.x
add_sat r2.y, r2, c16.x
mad r2.w, -r2.z, r2.y, c16.x
mov r2.y, r3.x
add r3.x, r2.y, -r2.w
mov r0.xyz, c0
rsq r3.w, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.y, r0, r0
dp3 r2.x, r2, r2
rsq r0.x, r2.x
rsq r0.y, r0.y
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0, c12.x, r0.x
rcp r0.x, r3.w
mul r2.x, r0, r0
add r0.z, r3, -r2.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r2.w
mul_pp r0.y, r0, r1.w
mad r1.w, c13.x, c13.x, -r2.x
rsq r0.z, r0.z
rsq r1.w, r1.w
rcp r1.w, r1.w
rcp r0.z, r0.z
add r2.x, r1.w, -r0.z
add r0.z, r3.y, -r1.w
add r1.w, r0.z, -r2.x
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r2.x
add r0.w, r0, -r1
rsq r2.x, r3.z
rcp r1.w, r2.x
add r2.x, -r0, c13
add r1.w, -r1, c13.x
cmp r0.x, r1.w, c16, c16.y
cmp r1.w, r2.x, c16.x, c16.y
mad_sat r0.x, r1.w, r0.z, r0
cmp r0.w, r0, c16.x, c16.y
mad_pp r0.z, -r0.x, r0.w, c16.x
mul_pp r2.x, r0.y, r0.z
texldp r0.x, v7, s3
mad r0.y, r0.x, c1.z, c1.w
rcp r0.y, r0.y
add r0.w, r0.y, -v7.z
mul_sat r1.w, r0, c14.x
dp4_pp r0.x, c2, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c2
dp3_pp r0.w, v4, r0
mul_pp r0.xyz, r1, c3
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c17.z
dp3_pp r1.y, v4, v4
rsq_pp r2.x, r1.y
frc_pp r2.w, r1
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v4
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r1, -r2
texldp r0.x, v6, s2
mul_pp_sat r0.z, -r0.w, c17.y
mul_pp r0.w, r0.x, c17.x
add_pp r0.y, r1.w, c17.w
mad_pp r0.x, r0.z, r0.y, c16
mul r1.xyz, r1, r0.w
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 123 instructions, 5 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 136 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r2.x, r1, r1.z
add r1.x, r1.z, -r1
add r1.y, r2.x, -r1
cmp r1.w, r1.x, c16.x, c16.y
add r0.w, r0.z, -r0.x
mad r0.w, r1, r0, r0.x
add r1.x, -r0.y, r0.w
cmp r0.w, r1.y, c16.x, c16.y
mad r1.y, r0.w, r1.x, r0
cmp r1.x, r1.y, c16.y, c16
cmp r1.y, -r1, c16, c16.x
add r2.w, r1.y, -r1.x
mov r3.z, -r2.w
mov r3.xy, c16.x
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c16.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c16.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mul r1.xyz, r0.yxzw, r3
mad r0.xyz, r0.yxzw, -r3, r2
mad r1.xyz, r0.w, r0, r1
abs r0.x, r1
rcp r0.y, r0.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r1.xy, r0, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r1
abs r2.xy, r0
add r0.xyz, -v0, c0
dsy r2.zw, r2.xyxy
dsx r1.zw, r2.xyxy
texldd r1, r1, s1, r1.zwzw, r2.zwzw
dp3 r0.w, r0, r0
rsq r2.x, r0.w
rcp r0.w, r2.x
mul r2.y, r0.w, c8.x
add_pp r3, -r1, c16.x
mul_sat r2.z, r2.y, c16
dp3 r2.w, v3, v3
mad_pp r1, r2.z, r3, r1
rsq r2.y, r2.w
mul r3.xyz, r2.y, v3
mov r2.yzw, v4.xxyz
dp3_sat r2.y, v5, r2.yzww
texld r3, r3, s0
mul_pp r3, r3, c4
mul_pp r1, r3, r1
mul r2.y, r2, c6.x
pow_sat r3, r2.y, c5.x
mul r0.xyz, r2.x, -r0
dp3 r3.y, v1, r0
dp3 r3.z, v1, v1
mul r2.y, -r0.w, c10.x
mad r2.x, -r3.y, r3.y, r3.z
mul_sat r2.z, r0.w, c9.x
add_sat r2.y, r2, c16.x
mad r2.w, -r2.z, r2.y, c16.x
mov r2.y, r3.x
add r3.x, r2.y, -r2.w
mov r0.xyz, c0
rsq r3.w, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.y, r0, r0
dp3 r2.x, r2, r2
rsq r0.x, r2.x
rsq r0.y, r0.y
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0, c12.x, r0.x
rcp r0.x, r3.w
mul r2.x, r0, r0
add r0.z, r3, -r2.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r3.x, r2.w
mul_pp r0.y, r0, r1.w
mad r1.w, c13.x, c13.x, -r2.x
rsq r0.z, r0.z
rsq r1.w, r1.w
rcp r1.w, r1.w
rcp r0.z, r0.z
add r2.x, r1.w, -r0.z
add r0.z, r3.y, -r1.w
add r1.w, r0.z, -r2.x
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r2.x
add r0.w, r0, -r1
rsq r2.x, r3.z
rcp r1.w, r2.x
add r2.x, -r0, c13
add r1.w, -r1, c13.x
cmp r0.x, r1.w, c16, c16.y
cmp r1.w, r2.x, c16.x, c16.y
mad_sat r0.x, r1.w, r0.z, r0
cmp r0.w, r0, c16.x, c16.y
mad_pp r0.z, -r0.x, r0.w, c16.x
mul_pp r2.x, r0.y, r0.z
texldp r0.x, v7, s3
mad r0.y, r0.x, c1.z, c1.w
rcp r0.y, r0.y
add r0.w, r0.y, -v7.z
mul_sat r1.w, r0, c14.x
dp4_pp r0.x, c2, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c2
dp3_pp r0.w, v4, r0
mul_pp r0.xyz, r1, c3
mul_pp oC0.w, r2.x, r1
add_pp r1.w, r0, c17.z
dp3_pp r1.y, v4, v4
rsq_pp r2.x, r1.y
frc_pp r2.w, r1
dp3_pp r1.x, c2, c2
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r2.x, v4
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r1, -r2
texldp r0.x, v6, s2
mul_pp_sat r0.z, -r0.w, c17.y
mul_pp r0.w, r0.x, c17.x
add_pp r0.y, r1.w, c17.w
mad_pp r0.x, r0.z, r0.y, c16
mul r1.xyz, r1, r0.w
mul_pp oC0.xyz, r1, r0.x
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 123 instructions, 5 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.xyyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.xyyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.xyyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.xyyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedggehampbfdikfidhlimbfbkdecnlokfiabaaaaaagebbaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcpmapaaaaeaaaaaaappadaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagcbaaaadpcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaa
aaaaaaaajghdbaaaaaaaaaaaaagabaaaabaaaaaadgaaaaafbcaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaa
aaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaabaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaabbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
bcaaaaaabkiacaaaaaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaabcaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaaiaaaaaapgbpbaaaaiaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaaiaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaabcaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaa
pgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.xyyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.xyyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yxyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedidippolcolibcphiceamdemgpmlpjgbhabaaaaaanebaaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcieapaaaaeaaaaaaaobadaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaa
aaaaaaaaighhbaaaaaaaaaaaaagabaaaaaaaaaaadgaaaaafbcaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaa
aaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
aoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yxyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedidippolcolibcphiceamdemgpmlpjgbhabaaaaaanebaaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcieapaaaaeaaaaaaaobadaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaa
aaaaaaaaighhbaaaaaaaaaaaaagabaaaaaaaaaaadgaaaaafbcaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaa
aaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
aoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yxyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedidippolcolibcphiceamdemgpmlpjgbhabaaaaaanebaaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcieapaaaaeaaaaaaaobadaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaa
aaaaaaaaighhbaaaaaaaaaaaaagabaaaaaaaaaaadgaaaaafbcaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaa
aaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
aoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yxyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yxyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgcccmlhageaaohicabblniolmnnbbnmoabaaaaaagebbaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcpmapaaaaeaaaaaaappadaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagcbaaaadpcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaa
aaaaaaaaighhbaaaaaaaaaaaaagabaaaabaaaaaadgaaaaafbcaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaa
aaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaabaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaabbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
bcaaaaaabkiacaaaaaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaabcaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaaiaaaaaapgbpbaaaaiaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaaiaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaabcaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaa
pgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yxyy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyxy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyxy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyxy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyxy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedagmggeljbeaoihghioiaemfokkhodmolabaaaaaagebbaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcpmapaaaaeaaaaaaappadaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagcbaaaadpcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaa
aaaaaaaaeghlbaaaaaaaaaaaaagabaaaabaaaaaadgaaaaafbcaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaa
aaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaabaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaabbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
bcaaaaaabkiacaaaaaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaabcaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaaiaaaaaapgbpbaaaaiaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaaiaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaabcaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaa
pgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyxy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedagmggeljbeaoihghioiaemfokkhodmolabaaaaaagebbaaaaadaaaaaa
cmaaaaaacmabaaaagaabaaaaejfdeheopiaaaaaaajaaaaaaaiaaaaaaoaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaomaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaomaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaomaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaomaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaomaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaomaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaomaaaaaaagaaaaaaaaaaaaaaadaaaaaaahaaaaaaapalaaaaomaaaaaa
aiaaaaaaaaaaaaaaadaaaaaaaiaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
fdeieefcpmapaaaaeaaaaaaappadaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaa
fjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadlcbabaaa
ahaaaaaagcbaaaadpcbabaaaaiaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaa
aaaaaaaaeghlbaaaaaaaaaaaaagabaaaabaaaaaadgaaaaafbcaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaa
aaaaaaaaapaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaabaaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaabaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaabaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaabaaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaabbaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaabbaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaabaaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
baaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaabdaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaabcaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
bcaaaaaabkiacaaaaaaaaaaabcaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaabcaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaabcaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaaiaaaaaapgbpbaaaaiaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaaiaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaabcaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaa
pgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
acaaaaaaaagabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialp
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyxy
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyyx
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedlacdegmcjfjkpcebogekggoahaobkfcfabaaaaaanebaaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcieapaaaaeaaaaaaaobadaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
hcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
agaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaaaaaaaaaegacbaaa
aaaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadgaaaaafbcaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaaipcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaa
aaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaa
adaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaa
abaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaa
ckbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaaj
ccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaa
dcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
dkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
akaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaa
abaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaa
abaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
jgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaa
fgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaa
abaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaa
afaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaa
egaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaa
kgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaa
aaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaa
adaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaa
eeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaa
acaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaa
pgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaa
bkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
dccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaa
aeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaa
egiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
ecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaa
acaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaa
abaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaa
aaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaa
abaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaa
abaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaa
abaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaa
akaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaa
aoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaa
adaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaa
aaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaa
abaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaa
aaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaa
aaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaa
dcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaak
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
aoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaa
dcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaa
dkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaa
acaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
aceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaa
egiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaa
egacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaa
aaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyyx
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_CameraDepthTexture] 2D
"ps_3_0
; 139 ALU, 5 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyyx
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s2
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
frc_pp r2.w, r1
add_pp_sat r1.x, r1.w, -r2.w
mul_pp r0.xyz, r2, r0.x
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
SetTexture 2 [_CameraDepthTexture] 2D 2
// 121 instructions, 6 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 5 uint
// TEX 2 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyyx
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyyx
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
SetTexture 2 [_ShadowMapTexture] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 140 ALU, 6 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c16.x, c16.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
cmp r0.w, r0, c16.x, c16.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c16, c16.x
cmp r1.x, -r1, c16.y, c16
add r1.w, r1.x, -r1.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c16.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
add r3.xyz, -v0, c0
mad r0.x, r0.w, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.zw, r0.xyxy, c7.x
mov r0.x, c7
mad r0.xy, c16.w, -r0.x, r0.zwzw
abs r0.xy, r0
dsy r1.xy, r0
dsx r0.xy, r0
texldd r1, r0.zwzw, s1, r0, r1
dp3 r0.w, r3, r3
rsq r3.w, r0.w
rcp r4.x, r3.w
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
texld r0, r0, s0
mul_pp r0, r0, c16.yyyx
add_pp r2, -r1, c16.x
add_pp r0.x, r0, r0.y
mul r4.y, r4.x, c8.x
mul_sat r0.y, r4, c16.z
mad_pp r1, r0.y, r2, r1
add_pp r2.x, r0, r0.z
mov r0.xyz, v4
add_pp r0.w, r2.x, r0
dp3_sat r2.x, v5, r0
mov_pp r0.xyz, c16.x
mul_pp r0, r0, c4
mul_pp r1, r0, r1
mul r2.x, r2, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.x, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.x, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r3
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4.x, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r1.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
dp3_pp r0.y, c2, c2
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r1, c3
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c2
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v4
dp3_pp r0.x, r0, r1
mul_pp r1.xyz, r2, r0.x
frc_pp r2.w, r1
add_pp_sat r0.y, r1.w, -r2.w
add_pp r0.z, r0.y, c17.w
mul_pp_sat r0.y, -r0.w, c17
texldp r0.x, v6, s2
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTex] CUBE 1
SetTexture 1 [_DetailTex] 2D 2
SetTexture 2 [_ShadowMapTexture] 2D 0
SetTexture 3 [_CameraDepthTexture] 2D 3
// 124 instructions, 6 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 5 uint
// TEX 3 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 178 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c16.x, c16.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
add r0.y, r1, r0.z
cmp r3.w, r0.x, c16.x, c16.y
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c16, c16.x
cmp r0.x, -r0, c16.y, c16
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c16.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c16.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
add_pp r1.xy, r0, c16.w
dp3 r0.x, v2, v2
rsq r2.x, r0.x
mul r2.xyz, r2.x, v2
dsy r3.xy, r0.zwzw
dsx r1.zw, r0
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c16.x, c16
add r3.x, r4.z, -r3.y
cmp r4.w, r3.x, c16.x, c16.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c16.y, c16.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c16, c16.y
mad_pp r1, r3.x, r0, r1
add_pp r0.w, r1.z, -r1.x
cmp r3.y, -r3, c16, c16.x
add r4.x, r3.y, -r3.z
mad_pp r0.w, r2, r0, r1.x
mov r0.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c16.x
mul r3.xyz, r2.xzyw, r3
mov r0.xz, c16.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r4.y, r0, r3
mov r0.z, -r4.x
mov r0.xy, c16.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r4.w, r0, r4
abs r1.x, r0
add_pp r0.x, -r1.y, r0.w
add r4.xyz, -v0, c0
mad_pp r3.w, r3, r0.x, r1.y
rcp r0.w, r1.x
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
mov_pp r3.xyz, r1.w
mul_pp r1, r3, c4
mov r3.xyz, v4
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c16.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 178 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c16.x, c16.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
add r0.y, r1, r0.z
cmp r3.w, r0.x, c16.x, c16.y
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c16, c16.x
cmp r0.x, -r0, c16.y, c16
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c16.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c16.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
add_pp r1.xy, r0, c16.w
dp3 r0.x, v2, v2
rsq r2.x, r0.x
mul r2.xyz, r2.x, v2
dsy r3.xy, r0.zwzw
dsx r1.zw, r0
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c16.x, c16
add r3.x, r4.z, -r3.y
cmp r4.w, r3.x, c16.x, c16.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c16.y, c16.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c16, c16.y
mad_pp r1, r3.x, r0, r1
add_pp r0.w, r1.z, -r1.x
cmp r3.y, -r3, c16, c16.x
add r4.x, r3.y, -r3.z
mad_pp r0.w, r2, r0, r1.x
mov r0.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c16.x
mul r3.xyz, r2.xzyw, r3
mov r0.xz, c16.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r4.y, r0, r3
mov r0.z, -r4.x
mov r0.xy, c16.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r4.w, r0, r4
abs r1.x, r0
add_pp r0.x, -r1.y, r0.w
add r4.xyz, -v0, c0
mad_pp r3.w, r3, r0.x, r1.y
rcp r0.w, r1.x
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
mov_pp r3.xyz, r1.w
mul_pp r1, r3, c4
mov r3.xyz, v4
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c16.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 178 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c16.x, c16.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
add r0.y, r1, r0.z
cmp r3.w, r0.x, c16.x, c16.y
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c16, c16.x
cmp r0.x, -r0, c16.y, c16
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c16.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c16.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
add_pp r1.xy, r0, c16.w
dp3 r0.x, v2, v2
rsq r2.x, r0.x
mul r2.xyz, r2.x, v2
dsy r3.xy, r0.zwzw
dsx r1.zw, r0
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c16.x, c16
add r3.x, r4.z, -r3.y
cmp r4.w, r3.x, c16.x, c16.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c16.y, c16.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c16, c16.y
mad_pp r1, r3.x, r0, r1
add_pp r0.w, r1.z, -r1.x
cmp r3.y, -r3, c16, c16.x
add r4.x, r3.y, -r3.z
mad_pp r0.w, r2, r0, r1.x
mov r0.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c16.x
mul r3.xyz, r2.xzyw, r3
mov r0.xz, c16.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r4.y, r0, r3
mov r0.z, -r4.x
mov r0.xy, c16.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r4.w, r0, r4
abs r1.x, r0
add_pp r0.x, -r1.y, r0.w
add r4.xyz, -v0, c0
mad_pp r3.w, r3, r0.x, r1.y
rcp r0.w, r1.x
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
mov_pp r3.xyz, r1.w
mul_pp r1, r3, c4
mov r3.xyz, v4
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c16.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c16.x, c16.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
add r0.y, r1, r0.z
cmp r3.w, r0.x, c16.x, c16.y
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c16, c16.x
cmp r0.x, -r0, c16.y, c16
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c16.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c16.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
add_pp r1.xy, r0, c16.w
dp3 r0.x, v2, v2
rsq r2.x, r0.x
mul r2.xyz, r2.x, v2
dsy r3.xy, r0.zwzw
dsx r1.zw, r0
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c16.x, c16
add r3.x, r4.z, -r3.y
cmp r4.w, r3.x, c16.x, c16.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c16.y, c16.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c16, c16.y
mad_pp r1, r3.x, r0, r1
add_pp r0.w, r1.z, -r1.x
cmp r3.y, -r3, c16, c16.x
add r4.x, r3.y, -r3.z
mad_pp r0.w, r2, r0, r1.x
mov r0.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c16.x
mul r3.xyz, r2.xzyw, r3
mov r0.xz, c16.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r4.y, r0, r3
mov r0.z, -r4.x
mov r0.xy, c16.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r4.w, r0, r4
abs r1.x, r0
add_pp r0.x, -r1.y, r0.w
add r4.xyz, -v0, c0
mad_pp r3.w, r3, r0.x, r1.y
rcp r0.w, r1.x
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
mov_pp r3.xyz, r1.w
mul_pp r1, r3, c4
mov r3.xyz, v4
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c16.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 137 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c16.x, c16.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
add r0.y, r1, r0.z
cmp r3.w, r0.x, c16.x, c16.y
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c16, c16.x
cmp r0.x, -r0, c16.y, c16
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c16.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c16.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
add_pp r1.xy, r0, c16.w
dp3 r0.x, v2, v2
rsq r2.x, r0.x
mul r2.xyz, r2.x, v2
dsy r3.xy, r0.zwzw
dsx r1.zw, r0
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c16.x, c16
add r3.x, r4.z, -r3.y
cmp r4.w, r3.x, c16.x, c16.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c16.y, c16.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c16, c16.y
mad_pp r1, r3.x, r0, r1
add_pp r0.w, r1.z, -r1.x
cmp r3.y, -r3, c16, c16.x
add r4.x, r3.y, -r3.z
mad_pp r0.w, r2, r0, r1.x
mov r0.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c16.x
mul r3.xyz, r2.xzyw, r3
mov r0.xz, c16.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r4.y, r0, r3
mov r0.z, -r4.x
mov r0.xy, c16.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r4.w, r0, r4
abs r1.x, r0
add_pp r0.x, -r1.y, r0.w
add r4.xyz, -v0, c0
mad_pp r3.w, r3, r0.x, r1.y
rcp r0.w, r1.x
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
mov_pp r3.xyz, r1.w
mul_pp r1, r3, c4
mov r3.xyz, v4
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c16.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 137 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 179 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c16.x, c16.y
add r0.z, r0, -r0.x
mad r0.x, r2.w, r0.z, r0
add r1.w, r1.z, -r1.x
add r0.x, r0, -r0.y
mad r0.z, r2.w, r1.w, r1.x
add r0.y, r1, r0.z
cmp r3.w, r0.x, c16.x, c16.y
mad r0.x, r3.w, r0.y, -r1.y
cmp r0.y, r0.x, c16, c16.x
cmp r0.x, -r0, c16.y, c16
add r4.x, r0, -r0.y
mov_pp r0.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r1.xzyw, r2
mov_pp r0.xz, c16.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov_pp r0.z, -r4.x
mov_pp r0.xy, c16.x
mul r3.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
add_pp r1.xy, r0, c16.w
dp3 r0.x, v2, v2
rsq r2.x, r0.x
mul r2.xyz, r2.x, v2
dsy r3.xy, r0.zwzw
dsx r1.zw, r0
texldd r0, r1, s0, r1.zwzw, r3
texldd r1, r1, s1, r1.zwzw, r3
abs r3.xyz, r2
max r4.z, r3.x, r3
add r3.x, r3.z, -r3
cmp r4.y, r3.x, c16.x, c16
add r3.x, r4.z, -r3.y
cmp r4.w, r3.x, c16.x, c16.y
add r3.z, r2, -r2.x
mad r3.z, r4.y, r3, r2.x
add r3.y, -r2, r3.z
mad r3.y, r4.w, r3, r2
cmp r3.z, r3.y, c16.y, c16.x
add_pp r0, r0, -r1
cmp_pp r3.x, r4, c16, c16.y
mad_pp r1, r3.x, r0, r1
add_pp r0.w, r1.z, -r1.x
cmp r3.y, -r3, c16, c16.x
add r4.x, r3.y, -r3.z
mad_pp r0.w, r2, r0, r1.x
mov r0.y, r4.x
mov r3.y, -r4.x
mov r3.xz, c16.x
mul r3.xyz, r2.xzyw, r3
mov r0.xz, c16.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r4.y, r0, r3
mov r0.z, -r4.x
mov r0.xy, c16.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r4.w, r0, r4
abs r1.x, r0
add_pp r0.x, -r1.y, r0.w
add r4.xyz, -v0, c0
mad_pp r3.w, r3, r0.x, r1.y
rcp r0.w, r1.x
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
mov_pp r3.xyz, r1.w
mul_pp r1, r3, c4
mov r3.xyz, v4
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c16.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 137 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 159 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 159 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 159 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedmjmjhcoielonpgapcjhnikggofmldnpiabaaaaaagmbfaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcbmbeaaaaeaaaaaaaahafaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaa
abaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaa
gcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaa
dgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
aaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaa
dkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaa
akaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaa
aaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaaj
icaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
dcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaa
akaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaa
aaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaa
aaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaia
ebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaa
acaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaa
adaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaa
abaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaak
hcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaa
dcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaa
abaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaa
agaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaa
egaabaiaibaaaaaaaaaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaa
amaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaa
egaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaogakbaaaabaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaabaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaa
dgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
diaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaa
abaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaa
akaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaa
abaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaa
deaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaa
abaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaa
abaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaa
kgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaa
aaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
abaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaaf
dcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaa
aagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaa
adaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaa
adaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaa
egacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaa
amaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaa
anaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaa
abaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaaeaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
apaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
acaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaa
adaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
abaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkiacaaa
aaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaa
ckaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
akaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaa
bkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaai
bcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaaabaaaaaaabaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaah
ccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaaoaaaaahdcaabaaa
abaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaadcaaaaalbcaabaaa
abaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaa
ahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedmjmjhcoielonpgapcjhnikggofmldnpiabaaaaaagmbfaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcbmbeaaaaeaaaaaaaahafaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaa
acaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaagcbaaaadhcbabaaa
abaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaa
gcbaaaadpcbabaaaahaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaa
dgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
aaaaaaaajgbebaaaaeaaaaaadcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaa
dkaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaa
akaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaa
aaaaaaaabkbabaaaaeaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaaj
icaabaaaabaaaaaackaabaiambaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
dcaaaaakicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaackaabaia
ibaaaaaaabaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaakicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaa
akaabaiaebaaaaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaa
aaaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaa
aaaaaaaaggaibaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaia
ebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaa
acaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaa
adaaaaaabnaaaaahicaabaaaaaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaa
abaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaak
hcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaa
dcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaa
abaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaa
agaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaa
egaabaiaibaaaaaaaaaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaaaaaaaaa
amaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaa
egaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaogakbaaaabaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaabaaaaaaogakbaaaabaaaaaaegaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaadkaabaaaacaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaa
dgaaaaaihcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
diaaaaaipcaabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaaeeaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaa
abaaaaaakgbebaaaadaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaadaaaaaa
akaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaa
abaaaaaabkbabaiaebaaaaaaadaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaa
deaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaa
abaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaa
abaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaa
abaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaa
dbaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaabaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaadaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaa
abaaaaaaagaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaa
kgikcaaaaaaaaaaaamaaaaaadcaaaaaomcaabaaaabaaaaaakgikcaiaebaaaaaa
aaaaaaaaamaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
abaaaaaadgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaaf
dcaabaaaacaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaa
aagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaa
acaaaaaaegaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpaaaaaaajhcaabaaaadaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahicaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaa
adaaaaaaelaaaaafbcaabaaaaeaaaaaadkaabaaaadaaaaaaeeaaaaaficaabaaa
adaaaaaadkaabaaaadaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaadaaaaaa
egacbaaaadaaaaaabaaaaaahbcaabaaaadaaaaaaegbcbaaaacaaaaaaegacbaaa
adaaaaaaapcaaaaiccaabaaaadaaaaaaagaabaaaaeaaaaaapgipcaaaaaaaaaaa
amaaaaaadcaaaaajpcaabaaaabaaaaaafgafbaaaadaaaaaaegaobaaaacaaaaaa
egaobaaaabaaaaaadiaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaeaaaaaabkiacaaaaaaaaaaa
anaaaaaadgcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadccaaaalccaabaaa
abaaaaaackiacaiaebaaaaaaaaaaaaaaanaaaaaaakaabaaaaeaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpbacaaaahccaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaafaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkiacaaa
aaaaaaaaamaaaaaacpaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaaaaaaaaaamaaaaaabjaaaaaf
ccaabaaaabaaaaaabkaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaabkaabaaaabaaaaaaaaaaaaakhcaabaaaacaaaaaaegiccaaaaaaaaaaa
apaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahecaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaaaaaaaajhcaabaaaacaaaaaaegbcbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafmcaabaaaabaaaaaakgaobaaa
abaaaaaadcaaaaalecaabaaaabaaaaaaakiacaiaebaaaaaaaaaaaaaaaoaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadicaaaaiecaabaaaabaaaaaackaabaaa
abaaaaaadkiacaaaaaaaaaaaanaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
acaaaaaaegbcbaaaacaaaaaadcaaaaakccaabaaaabaaaaaaakaabaiaebaaaaaa
adaaaaaaakaabaaaadaaaaaaakaabaaaabaaaaaaelaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaabkaabaaa
abaaaaaadcaaaaamecaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaabkiacaaa
aaaaaaaaaoaaaaaackaabaiaebaaaaaaabaaaaaaelaaaaafecaabaaaabaaaaaa
ckaabaaaabaaaaaaaaaaaaaiicaabaaaabaaaaaackaabaiaebaaaaaaabaaaaaa
akaabaaaadaaaaaabnaaaaahbcaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaakccaabaaaacaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaabnaaaaaiccaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaa
bkaabaaaabaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaai
bcaabaaaabaaaaaabkiacaaaaaaaaaaaaoaaaaaaakaabaaaabaaaaaaabaaaaak
dcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaacaaaaaa
akaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpelaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaaaaaaaaiccaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiecaabaaa
abaaaaaabkaabaiaebaaaaaaabaaaaaadkaabaaaabaaaaaadcaaaaajccaabaaa
abaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaah
ccaabaaaabaaaaaaakaabaaaaeaaaaaabkaabaaaabaaaaaaabaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaaoaaaaahdcaabaaa
abaaaaaaegbabaaaahaaaaaapgbpbaaaahaaaaaaefaaaaajpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaadcaaaaalbcaabaaa
abaaaaaackiacaaaabaaaaaaahaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaa
ahaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckbabaiaebaaaaaaahaaaaaadicaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckiacaaaaaaaaaaaaoaaaaaadiaaaaahiccabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaabaaaaaajicaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
egiccaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegbcbaaaafaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaadiaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaea
aaaaiaeaaaaaiaeaaaaaaaaabbaaaaajicaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaegiocaaaacaaaaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaafaaaaaaegacbaaaabaaaaaa
aaaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 159 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 159 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 159 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 131 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 159 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 159 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 159 instructions, 6 temp regs, 0 temp arrays:
// ALU 133 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_CameraDepthTexture] 2D
"ps_3_0
; 183 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s3
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
dp3_pp r1.x, r2, r1
mul_pp r0.xyz, r0, r1.x
frc_pp r3.x, r2.w
add_pp_sat r1.y, r2.w, -r3.x
add_pp r1.x, r1.y, c17.w
mul_pp_sat r0.w, -r0, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
SetTexture 3 [_CameraDepthTexture] 2D 3
// 160 instructions, 6 temp regs, 0 temp arrays:
// ALU 135 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 137 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 137 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_CameraDepthTexture] 2D
"ps_3_0
; 184 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r2.w, r0, c16.x, c16.y
add r1.z, r1, -r1.x
mad r0.w, r2, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r2.w, r1.w, r0
cmp r3.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r3, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r3.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r1.xy, r0
dsx r2.xy, r1
dsy r0.zw, r1.xyxy
add_pp r0.xy, r0, c16.w
texldd r1, r0, s1, r2, r0.zwzw
texldd r0, r0, s0, r2, r0.zwzw
dp3 r2.y, v2, v2
add_pp r0, r0, -r1
cmp_pp r2.x, r4, c16, c16.y
mad_pp r1, r2.x, r0, r1
add_pp r0.w, r1.z, -r1.x
rsq r2.y, r2.y
mul r2.xyz, r2.y, v2
abs r0.xyz, r2
mad_pp r0.w, r2, r0, r1.x
max r1.x, r0, r0.z
add r0.x, r0.z, -r0
cmp r4.y, r0.x, c16.x, c16
add r0.x, r1, -r0.y
cmp r2.w, r0.x, c16.x, c16.y
add_pp r0.x, -r1.y, r0.w
add r0.z, r2, -r2.x
mad r0.z, r4.y, r0, r2.x
add r0.y, -r2, r0.z
mad r0.y, r2.w, r0, r2
cmp r0.z, r0.y, c16.y, c16.x
cmp r0.y, -r0, c16, c16.x
add r4.x, r0.y, -r0.z
mad_pp r0.w, r3, r0.x, r1.y
mov r0.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c16.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c16.x
mad r3.xyz, r2.zxyw, r0, -r1
mad r3.xyz, r4.y, r3, r1
mov_pp r0.xyz, r1.w
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.z, r0.x, r0
mov r1.z, -r4.x
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r2.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r2.xy, r1
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0, r0, s2, r0.zwzw, r2
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul r2.x, r3, c6
mov_pp r1.xyz, c16.x
mul_pp r1, r1, c4
mul_pp r1, r1, r0
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.y, v1, r0
dp3 r3.x, v1, v1
mad r2.x, -r3.y, r3.y, r3
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.x, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.y, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.y, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.x
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s4
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r0.w, v4, r2
add_pp r2.w, r0, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, v4, v4
rsq_pp r1.w, r1.x
dp3_pp r1.y, c2, c2
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, c2
mul_pp r2.xyz, r1.w, v4
frc_pp r3.x, r2.w
dp3_pp r1.x, r2, r1
mul_pp r1.xyz, r0, r1.x
add_pp_sat r1.w, r2, -r3.x
texldp r0.x, v6, s3
mul_pp_sat r0.y, -r0.w, c17
add_pp r0.z, r1.w, c17.w
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexPOS] 2D 1
SetTexture 1 [cube_MainTexNEG] 2D 2
SetTexture 2 [_DetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
SetTexture 4 [_CameraDepthTexture] 2D 4
// 163 instructions, 6 temp regs, 0 temp arrays:
// ALU 137 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 181 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c16.x, c16.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c16.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
cmp r4.w, r4.x, c16.x, c16.y
add r4.z, r3, -r3.x
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c16.x, c16.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c16, c16.x
cmp r0.x, -r4, c16.y, c16
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c16.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c16.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c16.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
add r4.xyz, -v0, c0
mad r2.x, r2, c16.w, c16.w
mad r2.y, r2, c16.w, c16.w
mul r2.xy, r2, c7.x
mov r2.z, c7.x
mad r2.zw, c16.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dsx r0.zw, r0.xyxy
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
mul r5.x, r4.w, c8
add_pp r2, -r0, c16.x
mul_sat r3.y, r5.x, c16.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 167 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 181 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c16.x, c16.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c16.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
cmp r4.w, r4.x, c16.x, c16.y
add r4.z, r3, -r3.x
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c16.x, c16.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c16, c16.x
cmp r0.x, -r4, c16.y, c16
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c16.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c16.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c16.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
add r4.xyz, -v0, c0
mad r2.x, r2, c16.w, c16.w
mad r2.y, r2, c16.w, c16.w
mul r2.xy, r2, c7.x
mov r2.z, c7.x
mad r2.zw, c16.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dsx r0.zw, r0.xyxy
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
mul r5.x, r4.w, c8
add_pp r2, -r0, c16.x
mul_sat r3.y, r5.x, c16.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 167 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 181 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c16.x, c16.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c16.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
cmp r4.w, r4.x, c16.x, c16.y
add r4.z, r3, -r3.x
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c16.x, c16.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c16, c16.x
cmp r0.x, -r4, c16.y, c16
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c16.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c16.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c16.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
add r4.xyz, -v0, c0
mad r2.x, r2, c16.w, c16.w
mad r2.y, r2, c16.w, c16.w
mul r2.xy, r2, c7.x
mov r2.z, c7.x
mad r2.zw, c16.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dsx r0.zw, r0.xyxy
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
mul r5.x, r4.w, c8
add_pp r2, -r0, c16.x
mul_sat r3.y, r5.x, c16.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 167 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 182 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c16.x, c16.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c16.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
cmp r4.w, r4.x, c16.x, c16.y
add r4.z, r3, -r3.x
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c16.x, c16.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c16, c16.x
cmp r0.x, -r4, c16.y, c16
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c16.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c16.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c16.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
add r4.xyz, -v0, c0
mad r2.x, r2, c16.w, c16.w
mad r2.y, r2, c16.w, c16.w
mul r2.xy, r2, c7.x
mov r2.z, c7.x
mad r2.zw, c16.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dsx r0.zw, r0.xyxy
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
mul r5.x, r4.w, c8
add_pp r2, -r0, c16.x
mul_sat r3.y, r5.x, c16.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 170 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 182 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c16.x, c16.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c16.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
cmp r4.w, r4.x, c16.x, c16.y
add r4.z, r3, -r3.x
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c16.x, c16.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c16, c16.x
cmp r0.x, -r4, c16.y, c16
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c16.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c16.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c16.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
add r4.xyz, -v0, c0
mad r2.x, r2, c16.w, c16.w
mad r2.y, r2, c16.w, c16.w
mul r2.xy, r2, c7.x
mov r2.z, c7.x
mad r2.zw, c16.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dsx r0.zw, r0.xyxy
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
mul r5.x, r4.w, c8
add_pp r2, -r0, c16.x
mul_sat r3.y, r5.x, c16.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 170 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 182 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r4.x, v2, v2
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r5.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r5.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r5, r1.w, r0
cmp r5.w, r0, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r3.w, r0, -r1.x
cmp_pp r6.w, r3, c16.x, c16.y
rsq r5.y, r4.x
mov_pp r1.y, r3.w
mov_pp r2.y, -r3.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r5.x, r1, r2
mov_pp r1.z, -r3.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsy r6.xy, r0.zwzw
add_pp r1.xy, r0, c16.w
dsx r1.zw, r0
texldd r0, r1, s4, r1.zwzw, r6
texldd r2, r1, s5, r1.zwzw, r6
add_pp r2, r2, -r0
mad_pp r2, r6.w, r2, r0
texldd r3, r1, s1, r1.zwzw, r6
texldd r0, r1, s0, r1.zwzw, r6
add_pp r4, r3, -r0
mad_pp r0, r6.w, r4, r0
mul r3.xyz, r5.y, v2
abs r4.xyz, r3
max r3.w, r4.x, r4.z
add r4.x, r4.z, -r4
add_pp r2, r2, -r0
mad_pp r2, r5.x, r2, r0
add r3.w, r3, -r4.y
cmp r4.w, r4.x, c16.x, c16.y
add r4.z, r3, -r3.x
mad r4.x, r4.w, r4.z, r3
cmp r3.w, r3, c16.x, c16.y
add r4.x, -r3.y, r4
mad r4.x, r3.w, r4, r3.y
cmp r0.y, r4.x, c16, c16.x
cmp r0.x, -r4, c16.y, c16
add r6.z, r0.x, -r0.y
texldd r0, r1, s3, r1.zwzw, r6
texldd r1, r1, s2, r1.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r5.w, r1, r0
mov r5.y, r6.z
mov r4.y, -r6.z
mov r4.xz, c16.x
mul r4.xyz, r3.xzyw, r4
mov r5.xz, c16.x
mad r5.xyz, r3.zxyw, r5, -r4
mad r5.xyz, r4.w, r5, r4
mov r4.z, -r6
mov r4.xy, c16.x
mul r6.xyz, r3.yxzw, r4
mad r3.xyz, r3.yxzw, -r4, r5
mad r3.xyz, r3.w, r3, r6
abs r3.x, r3
rcp r3.x, r3.x
mul r2.x, r3.y, r3
mul r2.y, r3.z, r3.x
mov r3.xyz, v4
dp3_sat r3.x, v5, r3
add r4.xyz, -v0, c0
mad r2.x, r2, c16.w, c16.w
mad r2.y, r2, c16.w, c16.w
mul r2.xy, r2, c7.x
mov r2.z, c7.x
mad r2.zw, c16.w, -r2.z, r2.xyxy
abs r0.xy, r2.zwzw
dsx r0.zw, r0.xyxy
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dsy r0.xy, r0
texldd r0, r2, s6, r0.zwzw, r0
mul r5.x, r4.w, c8
add_pp r2, -r0, c16.x
mul_sat r3.y, r5.x, c16.z
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 170 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.xyyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yxyy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyxy
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_CameraDepthTexture] 2D
"ps_3_0
; 186 ALU, 22 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord8 v6
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v6, s7
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v6.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c2
mul_pp r2.xyz, r0.w, v4
dp3_pp r0.w, r2, r1
mul_pp r0.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r1.x, r2.w, -r3
add_pp r1.x, r1, c17.w
mul_pp_sat r0.w, -r1, c17.y
mad_pp r0.w, r0, r1.x, c16.x
mul r0.xyz, r0, c17.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 252 used size, 18 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_FalloffPow]
Float 196 [_FalloffScale]
Float 200 [_DetailScale]
Float 204 [_DetailDist]
Float 212 [_DistFade]
Float 216 [_DistFadeVert]
Float 220 [_RimDist]
Float 224 [_RimDistSub]
Float 228 [_OceanRadius]
Float 232 [_InvFade]
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
SetTexture 7 [_CameraDepthTexture] 2D 7
// 168 instructions, 6 temp regs, 0 temp arrays:
// ALU 139 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedhjfgpajpnjdaioemomaognboiaobgcadabaaaaaalmbhaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapahaaaaneaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahahaaaaneaaaaaaaiaaaaaaaaaaaaaaadaaaaaaahaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcgmbgaaaaeaaaaaaajlafaaaafjaaaaaeegiocaaa
aaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaaiaaaaaafjaaaaaeegiocaaa
acaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaa
ahaaaaaaffffaaaagcbaaaadhcbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaa
afaaaaaagcbaaaadhcbabaaaagaaaaaagcbaaaadpcbabaaaahaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaadcaaaaak
icaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaiaebaaaaaa
abaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaabaaaaaa
ckaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaiambaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaaakaabaaa
acaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaa
abaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaaaaaaaaa
dkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaadbaaaaah
ccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaa
bkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaaadaaaaaa
dkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaadgaaaaaf
ccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaa
adaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaa
aaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaag
ecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaaaaaaaaaa
akaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaa
adaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaa
egacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaa
abaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaak
dcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaaf
gcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaafaaaaaa
aagabaaaafaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaaaaaaaaaadkaabaaaadaaaaaa
dkaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadkaabaaaaeaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaa
abaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaajgafbaaaacaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaa
aagabaaaaaaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaa
abaaaaaadkaabaaaadaaaaaadkaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaa
abaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadkaabaaaaeaaaaaaaaaaaaai
ecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaadcaaaaaj
ecaabaaaaaaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaackaabaaaabaaaaaa
ejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaa
adaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaacaaaaaa
egaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaajgafbaaaacaaaaaa
egaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaiaebaaaaaaacaaaaaa
dkaabaaaadaaaaaadcaaaaajbcaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
aaaaaaaadkaabaaaacaaaaaaaaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaa
aaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaaihcaabaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
adaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaadaaaaaadcaaaaak
bcaabaaaacaaaaaackbabaaaadaaaaaaakaabaaaabaaaaaackaabaiaebaaaaaa
abaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaia
ibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaa
ckaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaaadaaaaaa
akaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaa
akaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaaakaabaaa
acaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaaacaaaaaa
abeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaiaebaaaaaa
acaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaabaaaaaa
dgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaa
aeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
afaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaa
egacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaaj
ocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaa
dcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaabaaaaaa
jgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaa
abaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaa
jgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
dcaabaaaabaaaaaaegaabaaaabaaaaaakgikcaaaaaaaaaaaamaaaaaadcaaaaao
mcaabaaaabaaaaaakgikcaiaebaaaaaaaaaaaaaaamaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaaabaaaaaa
kgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaabaaaaaa
amaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaagaaaaaaaagabaaaagaaaaaaegaabaaaacaaaaaa
ogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaadaaaaaa
egbcbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahicaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaaaeaaaaaa
dkaabaaaadaaaaaaeeaaaaaficaabaaaadaaaaaadkaabaaaadaaaaaadiaaaaah
hcaabaaaadaaaaaapgapbaaaadaaaaaaegacbaaaadaaaaaabaaaaaahbcaabaaa
adaaaaaaegbcbaaaacaaaaaaegacbaaaadaaaaaaapcaaaaiccaabaaaadaaaaaa
agaabaaaaeaaaaaapgipcaaaaaaaaaaaamaaaaaadcaaaaajpcaabaaaabaaaaaa
fgafbaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaaeaaaaaabkiacaaaaaaaaaaaanaaaaaadgcaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadccaaaalccaabaaaabaaaaaackiacaiaebaaaaaaaaaaaaaa
anaaaaaaakaabaaaaeaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpbacaaaah
ccaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaaafaaaaaadiaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkiacaaaaaaaaaaaamaaaaaacpaaaaafccaabaaa
abaaaaaabkaabaaaabaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
akiacaaaaaaaaaaaamaaaaaabjaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
ccaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaaabaaaaaaaaaaaaak
hcaabaaaacaaaaaaegiccaaaaaaaaaaaapaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahecaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
aaaaaaajhcaabaaaacaaaaaaegbcbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaa
apaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaadcaaaaalecaabaaaabaaaaaa
akiacaiaebaaaaaaaaaaaaaaaoaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dicaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaa
dcaaaaajbcaabaaaabaaaaaackaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaadcaaaaak
ccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaadaaaaaaakaabaaa
abaaaaaaelaaaaafccaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahecaabaaa
abaaaaaabkaabaaaabaaaaaabkaabaaaabaaaaaadcaaaaamecaabaaaabaaaaaa
bkiacaaaaaaaaaaaaoaaaaaabkiacaaaaaaaaaaaaoaaaaaackaabaiaebaaaaaa
abaaaaaaelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaaiicaabaaa
abaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaaadaaaaaabnaaaaahbcaabaaa
acaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaabkaabaia
ebaaaaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaaiccaabaaa
abaaaaaabkiacaaaaaaaaaaaaoaaaaaabkaabaaaabaaaaaaelaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaabkiacaaaaaaaaaaa
aoaaaaaaakaabaaaabaaaaaaabaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaaddaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafccaabaaaabaaaaaa
bkaabaaaacaaaaaaaaaaaaaiccaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaa
ckaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaa
dkaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaacaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaa
bkaabaaaabaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaahaaaaaapgbpbaaa
ahaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaahaaaaaa
aagabaaaahaaaaaadcaaaaalbcaabaaaabaaaaaackiacaaaabaaaaaaahaaaaaa
akaabaaaabaaaaaadkiacaaaabaaaaaaahaaaaaaaoaaaaakbcaabaaaabaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaaaaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackbabaiaebaaaaaaahaaaaaadicaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaackiacaaaaaaaaaaaaoaaaaaadiaaaaah
iccabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaabaaaaaajicaabaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaaaaaaaaaegbcbaaaafaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaadiaaaaahhcaabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaakhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaeaaaaaaaaabbaaaaaj
icaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaafaaaaaaegacbaaaabaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_ZBufferParams]
Vector 2 [_WorldSpaceLightPos0]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_FalloffPow]
Float 6 [_FalloffScale]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_DistFade]
Float 10 [_DistFadeVert]
Float 11 [_RimDist]
Float 12 [_RimDistSub]
Float 13 [_OceanRadius]
Float 14 [_InvFade]
Vector 15 [_PlanetOrigin]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
SetTexture 7 [_ShadowMapTexture] 2D
SetTexture 8 [_CameraDepthTexture] 2D
"ps_3_0
; 187 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c16, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c17, 4.00000000, 10.00000000, 1.00976563, -1.00000000
dcl_texcoord0 v0.xyz
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dcl_texcoord6 v6
dcl_texcoord8 v7
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c16, c16.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c16.x, c16.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c16.y, c16
cmp r0.w, -r0, c16.y, c16.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c16.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c16.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c16.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c16.w
abs r0.zw, r0.xyxy
dsx r4.zw, r0
add_pp r4.xy, r0, c16.w
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
texldd r1, r4, s1, r4.zwzw, r5
cmp_pp r5.w, r5, c16.x, c16.y
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v2, v2
rsq r2.x, r2.x
mul r2.xyz, r2.x, v2
texldd r3, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
abs r4.xyz, r2
add_pp r0, r0, -r3
mad_pp r0, r5.w, r0, r3
add_pp r1, r1, -r0
mad_pp r0, r5.z, r1, r0
mul_pp r0, r0, c16.yyyx
add_pp r0.x, r0, r0.y
add r2.w, r4.z, -r4.x
max r4.w, r4.x, r4.z
add_pp r0.z, r0.x, r0
add r4.x, r2.z, -r2
cmp r2.w, r2, c16.x, c16.y
mad r4.z, r2.w, r4.x, r2.x
add r4.x, r4.w, -r4.y
add r4.y, -r2, r4.z
cmp r4.w, r4.x, c16.x, c16.y
mad r4.x, r4.w, r4.y, r2.y
cmp r3.y, r4.x, c16, c16.x
cmp r3.x, -r4, c16.y, c16
add r3.w, r3.x, -r3.y
mov r1.z, -r3.w
mov r3.y, r3.w
mov r4.y, -r3.w
mov r4.xz, c16.x
mul r4.xyz, r2.xzyw, r4
mov r3.xz, c16.x
mad r3.xyz, r2.zxyw, r3, -r4
mad r3.xyz, r2.w, r3, r4
mov r1.xy, c16.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r4.w, r1, r4
mov r3.xyz, v4
abs r1.x, r1
rcp r0.y, r1.x
mul r0.x, r1.y, r0.y
mul r0.y, r1.z, r0
add r4.xyz, -v0, c0
dp3 r2.z, r4, r4
rsq r3.w, r2.z
rcp r4.w, r3.w
dp3_sat r3.x, v5, r3
mul r5.x, r4.w, c8
add_pp r1.w, r0.z, r0
mul_sat r3.y, r5.x, c16.z
mad r0.x, r0, c16.w, c16.w
mad r0.y, r0, c16.w, c16.w
mul r0.xy, r0, c7.x
mov r1.x, c7
mad r1.xy, c16.w, -r1.x, r0
abs r0.zw, r1.xyxy
dsx r2.xy, r0.zwzw
mov_pp r1.xyz, c16.x
dsy r0.zw, r0
texldd r0, r0, s6, r2, r0.zwzw
add_pp r2, -r0, c16.x
mad_pp r0, r3.y, r2, r0
mul_pp r1, r1, c4
mul_pp r1, r1, r0
mul r2.x, r3, c6
pow_sat r0, r2.x, c5.x
mul r0.y, -r4.w, c10.x
add_sat r0.z, r0.y, c16.x
mul_sat r0.y, r4.w, c9.x
mad r0.w, -r0.y, r0.z, c16.x
add r2.w, r0.x, -r0
mul r0.xyz, r3.w, -r4
dp3 r3.x, v1, r0
dp3 r3.y, v1, v1
mad r2.x, -r3, r3, r3.y
mov r0.xyz, c0
rsq r3.z, r2.x
add r2.xyz, -c15, r0
add r0.xyz, -v0, c15
dp3 r0.x, r0, r0
dp3 r2.x, r2, r2
rsq r0.y, r2.x
rsq r0.x, r0.x
rcp r0.x, r0.x
rcp r0.y, r0.y
mad r0.y, -r0.x, c12.x, r0
rcp r0.x, r3.z
mul r0.z, r0.x, r0.x
mul_sat r0.y, r0, c11.x
mad r0.y, r0, r2.w, r0.w
add r0.w, r3.y, -r0.z
mad r0.z, c13.x, c13.x, -r0
rsq r0.w, r0.w
rsq r0.z, r0.z
add r0.x, -r0, c13
mul_pp r0.y, r0, r1.w
rcp r0.z, r0.z
rcp r0.w, r0.w
add r0.w, r0.z, -r0
add r0.z, r3.x, -r0
add r1.w, r0.z, -r0
cmp r0.z, r3.x, c16.x, c16.y
mad r1.w, r0.z, r1, r0
rsq r0.w, r3.y
add r1.w, r4, -r1
rcp r0.w, r0.w
add r0.w, -r0, c13.x
cmp r1.w, r1, c16.x, c16.y
cmp r0.w, r0, c16.x, c16.y
cmp r0.x, r0, c16, c16.y
mad_sat r0.x, r0, r0.z, r0.w
mad_pp r0.z, -r0.x, r1.w, c16.x
mul_pp r0.y, r0, r0.z
texldp r0.x, v7, s8
mad r0.x, r0, c1.z, c1.w
dp4_pp r0.z, c2, c2
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c2
dp3_pp r1.w, v4, r2
add_pp r2.w, r1, c17.z
rcp r0.x, r0.x
add r0.x, r0, -v7.z
mul_sat r0.x, r0, c14
mul_pp oC0.w, r0.y, r0.x
mul_pp r0.xyz, r1, c3
dp3_pp r1.x, c2, c2
dp3_pp r0.w, v4, v4
rsq_pp r0.w, r0.w
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r0.w, v4
mul_pp r1.xyz, r1.x, c2
dp3_pp r0.w, r2, r1
mul_pp r1.xyz, r0, r0.w
frc_pp r3.x, r2.w
add_pp_sat r2.x, r2.w, -r3
texldp r0.x, v6, s7
add_pp r0.z, r2.x, c17.w
mul_pp_sat r0.y, -r1.w, c17
mad_pp r0.w, r0.y, r0.z, c16.x
mul_pp r0.x, r0, c17
mul r0.xyz, r1, r0.x
mul_pp oC0.xyz, r0, r0.w
"
}

SubProgram "d3d11 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 316 used size, 19 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_FalloffPow]
Float 260 [_FalloffScale]
Float 264 [_DetailScale]
Float 268 [_DetailDist]
Float 276 [_DistFade]
Float 280 [_DistFadeVert]
Float 284 [_RimDist]
Float 288 [_RimDistSub]
Float 292 [_OceanRadius]
Float 296 [_InvFade]
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 128 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 112 [_ZBufferParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
SetTexture 0 [cube_MainTexxn] 2D 1
SetTexture 1 [cube_MainTexxp] 2D 2
SetTexture 2 [cube_MainTexyn] 2D 3
SetTexture 3 [cube_MainTexyp] 2D 4
SetTexture 4 [cube_MainTexzn] 2D 5
SetTexture 5 [cube_MainTexzp] 2D 6
SetTexture 6 [_DetailTex] 2D 7
SetTexture 7 [_ShadowMapTexture] 2D 0
SetTexture 8 [_CameraDepthTexture] 2D 8
// 171 instructions, 6 temp regs, 0 temp arrays:
// ALU 141 float, 2 int, 8 uint
// TEX 2 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "SOFT_DEPTH_ON" "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

}

#LINE 169


			}

		}

	}
}
